local Core = LibStub("AceAddon-3.0"):GetAddon("AddonProfileShare")

local mod = {}
Core.Default = mod

mod.default_addon_db_version = "20200519"
mod.default_blocked_addon_version = "20200519"
mod.default_rule_list_version = "20200519"


--黑名单，以下插件不导入导出任何内容
mod.default_blocked_addon = {
	"!BugGrabber",			--错误信息记录
	"!Swatter",
	"Auc-Advanced",			--插件报错，还没修好
	"Auc-Filter-Basic",
	"Auc-ScanData",
	"Auc-Stat-Histogram",
	"Auc-Stat-iLevel",
	"Auc-Stat-Purchased",
	"Auc-Stat-Simple",
	"Auc-Stat-StdDev",
	"Auc-Util-FixAH",
	"Details_DeathGraphs",	--Detail子模块记录数据
	"Details_EncounterDetails",
	"Details_Vanguard",
	"Details_3DModelsPaths",
	"Details_DataStorage",
	"Details_DeathGraphs",
	"Details_RaidCheck",
	"Details_TinyThreat",
	"Details_Vanguard",
	"TitanMail",			--Titan邮件
	"WeakAurasArchive",		--WeakAuras备份
	"WeakAurasOptions",		--WeakAuras缓存
	"BFGoldFrame",			--金币记录
	"TitanGold",
	"Accountant_Classic",
	"Bagnon_Forever",		--离线背包记录
	"BagBrother",
	"MogIt_Artifact",		--幻化数据库
	"MogIt_Cloth",
	"MogIt_Leather",
	"MogIt_Mail",
	"MogIt_OneHanded",
	"MogIt_Other",
	"MogIt_Plate",
	"MogIt_Ranged",
	"MogIt_TwoHanded",
	"Overachiever_Cache",	--成就数据库缓存
}

--部分插件手写导出规则
mod.default_rule_list = {
	["AddonProfileShare"] = {
		profile_name = "AddonProfileShare_DB/profileKeys/$name$ - $server$",
		profile_path = {
			"AddonProfileShare_DB/profiles/$profile$", -- [1]
		},
	},
	["MeetingStone"] = {
		profile_name = "MEETINGSTONE_CHARACTER_DB/profileKeys/$name$ - $server$",
		profile_path = {
			"MEETINGSTONE_CHARACTER_DB/profiles/$profile$", -- [1]
		},
	},
	["Details"] = {
		profile_name = "_detalhes_database/active_profile",
		profile_path = {
			"{.*}/[^custom|cached_specs|cached_talents|combat_id|combat_counter|mythic_dungeon_currentsaved|nick_tag_cache|plugin_database|character_data|active_profile|SoloTablesSaved|RaidTablesSaved|savedStyles|benchmark_db|rank_window|last_realversion|last_version|__profiles|latest_news_saw|always_use_profile|always_use_profile_name|always_use_profile_exception|savedStyles|savedTimeCaptures|lastUpdateWarning|spell_school_cache|global_plugin_database|details_auras|item_level_pool|latest_report_table|boss_mods_timers|spell_pool|encounter_spell_pool|npcid_pool|createauraframe|mythic_plus|plugin_window_pos|switchSaved]", -- [1]
		},
	},
	["Details_Streamer"] = {
		profile_name = "Details_StreamerDB/characters/$name$ - $server$",
		profile_path = {
			"Details_StreamerDB/profiles/$profile$"
		},
	},
	["ExRT"] = {
		profile_name = "VExRT/ProfileKeys/$name$-$server$",
		profile_path = {
			"VExRT/[^Addon|Profiles|Profile|ProfileKeys]", -- [1]
		},
		value_set = {
			["VExRT/Profile"] = "$profile$",
		},
	},
	["DBM-Core"] = {
		profile_name = "DBM_UsedProfile",
		profile_path = {
			"DBM_AllSavedOptions/$profile$", -- [1]
			"[^DBM_AllSavedOptions]", -- [2]
		},
	},
	["DBM-StatusBarTimers"] = {
		profile_path = {
			"{.*}",
		},
	},
	["DBM-AQ20"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-AQ40"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Azeroth"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Azeroth-BfA"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-BlackTemple"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Brawlers"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-BWL"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-CastleNathria"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-CrucibleofStorms"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-DMF"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-EternalPalace"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Hyjal"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Karazhan"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-MC"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Nyalotha"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Outlands"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Party-BfA"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Party-Shadowland"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Serpentshrine"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Sunwell"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-TheEye"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-Uldir"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-WorldEvents"] = {profile_path = {"{.+_AllSavedVars}"}},
	["DBM-ZuldazarRaid"] = {profile_path = {"{.+_AllSavedVars}"}},
	["SexyMap"] = {
		profile_path = {
			"SexyMap2DB/global",
			"SexyMap2DB/$name$-$server$",
		},
	},
	["MoveAnything"] = {
		profile_name = "MADB/characters/$server$ $name$",
		profile_path = {
			"MADB/profiles/$profile$",
			"MADB/[^profiles|characters]",
		},
	},
	["Titan"] = {
		profile_name = "TitanSettings/Profile",
		profile_path = {
			"TitanSettings/Players/$profile$",
			"[^TitanSettings]",
		},
		value_set = {
			["TitanAll/GlobalProfileName"] = "$profile$",
		},
		name_rule = "$profile$",
	},
	["WhisperPop"] = {
		profile_path = {
			"WhisperPopDB/[^history]", 
		},
	},
	["Auctionator"] = {
		profile_path = {
			"[^AUCTIONATOR_PRICE_DATABASE]", 
		},
	},	
	["BigFoot"] = {
		profile_path = {
			"[BigFoot_Config|BF_Gloable|BF_LogonInfo|ModelChangeVariable]", 
		},
	},	
	["TheBurningTrade"] = {
		profile_path = {
			"[^TradeLog_TradesHistory]", 
		},
	},	
	["TradeLog"] = {
		profile_path = {
			"[^TradeLog_TradesHistory]", 
		},
	},	
	["SavedInstances"] = {
		profile_path = {
			"SavedInstancesDB/[^Toons]", 
		},
	},	
	["163UI_ChatHistory"] = {
		profile_path = {
			"ChatHistoryDB/[^historys]", 
		},
	},	
	["Broker_Currency"] = {
		profile_path = {
			"Broker_CurrencyCharDB", 
		},
	},	
	["Broker_Raidsave"] = {
		profile_path = {
			"Broker_RaidSaveConfig/[^realm]", 
		},
	},	
	["RECrystallize"] = {
		profile_path = {
			"RECrystallizeSettings", 
		},
	},	
	["OfflineDataCenter"] = {
		profile_path = {
			"[ODC_Config|MB_Config]", 
		},
	},	
	["WIM"] = {
		profile_path = {
			"[^WIM3_Cache|WIM3_History]", 
		},
	},	
	["ArkInventory"] = {
		profile_path = {
			"ARKINVDB/[^player|cache]", 
		},
	},	
}

--Curse插件抓取生成
mod.default_addon_db = {
	["!!!!Undeprecator"] = {"UndeprecatorDB"},
	["!!!EaseAddonController"] = {"U1DBG","U1DB"},
	["!!!GarbageProtector"] = {"GarbageProtectorDB"},
	["!!!PlaySoundFixer"] = {},
	["!!!PrintTracer"] = {},
	["!!!tdDevTools"] = {},
	["!!Warmup"] = {"WarmupSV"},
	["!AccurateTime"] = {},
	["!AHCompat"] = {},
	["!BetterFont"] = {},
	["!BetterReputationColors"] = {},
	["!BlizzardRaidFramesFix"] = {},
	["!BlizzBugsSuck"] = {},
	["!BugGrabber"] = {"BugGrabberDB"},
	["!Chats"] = {},
	["!ClassColors"] = {"ClassColorsDB"},
	["!CPUThieves"] = {"CPUThievesDB"},
	["!Elonoris_Pathfinder"] = {"Elonoris_Pathfinder_peraccount","Elonoris_Pathfinder_perchar"},
	["!Elonoris_theinsane"] = {"theinsane_peraccount","theinsane_perchar"},
	["!ElvinCDs"] = {"Elvin_Options","Elvin_Spells","Elvin_Cooldowns"},
	["!GlobalFont_StdW2"] = {},
	["!GlobalFont_StdW3"] = {},
	["!GlobalFont_StdW4"] = {},
	["!GlobalFont_StdW6"] = {},
	["!InspectFix"] = {},
	["!KalielsTracker"] = {"KalielsTrackerDB"},
	["!KMediaTags"] = {},
	["!KRT"] = {"KRT_Options","KRT_Raids","KRT_Players","KRT_CurrentRaid","KRT_LastBoss","KRT_NextReset","KRT_Warnings","KRT_Spammer","KRT_ExportString"},
	["!KTracker"] = {"KTrackerDB","KTrackerCharDB"},
	["!LibUIDropDownMenu"] = {},
	["!LibVan32"] = {},
	["!ListLooter"] = {"ListLooterDB"},
	["!MoncaiCompare"] = {},
	["!NoFlash"] = {"NoFlashDB"},
	["!NoTaint_UIDropDownMenu"] = {},
	["!QuestItemButtonFix"] = {},
	["!RAHT"] = {},
	["!Skin"] = {"selected_skin"},
	["!Stragglers"] = {},
	["!Swatter"] = {"SwatterData"},
	["!ThaiFont_Share"] = {},
	["!Vendorer"] = {"VendorerDB"},
	["(D) Auto Reset Instance"] = {"AutoResetSettings"},
	["(D) Hide Gryphons"] = {},
	["(D) LDB BC"] = {},
	["(D) LDB BFA"] = {},
	["(D) LDB Cataclysm"] = {},
	["(D) LDB Legion"] = {},
	["(D) LDB Lich King"] = {},
	["(D) LDB MOP"] = {},
	["(D) LDB Professions"] = {},
	["(D) LDB WOD"] = {},
	["1337 Achievement Helper"] = {},
	["2048"] = {"DB2048"},
	["42-0"] = {},
	["4S"] = {"BindMarks","v4SEARCH","UFrames"},
	["500miles"] = {},
	["99bobeer"] = {},
	["A4T"] = {"atSettings"},
	["Aanye_Mail"] = {"Aanye_Mail_DB"},
	["Aanye_XP"] = {"Aanye_XP_DB"},
	["AAP-BfA"] = {},
	["AAP-Cata-MoP"] = {},
	["AAP-Core"] = {"AAP1","AAP2","AAP3","AAPQuestNames","AAP_HoldZoneVar"},
	["AAP-Legion"] = {},
	["AAP-TBC-WotLK"] = {},
	["AAP-Vanilla"] = {},
	["AAP-WoD"] = {},
	["Aardvark"] = {"AVKGlobalSettingsAVKGlobalSellTableAVKGlobalDestroyTableAVKGlobalProtectTable","AVKCharacterSellTableAVKCharacterDestroyTableAVKCharacterProtectTable"},
	["aav"] = {"atroxArenaViewerData"},
	["ABGP"] = {"ABGP_DataTimestamp","ABGP_Data","ABGP_DB","ABGP_WindowManagement","ABGP_ItemAuditLog"},
	["Abigail"] = {"abiPriceIndex","abiShoppingList","abiProtectTable","abiPresets","abiLastZero","abiPlayerList","abiPLV"},
	["ABM"] = {"DebugLines"},
	["Aboutis"] = {},
	["ABR-Revived"] = {"ABRRevivedVariables","ABRReviveeVariablesPerChar"},
	["AbsorbBar"] = {"AbsorbBarConfig"},
	["Absorbent"] = {"SpongeDB"},
	["Absorber"] = {"Absorber"},
	["AbstractionMarks"] = {"Defaults","Defaults"},
	["AbyAuctionFavoritesSavior"] = {"AbyAuctionFavoritesDB"},
	["ACalc"] = {},
	["acb_Auras"] = {},
	["acb_BattleGround"] = {},
	["acb_CastBar"] = {},
	["acb_Cooldowns"] = {},
	["acb_Experience"] = {},
	["acb_FlightTimes"] = {"FlightTimes_Data"},
	["acb_GlobalCooldown"] = {},
	["acb_LootRoll"] = {},
	["acb_Mirror"] = {},
	["acb_Shaman"] = {},
	["acb_Swing"] = {},
	["acb_Threat"] = {},
	["acb_Totems"] = {},
	["AccelerandoVox"] = {"ACCVOX","ACCVOXMode"},
	["AccidentalCursorKeysInChat"] = {},
	["Accomplishment"] = {"AccomplishmentDB"},
	["AccountAchievementFilter"] = {"WelcomeBool"},
	["Accountant_Classic"] = {"Accountant_ClassicSaveData","Accountant_ClassicDB","Accountant_Classic_NewDB","Accountant_ClassicZoneDB"},
	["AccountWideRaidProfiles"] = {"AccountWideRaidProfilesDB"},
	["Ace2"] = {},
	["Ace3"] = {},
	["AceGUI-3.0-Completing-EditBox"] = {},
	["AceGUI-3.0-FrameWithInput"] = {},
	["AceGUI-3.0-Selectable-Panel"] = {},
	["AceGUI-3.0-SharedMediaWidgets"] = {},
	["AceGUI-3.0_SFX-Widgets"] = {},
	["AceM2L2"] = {},
	["Acheron"] = {"AcheronDB"},
	["AchieveAche"] = {},
	["AchieveChannel2"] = {"AchieveChannelDB"},
	["AchieveIt"] = {"AchieveIt_Data"},
	["AchievementAnnouncer"] = {"AA_Settings"},
	["AchievementBroadcaster"] = {},
	["AchievementCheck"] = {},
	["AchievementHelper"] = {},
	["achievementhunter"] = {"AchievementHunterDB"},
	["AchievementJam"] = {},
	["AchievementSearch"] = {"ACHIEVEMENTSEARCH_DB"},
	["AchievementsReminder"] = {"ralllocationnames","ralltactics","ralltacticsver","ralltacticsdif","ralloptions","ralloptionsmanual","rallbosstooltip","rallbosschaton","ralloptionsmanual3","ralloptionTrackCharAchieves"},
	["AchSnd"] = {"AchSnd_Settings","AchSnd_NN","AchSnd_SettingsPC"},
	["AckisRecipeList"] = {"ARLDB2"},
	["AckisRecipeList_Alchemy"] = {},
	["AckisRecipeList_Blacksmithing"] = {},
	["AckisRecipeList_Cooking"] = {},
	["AckisRecipeList_Enchanting"] = {},
	["AckisRecipeList_Engineering"] = {},
	["AckisRecipeList_FirstAid"] = {},
	["AckisRecipeList_Inscription"] = {},
	["AckisRecipeList_Jewelcrafting"] = {},
	["AckisRecipeList_Leatherworking"] = {},
	["AckisRecipeList_Mining"] = {},
	["AckisRecipeList_QuickScan"] = {},
	["AckisRecipeList_Tailoring"] = {},
	["AClock"] = {},
	["ACP"] = {"ACP_Data"},
	["ActionBarPager"] = {},
	["ActionBarProfiles"] = {"ActionBarProfilesDBv3"},
	["ActionBarSaver"] = {"ActionBarSaverDB"},
	["ActionCamPlus"] = {"ActionCamPlusDB"},
	["activate_ubertooltips"] = {},
	["Acts Functions"] = {"actSettings","actMounts"},
	["ActualValue"] = {"profiles","loadedProfile","INTELLECTSTAT","STRENGTHSTAT","AGILITYSTAT","SPSTAT","APSTAT","CRITSTAT","HASTESTAT","MASTERYSTAT","MULTISTRIKESTAT","VERSATILITYSTAT","BONUSARMORSTAT"},
	["ACU"] = {"AddonCpuUsageDB","AddonCpuUsageDBLocal"},
	["ad"] = {},
	["Adapt"] = {"AdaptSettings"},
	["AdaptiveILevel"] = {"AilSaveData"},
	["AdaptiveRes"] = {"AdaptiveRes_DB"},
	["AddEmote"] = {"AddEmote_Emotes","AddEmote_CharacterEmotes"},
	["AddFriend"] = {},
	["Addon"] = {"Data"},
	["AddonLoader"] = {"AddonLoaderSV"},
	["addonmanager"] = {},
	["AddonProfileShare"] = {"AddonProfileShare_DB"},
	["AddOnSkins"] = {"AddOnSkinsDB","AddOnSkinsDS"},
	["AddonUsage"] = {"AddonUsageSettings"},
	["AddUI"] = {"AddUIDB"},
	["AdeChoresTracker"] = {"AdeChoresTrackerDB"},
	["AdeptsGuideLocations"] = {},
	["AdiBags"] = {"AdiBagsDB"},
	["AdiBags_Archaeology"] = {},
	["AdiBags_ArmourType"] = {},
	["AdiBags_Artifact_Weapons"] = {},
	["AdiBags_AzeriteGear"] = {},
	["AdiBags_Azerite_Essence_items"] = {},
	["AdiBags_BankStack"] = {},
	["AdiBags_Battle_Pet_Items"] = {},
	["AdiBags_BfAZoneItems"] = {},
	["AdiBags_BlackEmpireGear"] = {},
	["AdiBags_BoE_BoA"] = {},
	["AdiBags_Bound"] = {},
	["AdiBags_ByExpansion"] = {},
	["AdiBags_ByExpansion_BfA"] = {},
	["AdiBags_ByExpansion_Cata"] = {},
	["AdiBags_ByExpansion_Legion"] = {},
	["AdiBags_ByExpansion_MoP"] = {},
	["AdiBags_ByExpansion_TBC"] = {},
	["AdiBags_ByExpansion_WoD"] = {},
	["AdiBags_ByExpansion_WoW"] = {},
	["AdiBags_ByExpansion_Wrath"] = {},
	["AdiBags_Config"] = {},
	["AdiBags_Corrupted"] = {},
	["AdiBags_CorruptionGear"] = {},
	["AdiBags_Cosmetic"] = {},
	["AdiBags_fishing"] = {},
	["AdiBags_Fishing_Items"] = {},
	["AdiBags_Garrison"] = {},
	["AdiBags_Hearthstones"] = {},
	["AdiBags_Herbalism"] = {},
	["AdiBags_Keystones"] = {},
	["AdiBags_Legion"] = {},
	["AdiBags_Legion_Filters"] = {},
	["AdiBags_lootboxes"] = {},
	["AdiBags_Lowlevel"] = {},
	["AdiBags_Mechagon_Tinkering"] = {},
	["AdiBags_Outfitter"] = {},
	["AdiBags_PriorExpansions"] = {},
	["AdiBags_PT3Filter"] = {},
	["AdiBags_Revelry"] = {},
	["AdiBags_TackleBox"] = {},
	["AdiBags_Transmog"] = {},
	["AdiBags_TSM"] = {},
	["AdiBags_TSMAuctions"] = {},
	["AdiBags_TSM_Price_Groups"] = {},
	["AdiButtonAuras"] = {"AdiButtonAurasDB"},
	["AdiButtonAuras_Config"] = {},
	["AdiCastBar"] = {"AdiCastBarDB"},
	["AdiCCMonitor"] = {"AdiCCMonitorDB"},
	["AdiFocusBar"] = {"AdiFocusBarDB"},
	["AdiRareLocations"] = {},
	["AdiSpellHUD"] = {"AdiSpellHUDDB"},
	["Adjutant"] = {"AdjutantDB"},
	["Adman"] = {"AdmanDB"},
	["AdorableHatchlingNests"] = {"AdorableHatchlingNestsDB"},
	["AdvancedAddonLoader"] = {},
	["AdvancedInterfaceOptions"] = {"AdvancedInterfaceOptionsSaved"},
	["AdvancedTabards"] = {"AT_Settings"},
	["AdvancedTooltips"] = {"AdvancedTooltips_Config"},
	["AdvancedXPBar"] = {"AdvancedXPBarDB"},
	["AdventureGuideBosses"] = {"saves"},
	["AdventureGuideHide"] = {},
	["AdventureGuideLockouts"] = {},
	["AdventureGuideSavedInstances"] = {},
	["AelsKoS"] = {"AelsKoSDB"},
	["AenRPG"] = {"AenSaves"},
	["AffDots"] = {"AffDotsOptions110","AffDotsDB"},
	["Afflicted"] = {"AfflictedDB"},
	["AfkCam"] = {},
	["AfkDelight"] = {},
	["afkquit"] = {},
	["AFK_fullscreen"] = {"afkfullscreenDB"},
	["Afterlife"] = {"Afterlife_SavedSettings","Afterlife_TargetImmunes","Afterlife_IgnoredPlyrBreaks"},
	["AGFilter"] = {"AGFilterSettings"},
	["AggroNotifier"] = {"AggroNotifier_Config"},
	["AggroPlates"] = {},
	["AggroPlatesPlus"] = {},
	["AGP"] = {"AGPDB"},
	["AGZ"] = {"AGZDB"},
	["AH"] = {"AH_On","AH_YearMsg","AH_MonthMsg","AH_WeekMsg","AH_DayMsg","AH_GenericMsg","AH_FailMsg"},
	["AheadOfTheCurve"] = {"AheadOfTheCurveDB"},
	["Ahoy"] = {"Ahoy_Settings","Ahoy_SettingsLDB","Ahoy_CollectedData"},
	["AHsearch"] = {"AHsearch_Data","AHsearch_Options"},
	["AHShowBid"] = {},
	["AIA"] = {"AIADB"},
	["Ailo"] = {"AiloDB"},
	["AirWarlock"] = {"AW_WarlocK"},
	["AISY"] = {"aisyDB"},
	["AjDKP"] = {"AJDKP_HISTORICAL_AUCTIONS","AJDKP_ITEM_INDEX","AJDKP_PLAYER_INDEX","AJDKP_HISTORICAL_AUCTION_IDS","AJDKP_FRAME_POSITIONS"},
	["AKA"] = {"AKASettings"},
	["AkiTools"] = {"AkiDB"},
	["alaCalendar"] = {"alaCalendarSV"},
	["alaChat"] = {"alaBaseData","alaChatConfig"},
	["alaChat_Classic"] = {"alaBaseData","alaChatConfig"},
	["alaEGuild"] = {},
	["alaGearMan"] = {"alaGearManSV"},
	["AlamoReeburth"] = {"Settings"},
	["AlarArtRemover"] = {"dbAAR","localdbAAR"},
	["alaTalentEmu"] = {"alaTalentEmuSV"},
	["alaTrade"] = {"alaTradeSV"},
	["alaTradeFrame"] = {"alaTradeFrameSV"},
	["AleaUI"] = {"AleaUIDB","AleaUIDB_2","AleaUI_AuraWidgets","AleaUIDB_Sync","AleaUIDB_PC"},
	["Aleri"] = {"AleriGlobalSettings","AleriCharacterSettings"},
	["Aliaseses"] = {"Aliaseses_DB"},
	["Alices-TauntWatch"] = {"TWConfig"},
	["Alices-TauntWatch-pets"] = {"TWPConfig"},
	["AlignmentGrid"] = {},
	["AllPlayed"] = {"AllPlayedDB"},
	["AllTheIDs"] = {},
	["AllTheThings"] = {"AllTheThingsSettings","AllTheThingsAD","AllTheThingsAuctionData","AllTheThingsDebugData","AllTheThingsHarvestItems","AllTheThingsSettingsPerCharacter"},
	["AllWares"] = {},
	["AllYourBase"] = {"AllYourBaseVars"},
	["AllyRoute"] = {"allyRoute_Conf"},
	["Aloft"] = {"AloftDB","AloftCastWarningDB"},
	["AloftOptions"] = {},
	["AlreadyKnown"] = {"AlreadyKnownSettings"},
	["AltaidItemLevel"] = {},
	["AltChatCopy"] = {},
	["AlterCurrencies"] = {"AltC_DB"},
	["AlternatePower"] = {"ArtifactTraits","ArtifactAP"},
	["AltGameTooltip"] = {},
	["Altimate"] = {"Altimate_roster"},
	["AltMinder"] = {"AltM_SavedVars"},
	["AltMythicList"] = {"AltMythicListDB"},
	["Altoholic"] = {"AltoholicDB"},
	["Altoholic_Achievements"] = {},
	["Altoholic_Agenda"] = {},
	["Altoholic_Characters"] = {},
	["Altoholic_CountHider"] = {"Altoholic_CountHiderDB"},
	["Altoholic_Grids"] = {},
	["Altoholic_Guild"] = {},
	["Altoholic_Search"] = {},
	["Altoholic_Summary"] = {},
	["Alts"] = {"AltsDB"},
	["AltsFinder"] = {"AltsFinderDB"},
	["AltTabber"] = {},
	["AlwaysLogging"] = {"AlwaysLoggingData"},
	["Alysmon"] = {"Alysmon_enabled"},
	["AmakHealsTextures"] = {"AmakHealsUIDB","AmakHealsUIPrivateDB","AmakHealsUICharacterDB"},
	["Amalu Soundpack (plus+)"] = {},
	["AmendmentsUI"] = {"AmendUIGlobalPrefs","AmendUICharPrefs"},
	["ammeter"] = {"firstAlert","secondAlert","sndEnbld"},
	["AmmoCount"] = {},
	["AnalogueClock"] = {},
	["Analyst"] = {"Analyst_reportMode","Analyst_shouldLog","Analyst_shouldNotify"},
	["ANewSimplePercent"] = {"SimplePercent"},
	["AngryAssignments"] = {"AngryAssign_Pages","AngryAssign_Categories","AngryAssign_State","AngryAssign_Config"},
	["AngryBossReminders"] = {"AngryBossReminders_State","AngryBossReminders_Config"},
	["AngryKeystones"] = {"AngryKeystones_Config","AngryKeystones_Data","AngryKeystones_CharacterConfig"},
	["AngryNotes"] = {"AngryNotes_Pages","AngryNotes_Categories","AngryNotes_State","AngryNotes_Config"},
	["AngryRaidPoints"] = {"ARP_Scale","ARP_LootLog","ARP_PointsData","ARP_PointsTimeStamp"},
	["AngryRaidPointsClient"] = {"ARPC_CurrentPoints","ARPC_Scale","ARPC_Collapse"},
	["AngryWorldQuests"] = {"AngryWorldQuests_Config","AngryWorldQuests_CharacterConfig"},
	["Annene"] = {"AnneneDB"},
	["AnnounceInterrupts"] = {"AnnounceInterruptsDB"},
	["AnnounceIt"] = {"aiDB"},
	["AnnounceMisdirection"] = {},
	["AnnouncePallyAssist"] = {},
	["Announcer"] = {"Announcer_Options"},
	["AnnounceRare"] = {"AnnounceRareDB"},
	["AnnounceResurrection"] = {},
	["AnnounceTarget"] = {"ATDB"},
	["AnnoyingChatFade"] = {},
	["AnnoyingHighlightHider"] = {},
	["AnnoyingPopupRemover"] = {"APR_DB"},
	["AnnoyingSpider"] = {},
	["AnS"] = {"ANS_CUSTOM_FILTERS","ANS_FILTERS","ANS_BASE_SELECTION","ANS_CUSTOM_VARS","ANS_GLOBAL_SETTINGS","ANS_FILTER_SELECTION"},
	["AnsAuctionSnipe"] = {},
	["AnsiCombatText"] = {},
	["AntiPortalSpam"] = {"AntiPortalSpamDB"},
	["AntiSocialMode"] = {"isOn"},
	["AntiSpamBot"] = {"AntiSpamBotDB"},
	["antispamwr"] = {"antispamwr_magics"},
	["Anti_Wand_of_Lightning_Shield"] = {"AWoLS_raidWarning","AWoLS_raidWarningMessage","AWoLS_screenFlash","AWoLS_checkTargets","AWoLS_scanRaidPets","AWoLS_raidFrameMarker","AWoLS_scanRateSlider"},
	["Anvil"] = {"AnvilDB"},
	["AnyFavoriteMount"] = {"AFM_FavoriteIDs"},
	["AnyFont"] = {},
	["AnyLanguageLFG"] = {},
	["AoAMute"] = {"AoAMuteConfig"},
	["AOBDLC"] = {"aobdlc_config","aobdlc_history"},
	["AOKeystones"] = {"cache","rankFilter","scopeFilter"},
	["AOtakeover"] = {},
	["ao_bossmod"] = {"AO_BossModDB"},
	["ApButton"] = {"frameAnchor","movable"},
	["APeonsBurden"] = {"APeonsBurdenDB"},
	["Aph"] = {"APHDB"},
	["APIInterface"] = {"APIIDB"},
	["Appearances"] = {"Appearances_Collection"},
	["AppearanceSets_HideHelm"] = {"ASHHDB"},
	["AppearanceTooltip"] = {"AppearanceTooltipDB","AppearanceTooltipDBPC"},
	["Applebandit_Assignments"] = {"aa_config_logging","aa_config_report_channel","aa_config_channel_name"},
	["Applebandit_Standby_Loot"] = {"asloot_logging","asloot_hide_killed_bosses","asloot_response_reporting","asloot_alt_name","asloot_alt_table","asloot_message_target","asloot_message1_title","asloot_message1_text","asloot_message2_title","asloot_message2_text","asloot_message3_title","asloot_message3_text","asloot_message4_title","asloot_message4_text"},
	["Aptechka"] = {"AptechkaDB_Global","AptechkaConfigCustom","AptechkaDB_Char"},
	["AptechkaOptions"] = {},
	["APTokenPercent"] = {},
	["AQT"] = {"AQTCFG"},
	["AQW"] = {},
	["AQWarEffort"] = {},
	["Ara_Broker_Tradeskills"] = {"AraTradeskillsDB"},
	["ARB"] = {},
	["ArbitraryCommands"] = {"ArbitCommDB"},
	["ArcaneComboPoints"] = {},
	["ArcaneHelper"] = {"ArcaneLock","ArcaneShow","ArcaneShowHealth","Arcane_Burnphase_Start_Mana_Threshold","Arcane_Framesize","Arcane_XPos","Arcane_YPos"},
	["ArcaneThirst"] = {"ARCANE_THIRST_STATE"},
	["Arcanroo"] = {"Arcanroo_saved"},
	["ArchDB"] = {"ArchDBDB"},
	["archindiana"] = {},
	["Archivist"] = {"ACHV_DB"},
	["ArcHUD3"] = {"ArcHUD3DB"},
	["ArcHUD3-classic"] = {"ArcHUD3DB"},
	["Archy"] = {"ArchyDB"},
	["Arcira"] = {"g_arcira"},
	["ArcRepair"] = {"ArcRepairSaved"},
	["ArdentDefender"] = {"ArdentDefenderDB"},
	["ArekosGratz"] = {"ArekosGratzDB","GratzDB"},
	["Arena Focus Swap"] = {},
	["ArenaFilter"] = {"ArenaFilter_Classes","ArenaFilter_Roles"},
	["ArenaHistory"] = {"ArenaHistoryDB"},
	["ArenaIcons"] = {"ArenaIconsDB"},
	["ArenaLeaveConfirmer"] = {},
	["ArenaMountsProgress"] = {},
	["ArenaNumbers"] = {},
	["ArenaPlates"] = {"ArenaPlatesDB"},
	["ArenaRaidIcons"] = {},
	["ArenaSpy"] = {"ArenaSpy_SavedPlayers"},
	["ArenaStyle"] = {"ArenaStyleDB"},
	["AreYouExperienced"] = {},
	["Argus"] = {"Argus_DB"},
	["ArgusEliteTracker"] = {"ArgusEliteTrackerConfig"},
	["ArgusRares"] = {},
	["Arh"] = {"Arh_Config"},
	["ARI73"] = {"ARI73DB"},
	["AriannaChat"] = {},
	["ArkAutoLootBoP"] = {},
	["ArkInventory"] = {"ARKINVDB"},
	["ArkInventoryConfig"] = {},
	["ArkInventoryProfiles"] = {"ARKINVPROFILEDB"},
	["ArkInventoryRules"] = {},
	["ArkInventoryRules_Example"] = {},
	["ArkInventoryRules_GFM"] = {},
	["ArkInventoryRules_MoreRules"] = {},
	["ArkInventoryRules_TSMValue"] = {},
	["ArkInventoryRules_Wardrobe"] = {},
	["ArkInventorySearch"] = {},
	["Armory"] = {"ArmoryDB","ArmorySettings","ArmoryModules","ArmoryCache","ArmoryShared","ArmoryLocalSettings"},
	["ArmoryGuildBank"] = {"AgbDB","AgbDBRealms"},
	["ArmoryLink"] = {},
	["ArmoryMe"] = {},
	["ArmoryQuickLink"] = {},
	["armory_link_menu"] = {},
	["Arranger_AdvancedFriendsUI"] = {"Version","Current"},
	["Artemis"] = {"ArtemisDB","ArtemisDBChar"},
	["ArtifactButton"] = {},
	["ArtifactMenu"] = {},
	["ArtifactPathFinder"] = {"ArtifactPathFinderCDB"},
	["ArtifactPowerKillsYou"] = {},
	["ArtifactPowerTip"] = {},
	["ArtifactPowerTracker"] = {"APTDB"},
	["ArtifactPowerUser"] = {"ArtifactPowerUserDB","ArtifactPowerUserCharacterDB"},
	["ArtifactProgress"] = {},
	["ArtifactProgressionPath"] = {"ArtifactProgressionPath"},
	["ArtifactSpellLinker"] = {},
	["ArtifactTab"] = {},
	["ArtifactToButt"] = {},
	["ArtifactTracker"] = {"Tracker_Settings"},
	["ArtifactTraitLink"] = {},
	["ArtifactTraitsReminder"] = {},
	["ArtifactWhispers"] = {"ArtifactWhispersSettings"},
	["Artool"] = {},
	["ArtPad"] = {"ArtPad_Settings"},
	["ArtteQuest"] = {},
	["ArwicAltManager"] = {"ArwicAltManagerDB"},
	["ARXArmoryxmit"] = {"ARXArmoryVerboseMode"},
	["AscendanceTimer"] = {"AscendanceTimerDB"},
	["ashranalert"] = {},
	["AshranAutoInvite"] = {},
	["AshranBuddy"] = {"AshranBuddyDB"},
	["AshranCommander"] = {"AshranCommander_Text"},
	["AshranCommander-CrioEdition[de]"] = {"AshranCommander-CrioEdition_Text"},
	["AshranCommander-CrioEdition[en]"] = {"AshranCommander-CrioEdition[en]_Text"},
	["AshranHelper"] = {"AshranHelper"},
	["AshranInviteAlert"] = {},
	["AskMrInventory"] = {},
	["AskMrRobot"] = {"AskMrRobotDb4"},
	["AsmongoldBD"] = {},
	["AsmountContest"] = {},
	["Aspect_Off"] = {},
	["AssassinTimer"] = {},
	["AssistAssist"] = {"AssistAssistDB"},
	["AstralKeys"] = {"AstralKeys","AstralCharacters","AstralFriends","AstralKeysSettings","AstralMinimap","AstralAffixes"},
	["AtaxyUI"] = {},
	["ATeam"] = {"ateam_enable"},
	["AthComboPoints"] = {},
	["Atlas"] = {"AtlasDB"},
	["AtlasLoot"] = {"AtlasLootDB","AtlasLootCharDB"},
	["AtlasLootClassic_Maps"] = {},
	["AtlasLoot_BattleforAzeroth"] = {},
	["AtlasLoot_BurningCrusade"] = {},
	["AtlasLoot_Button"] = {"AtlasLootButtonDB"},
	["AtlasLoot_Cataclysm"] = {},
	["AtlasLoot_Classes"] = {},
	["AtlasLoot_Classic"] = {},
	["AtlasLoot_Collections"] = {},
	["AtlasLoot_Crafting"] = {},
	["AtlasLoot_Factions"] = {},
	["AtlasLoot_Legion"] = {},
	["AtlasLoot_MistsofPandaria"] = {},
	["AtlasLoot_Options"] = {},
	["AtlasLoot_PvP"] = {},
	["AtlasLoot_WarlordsofDraenor"] = {},
	["AtlasLoot_WorldEvents"] = {},
	["AtlasLoot_WrathoftheLichKing"] = {},
	["AtlasMajorCitiesEnhanced"] = {"AtlasMajorCities_DB","AtlasMajorCities_Continent","AtlasMajorCities_City","AtlasMajorCities_Zone","AtlasMajorCities_Shop","AtlasMajorCities_Title","AtlasMajorCities_NPC","AtlasMajorCities_Comment","AtlasMajorCities_Adds","AtlasMajorCities_Input"},
	["AtlasQuest"] = {"AtlasQuest_Options",""},
	["Atlas_Arena"] = {},
	["Atlas_BattleforAzeroth"] = {},
	["Atlas_Battlegrounds"] = {},
	["Atlas_BurningCrusade"] = {},
	["Atlas_Cataclysm"] = {},
	["Atlas_ClassicWoW"] = {},
	["Atlas_ClassOrderHalls"] = {},
	["Atlas_DungeonLocs"] = {},
	["Atlas_Legion"] = {},
	["Atlas_MistsofPandaria"] = {},
	["Atlas_OutdoorRaids"] = {},
	["Atlas_Scenarios"] = {},
	["Atlas_Transportation"] = {},
	["Atlas_WarlordsofDraenor"] = {},
	["Atlas_WorldEvents"] = {},
	["Atlas_WrathoftheLichKing"] = {},
	["ATMTracker"] = {"ATMTrackerDB"},
	["atonement-tracker"] = {"AtonementTrackerDB"},
	["AtonementAssist"] = {},
	["AtonementBar"] = {"AtonementBarDB"},
	["AtoneWatch"] = {"awConfig"},
	["AtoZ"] = {},
	["Atramedes"] = {"AtramedesDB"},
	["ATT"] = {"ATTDB"},
	["ATTA"] = {},
	["Attesor"] = {"Attesor_Debug","Attesor_PlayersSeen"},
	["ATurtleMadeItToTheWater"] = {},
	["Auc-Advanced"] = {"AucAdvancedConfig","AucAdvancedData","AucAdvancedServers","AucAdvancedLocal"},
	["auc-advanced-searcher-pawn"] = {},
	["auc-cheap-searcher"] = {"CheapoMaxPercent","CheapoMaxPprice"},
	["Auc-Filter-Basic"] = {"AucAdvancedFilterBasic_IgnoreList"},
	["Auc-ScanData"] = {"AucScanData"},
	["Auc-Searcher-HealPoints"] = {},
	["Auc-Searcher-Transmogs"] = {},
	["auc-searcher-weightswatcher"] = {},
	["Auc-Stat-Histogram"] = {"AucAdvancedStatHistogramData"},
	["Auc-Stat-iLevel"] = {"AucAdvancedStat_iLevelData"},
	["Auc-Stat-Purchased"] = {"AucAdvancedStatPurchasedData"},
	["Auc-Stat-Simple"] = {"AucAdvancedStatSimpleData"},
	["Auc-Stat-StdDev"] = {"AucAdvancedStatStdDevData"},
	["Auc-Stat-TheUndermineJournal"] = {},
	["auc-stat-wowuction"] = {},
	["Auc-Util-BSH"] = {"AucUtilBSHDB"},
	["Auc-Util-FixAH"] = {},
	["AucSum"] = {"formatSimple"},
	["Auctionator"] = {"AUCTIONATOR_SAVEDVARS","AUCTIONATOR_PRICING_HISTORY","AUCTIONATOR_SHOPPING_LISTS","AUCTIONATOR_SHOPPING_LISTS_MIGRATED_V2","AUCTIONATOR_PRICE_DATABASE","AUCTIONATOR_LAST_SCAN_TIME","AUCTIONATOR_TOONS","AUCTIONATOR_STACKING_PREFS","AUCTIONATOR_SCAN_MINLEVEL","AUCTIONATOR_DB_MAXITEM_AGE","AUCTIONATOR_DB_MAXHIST_AGE","AUCTIONATOR_DB_MAXHIST_DAYS","AUCTIONATOR_FS_CHUNK","AUCTIONATOR_DE_DATA","AUCTIONATOR_DE_DATA_BAK","ITEM_ID_VERSION","AUCTIONATOR_SHOW_MAILBOX_TIPS","AUCTIONATOR_SNAPSHOT","AUCTIONATOR_AUTOCOMPLETE","AUCTIONATOR_SHOW_ST_PRICE","AUCTIONATOR_ENABLE_ALT","AUCTIONATOR_OPEN_FIRST","AUCTIONATOR_OPEN_BUY","AUCTIONATOR_DEF_DURATION","AUCTIONATOR_SHOW_TIPS","AUCTIONATOR_V_TIPS","AUCTIONATOR_A_TIPS","AUCTIONATOR_A_WEEK_TIPS","AUCTIONATOR_A_MONTH_TIPS","AUCTIONATOR_D_TIPS","AUCTIONATOR_SHIFT_TIPS","AUCTIONATOR_DE_DETAILS_TIPS","AUCTIONATOR_DEFTAB"},
	["AuctionatorMiniFeatures"] = {},
	["AuctionDB"] = {"AuctionDBSaved"},
	["AuctionFaster"] = {"AuctionFasterDb"},
	["AuctionHouseMountPreview"] = {},
	["AuctionLite"] = {"AuctionLiteDB"},
	["AuctionLite_AdvSearch"] = {},
	["AuctionMaster"] = {"VendorDb","AuctionMasterMiscDb"},
	["AuctionPerUnit"] = {},
	["AuctionSnatch"] = {"ASsavedtable","ASsavedposition","ASfirsttime","ASdebug"},
	["AuctionSold"] = {},
	["AuctionUniqPets"] = {},
	["AuctionValue"] = {"AuctionValueTotal"},
	["AUDIOCLUBFUDGE"] = {},
	["AudioQs"] = {"SV_Specializations"},
	["Auditor3"] = {"Auditor3DB","Auditor2DB"},
	["aunty"] = {},
	["Auracle"] = {"Auracle_DB"},
	["AuraFrames"] = {"AuraFramesDB"},
	["AuraFramesConfig"] = {},
	["Aurora"] = {"AuroraConfig"},
	["Aurora_Extension"] = {"AuroraExtensionDB"},
	["AutionerFast"] = {"AuctionFasterDb"},
	["Auto pet heals"] = {},
	["Auto Track Zone Quests"] = {"atzq_on","atzq_on"},
	["AutoAcceptEnchantReplace"] = {},
	["AutoAccepter"] = {},
	["AutoAcceptInvite"] = {"AutoAcceptInviteDB"},
	["AutoAcceptShare"] = {"AAS_ENABLED"},
	["AutoActionCam"] = {"CamSetting"},
	["AutoAreaFavorites"] = {"AutoAreaFavoritesDB"},
	["AutoBar"] = {"AutoBarDB"},
	["AutoBarClassic"] = {"AutoBarDB"},
	["AutoBiographer"] = {"AUTOBIOGRAPHER_SETTINGS","AUTOBIOGRAPHER_CATALOGS_CHAR","AUTOBIOGRAPHER_EVENTS_CHAR","AUTOBIOGRAPHER_INFO_CHAR","AUTOBIOGRAPHER_LEVELS_CHAR"},
	["AutoBusy"] = {"AB_Options"},
	["AutoCage"] = {"AutoCageEnabled"},
	["AutoCarrot"] = {"AutoCarrotDB"},
	["AutoCastOverlayForMacros"] = {},
	["AutoClickthrough"] = {},
	["AutoCombatLogger"] = {"AutoCombatLoggerDB"},
	["AutoCombatLogging"] = {},
	["AutoConfirmMerchantTrade"] = {},
	["AutoConfirmRoll"] = {},
	["AutoConfirmTalents"] = {},
	["AutoDeleteItems"] = {"AutoDelete"},
	["AutoDeleteText"] = {},
	["AutoDialogSounds"] = {"AutoDialogSoundsDB"},
	["AutoDismount"] = {"AUTO_DISMOUNT_FORM_CANCEL"},
	["AutoDispell"] = {},
	["AutoDrink"] = {},
	["AutoDude"] = {"CoreDB"},
	["AutoEnch"] = {"AutoEnchOptions2"},
	["AutoEquipQuestItem"] = {},
	["AutoFlood"] = {"AF_config"},
	["AutoFollow"] = {},
	["AutoFriendlyNameplates"] = {"AFN_MUTED"},
	["AutoGear"] = {"AutoGearDB"},
	["AutoGearSwap"] = {"AutoGearSwapPrefs"},
	["AutoGeneralChat"] = {},
	["AutoGossip"] = {},
	["AutoGratzer"] = {"AG_GratsMessage","AG_GratsTimeMin","AG_GratsTimeMax","AG_GratsTimeWait","AG_GuildJoinMessageToggle","AG_Guild","AG_Say","AG_Party","AG_Delay","Ag_GuildDisabledOverride","AG_GroupingTime","AG_GuildJoinMessageToggle","AG_GuildWelcomeMessage"},
	["AutoGroupAccept"] = {"sIsInRaidInstanceGLOBAL","sIsFriendBoolGLOBAL","sBNIsFriendBoolGLOBAL","sIsGuildBoolGLOBAL","sIsActiveGLOBAL","sIsSilenceGLOBAL","sTableAddedGLOBAL","sTableBlockedGLOBAL","sIsInRaidInstance","sIsFriendBool","sBNIsFriendBool","sIsGuildBool","sIsActive","sIsSilence","sTableAdded","sTableBlocked","sFirstTime","sUseGlobals"},
	["AutoHideRightBar"] = {},
	["AutoInvitation"] = {},
	["autoInvite"] = {"AutoInviteSettings"},
	["autoinviterwr"] = {"magics"},
	["AutoJunkSeller"] = {"AutoJunkSeller"},
	["AutoKeystone"] = {},
	["AutoLeader"] = {"AutoLeaderDB"},
	["AutoLFGRole"] = {"AutoLFGRoleEnabled"},
	["AutoLog"] = {"AutoLog_DB"},
	["AutoLoggerClassic"] = {"ALCOptions"},
	["autoloot"] = {"ALAC","Test","RarityAL"},
	["AutoLootAssist"] = {},
	["AutolootEnable"] = {},
	["AutoLooter"] = {"autoloot_table","autoloot_on"},
	["AutoLootPlus"] = {},
	["AutoLootSpec"] = {"AutoLootSpecDB"},
	["AutoLootSpecSwap"] = {"AutoLootSpecSwap_bossNameToSpecMapping","AutoLootSpecSwap_bossNameToSpecMapping_H","AutoLootSpecSwap_bossNameToSpecMapping_N","AutoLootSpecSwap_bossNameToSpecMapping_L","AutoLootSpecSwap_specToSwitchToAfterLooting","AutoLootSpecSwap_globalSilence","AutoLootSpecSwap_minimized","AutoLootSpecSwap_perDifficulty","AutoLootSpecSwap_raidLeaderFeatures","AutoLootSpecSwap_bossNameToRMMapping","AutoLootSpecSwap_bossNameToRMMapping_H","AutoLootSpecSwap_bossNameToRMMapping_N","AutoLootSpecSwap_bossNameToRMMapping_L"},
	["AutoMacro"] = {"AutoMacroDB"},
	["AutoMailer"] = {"AutoMailer"},
	["AutoMarkTarget"] = {},
	["AutomaticGoblinTherapist"] = {"AGTOptionsSettings","AGTkeyword","AGTresponse"},
	["AutoNomi"] = {"AutoNomiOptions"},
	["AutoObjectiveHidder"] = {"AutoObjectiveHidderOptions"},
	["AutoOpenItems"] = {},
	["AutoOpenItemsSettings"] = {},
	["AutoPetSwitcher"] = {"APS_Saved_Prefs"},
	["AutoPlates"] = {"AutoPlates_mode","AutoPlates_delay","AutoPlates_hostile","AutoPlates_friendly"},
	["AutoProfitLite"] = {"AutoProfitLiteDB"},
	["AutoProfitX"] = {"AutoProfitXDB"},
	["AutoProfitX2"] = {"AutoProfitX2DB","AutoProfitX2_ExceptionlistVersion","AutoProfitX2_Settings"},
	["AutoQuestingTools"] = {"AQT_Options"},
	["AutoQuestTrack"] = {},
	["AutoQuestTracker"] = {"ManuallyFollowedQuests"},
	["AutoReagentBank"] = {"ReagentRestockerDB"},
	["AutoRepair"] = {"armode"},
	["AutoRepairifier"] = {"AutoRepairifier"},
	["AutoReplyRobot"] = {"ARRDB"},
	["AutoRes"] = {},
	["AutoResClassic"] = {"ARC_ENABLED","ARC_ACCEPT_IN_COMBAT"},
	["AutoRespond"] = {"AutoRespondOptions","AutoRespondMainOptions"},
	["AutoResurrect"] = {},
	["AutoResurrectAccept"] = {"PartyAutoRes","RaidAutoRes"},
	["AutoReviveBattlePet"] = {},
	["AutoRole"] = {},
	["autorolecheck"] = {"AutoRoleCheck_Options"},
	["AutoRoll"] = {"AutoRoll_Options"},
	["AutoSellMyJunk"] = {},
	["AutoShare"] = {},
	["AutoSpecEquip"] = {"AutoSpecEquip_DB"},
	["AutoSpit"] = {"NUM_PEOPLE_SPAT_ON"},
	["AutoStopwatch"] = {"AutoStopwatchDB"},
	["AutoTitle"] = {"AutoTitleSavedSpec1","AutoTitleSavedSpec2","AutoTitleMinimapStatus"},
	["AutoTitle_ElvUI_LDB"] = {},
	["AutoTrack"] = {"TrackingSkill"},
	["AutoTracker"] = {"ATP_db"},
	["AutoTrackerAchievement"] = {"AutoTrackerAchievementDB"},
	["AutoTrackQuests"] = {"AutoTrackQuestsDB"},
	["AutoTurnIn"] = {"AutoTurnInCharacterDB"},
	["AutoVendor"] = {"AutoVendorDB"},
	["AutoVendorExtended"] = {},
	["AutoWhispAchiev"] = {},
	["AuTwoSell"] = {},
	["aux-addon"] = {"aux"},
	["AvantUI"] = {"HideHotKeys_HK_Hidden","HideHotKeys_MN_Hidden"},
	["Avatar"] = {"AvatarDB"},
	["AvengersNemesis"] = {"AvengersNemesisCache"},
	["Avenyx"] = {},
	["AverageItemLevel"] = {},
	["AvgiLvl"] = {"AvgiLvl_DB"},
	["AvoidTheInevitable"] = {"AvoidTheInevitableDB"},
	["AvyrRaidTools"] = {"AvyrRaidTools_DB"},
	["AzCastBar"] = {"AzCastBar_Config"},
	["AzCastBarOptions"] = {"AzCastBar_Profiles"},
	["AzeriteBroker"] = {"AzeriteBrokerDB"},
	["AzeriteButton"] = {},
	["AzeriteEssenceProfiles"] = {"AzeriteEssenceProfiles"},
	["AzeriteForge"] = {"AzeriteForgeDB"},
	["AzeriteLess"] = {},
	["AzeritePower"] = {"AzeritePowerEnabled"},
	["AzeritePowerFinder"] = {},
	["AzeritePowerWeights"] = {"AzeritePowerWeightsDB"},
	["AzeriteTooltip"] = {"AzeriteTooltipDB"},
	["AzeriteTraitTooltips"] = {},
	["AzeriteUI"] = {"AzeriteUI_DB"},
	["AzeriteUI_Classic"] = {"AzeriteUI_Classic_DB"},
	["AzeriteUI_KuiNameplates"] = {"AzeriteUI_KuiNameplates_DB"},
	["Azeroth Auto Pilot"] = {},
	["AzerothAdventureAlbum"] = {"Progress","AAASettings"},
	["AzerothAudigy"] = {"AzerothAudigy","AzerothAudigyByChar"},
	["AzerPUG RareUtility"] = {"RareUtil_AutomaticAnnounce","RareUtil_AutoDeathAnnounce","RareUtil_AutoNazjarReminders","RareUtil_R","RareUtil_G","RareUtil_B","RareUtil_A","RareUtilDB"},
	["AzonaObjectivesHide"] = {"Enabled","Mode"},
	["BAB"] = {"BABProfiles","BABCurrentProfile","BABPerCharacterBarData","BABProfilesCharacter","BABOptionSettings","BABCurrentProfileFirst","BABCurrentProfileSecond"},
	["BABAuras"] = {"BABAurasProfiles","BABAurasCurrentProfile","BABAurasPerCharacterBarData","BABAurasProfilesCharacter","BABAurasOptionSettings"},
	["BabiiSkulls"] = {},
	["Backpack"] = {"BackpackDB","BackpackCategoriesDB","BackpackContainerOrderDB","BackpackKnownItems","BackpackBankDB","BackpackPosition"},
	["BackpackCurrenciesEnhanced"] = {},
	["Backpack_Classic"] = {},
	["BackstabCalculator"] = {},
	["Badapples"] = {"BadapplesState"},
	["BadBoy"] = {"BADBOY_BLACKLIST","BADBOY_OPTIONS"},
	["BadBoy_CCleaner"] = {"BADBOY_CCLEANER"},
	["BadBoy_Guilded"] = {"BADBOY_GWHISPER"},
	["BadBoy_History"] = {"BBHISTORY","BBGHISTORY","BBCCHISTORY"},
	["BadBoy_Ignore"] = {"BADBOY_IGNORE"},
	["BadBoy_Levels"] = {"BADBOY_LEVELS"},
	["BadKitty"] = {"BKSettings"},
	["BadMoonRolling"] = {"AnnounceChecked"},
	["BadNomi"] = {"previousNomi","autoNomi","numQueued"},
	["BadPet"] = {"BadPetDB"},
	["BagArtifactPower"] = {},
	["BagBrother"] = {"BrotherBags"},
	["BagButtonHider3000"] = {"showStuff"},
	["BagEnds"] = {"BagEndsConfig"},
	["BagFix"] = {"BagsToIgnore"},
	["BagFreeSpaceCounter"] = {},
	["Bagger"] = {},
	["BaggerTagger"] = {"XBT_NOTES"},
	["Baggins"] = {"BagginsDB"},
	["Baggins_LibFilter"] = {},
	["Baggins_Scrap"] = {},
	["Baggins_Search"] = {"BagginsSearch_Save"},
	["Baggins_SyLevel"] = {},
	["BagMan"] = {"BagManDB","BagManDBPC"},
	["Bagmeter"] = {"Bagmeter_Total","Bagmeter_Color","Bagmeter_Subtotal","Bagmeter_Used","Bagmeter_Subcount"},
	["BagMeters"] = {"BagMetersDB"},
	["Bagnon"] = {"Bagnon_Sets"},
	["Bagnon_BoE"] = {},
	["Bagnon_Champion"] = {},
	["Bagnon_Config"] = {},
	["Bagnon_Currencies"] = {},
	["Bagnon_Equipment"] = {},
	["Bagnon_Equipment2"] = {},
	["Bagnon_Facade"] = {},
	["Bagnon_Garbage"] = {},
	["Bagnon_GuildBank"] = {},
	["Bagnon_ItemInfo"] = {"BagnonItemInfo_DB"},
	["Bagnon_ItemLevel"] = {},
	["Bagnon_ReagentBankButton"] = {},
	["Bagnon_RequiredLevel"] = {},
	["Bagnon_Scrap"] = {},
	["Bagnon_SyLevel"] = {},
	["Bagnon_Uncollected"] = {},
	["Bagnon_VoidStorage"] = {},
	["BagSaver"] = {"BagSaverConfig"},
	["Bagsearchplus"] = {},
	["BagsFrameRemover"] = {},
	["Bagsfull"] = {},
	["BagSlots"] = {"BagSlotsDB"},
	["BagSpace"] = {},
	["Bagsy"] = {"BagsyDB"},
	["BagSync"] = {"BagSyncDB"},
	["BagTips"] = {},
	["Baguette"] = {"BaguetteDB"},
	["BaikActionbar"] = {},
	["BaikCore"] = {"BaikCoreDB"},
	["BaikItemLevel"] = {},
	["BaikMount"] = {},
	["BaikUnitFrame"] = {},
	["Baited"] = {"BAITEDDB","BAITEDSHOW"},
	["BalancePowerTracker"] = {"BalancePowerTracker_Options"},
	["BalancePowerTracker_Options"] = {},
	["BalanceSpellSuggest"] = {"BalanceSpellSuggestDB"},
	["BalefulItemLevel"] = {"BalefulILVLSV"},
	["Bam"] = {"BamDB"},
	["BAMFTones"] = {},
	["BAMxqzme"] = {"BAMxqzmeSettings"},
	["BAM_advanced"] = {"BAM_version","BAM_channel","BAM_maxDamangeCrit","BAM_maxHealCrit","BAM_onlyMaxCrit","BAM_announceOverhealBAM_playSound"},
	["BananaBarClassic"] = {"BananaBarClassicData"},
	["BananaraidSpliT"] = {},
	["BanditsGuileHelper"] = {"BGDB"},
	["Bang_Bang"] = {"BangDB","BangDW","BangDD","BangKills","BangDeaths","BangHateds","BangCharDB","BangCharDW","BangCharDD","BangCharKills","BangCharDeaths","BangCharHateds"},
	["BanishSoul"] = {"BanishSoulDB"},
	["BankCalc"] = {"BankCalc_Settings"},
	["BankGUI"] = {"BankListPlayers","BankListGuildInfo","BankListItems","BankListGuildItems","BankListCurrency","BankListFriends","BankListGlyphs","BankListFarms","BankListOptions"},
	["BankItems"] = {"BankItems_Save","BankItems_SaveGuild"},
	["BankItems_MailWatch"] = {},
	["BankStack"] = {"BankStackDB"},
	["BanksWatch"] = {"BWdebug","BWsavedtable","BWconfig"},
	["BannerBanner"] = {},
	["barcopy"] = {"BarCopySettings"},
	["BarMasse"] = {"BarMasseDB"},
	["Barn"] = {},
	["Barnyard"] = {},
	["BarovHelper"] = {},
	["BarProfiler"] = {"BPDB"},
	["Barrel"] = {"BarrelDB"},
	["BarrelsOEasy"] = {"BarrelsOEasyShowFrame","BarrelsOEasyX","BarrelsOEasyY","BarrelsOEasyFrom","BarrelsOEasyTo","BarrelsOEasyShowMessageCount"},
	["Bartender4"] = {"Bartender4DB"},
	["Bartender4Arched"] = {},
	["Bartender4_BuffHider"] = {"Bartender4_BuffHider_DB"},
	["BarTexture"] = {"BarTextureTexture","BarTextureFrames","BarTextureBars"},
	["BartrubyHerbMobAlert"] = {"BartrubyHerbMobAlertDB"},
	["BartrubySummonPet"] = {"BartrubySummonPetDB"},
	["BaseAP"] = {"BaseAPSaved"},
	["BasicBuffHide"] = {},
	["BasicBuffs"] = {"BasicBuffsOptions"},
	["BasicChatMods"] = {"bcmDB"},
	["BasicComboPoints"] = {"BCPSettings"},
	["BasicComboPoints_Options"] = {},
	["BasicMinimap"] = {"BasicMinimapSV"},
	["BasicMinimap_Options"] = {},
	["BasicThreatBar"] = {"BasicThreatBarDB"},
	["BastasTools"] = {"BastasToolsDB"},
	["BastionEPGP"] = {"BastionEPGPDB"},
	["BastionPower"] = {},
	["Battle Pet Daily Tamer"] = {"BattlePetDailyTamerSettings"},
	["BattleCursorClip"] = {},
	["BattleGroundEnemies"] = {"BattleGroundEnemiesDB"},
	["BattlegroundNotifier"] = {},
	["BattlegroundSpiritReleaser"] = {"BattlegroundSpiritReleaserDB"},
	["BattlegroundTargets"] = {"BattlegroundTargets_Options"},
	["BattleInfo"] = {"BatteInfoSettings","BatteInfoStat"},
	["BattleNetFriendAlert"] = {"BATTLENETFRIENDALERT_SAVEDVARIABLES"},
	["BattlePetBattleStats"] = {},
	["BattlePetBinds"] = {"BPBindOptions"},
	["BattlePetBreedID"] = {"BPBID_Options"},
	["BattlePetCageMatch"] = {"BattlePetCageMatch_Data","BattlePetCageMatch_Options"},
	["BattlePetCount"] = {"BattlePetCountDB"},
	["BattlePetCounter"] = {},
	["BattlePetQualityCheck"] = {},
	["BattlePetSpeciesID"] = {"BPSID_Options"},
	["BattlePetTabs"] = {"BattlePetTabsDB3"},
	["BattleRes"] = {},
	["BaudBag"] = {"BaudBag_Cfg","BaudBag_Cache","BaudBag_Debug"},
	["BaudManifest"] = {"BaudManifestData"},
	["BaudMark"] = {},
	["Bazooka"] = {"BazookaDB"},
	["Bazooka_Options"] = {},
	["BBar"] = {"BBarMoney","BBarShownCurrency","BBarShownItems","BBarCustomItems","BBarReputations","BBarProfessions","BBarOptions","BBarPos"},
	["BBDKP"] = {"BBDKP","BBDKP_Log","BBDKP_Raid"},
	["BCEPQue"] = {"enemiesoffline","euqpecb"},
	["BCleaner"] = {"BCleaner"},
	["BCT"] = {"BCTDB"},
	["bdActionbars"] = {},
	["bdBags"] = {},
	["bdBuffs"] = {},
	["bdChat"] = {},
	["bdCore"] = {"BD_persistent","BD_user"},
	["bdGrid"] = {},
	["bdMinimap"] = {},
	["bdNameplates"] = {},
	["Bdstats"] = {"Dungeonstats","Battlestats","hmratio"},
	["bdTooltips"] = {},
	["bdUI"] = {"BDUI_SAVE"},
	["bdUnitframes"] = {},
	["BeamMeUpDeja"] = {"BeamMeUpDejaDB","BeamMeUpDejaDBPC"},
	["BeanCounter"] = {"BeanCounterDB","BeanCounterDBSettings","BeanCounterDBNames","BeanCounterAccountDB","BeanCounterMailPatch"},
	["BearForceOne"] = {"bfoConfig"},
	["BeBlessed"] = {"BeBlessedData"},
	["BecomeMyFriend"] = {},
	["BeeFacts"] = {"BeeFactsDB"},
	["Beefshard"] = {"beefshardDB"},
	["BelowAverageItems"] = {},
	["BenefitsWithFriends"] = {"BWFdb"},
	["beql"] = {"beqlDBnew"},
	["BeQuiet"] = {"ASHRAN","ENABLED","ISLANDS","NAZJATAR"},
	["Berserker"] = {},
	["BestFoodLite"] = {"BFLGlobalSettings","BFLLocalSettings"},
	["BestInSlotClassic"] = {"BestInSlotClassicGlobalDB","BestInSlotClassicDB"},
	["BestInSlotNG"] = {"BestInSlotNGDB"},
	["BestInSlotNG_BattleForAzerothDungeons"] = {},
	["BestInSlotNG_BattleForAzerothRaids"] = {},
	["BestInSlotRedux"] = {"BestInSlotDB"},
	["BestInSlotRedux_BfaDungeons"] = {},
	["BestInSlotRedux_BfaRaids"] = {},
	["BestInSlotRedux_BfaWorld"] = {},
	["BestItem"] = {"SPsave"},
	["BestKeystone"] = {"BestkeystoneData"},
	["BestPvPScripts"] = {},
	["BeStride"] = {"BeStrideDB","BestrideDB"},
	["BestScrapMeltdown"] = {"BestScrapMeltdownDB"},
	["BestSellButton"] = {"BestSellButtonDB"},
	["BestSeller"] = {"BestSellerDatabase"},
	["BetForLegendary"] = {},
	["BetterAddonList"] = {"BetterAddonListDB"},
	["BetterArchaeologyUI"] = {},
	["BetterAutoLoot"] = {"BetterAutoLootDB"},
	["BetterBattlePetTooltip"] = {"BBPTDB"},
	["BetterBlizzFrames"] = {"BetterBlizzFramesDB"},
	["BetterBlizzOptions"] = {},
	["BetterBuffDuration"] = {},
	["BetterChatSounds"] = {},
	["BetterClassHallMissions"] = {},
	["BetterDifficulty"] = {"iForceSettings","iShowMessages","dSave","lSave","rSave"},
	["BetterEXP"] = {"BAR_LOCKED","BEXP_restedColorR","BEXP_restedColorG","BEXP_restedColorB","BEXP_normalColorR","BEXP_normalColorG","BEXP_normalColorB","BEXP_bubbleColorR","BEXP_bubbleColorG","BEXP_bubbleColorB","BEXP_frameWidth","BEXP_textureWidth","BEXP_textBarWidth","BEXP_frameHeight","BEXP_textureHeight","BEXP_textBarHeight","BEXP_toLevel","BEXP_avgXP","BEXP_gainedXP","BEXP_kills","BEXP_currentXP","BEXP_maxXP","BEXP_leftXP","BEXP_restedXP","BEXP_maxBubbleXP","BEXP_currentBubbleXP","BEXP_options"},
	["BetterExtraActionButton"] = {"BetterExtraActionBarDB"},
	["BetterIconSelector"] = {},
	["BetterIconSelector-KeywordData"] = {},
	["BetterLootMessage"] = {},
	["BetterObjectives"] = {"BetterDB","BetterObjectivesAceDB"},
	["BetterPowerBarAlt"] = {"BetterPowerBarAltDB"},
	["BetterQuest"] = {"BetterQuestDB"},
	["BetterQuestFrame"] = {"BetterQuestFrameDB","BetterQuestFrameCharDB"},
	["BetterRep"] = {},
	["BetterRez"] = {},
	["BetterRogueFrames"] = {},
	["BetterScoreboard"] = {},
	["bettersocialtooltip"] = {},
	["BetterSoulShards"] = {"BetterSoulShardsDB"},
	["BetterTooltip"] = {},
	["BetterTooltips"] = {},
	["BetterVendorPrice"] = {"betterVendorPriceSaved"},
	["BetterWorldQuests"] = {},
	["Better_Than_Bis"] = {"BTBDB"},
	["BFAInvasionTimer"] = {"BFAInvasionTimerDB","BFAInvasionData"},
	["BFAInvasionTimer_Options"] = {},
	["bfaPetQuest"] = {},
	["Bffs"] = {},
	["BGCallouts"] = {},
	["BGDefender"] = {"BGD_Prefs"},
	["BGFrames"] = {"BGFrames_Saved"},
	["BGHistorian"] = {"BGHistorian"},
	["BGL-PBR"] = {},
	["BGL-QAT"] = {"bglQATSaveData"},
	["BGL-TTM"] = {"bglTTMSaveData"},
	["BGRadio_16.0505"] = {"BGR_EnableSapGuard","BGR_EnablePingMap"},
	["BGRep"] = {"BGRepDB"},
	["BGRoll"] = {},
	["BGScoreShot"] = {"BGScoreShot_Variables"},
	["BGStats"] = {"BGstats_BaseDataList","BGstats_ExtraFrameDataList"},
	["BHMB"] = {},
	["bIamPrepared"] = {"bIamPreparedDB"},
	["bIamPrepared_Config"] = {},
	["bIamPrepared_Deathknight"] = {},
	["bIamPrepared_Demonhunter"] = {},
	["bIamPrepared_Druid"] = {},
	["bIamPrepared_Hunter"] = {},
	["bIamPrepared_Mage"] = {},
	["bIamPrepared_Monk"] = {},
	["bIamPrepared_Paladin"] = {},
	["bIamPrepared_Priest"] = {},
	["bIamPrepared_Rogue"] = {},
	["bIamPrepared_Shaman"] = {},
	["bIamPrepared_Warlock"] = {},
	["bIamPrepared_Warrior"] = {},
	["Bich"] = {"BichDB","BichAddition"},
	["BidOnceAgain"] = {"BOAStandings","BOARaidHistory"},
	["BigBrother"] = {"BigBrotherDB"},
	["BigComboPoints"] = {},
	["BigDebuffs"] = {"BigDebuffsDB"},
	["BigDickClub"] = {"BigDickClubDB"},
	["bigdumblootcouncil"] = {"bdlc_config","bdlc_history"},
	["BiggerBagChecker"] = {},
	["BiggerFishToFryTracker"] = {},
	["BiggerTradeskillUI"] = {"BiggerTradeSkillUiDB"},
	["BiggestExecute"] = {"BE_BIGGEST_PVE","BE_BIGGEST_PVE_VICTIM","BE_BIGGEST_PVP","BE_BIGGEST_PVP_VICTIM","BE_BIGGEST_PVE_CRIT","BE_BIGGEST_PVE_CRIT_VICTIM","BE_BIGGEST_PVP_CRIT","BE_BIGGEST_PVP_CRIT_VICTIM","BE_ANNOUNCE_BIGGEST","BE_LOGIN_MSG"},
	["BigLibTimer"] = {},
	["BigSay"] = {},
	["BigWigs"] = {"BigWigs3DB","BigWigsIconDB","BigWigsStatsDB"},
	["BigWigs_Achievements"] = {},
	["BigWigs_AutoReply2"] = {"BigWigs_AutoReplyFilterWhispers","BigWigs_AutoReplyIgnoreList","BigWigs_AutoReplyDetailedWhispers"},
	["BigWigs_Azeroth"] = {},
	["BigWigs_BattleOfDazaralor"] = {},
	["BigWigs_BlackhandAssist"] = {"BlackhandAssistDB"},
	["BigWigs_BurningCrusade"] = {},
	["BigWigs_Cataclysm"] = {},
	["BigWigs_Classic"] = {},
	["BigWigs_CommonAuras"] = {},
	["BigWigs_Core"] = {},
	["BigWigs_Countdown_HeroesOfTheStorm"] = {},
	["BigWigs_CountDown_Narwhal"] = {},
	["BigWigs_Countdown_Overwatch"] = {},
	["BigWigs_Countdown_Sabinico"] = {},
	["BigWigs_CrucibleOfStorms"] = {},
	["BigWigs_EternalPalace"] = {},
	["BigWigs_GlaDOS_Voice"] = {},
	["BigWigs_Japanese_Voice"] = {},
	["BigWigs_Legion"] = {},
	["BigWigs_MistsOfPandaria"] = {},
	["BigWigs_NezirIcePatch"] = {},
	["BigWigs_Nyalotha"] = {},
	["BigWigs_Options"] = {},
	["BigWigs_Plugins"] = {},
	["BigWigs_Ra-denAssist"] = {},
	["BigWigs_Style_Medi"] = {},
	["BigWigs_ThogarLaneColors"] = {},
	["BigWigs_Transcriptor"] = {},
	["BigWigs_Uldir"] = {},
	["BigWigs_Voice"] = {},
	["BigWigs_Voice_Arnold"] = {},
	["BigWigs_Voice_DE"] = {},
	["BigWigs_Voice_Eminem"] = {},
	["BigWigs_Voice_ES"] = {},
	["BigWigs_Voice_FR"] = {},
	["BigWigs_Voice_Quake3"] = {},
	["BigWigs_Voice_RU"] = {},
	["BigWigs_Voice_UT"] = {},
	["BigWigs_WarlordsOfDraenor"] = {},
	["BigWigs_WrathOfTheLichKing"] = {},
	["BigWigs_YorsahjPriority"] = {},
	["BijouRR"] = {"logged_off_time","coinList","bijouList","lootList"},
	["BillsUtils"] = {},
	["Binder"] = {"Binder_Settings","BinderMinimapSettings"},
	["BindPad"] = {"BindPadVars"},
	["BindsWhen"] = {},
	["Bing"] = {},
	["BiSTooltip"] = {},
	["BiSTracker"] = {"BiS_Settings"},
	["BiSTracker2020"] = {"BiS2020_Settings"},
	["BittensSpellFlashLibrary"] = {},
	["BittensSpellFlash_Atonement"] = {},
	["BittensSpellFlash_DK"] = {},
	["BittensSpellFlash_Druid"] = {},
	["BittensSpellFlash_Hunter"] = {},
	["BittensSpellFlash_KeyBindings"] = {},
	["BittensSpellFlash_Mage"] = {"CombustionMonitorSettings"},
	["BittensSpellFlash_Monk"] = {},
	["BittensSpellFlash_Pally"] = {},
	["BittensSpellFlash_Priest"] = {},
	["BittensSpellFlash_Rogue"] = {},
	["BittensSpellFlash_Shaman"] = {},
	["BittensSpellFlash_Warlock"] = {},
	["BittensSpellFlash_Warrior"] = {},
	["BittensUtils"] = {},
	["Blacklist_Advanced"] = {},
	["BlackMoneyAH"] = {},
	["BlindAssist"] = {"BlindAssistData"},
	["BlindWarcraft"] = {},
	["Blink"] = {},
	["BlinkComboHelper"] = {},
	["BlinkHealthText"] = {"BlinkHealthTextDB"},
	["Blitz"] = {"Blitz_Sets"},
	["Blitz_Config"] = {},
	["Blitz_Progress"] = {},
	["BlizzardInterfaceDisplayManager"] = {"BlizzardInterfaceDisplayManager_Saved"},
	["BlizzBuffsFacade"] = {},
	["BlizzMove"] = {},
	["BlockChinese"] = {},
	["BlockGoldSpam"] = {},
	["BlockRussian"] = {},
	["BlockSpam"] = {"BlockSpamDB","BlackListDB","BlackListLevel"},
	["Blong"] = {},
	["bloodhound2"] = {"Settings"},
	["BloodShieldTracker"] = {"BloodShieldTrackerDB"},
	["Bloodsplatter"] = {"hrate","healththreshold","maxalpha","bltx"},
	["BloodSurge"] = {"BloodSurgeDB"},
	["BloodthistleSimulator"] = {"BloodthistleSimulatorSaved"},
	["BloodTrader"] = {},
	["BloodyAddon"] = {"g_BloodyAddon_config"},
	["BLoot"] = {"BLootAddonSaved"},
	["BlowMyWhistle"] = {},
	["BLpopper"] = {},
	["BLTNorushen"] = {"BLTNorushenDB"},
	["BLTRaidCooldowns"] = {"BLTRCDDB"},
	["Blueberry"] = {},
	["BlushResponse"] = {},
	["BL_Cooldown"] = {"BLCDDB","BLCDrosterReload"},
	["BNBroadcastSlash"] = {},
	["BNFriendsCounterUpdated"] = {},
	["BobHUD"] = {},
	["Boblust"] = {"Boblust_enabled","Boblust_source"},
	["bobSatchels"] = {"bobSatchelsSaved"},
	["BOBScore"] = {},
	["BobsToolbox"] = {"BobsToolboxSettings"},
	["BodyGuardAway"] = {"BodyGuardAwayEnabled"},
	["BodyguardBypass"] = {},
	["BodyguardFocusAlert"] = {},
	["BodyguardHealth"] = {"BodyguardHealthDB"},
	["Boing"] = {"BoingDB"},
	["BondeMaravilha"] = {},
	["bonefilter"] = {},
	["Bones"] = {},
	["BonkTrack"] = {"bonktrack","bonktrackin","bonktrackguild"},
	["BonusIDTooltips"] = {},
	["BonusRoll"] = {"BonusRollDatabase"},
	["BonusRollFilter"] = {"BRF_Data"},
	["BonusRollHelper"] = {"brhV"},
	["BonusRollPreview"] = {"BonusRollPreviewDB"},
	["BonusRollTracker"] = {"BonusRollTrackerDB"},
	["BonusRollWindowHide"] = {},
	["BonusXP"] = {"BonusXP"},
	["Book!"] = {"BOOK_Storage"},
	["Bookie"] = {"BookieSave"},
	["BookofCrafts"] = {"BookofCraftsDB"},
	["Boomerang"] = {},
	["Boomkinator"] = {"BoomkinatorDB"},
	["BoosterShot"] = {},
	["BoostHelper"] = {},
	["BootyBayGazette"] = {"BBGTooltipsHidden"},
	["BOPCraftConfirm"] = {"BOPCraftConfirmDB"},
	["Borderless"] = {"BorderlessDragons","BorderlessPlayer","BorderlessTarget","BorderlessFocus","BorderlessActionbars","BorderlessMinimap","BorderlessMenu","BorderlessObjectiveTracker","BorderlessBags","BorderlessCastbar","BorderlessClassIcon","BorderlessStatusBar","BorderlessTalkingHeads"},
	["Boss whisper"] = {},
	["BossBannerHider"] = {"HideBossBanner"},
	["BossCheatSheets"] = {"ShowMiniMapIcon","AutoDisplayOnBossTargeted","ShowClassStratsByDefault","ClassStratsFallbackToRole","ClassStratsFallbackToGeneral","ShowRoleStratsByDefault","RoleStratsFallbackToGeneral"},
	["BossesKilled"] = {},
	["Bosses_Killed_lfr"] = {},
	["BossFilter"] = {"BossFilterDB"},
	["BossHealth"] = {"BossHealth_FramePos"},
	["BossInfo"] = {},
	["BossList"] = {"BossList_entries","BossList_DB"},
	["BossList_EJIntegration"] = {},
	["BossModChecker"] = {"bmcpsbossmodnoalphavar"},
	["BossModNameplates"] = {"BossModNameplatesDB"},
	["BossModNameplates_Options"] = {},
	["BossNotes"] = {"BossNotesDB"},
	["BossNotes_Abilities"] = {"BossNotesAbilitiesDB"},
	["BossNotes_Emotes"] = {"BossNotesEmotesDB"},
	["BossNotes_PersonalNotes"] = {"BossNotesPersonalNotesDB"},
	["BossNotes_Rules"] = {"BossNotesRulesDB"},
	["BossNotes_Tactics"] = {},
	["BossPull"] = {},
	["BossShots"] = {"BossShotsDB"},
	["BossStatusWhisperer"] = {"BSW_DisableChatFilter"},
	["BossSwingTimer"] = {"BossSwingTimerDB"},
	["Boss_shieldsmonitor"] = {"jxwelwidth2","jxwelheight2","jxgalochki2"},
	["BoS_Advisior"] = {},
	["BottleCap"] = {"BottleCapDB"},
	["BottomBar"] = {"bb_height","bb_alpha"},
	["BountyHuntedMotionTracker"] = {"BountyHuntedMotionTrackerDB"},
	["BPGP-Loot-System"] = {"BPGP_DB"},
	["BraveReward"] = {"BraveRewardDB"},
	["Brawler"] = {"Brawler"},
	["BRDEscortFarm"] = {},
	["Breakables"] = {"BreakablesDB"},
	["BreakTime"] = {"BreakTimeDB"},
	["Breeze"] = {"Breeze_ChatOutput","Breeze_AutoClick"},
	["Breweryge"] = {},
	["Brewfest_Censor"] = {},
	["BrewSpeak"] = {"BrewSpeak_DB"},
	["BRF_Forwarder"] = {"BRFForwarder_DB"},
	["BRF_ForwardingTracker"] = {"BRFForwardingTracker_DB"},
	["Briefings"] = {"BriefingsDB"},
	["Brigand_Chatterbox"] = {"ChatChannel","ChatEvent","ChatSound","ChatState","ChatLimit","ChatVersion","FriendsState","FriendsSound"},
	["BrightleafNameplateClassColors"] = {},
	["Brohoof"] = {},
	["BrokenIslesInvasionTimer"] = {"BrokenIslesInvasionTimerDB"},
	["BrokerAnything"] = {"BrokerAnythingDB"},
	["BrokerDualSpec"] = {},
	["BrokerMounts"] = {"lastmountIndex","lastmountText","lastmountIcon","lastmountSpell","favmount1index","favmount1name","favmount1icon","favmount2icon","favmount2name","favmount2index","favmount3icon","favmount3name","favmount3index","togglefavorite"},
	["BrokerPack"] = {"BrokerPackDB"},
	["BrokerPets"] = {"lastpetId","lastpetText","lastpetIcon","fav1id","fav2id","fav3id","togglefavoritepets"},
	["brokertoolbox"] = {"BrokerToolBoxDB"},
	["Broker_AddonMonitor"] = {},
	["Broker_AFK"] = {"Broker_AFKDB"},
	["Broker_AlertFrames"] = {"Broker_AlertFrames"},
	["Broker_Ammo"] = {},
	["Broker_ApexisCrystals"] = {},
	["Broker_AudioHardware"] = {},
	["Broker_Auditor"] = {"BrokerAuditorDB"},
	["Broker_BagFu"] = {"BrokerBagsDB"},
	["Broker_BagInfo"] = {"Broker_BagInfoDB"},
	["Broker_BattleRes"] = {},
	["Broker_Calendar"] = {"CalendarDB"},
	["Broker_CalendarAF"] = {"BrokerCalendarAFDB"},
	["Broker_Cash"] = {"Broker_CashDB"},
	["Broker_ChannelWatch"] = {"BrokerChannelWatchDB"},
	["Broker_CharacterStats"] = {},
	["Broker_ChatAlerts"] = {"BrokerChatAlerts_DB"},
	["Broker_ClassicTracking"] = {},
	["Broker_Classic_Training"] = {"Broker_Classic_Training_DB"},
	["Broker_Clock"] = {"BrokerClockDB"},
	["Broker_Cloth"] = {"Broker_Cloth_DB"},
	["Broker_CombatDuration"] = {},
	["Broker_Compass"] = {"Broker_CompassDB"},
	["Broker_ConsolidatedBuffs"] = {},
	["broker_CritterKillSquad"] = {},
	["Broker_CTA"] = {},
	["Broker_Currency"] = {"Broker_CurrencyDB","Broker_CurrencyCharDB"},
	["Broker_Currencyflow"] = {"Currencyflow_DB"},
	["Broker_DamagePercentModifier"] = {},
	["Broker_Digicam"] = {"BrokerDigicamDB"},
	["Broker_DurabilityInfo"] = {"Broker_DurabilityInfoDB"},
	["Broker_Elements"] = {"Broker_Elements_DB"},
	["Broker_EnchantingMats"] = {"Broker_EnchantingMats_DB"},
	["Broker_EPGP"] = {"BrokerEPGPDB"},
	["Broker_EpicCount"] = {"EpicCountVars"},
	["Broker_Equipment"] = {"Broker_EquipmentDB"},
	["Broker_Everything"] = {"Broker_Everything_DataDB","Broker_Everything_CharacterDB","Broker_Everything_AceDB"},
	["Broker_Exit"] = {},
	["Broker_Followers"] = {"Broker_Follower_DB"},
	["Broker_Garrison"] = {"Broker_GarrisonDB"},
	["Broker_GarrisonResources"] = {},
	["Broker_Gems"] = {"Broker_Gems_DB"},
	["broker_gg_socialstate"] = {"GGSocialStateDB"},
	["Broker_GotMail"] = {"GotMailCounter"},
	["Broker_HealBot"] = {"Broker_HealBotDB"},
	["Broker_Herbs"] = {"Broker_Herbs_DB"},
	["Broker_ilvl"] = {"Broker_ilvlDB"},
	["Broker_InscriptionMats"] = {"Broker_InscriptionMats_DB"},
	["Broker_InstanceDifficulty"] = {},
	["Broker_IslandExpedition"] = {"IslandDB"},
	["Broker_Itemlist"] = {"BrokerItemlistDB"},
	["Broker_kAddonMsg"] = {"Broker_kAddonMsgDB"},
	["broker_leveltime"] = {"LeveltimeDB"},
	["Broker_LFG"] = {},
	["Broker_Location"] = {"Broker_LocationDB"},
	["Broker_LootSpec"] = {},
	["Broker_Memory"] = {},
	["Broker_MicroClock"] = {"Broker_MicroClockDB"},
	["Broker_MicroMenu"] = {"Broker_MicroMenuDB"},
	["Broker_MiningMats"] = {"Broker_MiningMats_DB"},
	["Broker_Money"] = {"Broker_MoneyDB","Broker_MoneyConfig"},
	["Broker_MoneyFu"] = {"Broker_MoneyFuDB","Broker_MoneyFuCharDB"},
	["Broker_MuteSound"] = {},
	["Broker_NameToggle"] = {},
	["Broker_oQueue"] = {},
	["broker_orderhall"] = {"BrokerClassHall"},
	["Broker_OrderHallCommandBar"] = {},
	["Broker_OrderHallResources"] = {},
	["Broker_PartyLoot"] = {},
	["Broker_PetHappiness"] = {},
	["Broker_PlayedTime"] = {"BrokerPlayedTimeDB"},
	["Broker_Portals"] = {"PortalsDB"},
	["Broker_ProfessionMats"] = {"Broker_ProfessionMatsDB"},
	["Broker_ProfessionsMenu"] = {"Broker_ProfessionsMenu"},
	["Broker_PvPinfo"] = {"PvPinfo"},
	["Broker_PvPStatus"] = {},
	["broker_raidbuffs"] = {},
	["Broker_RaidFinder"] = {"BrokerRaidFinder_DB"},
	["Broker_RaidMakeup"] = {"BRM_DB"},
	["Broker_Recap"] = {"Broker_Recap_Options"},
	["Broker_RecountFu"] = {"BrokerRecountFuDB"},
	["Broker_Reincarnation"] = {"AnkhUpDB"},
	["Broker_ReoriginationArray"] = {},
	["Broker_RestFu"] = {"Broker_RestFuDB"},
	["Broker_RunSpeed"] = {},
	["Broker_Seals"] = {"Broker_SealsDB"},
	["broker_simulationcraft"] = {},
	["Broker_Skills"] = {},
	["Broker_SkinningMats"] = {"Broker_SkinningMats_DB"},
	["Broker_SmartAuraWatch"] = {},
	["Broker_SmartBuff"] = {},
	["Broker_SmartDebuff"] = {},
	["Broker_Specializations"] = {"brokerSpecializationsDB"},
	["Broker_SpecializationsConfig"] = {},
	["Broker_Speed"] = {},
	["Broker_Stats"] = {"BrokerStatsDB"},
	["Broker_StatsConfig"] = {},
	["Broker_StatsNow_Defense"] = {},
	["Broker_StatsNow_Melee"] = {},
	["Broker_StatsNow_Range"] = {},
	["Broker_StatsNow_Secondary"] = {},
	["Broker_StatsNow_Spells"] = {},
	["broker_stereo3d"] = {},
	["Broker_SysMon"] = {},
	["Broker_TankStats"] = {},
	["Broker_TicketStatus"] = {"BrokerTicketStatusDB"},
	["Broker_TimelessCoins"] = {},
	["Broker_TimeToExecute"] = {"Broker_TimeToExecuteDB"},
	["Broker_TolBarad"] = {"Broker_TolBaradDB"},
	["Broker_TradeCooldowns"] = {"BTC_DB"},
	["Broker_TSMProfile"] = {"Broker_TSMProfileDB"},
	["Broker_uClock"] = {"uClockDB"},
	["Broker_Volume"] = {"BrokerVolumeDB"},
	["Broker_Wallet"] = {},
	["Broker_WhoLib"] = {},
	["Broker_Wintergrasper"] = {"Broker_WintergrasperDB"},
	["Broker_WorldQuests"] = {"BWQcfg","BWQcache","BWQcfgPerCharacter"},
	["Broker_XPBar"] = {"BrokerXPBar_DB"},
	["Broker_XPTracker"] = {"Broker_XPTrackerDB"},
	["Broker_Zygor"] = {},
	["BronzeDragonFrame"] = {},
	["Btex"] = {},
	["BTMediaPack"] = {},
	["BtWLoadouts"] = {"BtWLoadoutsSets","BtWLoadoutsSpecInfo","BtWLoadoutsRoleInfo","BtWLoadoutsEssenceInfo","BtWLoadoutsCharacterInfo","BtWLoadoutsHelpTipFlags","BtWLoadoutsSettings","BtWLoadoutsCollapsed"},
	["BtWObjectiveFilter"] = {"BtWObjectiveFilter_filter"},
	["BtWQuests"] = {"BtWQuests_Characters","BtWQuests_SettingsBtWQuests_AutoLoad"},
	["BtWQuestsBattleForAzeroth"] = {},
	["BtWQuestsBattleForAzerothPrologue"] = {},
	["BtWQuestsCataclysm"] = {},
	["BtWQuestsClassic"] = {},
	["BtWQuestsLegion"] = {},
	["BtWQuestsMistsOfPandaria"] = {},
	["BtWQuestsWarlordsOfDraenor"] = {},
	["Bubble_Collector"] = {"BC_PS","BC_SAVED"},
	["Bubblicious"] = {"BubbliciousDB"},
	["buddyname"] = {"BuddyName_DB"},
	["BuffBroker"] = {"BuffBrokerDB"},
	["BuffBuddy"] = {},
	["BuffCheck"] = {"BuffCheck_ActiveSettings"},
	["BuffDuty"] = {"BuffDutyDB"},
	["Buffed!"] = {"BuffedSettings","BuffedProfiles"},
	["BuffEnoughClassic"] = {"BuffEnoughClassic_Settings"},
	["Buffet"] = {"BuffetItemDB","BuffetDB"},
	["BuffMe"] = {},
	["buffOmat"] = {"buffOmatDB","buffOmatDBChar"},
	["BuffOverlay"] = {"BuffOverlayDB"},
	["BuffOwner"] = {},
	["BuffTimers"] = {"BuffTimersOptions"},
	["Buffwatch"] = {"BuffwatchConfig","BuffwatchPlayerConfig","BuffwatchSaveBuffs"},
	["BuffwatchClassic"] = {"BuffwatchConfig","BuffwatchPlayerConfig","BuffwatchSaveTempEnch","BuffwatchSaveBuffs"},
	["Buffy"] = {"BuffyDB"},
	["Buffzilla"] = {"BuffzillaDB"},
	["Buff_Off"] = {},
	["Bugger"] = {"BuggerDB"},
	["BugSack"] = {"BugSackDB","BugSackLDBIconDB"},
	["BUIR"] = {},
	["BulkBuy"] = {},
	["Bulkie"] = {},
	["BulkMail2"] = {"BulkMail2DB","BulkMail3DB"},
	["BulkMail2Inbox"] = {"BulkMail2InboxDB","BulkMail3InboxDB"},
	["BulkOrder"] = {"g_BulkOrderGlobal","g_BulkOrder"},
	["BuloLayer"] = {"BuloLayerOptions"},
	["BuloUI"] = {},
	["Bump"] = {"Bump_Instance","Bump_Rep","Bump_XP","Bump_Currency","Bump_Money"},
	["BunnyShaker"] = {},
	["BurlexUID"] = {"buidChar"},
	["burnRate"] = {"burnrDB"},
	["BusyAndAway"] = {"BusyAndAwayDB"},
	["Butterfly"] = {},
	["ButterQuestTracker"] = {"ButterQuestTrackerConfig","ButterQuestTrackerCharacterConfig","ButterQuestTrackerConfigCharacter"},
	["ButtonBin"] = {"ButtonBinDB"},
	["ButtonFacade_ItemRack"] = {"BFIRSettingsDB"},
	["ButtonForge"] = {"ButtonForgeGlobalSettings","ButtonForgeGlobalProfiles","ButtonForgeGlobalBackup","ButtonForgeSave","BFSave"},
	["ButtonForge_Masque"] = {},
	["ButtonTimers"] = {"ButtonTimersDB"},
	["ButtonUpdater"] = {},
	["Buy"] = {},
	["BuyEmAll"] = {"BEAConfirmToggle"},
	["BuyEmAllClassic"] = {"BEAConfirmToggle"},
	["buzzbox"] = {"BuzzboxDB"},
	["ByeHakmud"] = {"ByeHakmud_SavedVariables"},
	["Caats Emote Button Leiste"] = {},
	["CABSkin"] = {},
	["cActionbars"] = {},
	["CaerdonSpecBroker"] = {},
	["CaerdonWardrobe"] = {"CaerdonWardrobeConfig"},
	["CaffDKP"] = {},
	["Calc"] = {},
	["Calcium"] = {"CalciumDB"},
	["CalendarChecker"] = {},
	["CalendarExport"] = {},
	["CalendarExtras"] = {"CalendarExtrasDB"},
	["CalendarExtrasModules"] = {},
	["CalendarHUD"] = {},
	["CalendarKeyboardFixer"] = {},
	["CalendarLate"] = {},
	["CalendarNotify"] = {},
	["CalEventNotifier"] = {"EventNotifies","MsgToGuild"},
	["CaliahaGuildPawn"] = {"CaliahaGuildPawnDB"},
	["CallbackHandler-1.0"] = {},
	["Calls"] = {"Options","randomSoundsList"},
	["CallToArms"] = {"CallToArms"},
	["CalmDownandGamble"] = {"CalmDownandGambleDB","CDGClientDB"},
	["CalReminder"] = {"maxDaysToCheck"},
	["CamelSpeak"] = {"CamelSpeakDB"},
	["CamelSpotter"] = {"CamelSpotterDB"},
	["CameraFix"] = {},
	["CameraMaxFactor"] = {},
	["Camera_Combat_Zoom_In"] = {},
	["cancel-pet-fight"] = {"CPF_CHAT","CPF_POPUP","CPF_MARK"},
	["CancelFormForCrafting"] = {},
	["CancelFormForRespec"] = {},
	["CancelMyBuffs"] = {"CancelMyBuffsDB"},
	["Candy"] = {"CandyDB"},
	["CandyBuckets"] = {},
	["CanIGo"] = {"CanIGoDB"},
	["CanIMogIt"] = {"CanIMogItOptions","CanIMogItDatabase"},
	["CantHealYou"] = {"CantHealYou_Config","CHYconfig"},
	["CantSim"] = {"CantSimDB"},
	["CantTouchThis"] = {"CantTouchThisDB"},
	["Capitalist"] = {"CapitalistDB"},
	["Capping"] = {"CappingSettings"},
	["Capping_Options"] = {},
	["CaptainsLog"] = {"CaptainsLogDB"},
	["Carbonite"] = {"CarbData","CarbMigr"},
	["Carbonite.Gathermate2_Data"] = {},
	["Carbonite.Info"] = {"NXInfo"},
	["Carbonite.Notes"] = {"NXNotes"},
	["Carbonite.Quests"] = {"NXQuest"},
	["Carbonite.Social"] = {"NXSocial"},
	["Carbonite.Warehouse"] = {"NXWhouse"},
	["Carbonite.Weekly"] = {"NXWeek"},
	["Carbonite_TimelessIsleChests"] = {"CBTimelessIsleChestsDB"},
	["Card_Flipping"] = {"cardFlipTableOmens_Save","cardFlipTableMFC_Save"},
	["cargBags_Nivaya"] = {"cBnivCfg","cB_CustomBags","cBniv_CatInfo","cB_KnownItems","cBniv"},
	["Cartographer3"] = {"Cartographer3DB","Cartographer3_NewOverlaysDB"},
	["Cartographer3_InstancePOIs"] = {},
	["Cartographer3_Notes"] = {},
	["Cartographer3_Waypoints"] = {},
	["Cartographer_Icons_SmallBoxPack"] = {},
	["Cartographer_Icons_SmallDiamondPack"] = {},
	["Cascade"] = {"CascadeDB","CascadeDBPC"},
	["CashControl"] = {"CashControlDB"},
	["CashControl_Broker"] = {"CashControlBrokerDB"},
	["CashCounter"] = {"CC_Vars"},
	["CashFlowLite"] = {},
	["CashRegister"] = {},
	["cask"] = {"CASKDB","CASKCHARDB"},
	["Cassandra"] = {"CassandraDB"},
	["CastAnnouncer"] = {"CastAnnouncerDB"},
	["Castbars"] = {"CastbarsDB"},
	["CastBarZ"] = {"CastBarZDB"},
	["CastBarZ_Config"] = {},
	["CastBarZ_Media"] = {},
	["CastBy2"] = {},
	["CastCursor"] = {"CastCursorDB"},
	["CastIndicator"] = {"CastIndicatorDB"},
	["CastRandomFix"] = {},
	["CatchAndRelease"] = {},
	["CatchTheWind"] = {"CatchTheWindSV"},
	["CatchwordAlert"] = {"CatchwordAlertLDBIconDB","CatchwordAlertDB"},
	["CatRotationHelper"] = {"CatRotationHelperSettings"},
	["cBuffs"] = {},
	["CB_TradeChatFilter"] = {"TCF_Settings","TCF_TradeFilterList","TCF_FrenchFilterList"},
	["CCAM"] = {},
	["ccBags"] = {"CCB_ACCOUNT_SAVE","CCB_CHAR_SAVE"},
	["ccc"] = {"ccc_settings"},
	["cChat"] = {},
	["CCIcons"] = {"CCIconsData"},
	["CCTracker"] = {"CCTrackerSettings"},
	["cData"] = {"cDataDB","cDataDBPerChar"},
	["CDKP"] = {"CDKP_HISTORICAL_AUCTIONS","CDKP_ITEM_INDEX","CDKP_PLAYER_INDEX","CDKP_HISTORICAL_AUCTION_IDS","CDKP_FRAME_POSITIONS"},
	["CDSpy"] = {"CDSpyStatusDB","CDSpyDB"},
	["CDUsed"] = {"CU_SpellsTemplates","CU_Config","CU_Spells"},
	["Cecile_MeterOverlay"] = {"Cecile_MeterOverlayDB"},
	["Cecile_QuickLaunch"] = {"Cecile_QuickLaunchDB"},
	["Cecile_QuickLaunchAchievements"] = {},
	["Cecile_QuickLaunchAddOns"] = {},
	["Cecile_QuickLaunchItems"] = {},
	["Cecile_QuickLaunchMacros"] = {},
	["Cecile_QuickLaunchMounts"] = {},
	["Cecile_QuickLaunchPets"] = {},
	["Cecile_QuickLaunchProfessions"] = {},
	["Cecile_QuickLaunchSocial"] = {},
	["Cecile_QuickLaunchSpecGear"] = {},
	["Cecile_QuickLaunchSpells"] = {},
	["Cecile_QuickLaunchToys"] = {},
	["Cecile_QuickTalents"] = {"Cecile_QuickTalentsDB"},
	["Cecile_RecipeTooltip"] = {"Cecile_RecipeTooltipDB"},
	["Cecile_RecipeTooltipAlchemy"] = {},
	["Cecile_RecipeTooltipBlacksmithing"] = {},
	["Cecile_RecipeTooltipCooking"] = {},
	["Cecile_RecipeTooltipEnchanting"] = {},
	["Cecile_RecipeTooltipEngineering"] = {},
	["Cecile_RecipeTooltipInscription"] = {},
	["Cecile_RecipeTooltipJewelcrafting"] = {},
	["Cecile_RecipeTooltipLeatherworking"] = {},
	["Cecile_RecipeTooltipTailoring"] = {},
	["Celebrate!"] = {"CelebrateDB"},
	["Cellular"] = {"CellularDB","CellularCharDB","Cellular_History"},
	["CensusPlus"] = {"CensusPlus_Database","CensusPlus_CRealms","CensusPlus_Guilds","CensusPlus_JobQueue","CensusPlus_PerCharInfo"},
	["CensusPlusClassic"] = {"CensusPlus_Database","CensusPlus_CRealms","CensusPlus_Guilds","CensusPlus_JobQueue","CensusPlus_PerCharInfo"},
	["CEPGP"] = {"CEPGP","CHANNEL","CEPGP_lootChannel","COEF","MOD_COEF","MOD","AUTOEP","EPVALS","BASEGP","STANDBYEP","STANDBYOFFLINE","STANDBYPERCENT","STANDBYRANKS","SLOTWEIGHTS","RECORDS","OVERRIDE_INDEX","TRAFFIC","CEPGP_raid_logs","CEPGP_standby_accept_whispers","CEPGP_standby_byrank","CEPGP_standby_manual","CEPGP_standby_whisper_msg","CEPGP_notice","CEPGP_keyword","ALLOW_FORCED_SYNC","CEPGP_force_sync_rank","CEPGP_loot_GUI","CEPGP_auto_pass","CEPGP_raid_wide_dist","CEPGP_standby_share","CEPGP_min_threshold","CEPGP_gp_tooltips","CEPGP_standbyRoster","CEPGP_suppress_announcements","CEPGP_minEP","CEPGP_minGPDecayFactor","CEPGP_response_buttons","CEPGP_response_time","CEPGP_show_passes","CEPGP_PR_sort"},
	["CEPlayerBar"] = {"CEPlayerBar_Options","CEPetBar_Options"},
	["Cerberus"] = {},
	["CFilter"] = {},
	["cFonts"] = {"cFontsDB"},
	["ChampionCommander"] = {"dbBFA","dbBFAperChar"},
	["ChampionsOfHellfireCitadel"] = {"ChampionsOfHellfireCitadel_Settings"},
	["changeGear"] = {},
	["Channel_Rejoiner"] = {},
	["Channel_Rejoiner_Infinite_Paradigm"] = {},
	["Chaos Bolt DPET Tracker"] = {"CBDT_SavedOptions"},
	["CharacterAchievements"] = {"CharacterAchievementsDB"},
	["CharacterFavoriteMounts"] = {"characterFavoriteMountsList","characterFavoritePetsList","characterFavoritePetsIDs","characterFavoritePetsAbilities"},
	["CharacterInfoDurability"] = {},
	["CharacterLinks"] = {},
	["CharacterManager"] = {"_DB_","_NAMES_","_NEXT_RESET_","_OPTIONS_","_TRACKED_CHARS_","_EOSCM_DB_","_MPLUS_BUDDIES_","_MPLUS_KEYS_","_MPLUS_CLASS_"},
	["charactermap"] = {"CharacterMapSaved"},
	["CharacterNotes"] = {"CharacterNotesDB"},
	["CharacterOwnedCount"] = {"CHAR_OWNED"},
	["CharacterQuickLinks"] = {"CqlVars"},
	["Chardev"] = {},
	["CharmKeys"] = {},
	["ChartMe"] = {},
	["Chataclysm"] = {"ChataclysmDB"},
	["ChatAlerts"] = {"ChatAlertsDB"},
	["ChatAlphaZero"] = {},
	["ChatAssistant"] = {"CAFilterPresets","CAKeywordList","CAChatLog","CAContentFrame","CARestrictiveBoxBool","CAHideOptionsState","CAIconState"},
	["ChatBar Classic"] = {"ChatBar_VerticalDisplay","ChatBar_AlternateOrientation","ChatBar_HideSpecialChannels","ChatBar_TextOnButtonDisplay","ChatBar_ButtonFlashing","ChatBar_BarBorder","ChatBar_ButtonText","ChatBar_StoredStickies","ChatBar_HiddenButtons","ChatBar_TextChannelNumbers","ChatBar_HideAllButtons","ChatBar_AltArt","ChatBar_ChannelBindings","ChatBar_ButtonScale","ChatBar_isLock"},
	["Chatbinds"] = {},
	["ChatBuddy"] = {"ChatBuddyDB"},
	["ChatChannelsButtonHide"] = {},
	["ChatClear"] = {},
	["ChatColorSync"] = {"ChatColorSync"},
	["ChatCopy"] = {},
	["ChatCopyPaste"] = {"CCPOptions"},
	["ChatEditArrows"] = {},
	["ChatFix"] = {"CF_Config"},
	["ChatFixBFA"] = {},
	["ChatFrameClamping"] = {"ChatFrameClamping","Gryphons","ChatFrameClampingChar","FriendsMicroButtonChar","GryphonsChar"},
	["ChatHUD"] = {},
	["ChatInputTop"] = {},
	["ChatLinkIcons"] = {"ChatLinkIcons_Options"},
	["ChatLog"] = {},
	["ChatLogging"] = {},
	["ChatLoot"] = {"CHATLOOT","CHATLOOTCHAR"},
	["ChatLootIcons"] = {},
	["ChatMod2"] = {"CM2_Nick","CM2_Options","CM2_FirstRun","CM2.Test"},
	["ChatMondialServeur"] = {"CMS_t_couleurs","CMS_config"},
	["ChatMonitor"] = {"ChatMonitorDB"},
	["chatmover"] = {},
	["ChatNorris"] = {"ChatNorrisDB"},
	["ChatNote"] = {},
	["ChatNotifications"] = {"ChatNotificationsSavedDictionary"},
	["ChatSearch"] = {},
	["ChatSounds"] = {"ChatSounds_Config"},
	["ChatStickies"] = {},
	["ChatsToMSBT"] = {"C2MSBT_Settings","C2MSBT_SettingsPC"},
	["ChatSubs"] = {},
	["ChatTabBind"] = {"ChatTabBind_DB"},
	["ChatTabDockLock"] = {},
	["ChatTabsChannels"] = {"ChatTabsChannels_DB"},
	["Chatter"] = {"ChatterDB"},
	["ChatThrottleLib"] = {},
	["ChatTimer"] = {},
	["ChatTimestamps"] = {"ChatTimestampsSettings"},
	["ChatWatch"] = {"CWChannels","ChatWatchFirstUse"},
	["ChatWho"] = {"CHATWHODB"},
	["Cheat"] = {"Cheat"},
	["Cheatsheet"] = {"cheatsheetDB"},
	["Checkers"] = {"CheckersOptions"},
	["CheckFearWard3"] = {"CheckFearWard3DB"},
	["Checkmate_Loot_Priority"] = {},
	["checkMyMog"] = {},
	["CheckPetWQs"] = {"CheckPetWQsCache","CheckPetWQsConfig"},
	["CheckQuest"] = {},
	["CheckYourSelfie"] = {},
	["ChefsHat"] = {},
	["ChefsHatButton"] = {},
	["ChiBar"] = {"ChiBarDB"},
	["Chinchilla"] = {"Chinchilla2DB"},
	["Chitchat"] = {"ChitchatDB"},
	["Chocobo"] = {"CHOCOBO"},
	["ChocolateBar"] = {"ChocolateBarDB","CB_PlayedTime"},
	["ChooseMount"] = {"chooseMountFrameX","chooseMountFrameY"},
	["choppedup"] = {},
	["ChromieBooster"] = {},
	["ChromieTime"] = {"CHROMIETIME_VARS"},
	["Chronicles"] = {"ChroniclesDB"},
	["ChumliDied"] = {"ChumliDiedCount","SaelerisDied"},
	["CinematicBuster"] = {},
	["CinematicCanceler"] = {},
	["CinematicMovieSound"] = {"CinematicMovieSoundDB"},
	["cInterrupt"] = {},
	["CircleHUD"] = {"CircleHUD_Config"},
	["CityGraphics"] = {"CityGraphics_Config"},
	["CityHelm"] = {"changeCloakchangeHelm"},
	["CityOfGold"] = {"COG_GoldAcquired"},
	["ckaosMilitia"] = {"ckaosMilitiaDB"},
	["cKillerBlow"] = {},
	["cKillerEmote"] = {},
	["ClamStacker"] = {"ClamStackerDB"},
	["Class Colored Plates"] = {},
	["Class Nameplate Scale"] = {},
	["Classannouncer"] = {"CLASSANNOUNCER_ENABLED"},
	["ClassColors"] = {},
	["ClassHall"] = {"ClassHallDB"},
	["ClassHallFinder"] = {},
	["ClassHallsAccountReporter"] = {"ClassHallsAccountReporterData","ClassHallsAccountReporterCharacterOptions"},
	["Classic PVP Flagging"] = {},
	["Classic Quest Log"] = {"ClassicQuestLogSettings","ClassicQuestLogCollapsedHeaders"},
	["ClassicActionBars"] = {},
	["ClassicActionCombat"] = {"CAC_Settings"},
	["ClassicAggroHighlight"] = {},
	["ClassicAutoComplete"] = {"ClassicAutoComplete_MyChars"},
	["ClassicAutoQuest"] = {},
	["ClassicAutoRepair"] = {},
	["ClassicBagSearch"] = {},
	["ClassicBlacklist"] = {"firstLoadDone","autoSync","firstLoadDoneThisChar","ignoredReasons"},
	["ClassicCal"] = {},
	["ClassicCameraDistance"] = {},
	["ClassicCastbars"] = {"ClassicCastbarsDB"},
	["ClassicCastbars_Options"] = {},
	["ClassicCensusPlus"] = {"ClassicCensusPlus_Database","ClassicCensusPlus_Guilds","ClassicCensusPlus_JobQueue","ClassicCensusPlus_PerCharInfo"},
	["ClassicClassColors"] = {},
	["ClassicClassIconPortraits"] = {},
	["ClassicCodex"] = {"CodexConfig","CodexHiddenQuests","CodexBrowserFavorites","CodexColors"},
	["ClassicCountdown"] = {"ClassicCountdownDB"},
	["ClassicGearSet"] = {"CGS_DataBase"},
	["ClassicGoldTracker"] = {"MYOPTIONS","SAVES"},
	["ClassicGuide"] = {"ClassicGuideSaved"},
	["ClassicGuildBank"] = {},
	["ClassicGuildFrame"] = {"ClassicGuildFrameConfig"},
	["ClassicHealAssignments"] = {},
	["ClassicHealPrediction"] = {"ClassicHealPredictionSettings"},
	["ClassicHitMarker"] = {"CHM_CONFIG"},
	["ClassicHunterPetInfo"] = {"ClassicHunterPetInfoDB"},
	["ClassicInstantHealth"] = {},
	["ClassicLevelUp"] = {},
	["ClassicLFG"] = {"ClassicLFG_DB"},
	["ClassicLootAssistant"] = {"ClassicLootAssistantConfig"},
	["ClassIconNotPortrait"] = {},
	["ClassIcons"] = {"CLASSICONS_CONFIG"},
	["ClassicProfessionFilter"] = {},
	["ClassicRaidAssist"] = {"CustomClassicRaidAssistDB"},
	["ClassicRaidAssistFury"] = {"ClassicRaidAssistFuryDB"},
	["ClassicRaidFinder"] = {"CFW_CHAT_LIST","thewhitelist","theblacklist","mapoff","initload","whosintrade","virtuallyconnected"},
	["ClassicShowGuild"] = {},
	["ClassicSpellActivations"] = {},
	["ClassicTargetHelper"] = {"CTHspell","CTmacroId","CTHicon"},
	["ClassicTravelPoints"] = {},
	["ClassicUA"] = {},
	["ClassicUI"] = {"ClassicUI_DB"},
	["ClassicWorldMapEnhanced"] = {"ClassicWorldMapEnhanced_DB"},
	["ClassierAddonList"] = {"ClassierAddonListDB"},
	["ClassMods"] = {"CMDb"},
	["ClassMonitor"] = {"ClassMonitorData","ClassMonitorDataPerChar"},
	["ClassMonitor_ConfigUI"] = {},
	["ClassOrderHallReport"] = {},
	["ClassOrderHallsComplete"] = {"CLASSORDERHALLSCOMPLETE_SAVEDVARIABLES"},
	["ClassSpecStats"] = {},
	["ClassTimer"] = {"ClassTimerDB"},
	["ClassTrainerPlus"] = {"TRAINER_FILTER_AVAILABLE","TRAINER_FILTER_UNAVAILABLE","TRAINER_FILTER_USED","TRAINER_FILTER_IGNORED","ClassTrainerPlusDBPC"},
	["ClassTrialTimer"] = {"ClassTrialTimerDB"},
	["Claw"] = {"Claw"},
	["clcEclipseBar"] = {"clcEclipseBarDB"},
	["clcEnh"] = {},
	["clcInfo"] = {"clcInfoDB","clcInfoCharDB"},
	["clcInfo_ArmsWarrior"] = {},
	["clcInfo_Hunter"] = {},
	["clcInfo_Options"] = {},
	["clcInfo_Warrior"] = {},
	["clcppb"] = {"clcppbDB"},
	["CLCRet"] = {"clcretDB"},
	["CLCRet_Options"] = {},
	["CLC_DK"] = {"CLCDK_Settings"},
	["Clean and Repair"] = {"repairmode"},
	["CleanCombat"] = {"CleanCombatDB"},
	["cleangroupassigns"] = {"cgaConfigDB","arrangementsDB","minimapButtonDB"},
	["CleanMinimap"] = {"CleanMinimapDB"},
	["CleanMyBag"] = {"CMBFiltersDB"},
	["CleanUI"] = {"CleanUISavedVariables","CleanUIAccountData","CleanUICurrency","CleanUIBattlePetGroups","CleanUIPetData","CleanUIUserData","CleanUIMailLog","CleanUIContainerLock"},
	["Cleanup"] = {"Cleanup"},
	["Clear"] = {},
	["ClearGriffons"] = {},
	["Click Menu"] = {},
	["ClickDown"] = {"ClickDownDB"},
	["ClickLinks"] = {},
	["ClickToMove"] = {"CTMDB"},
	["Clique"] = {"CliqueDB","CliqueDB3"},
	["clixframes"] = {},
	["CloakHelmToggle"] = {},
	["clockator"] = {"SavedClock"},
	["cLootPriority"] = {},
	["CloseQuestFix"] = {},
	["ClosestFlightPath"] = {"CFPFlightPoints"},
	["ClosetGnome"] = {"ClosetGnomeDB"},
	["CloseUp"] = {"CU_HideBG"},
	["CloudburstInfo"] = {"Settings"},
	["CloudSerpent"] = {"CloudSerpentDB"},
	["CloudyPetCollected"] = {},
	["CloudyTooltipMod"] = {"CTipModDB","CTipModPOS"},
	["CloudyTradeSkill"] = {"CTradeSkillDB"},
	["CloudyTweaks"] = {"CTweaksDB"},
	["CloudyUnitInfo"] = {},
	["Clubhouse"] = {"Clubhouse_Invites","Clubhouse_MaxDays"},
	["ClutterCleaner"] = {"CCcheckboxes"},
	["CmdHelp"] = {},
	["cMisc"] = {},
	["cmss"] = {"CMSSCMOnly","CMSSSpamAbilities","CMSSSwitchGearBeforeSpec","CMSSGearPrimaryDefault","CMSSGearPrimaryCM","CMSSGearSecondaryDefault","CMSSGearSecondaryCM"},
	["CMS_antispam"] = {"CMS_antispam","CMS_antispam_mot"},
	["CNF"] = {},
	["Cochage"] = {"CochageDB"},
	["Cod_Do_Batter"] = {"CodDoBatterDB"},
	["Col"] = {"SavedData"},
	["CollapseQuestLog"] = {},
	["Collectinator"] = {"COLLECTINATORDB2"},
	["CollectionShop"] = {"COLLECTIONSHOP_SAVEDVARIABLES","COLLECTIONSHOP_SAVEDVARIABLESPERCHARACTER"},
	["CollectMe"] = {"CollectMeDB"},
	["ColoredInventoryItems"] = {"ciiConfig"},
	["ColoredNameBackground"] = {},
	["ColoredTooltip"] = {},
	["ColoredTooltips"] = {"ColoredTooltips_Config"},
	["ColorPickerAdvanced"] = {"ColorPickerAdvancedDB"},
	["ColorPickerPlus"] = {"ColorPickerPlusDB"},
	["ColourPicker"] = {},
	["CombatIndicator"] = {"Preferences"},
	["CombatLogRemover"] = {"CombatLogRemoverDB"},
	["CombatLogSearch"] = {},
	["CombatMode"] = {"CombatModeDB"},
	["CombatMusic"] = {"CombatMusicDB","CombatMusicBossList"},
	["CombatMusic_TieredBosses"] = {},
	["CombatNumbersSeparator"] = {},
	["CombatPaging"] = {},
	["CombatReplay"] = {"crOptTrackBoss","crPlayersSizeOnMap","crPlayerIconPositionShow","crOptTrackLfr","crCenterFrameSizeDef","crOptCombatSave","crRaidRangeCheckValue","crShowPlayersHpDynamic"},
	["CombatReplay_Logger"] = {"crcombatlog"},
	["CombatReplay_SavedData"] = {"crsaveddata"},
	["CombatTime"] = {"CombatTimeSettings"},
	["CombatTimer"] = {},
	["CombatTimeTracker"] = {"cttDB","longestMin","longestSec","cttMenuOptions","fightLogs","cttTextFormatOptions","cosFightLogs","tepFightLogs"},
	["CombatTracker"] = {},
	["ComboBreaker"] = {},
	["ComboHitsCounter"] = {},
	["ComboPointsRedux"] = {"CPRDB2"},
	["ComboPointsRedux_Options"] = {},
	["ComboWhore"] = {},
	["Combuctor"] = {"Combuctor_Sets"},
	["Combuctor_BankStack"] = {},
	["Combuctor_Binding"] = {},
	["Combuctor_Broker"] = {},
	["Combuctor_Config"] = {},
	["Combuctor_Couture"] = {},
	["Combuctor_Cuisine"] = {},
	["Combuctor_Depecage"] = {},
	["Combuctor_Farming"] = {},
	["Combuctor_ManaAncestral"] = {},
	["Combuctor_Masque"] = {},
	["Combuctor_Minage"] = {},
	["Combuctor_Peche"] = {},
	["Combuctor_PuissanceProdigieuse"] = {},
	["Combuctor_Scrap"] = {},
	["Combuctor_Secourisme"] = {},
	["CombustionHelper"] = {"combusettingstable","CombuCautlevelvar","CombuCautscalevar","CombuCautalphavar","CombuCautlockvar","CombuCauthidevar","CombuCautTimevar","CombuCautChatRaidvar","CombuCautChatSayvar","CombuCautChatYellvar","CombuCautAnnouncevar","CombuCautChatAltvar","CombuCautAnnounceAltvar","CombuCautChatAlonevar","CombuCautenablevar","combumbtrackersettingstable"},
	["ComeAndGetIt"] = {"CAGI_Settings"},
	["ComeHere"] = {"ComeHere_Options"},
	["Comergy_Redux"] = {"Comergy_Config"},
	["Comergy_Redux_Options"] = {},
	["Comix"] = {"Comix_Max_Scale","ComixAniSpeed","ComixMaxCrits","Comix_AddOnEnabled","Comix_SoundEnabled","Comix_BSEnabled","Comix_DemoShoutEnabled","Comix_ZoneEnabled","Comix_DeathSoundEnabled","Comix_KillCountEnabled","Comix_CritPercent","Comix_FinishHimGap","Comix_SpecialsEnabled","Comix_BamEnabled","Comix_ImagesEnabled","Comix_FinishhimEnabled","Comix_CritGapEnabled","Comix_CritGap","Comix_ShakeEnabled","Comix_CritSoundsEnabled","Comix_CritHealsEnabled","Comix_CritFlashEnabled","Comix_HealFlashEnabled","Comix_BSSounds","Comix_DSSounds","Comix_BounceSoundEnabled","Comix_JumpCount","Comix_AbilitySoundsEnabled","Comix_ResSoundEnabled","Comix_ReadySoundEnabled","Comix_Overkill","Comix_OverkillEnabled","Comix_ShakeOffset","Comix_ObjectionSoundsEnabled","Comix_ObjectionImagesEnabled","Comix_PublicObjections"},
	["Commended"] = {},
	["Community2Raid"] = {},
	["CommunityInfo"] = {"CommunityInfoDB"},
	["CommunityNicknames"] = {},
	["CompactRaid"] = {"CompactRaidDB"},
	["CompactRunes"] = {"CompactRunesDB"},
	["CompactVendor"] = {"CompactVendorDB"},
	["CompactVendorFilter"] = {},
	["Compassion"] = {"CompassionSettings"},
	["Compensation"] = {},
	["competitiontracker"] = {"COMPETITIONTRACKERCOMPETITIONTRACKER_SETTINGS"},
	["CompletedTip"] = {},
	["CompletelyCollectedSets"] = {},
	["Conditioner"] = {"ConditionerAddOn_SavedVariables_Loadouts","ConditionerAddOn_SavedVariables"},
	["ConfirmLeaveParty"] = {},
	["ConfirmSP"] = {"ConfirmSP"},
	["Congratulations"] = {},
	["ConjuredAnnouncer"] = {"ConjuredAnnouncerDB"},
	["ConRO"] = {"ConROPreferences"},
	["ConROC"] = {"ConROCPreferences"},
	["ConROC_Druid"] = {"ConROCDruidSpells"},
	["ConROC_Hunter"] = {"ConROCHunterSpells"},
	["ConROC_Mage"] = {},
	["ConROC_Paladin"] = {"ConROCPaladinSpells"},
	["ConROC_Priest"] = {},
	["ConROC_Rogue"] = {"ConROCRogueSpells"},
	["ConROC_Shaman"] = {},
	["ConROC_Warlock"] = {"ConROCWarlockSpells"},
	["ConROC_Warrior"] = {"ConROCWarriorSpells"},
	["ConRO_DeathKnight"] = {},
	["ConRO_DemonHunter"] = {},
	["ConRO_Druid"] = {},
	["ConRO_Hunter"] = {},
	["ConRO_Mage"] = {},
	["ConRO_Monk"] = {},
	["ConRO_Paladin"] = {},
	["ConRO_Priest"] = {},
	["ConRO_Rogue"] = {},
	["ConRO_Shaman"] = {},
	["ConRO_Warlock"] = {},
	["ConRO_Warrior"] = {},
	["Consequence-Summons"] = {"ConsSummon1"},
	["ConsLegion"] = {"ConsLegionSavedVar","ConsLegionSteps","CL_NewsEpics","CL_Temp_Import","CL_AddonUpdate"},
	["ConsoleCalc"] = {},
	["ConsolePort"] = {"ConsolePortSettings","ConsolePortCharacterSettings","ConsolePortUIFrames","ConsolePortUIConfig","ConsolePortBindingSet","ConsolePortMouse","ConsolePortUtility"},
	["ConsolePortAdvanced"] = {},
	["ConsolePortBar"] = {"ConsolePortBarManifest","ConsolePortBarSetup"},
	["ConsolePortHelp"] = {},
	["ConsolePortLoader"] = {"ConsolePortLoaderBinding"},
	["ConsolePortUI_Loot"] = {},
	["ConsolePortUI_Menu"] = {},
	["ConspicuousSpirits"] = {"ConspicuousSpiritsDB"},
	["Contemplate"] = {},
	["ContributionETA"] = {},
	["ControlPanel"] = {"ControlPanelDB"},
	["ControlPanel_Options"] = {},
	["Conversation"] = {"ConversationDB"},
	["ConvertRatings"] = {"cvred","cvgreen","cvblue","cvalpha"},
	["ConvertToParty"] = {},
	["CookyChat"] = {"CookyChatDB"},
	["CookyItemSplitter"] = {},
	["CoolAid"] = {"CoolAidDB"},
	["CoolDamageFont"] = {},
	["cooldown-barker"] = {"CDBsettings"},
	["CooldownAnnouncer"] = {},
	["CooldownButtons"] = {"CooldownButtonsDB","CooldownButtonsSavedDB"},
	["CooldownButtons_Options"] = {},
	["CooldownCount"] = {"CooldownCountDB"},
	["CooldownReadyFlashDisabler"] = {},
	["CooldownToGo"] = {"CooldownToGoDB"},
	["CooldownToGo_Options"] = {},
	["CoolDownWatcher"] = {"CdwDataCdwDurationsCdwSpellsToTrack"},
	["CoolGlow"] = {"CoolGlowDB","CoolGlowPerCharDB"},
	["CoolLine"] = {"CoolLineDB","CoolLineCharDB"},
	["CoolLineFix"] = {},
	["Coordinates"] = {"CoordinatesDB"},
	["Coords"] = {"fntR","fntG","fntB","fntS"},
	["CoordsTracking"] = {"CoordsTrackingDB"},
	["CopyAnything"] = {"CopyAnythingDB"},
	["CopyPasta"] = {"PasteDB"},
	["CopyWhoList"] = {},
	["CornerToggle"] = {"CornerToggle_DB"},
	["CorrectPresence"] = {},
	["CorruptedAshbringer"] = {},
	["corruptedraidattendance"] = {"import"},
	["CorruptedWannabe"] = {},
	["CorruptionAffix"] = {},
	["CorruptionCharacter"] = {},
	["CorruptionNameTooltips"] = {},
	["CorruptionTooltips"] = {"CorruptionTooltipsDB"},
	["CoS helper"] = {},
	["Cosplay"] = {},
	["CostBasis"] = {"CostBasisDB"},
	["CouncilLootMaster"] = {"CouncilLootMaster"},
	["CouncilLootMaster_Council"] = {},
	["CounterspellAlert"] = {"CsAlert_GlobalSettings","CsAlert_CharaSettings"},
	["CourtOfSilliness"] = {"CoSSaved"},
	["Coylist"] = {"Coylist_GlobalData","Coylist_CharData"},
	["cPointDisplay"] = {"cPointDisplayDB"},
	["CPR"] = {},
	["CQuestCounter"] = {},
	["CrackCooldown"] = {"CrackCooldownSettings"},
	["CraftBar"] = {"CraftBarSettings","CraftBarQueue"},
	["CraftBuster"] = {"CraftBusterOptions"},
	["CraftFromInventory"] = {},
	["CraftIDToProfessionInfo"] = {},
	["Crafting_Filters"] = {},
	["Crafty"] = {"Crafty_Items","Crafty_Queue","Crafty_QueueIntermediates","Crafty_TradeSkills","Crafty_Characters"},
	["crAnnouncer"] = {},
	["CrapAway"] = {},
	["CRD"] = {},
	["Crematorius_ChatSounds"] = {},
	["CrimeHelper"] = {"PocketDB"},
	["CritChain"] = {},
	["CritCommander"] = {},
	["CritEmote"] = {"CEThreshold"},
	["Critline"] = {"CritlineDB","CritlinePerCharDB"},
	["Critline_AuraMonitor"] = {},
	["CritOverkill"] = {},
	["CritSound"] = {"CritSoundSwitch","CritSoundMode","CritSoundAgingTime","CritSoundBlackList"},
	["CritSound_Options"] = {},
	["CritterEmote"] = {"CE_Save_Table"},
	["CritZ"] = {"LediiData_Critz"},
	["crLib"] = {},
	["crMinimap"] = {},
	["Cromulent"] = {},
	["CrossGambling"] = {"CrossGambling"},
	["CrosshairOverlay"] = {"CrosshairOverlayDB"},
	["Crosshairs"] = {},
	["CrossRealmAssist"] = {"CrossRealmAssistDB"},
	["CrossRP"] = {"CrossRP_Saved"},
	["CrucibleWeight"] = {"CrucibleWeightDB"},
	["CruiseControl"] = {"CruiseControlOptions"},
	["CS"] = {"data","trackedIDs"},
	["css"] = {"CSSDB"},
	["CTA"] = {},
	["CTABroker"] = {"CTABrokerDB"},
	["CTATracker"] = {"CTATracker_HeroicWatch","CTATracker_TWWatch","CTATracker_LFRWatch","CTATracker_HeroicTankWatch","CTATracker_HeroicHealerWatch","CTATracker_HeroicDPSWatch","CTATracker_TWTankWatch","CTATracker_TWHealerWatch","CTATracker_TWDPSWatch","CTATracker_LFRTankWatch","CTATracker_LFRHealerWatch","CTATracker_LFRDPSWatch","CTATracker_PlaySound","CTATracker_FrameScale"},
	["cTooltip"] = {},
	["CTRA_TankAssist"] = {"CTRA_TA_Options"},
	["CT_BarMod"] = {"CT_BarModOptions"},
	["CT_BottomBar"] = {"CT_BottomBarOptions"},
	["CT_BuffMod"] = {"CT_BuffModOptions"},
	["CT_Core"] = {"CT_CoreOptions"},
	["CT_ExpenseHistory"] = {"CT_EH_History"},
	["CT_Library"] = {},
	["CT_MailMod"] = {"CT_MailModOptions"},
	["CT_MapMod"] = {"CT_MapMod_Notes","CT_MapModOptions"},
	["CT_PartyBuffs"] = {"CT_PartyBuffsOptions"},
	["CT_RaidAssist"] = {"CT_RaidAssistOptions"},
	["CT_Timer"] = {"CT_TimerOptions"},
	["CT_UnitFrames"] = {"CT_UnitFramesOptions"},
	["CT_Viewport"] = {"CT_Viewport_Saved"},
	["Cube"] = {"CubeSave","CubeSavePerCharacter"},
	["CUI"] = {"CUIDB"},
	["CUI_Config"] = {},
	["CUI_WorldmapMarkers"] = {},
	["cUnitframes"] = {"cPlatesDB"},
	["Curator"] = {"CuratorSellList","CuratorItemInfo","CuratorSettings","CuratorSellListPerCharacter"},
	["CuratorClassic"] = {"CuratorClassicSellList","CuratorClassicSellListPerCharacter"},
	["CurbYourEnthusiasm"] = {},
	["Curren-See"] = {},
	["Currency"] = {"currencyminimap"},
	["Currency-Alerts"] = {"CASAVElist","CASAVElist4","CASAVEcount","CASAVEfinished","CASAVEcreated"},
	["CurrencyList"] = {"CurrencyListDB"},
	["CurrencyMonitor"] = {"CM_db","CM_warningSound"},
	["CurrencySorter"] = {"Cs_order"},
	["CurrencyTrackerLite"] = {"CurrencyTrackerLiteDB"},
	["CurrencyTracking"] = {"CurrencyTrackingDB"},
	["CurrentRealm"] = {},
	["CursorCDtimer"] = {"GCDDB"},
	["CursorCompanion"] = {},
	["CursorCooldown"] = {"CursorCooldownDB"},
	["CursorMod"] = {"CursorModDB"},
	["CursorTrail"] = {"CursorTrail_Config","CursorTrail_PlayerConfig"},
	["CurvePls"] = {},
	["CustomAudio"] = {"SCA_db"},
	["CustomAudio-Fish"] = {},
	["CustomAudio-Katt"] = {},
	["CustomAudio-MachoMan"] = {},
	["CustomAudio-MichaelJackson"] = {},
	["CustomAudio-MissBunnieBell"] = {},
	["CustomAudio-Murloc"] = {},
	["CustomAudio-OwenWilson"] = {},
	["CustomAudio-PianoKeys"] = {},
	["CustomAudio-Spelnos"] = {},
	["CustomAudio-Theun"] = {},
	["CustomAudio-Wolf"] = {},
	["CustomAudio-Yoshi"] = {},
	["CustomBars"] = {"CBARS"},
	["CustomKeystones"] = {"bossesDowned","highestUP","highestAK","highestGD","highestHOL","highestNX"},
	["CustomPlayerPortrait"] = {"savedPortraitIndex"},
	["CustomPlayerPowerBarAlt"] = {"CustomPlayerPowerBarAltDB"},
	["CustomSearch-1.0"] = {},
	["CustomTooltips"] = {},
	["CustomTooltips_Blizzard"] = {},
	["CustomTooltips_ButtonForge"] = {},
	["CustomTooltips_ElvUI"] = {},
	["CustomTooltips_LibActionButton"] = {},
	["CustomTooltips_Opie"] = {},
	["CustomTutorials-2.1"] = {},
	["CWCS"] = {},
	["CWCSS"] = {},
	["CWES"] = {},
	["CyaMisfits"] = {},
	["CyborgMMO7"] = {"CyborgMMO_ProfileKeyBindingsCyborgMMO_LocalMountMap","CyborgMMO7SaveData"},
	["CycleGarrisonFrame"] = {},
	["D4KiR DHUD"] = {"D4HUD","D4HUDPC"},
	["D4KiR Healer Protection"] = {"D4HP","D4HPPC"},
	["D4KiR Missing Power"] = {"MIPO","MIPOPC"},
	["daftAuction"] = {},
	["daftAutomaton"] = {},
	["daftFrameFade"] = {},
	["daftFrameHue"] = {},
	["daftSetSwap"] = {"ENABLED","SPEC1","SPEC1_COMBAT","SPEC1_NOCOMBAT","SPEC2","SPEC2_COMBAT","SPEC2_NOCOMBAT","SPEC3","SPEC3_COMBAT","SPEC3_NOCOMBAT","SPEC4","SPEC4_COMBAT","SPEC4_NOCOMBAT"},
	["daftUIFade"] = {},
	["DagAssist"] = {"DA_Vars"},
	["DailyAzeroth"] = {"DailyAzerothData"},
	["DailyAzerothButton"] = {},
	["DailyGlobalCheck"] = {"DailyGlobalCheck_Options","DailyGlobalCheck_CharData","DGC_CustomLists","DailyGlobalCheck_Localization","DailyGlobalCheck_PluginData"},
	["DailyGlobalCheck_GarrisonMissions"] = {"DGC_GarrMSaves"},
	["DailyGlobalCheck_GarrisonWorkOrders"] = {"DGC_WOSaves"},
	["DailyGlobalCheck_HallowsEnd"] = {},
	["DailyGlobalCheck_InstanceLockouts"] = {},
	["DailyGlobalCheck_IsleOfThunder"] = {},
	["DailyGlobalCheck_Legion_RareMobs"] = {"DGCRareMobs_Saves"},
	["DailyGlobalCheck_Legion_TreasureChests"] = {},
	["DailyGlobalCheck_Legion_WorldQuests"] = {},
	["DailyGlobalCheck_LunarFestival"] = {},
	["DailyGlobalCheck_Midsummer"] = {},
	["DailyGlobalCheck_PetTamers"] = {},
	["DailyGlobalCheck_Professions"] = {"DGC_ProfSaves"},
	["DailyGlobalCheck_TimelessIsle"] = {},
	["DailyGlobalCheck_Wod_RareMobs"] = {},
	["DailyGlobalCheck_Wod_TreasureChests"] = {},
	["DailyGlobalCheck_WorldBosses"] = {},
	["DailyGrind"] = {"DailyGrindQuests","QuestHistory","DailyGrindSettings","Settings"},
	["DailyItems"] = {},
	["DailyQuestHelper"] = {"DailyQuestHelperDB"},
	["DailyTamerCheck"] = {"DailyTamerCheck_Options"},
	["DailyToDo"] = {"DailyToDoDB"},
	["Daisy"] = {},
	["DalaranChannel"] = {},
	["DalaranLoopCounter"] = {"LoopCount","LoopRecord","TotalTime"},
	["DamaFont"] = {"DamaFontDB"},
	["DamageFontChanger"] = {},
	["DamageManaEfficiencyCalculator"] = {"MUI_Buffs"},
	["DamageReduction"] = {},
	["Dampening_Display"] = {},
	["DanceMusic"] = {"DMGV_ShowSong","DMGV_DruidMerge","DMGV_WorgenMerge","DMGV_UseAltDir","DMGV_SongAltDir","DMGV_PartyMode","DMCV_Enabled","DMCV_UseOverrides","DMCV_Overrides"},
	["DankMemes"] = {"DankOptions"},
	["DArcBinds"] = {},
	["Darkbreaker_Spell_Reflect"] = {"ANUNCIAR"},
	["DarkEdgeOfInsanity"] = {},
	["DarkmoonCards"] = {},
	["DarkmoonElixirs"] = {"DarkmoonElixirsDB","DarkmoonElixirsThirdRow"},
	["DarkmoonProfessional"] = {"darkmoonProfessional_config"},
	["DarkmoonQuestItems"] = {},
	["DarkmoonTicketTooltip"] = {},
	["Darkmoon_Tracker"] = {"DMT_Stored"},
	["DarkruneDKLevelUp"] = {"DLUSettings","DLU_UI","DLUCharacterSettings"},
	["DarkShestakUI"] = {"SavedOptions","SavedStats","SavedAddonProfiles","SavedBindings","SavedCurrency","SavedOptionsPerChar","SavedPositions"},
	["DarkShestakUI_Config"] = {"GUIConfigAll","GUIConfigSettings","GUIConfig"},
	["DarkShestakUI_Filger"] = {},
	["DarkSoil"] = {"DarkSoilDB"},
	["DarkSoulsDeathScreen"] = {"DarkSoulsDeathScreen"},
	["DarkSoulsSCT"] = {"DarkSoulsSCTDB"},
	["Data"] = {},
	["DataDump"] = {"DataDumpData","DataDumpPrefs"},
	["DataStore"] = {"DataStoreDB"},
	["DataStore_Achievements"] = {"DataStore_AchievementsDB"},
	["DataStore_Agenda"] = {"DataStore_AgendaDB"},
	["DataStore_Auctions"] = {"DataStore_AuctionsDB"},
	["DataStore_Characters"] = {"DataStore_CharactersDB"},
	["DataStore_Containers"] = {"DataStore_ContainersDB"},
	["DataStore_Crafts"] = {"DataStore_CraftsDB"},
	["DataStore_Currencies"] = {"DataStore_CurrenciesDB"},
	["DataStore_Garrisons"] = {"DataStore_GarrisonsDB"},
	["DataStore_Inventory"] = {"DataStore_InventoryDB"},
	["DataStore_Mails"] = {"DataStore_MailsDB"},
	["DataStore_Pets"] = {"DataStore_PetsDB"},
	["DataStore_Quests"] = {"DataStore_QuestsDB"},
	["DataStore_Reputations"] = {"DataStore_ReputationsDB"},
	["DataStore_Spells"] = {"DataStore_SpellsDB"},
	["DataStore_Stats"] = {"DataStore_StatsDB"},
	["DataStore_Talents"] = {"DataStore_TalentsDB","DataStore_TalentsRefDB"},
	["DaVis"] = {"DaVisDB"},
	["Dawnsounds"] = {},
	["DayNight"] = {},
	["DazarAlorTotems"] = {},
	["DazzlingRodTournament"] = {"DazzlingRodTournamentDB"},
	["DBcorps"] = {"DBCC","DBCC_config","DBCC_listejoueurs","DBQC","DBQC2","DBPC","DBMVWC","DBMobs_Local_Client","DBCS_mobs_spell_Client","DBCS_Mobs_Model_Client","DBCS_mobs_locs_Client","DBCS_mobs_detail_Client","DBobjets_Client"},
	["DBcorps_artisanat"] = {},
	["DBcorps_minimap"] = {},
	["DBCS"] = {"DBCS","DBCS_config"},
	["DBCS_data_0000"] = {},
	["DBCS_data_0000_mobs_detail"] = {},
	["DBCS_data_0000_mobs_locs"] = {},
	["DBCS_data_0000_mobs_model"] = {},
	["DBCS_data_0000_mobs_spell"] = {},
	["DBCS_data_frFR"] = {},
	["DBCS_data_frFR_mobs"] = {},
	["DBCS_data_frFR_mobs_noms"] = {},
	["DBCS_data_frFR_objets"] = {},
	["DBCS_data_frFR_objets01"] = {},
	["DBCS_data_frFR_objets02"] = {},
	["DBCS_data_frFR_objets03"] = {},
	["DBCS_data_frFR_quetes"] = {},
	["DBCS_HDV"] = {"DBCS_HDV"},
	["DBCS_HDV_histo"] = {"DBCS_HDV_histo","DBCS_HDV_histo_config"},
	["DBCS_HDV_stats"] = {"DBCS_HDV_stats","DBCS_HDV_stats_config"},
	["DBCS_mobs_detail"] = {"DBCS_mobs_detail_config"},
	["DBCS_mobs_locs"] = {},
	["DBCS_mobs_model"] = {"DBCS_mobs_model_config"},
	["DBCS_mobs_spell"] = {},
	["DBCS_Model_Viewer"] = {},
	["DBCS_Region"] = {"DBCS_Region_config","DBCS_Region_instancelock","DBCS_Region_config_joueur","DBCS_Region_config_joueur_t"},
	["DBD"] = {"DBD"},
	["DBHC"] = {"DBHC","DBHC_perso_config","DBHC_perso"},
	["DBM-AQ20"] = {"DBMAQ20_AllSavedVars","DBMAQ20_SavedStats"},
	["DBM-AQ40"] = {"DBMAQ40_AllSavedVars","DBMAQ40_SavedStats"},
	["DBM-Archaeology"] = {"DBM_Archaeology_Settings"},
	["DBM-Arnold-Bosskill"] = {},
	["DBM-Azeroth"] = {"DBMAzeroth_AllSavedVars","DBMAzeroth_SavedStats"},
	["DBM-Azeroth-BfA"] = {"DBMAzerothBfA_AllSavedVars","DBMAzerothBfA_SavedStats"},
	["DBM-BaradinHold"] = {"DBMBaradinHold_AllSavedVars","DBMBaradinHold_SavedStats"},
	["DBM-BastionTwilight"] = {"DBMBastionTwilight_AllSavedVars","DBMBastionTwilight_SavedStats"},
	["DBM-BattlefieldBarrens"] = {"DBMBattlefieldBarrens_SavedVars"},
	["DBM-Battlestandards"] = {"Battlestandards_SavedVars"},
	["DBM-BlackrockFoundry"] = {"DBMBlackrockFoundry_AllSavedVars","DBMBlackrockFoundry_SavedStats"},
	["DBM-BlackTemple"] = {"DBMBlackTemple_AllSavedVars","DBMBlackTemple_SavedStats"},
	["DBM-BlackwingDescent"] = {"DBMBlackwingDescent_AllSavedVars","DBMBlackwingDescent_SavedStats"},
	["DBM-Bookshelf"] = {},
	["DBM-Boss-Sounds"] = {},
	["DBM-Brawlers"] = {"DBMBrawlers_AllSavedVars"},
	["DBM-BWL"] = {"DBMBWL_AllSavedVars","DBMBWL_SavedStats"},
	["DBM-CastleNathria"] = {"DBMCastleNathria_AllSavedVars","DBMCastleNathria_SavedStats"},
	["DBM-Challenges"] = {"DBMChallenges_AllSavedVars","DBMChallenges_SavedStats"},
	["DBM-ChamberOfAspects"] = {"DBMChamberOfAspects_AllSavedVars","DBMChamberOfAspects_SavedStats"},
	["DBM-Coliseum"] = {"DBMColiseum_AllSavedVars","DBMColiseum_SavedStats"},
	["DBM-Core"] = {"DBM_AllSavedOptions","DBM_MinimapIcon","DBM_UsedProfile","DBM_UseDualProfile","DBM_CharSavedRevision"},
	["DBM-Countdown-Pack-Mario-Kart"] = {},
	["DBM-CountPack-HotS"] = {},
	["DBM-CountPack-KoreanGamers"] = {},
	["DBM-CountPack-Overwatch"] = {},
	["DBM-CrucibleofStorms"] = {"DBMCrucibleofStorms_AllSavedVars","DBMCrucibleofStorms_SavedStats"},
	["DBM-DefaultSkin"] = {},
	["DBM-DMF"] = {"DBMDMF_AllSavedVars","DBMWorldDMF_SavedStats"},
	["DBM-Draenor"] = {"DBMDraenor_AllSavedVars","DBMDraenor_SavedStats"},
	["DBM-DragonSoul"] = {"DBMDragonSoul_AllSavedVars","DBMDragonSoul_SavedStats"},
	["DBM-EternalPalace"] = {"DBMEternalPalace_AllSavedVars","DBMEternalPalace_SavedStats"},
	["DBM-EyeOfEternity"] = {"DBMEyeOfEternity_AllSavedVars","DBMEyeOfEternity_SavedStats"},
	["DBM-Fail-Sounds"] = {},
	["DBM-Firelands"] = {"DBMFirelands_AllSavedVars","DBMFirelands_SavedStats"},
	["DBM-GarrisonInvasions"] = {"DBMGarrisonInvasions_AllSavedVars","DBMGarrisonInvasions_SavedStats"},
	["DBM-GUI"] = {},
	["DBM-HeartofFear"] = {"DBMHeartofFear_AllSavedVars","DBMHeartofFear_SavedStats"},
	["DBM-HellfireCitadel"] = {"DBMHellfireCitadel_AllSavedVars","DBMHellfireCitadel_SavedStats"},
	["DBM-Highmaul"] = {"DBMHighmaul_AllSavedVars","DBMHighmaul_SavedStats"},
	["DBM-Hyjal"] = {"DBMHyjal_AllSavedVars","DBMHyjal_SavedStats"},
	["DBM-Icecrown"] = {"DBMIcecrown_AllSavedVars","DBMIcecrown_SavedStats"},
	["DBM-Interrupts"] = {},
	["DBM-Karazhan"] = {"DBMKarazhan_AllSavedVars","DBMKarazhan_SavedStats"},
	["DBM-LDB"] = {},
	["DBM-LegendaryDummy"] = {"DBMLegendaryDummyDB"},
	["DBM-LootReminder"] = {},
	["DBM-MC"] = {"DBMMC_AllSavedVars","DBMMC_SavedStats"},
	["DBM-MogushanVaults"] = {"DBMMogushanVaults_AllSavedVars","DBMMogushanVaults_SavedStats"},
	["DBM-Naxx"] = {"DBMNaxx_AllSavedVars","DBMNaxx_SavedStats"},
	["DBM-Nighthold-DBH"] = {"DBMNightholdDBM_AllSavedVars","DBMNightholdDBM_SavedStats"},
	["DBM-NotScaryAtAll"] = {},
	["DBM-Nyalotha"] = {"DBMNyalotha_AllSavedVars","DBMNyalotha_SavedStats"},
	["DBM-Onyxia"] = {"DBMOnyxia_AllSavedVars","DBMOnyxia_SavedStats"},
	["DBM-Outlands"] = {"DBMOutlands_AllSavedVars","DBMOutlands_SavedStats"},
	["DBM-Pandaria"] = {"DBMPandaria_AllSavedVars","DBMPandaria_SavedStats"},
	["DBM-Party-BC"] = {"DBMPartyBC_AllSavedVars","DBMPartyBC_SavedStats"},
	["DBM-Party-BfA"] = {"DBMPartyBfA_AllSavedVars","DBMPartyBfA_SavedStats"},
	["DBM-Party-Cataclysm"] = {"DBMPartyCataclysm_AllSavedVars","DBMPartyCataclysm_SavedStats"},
	["DBM-Party-Classic"] = {"DBMPartyClassic_AllSavedVars","DBMPartyClassic_SavedStats"},
	["DBM-Party-Legion"] = {"DBMPartyLegion_AllSavedVars","DBMPartyLegion_SavedStats"},
	["DBM-Party-MoP"] = {"DBMPartyMoP_AllSavedVars","DBMPartyMoP_SavedStats"},
	["DBM-Party-Shadowlands"] = {"DBMPartyShadowlands_AllSavedVars","DBMPartyShadowlands_SavedStats"},
	["DBM-Party-WoD"] = {"DBMPartyWoD_AllSavedVars","DBMPartyWoD_SavedStats"},
	["DBM-Party-WotLK"] = {"DBMPartyWotLK_AllSavedVars","DBMPartyWotLK_SavedStats"},
	["DBM-Profiles"] = {"DeadlyBossModsDB"},
	["DBM-PvP"] = {"DBMPvP_AllSavedVars"},
	["DBM-RaidLeadTools"] = {"DBM_BidBot_ItemHistory","DBM_RaidLeadTools_AllSavedVars"},
	["DBM-Scenario-MoP"] = {"DBMScenarioMoP_AllSavedVars","DBMScenarioMoP_SavedStats"},
	["DBM-Serpentshrine"] = {"DBMSerpentshrine_AllSavedVars","DBMSerpentshrine_SavedStats"},
	["DBM-SiegeOfOrgrimmarV2"] = {"DBMSiegeOfOrgrimmarV2_AllSavedVars","DBMSiegeOfOrgrimmarV2_SavedStats"},
	["DBM-SMGEventsPack"] = {},
	["DBM-SoundEventsPack"] = {},
	["DBM-SpellTimers"] = {"DBM_SpellTimers_Settings"},
	["DBM-StatusBarTimers"] = {"DBT_AllPersistentOptions"},
	["DBM-Sunwell"] = {"DBMSunwell_AllSavedVars","DBMSunwell_SavedStats"},
	["DBM-TerraceofEndlessSpring"] = {"DBMTerraceofEndlessSpring_AllSavedVars","DBMTerraceofEndlessSpring_SavedStats"},
	["DBM-TheEye"] = {"DBMTheEye_AllSavedVars","DBMTheEye_SavedStats"},
	["DBM-ThroneFourWinds"] = {"DBMThroneFourWinds_AllSavedVars","DBMThroneFourWinds_SavedStats"},
	["DBM-ThroneofThunder"] = {"DBMThroneofThunder_AllSavedVars","DBMThroneofThunder_SavedStats"},
	["DBM-TimelessIsle"] = {"DBMTimelessIsle_AllSavedVars"},
	["DBM-Uldir"] = {"DBMUldir_AllSavedVars","DBMUldir_SavedStats"},
	["DBM-Ulduar"] = {"DBMUlduar_AllSavedVars","DBMUlduar_SavedStats"},
	["DBM-VictorySound"] = {"DBM_VictorySound_Settings"},
	["DBM-VoA"] = {"DBMVoA_AllSavedVars","DBMVoA_SavedStats"},
	["DBM-VPAdraPack"] = {},
	["DBM-VPAlyona"] = {},
	["DBM-VPAnanSchwarzenegger"] = {},
	["DBM-VPARNOLD"] = {},
	["DBM-VPCarebear"] = {},
	["DBM-VPCodiak"] = {},
	["DBM-VPDBYams"] = {},
	["DBM-VPDemo"] = {},
	["DBM-VPDeutsch maenlich"] = {},
	["DBM-VPDeutsch weiblich"] = {},
	["DBM-VPDingdiringKR"] = {},
	["DBM-VPDraik"] = {},
	["DBM-VPElarinti"] = {},
	["DBM-VPEnglish female"] = {},
	["DBM-VPEnglish male"] = {},
	["DBM-VPEyeofCrowKR"] = {},
	["DBM-VPGerman"] = {},
	["DBM-VPguozi"] = {},
	["DBM-VPHamseoroKR"] = {},
	["DBM-VPHazelNutty"] = {},
	["DBM-VPItalian"] = {},
	["DBM-VPJingjing"] = {},
	["DBM-VPJohnny"] = {},
	["DBM-VPJoluSpanish"] = {},
	["DBM-VPKassiopeia"] = {},
	["DBM-VPKimnaa324"] = {},
	["DBM-VPKiwi"] = {},
	["DBM-VPLanna"] = {},
	["DBM-VPLannaNOFX"] = {},
	["DBM-VPLazyCrazyJoe"] = {},
	["DBM-VPMovieGuy"] = {},
	["DBM-VPMununyu"] = {},
	["DBM-VPRhedra"] = {},
	["DBM-VPTaotao"] = {},
	["DBM-VPUndeadVO"] = {},
	["DBM-VPUT99"] = {},
	["DBM-VPVEM"] = {},
	["DBM-VPVV"] = {},
	["DBM-VPXF"] = {},
	["DBM-VPYike"] = {},
	["DBM-VPYun"] = {},
	["DBM-VPZoeEvans"] = {},
	["DBM-WorldEvents"] = {"DBMWorldEvents_AllSavedVars","DBMWorldEvents_SavedStats"},
	["DBM-ZuldazarRaid"] = {"DBMZuldazarRaid_AllSavedVars","DBMZuldazarRaid_SavedStats"},
	["DBmobs"] = {},
	["DBmobs_frFR"] = {},
	["DBM_CountDown_Narwhal"] = {},
	["DBobjets"] = {},
	["DBOT"] = {"DBOT"},
	["DBOT_linkable"] = {"DBOT_linkable","DBOT_linkable_t_serveur"},
	["DBquetes"] = {"DBQS","DBPS","DBQS_config"},
	["DBquetes2"] = {"DBquetes2_config"},
	["DbzMonk_Goku"] = {},
	["DC-TotalHealerMana"] = {"DCTHM","DC-TotalHealerMana-Frame"},
	["DCCS"] = {},
	["DCoords"] = {"DCoordsDBZ"},
	["DCoordsClassic"] = {"DCoordsDB"},
	["dead"] = {},
	["DeadLol"] = {},
	["DeadlySlackers"] = {"DeadlySlackersConfig"},
	["Deadpool"] = {"DeadpoolGlobal_SessionId","DeadpoolData","DeadpoolOptionsData","DeadpoolMIcon","DeadpoolTuto","DeadpoolPosition"},
	["DealWithBwonsamdi"] = {},
	["Death Bet"] = {"Death_Bet_Channel","Death_Bet_History"},
	["death-clock"] = {"DeathClockDB"},
	["DeathAlerts"] = {"DeathAlerts_Enabled","rDAColor","gDAColor","bDAColor"},
	["DeathClock"] = {"DeathClockSettings"},
	["DeathCounter"] = {"DeathCounterDB","DeathCounterCharDB"},
	["DeathFxBeGone"] = {},
	["Deathknell"] = {"ignorenotifyoutCombatPref"},
	["DeathKnightFrost"] = {},
	["DeathLUL"] = {},
	["DeathNote"] = {"DN_Data","DN_Setting_Data","DN_Data","DN_Setting_Data"},
	["DeathRattle"] = {},
	["DeathSound"] = {},
	["DeathSounds"] = {},
	["DeathTimer"] = {"deathTimerDB"},
	["DeathyStats"] = {"deaths","deathsThisLevel","deathZones"},
	["Death_Roll"] = {},
	["DebbiesAmazinglyAwesomeFarewellSayer"] = {"FarewellMSG","FRWSAYERGroupSize"},
	["DebuffUp"] = {"DebuffUpDB"},
	["Decliner"] = {"declinerlog","declinerhistory","Decliner_SV"},
	["Decursive"] = {"DecursiveDB"},
	["decyka"] = {"logged_names","dc_config"},
	["DeepDownBelow"] = {"DeepDownBelow_Saves","DeepDownBelow_Character"},
	["Def's Camera Zoom"] = {},
	["Def's Gryphon Removal Service"] = {},
	["Def's Healing Damage FCT Removal"] = {},
	["Def's No Buff Filter On Target"] = {},
	["Def's Objectives Combat Toggle"] = {"DefsOCTTable"},
	["Def's PlayerHitInficator Be Gone"] = {},
	["Def's Sapped"] = {},
	["Def's Tooltip"] = {},
	["Def's Whisper Sound"] = {},
	["DefaultCleanUI"] = {},
	["DefaultPetBarHider"] = {"DPBH_active"},
	["Defs-Rare-Safari"] = {"DRSa","DRSc"},
	["Defs-Toolbox"] = {"DTBa","DTBc"},
	["DeggansMarks"] = {"Defaults","Defaults"},
	["DejaAuras"] = {"DejaAurasDB","DejaAurasDBPC"},
	["DejaAutoMark"] = {"DejaAutoMarkDB","DejaAutoMarkDBPC"},
	["DejaBuffs"] = {},
	["DejaCharacterStats"] = {"DejaCharacterStatsDB","DejaCharacterStatsDBPC"},
	["DejaChat"] = {},
	["DejaChatClassic"] = {},
	["DejaChatTabs"] = {},
	["DejaClassicStats"] = {"DejaClassicStatsDB","DejaClassicStatsDBPC"},
	["DejaMark"] = {},
	["DejaMicroFader"] = {},
	["DejaMicroHider"] = {},
	["DejaMinimap"] = {"DejaMinimapDB","DejaMinimapDBPC"},
	["DejaOHFader"] = {},
	["DejaPRFader"] = {},
	["DejaQuestFader"] = {},
	["DejaStats"] = {"DejaStatsDB","DejaStatsDBPC"},
	["DejaView"] = {"DejaViewDB","DejaViewDBPC"},
	["DejaViewClassic"] = {"DejaViewDB","DejaViewDBPC"},
	["Dejunk"] = {"DEJUNK_ADDON_SV"},
	["DeleteConfirmer"] = {},
	["deleteForMe"] = {},
	["DeleteGoodItemConfirmHelper"] = {},
	["Demonbolt"] = {"DemonboltDB"},
	["DemonMaster"] = {"DemonMasterKeybindAlert","DemonMasterLastDemon"},
	["DemoSkinTracker"] = {"dstSettings"},
	["DerangementMinimapBlips"] = {},
	["DerangementPetBattleCooldowns"] = {},
	["DerangementShieldMeters"] = {},
	["DerekMod"] = {},
	["DerpyMedia"] = {},
	["DerpyStuffing"] = {"DerpyStuffingDB"},
	["DesolateHostFrameFix"] = {},
	["DeSpamMaster"] = {"DeSpamMasterDB"},
	["DestroyusPro"] = {"DestroyusProItemQualityValue","DestroyusProSpellsID"},
	["DestructionForDummies"] = {"DestroDummiesPCdb"},
	["DetailedDurability"] = {},
	["Details"] = {"_detalhes_global","_detalhes_database"},
	["DetailsHorizon"] = {"DetailsHorizonDB","DetailsHorizonPerCharDB"},
	["Details_ChartViewer"] = {},
	["Details_Combined"] = {},
	["Details_DataStorage"] = {"DetailsDataStorage"},
	["Details_DeathGraphs"] = {"DeathGraphsDBDeaths","DeathGraphsDBEndurance","DeathGraphsDBCurrent","DeathGraphsDBGraph"},
	["Details_Elitism"] = {"ElitismLog"},
	["Details_EncounterDetails"] = {"EncounterDetailsDB"},
	["Details_ExplosiveOrbs"] = {"ExplosiveOrbsLog"},
	["Details_RaidCheck"] = {},
	["Details_RaidInfo-BlackrockFoundry"] = {},
	["Details_RaidInfo-Highmaul"] = {},
	["Details_RaidInfo-SiegeOfOrgrimmar"] = {},
	["Details_RaidInfo-ThroneOfThunder"] = {},
	["Details_RaidPowerBars"] = {"_detalhes_databaseRaidPowerBar"},
	["Details_Streamer"] = {"Details_StreamerDB"},
	["Details_TargetCaller"] = {},
	["Details_TimeLine"] = {"DetailsTimeLineDB"},
	["Details_TinyThreat"] = {},
	["Details_Vanguard"] = {"_detalhes_databaseVanguard"},
	["Devian"] = {"DevianDB","DevianLoadMessage"},
	["DevMe.16.11.5"] = {},
	["devnull"] = {"devnullDB"},
	["Deyfightin"] = {},
	["df-ArkInventoryRules"] = {},
	["df-GuildTools"] = {},
	["DFontChatSizes"] = {},
	["dgks"] = {"dgksDB","dgksDBPC"},
	["dgks_classic"] = {"dgksDB","dgksDBPC"},
	["DGPS"] = {"DGPS_DB"},
	["dgstripper"] = {"dgstripperDB","dgstripperDBPC"},
	["dgstripper_classic"] = {"dgstripperDB","dgstripperDBPC"},
	["DHTimers"] = {"DHTimers_GlobalSettings","DHTimers_Profiles"},
	["DHUD"] = {"DHUDODB3","DHUD_SavedVars"},
	["DHUD_Options"] = {},
	["DiabolicUI"] = {"DiabolicUI_DB"},
	["DialogKey"] = {"DialogKeyDB"},
	["DiceGame"] = {},
	["DiceMaster"] = {"DiceMaster4_Saved","DiceMaster_TraitOne","DiceMaster_TraitTwo","DiceMaster_TraitThree","DiceMaster_TraitFour","DiceMaster_TraitFive","DiceMaster_Charges","DiceMaster_ChargesName","DiceMaster_ChargesColor","DiceMaster_ChargesMax"},
	["DiceMaster_UnitFrames"] = {"DiceMaster4UF_Saved"},
	["DiceRoller"] = {},
	["DidIDoIt"] = {},
	["DiesalLibs"] = {"DiesalTestDB"},
	["DiHook"] = {},
	["diminfo"] = {"diminfo"},
	["Diminish"] = {"DiminishDB"},
	["DiminishingReturns"] = {"DiminishingReturnsDB"},
	["DiminishingReturns_Config"] = {},
	["Diminish_Options"] = {},
	["DingAnnouncer"] = {"daSettings"},
	["DingAnnouncerClassic"] = {},
	["DingChucklebrothers"] = {},
	["DingJohnCena"] = {},
	["DingMaster"] = {},
	["DingPlayed"] = {},
	["dingshot"] = {},
	["DingSound"] = {},
	["dingtweet"] = {"dingMinimumTweetLevel"},
	["dingy-iron-counter"] = {},
	["DingyIronCoins_TSL"] = {"DICTSLLockAtLoad","DICTSLHideAtLoad","DICCTSLMMBPos","DICCTSLMMBHide"},
	["Diplomancer"] = {"DiplomancerSettings"},
	["DirectGameMenu"] = {},
	["DirectionArrow"] = {"DirectionArrowDB"},
	["DisableAutoAddSpells"] = {},
	["DisableCommunities"] = {},
	["DisableMapMaximize"] = {"DisableMapMaximizeStatus"},
	["DisablePortraitText"] = {},
	["DiscAzeriteArmor"] = {},
	["DiscordEmoji"] = {},
	["DiscordInviteManager"] = {"DiscordInviteManager_Active","DiscordInviteManager_ExpirationTime","DiscordInviteManager_Link"},
	["DisenchantCraftedItems"] = {"DCI_AutoLootDisenchanted","DCI_IgnoreSoulbound"},
	["DisMe"] = {},
	["Dismounter"] = {},
	["Dispeller"] = {"DispellerSettings"},
	["Dispell_Alert"] = {"Dispell_AlertDB"},
	["Divisor"] = {"DivisorOptions"},
	["DJBags"] = {"DJBags_DB","DJBags_DB_Char"},
	["dkcrutch"] = {"DKCrutchDB"},
	["DKDiseases"] = {"DKDiseasesDB"},
	["DKIDiseases"] = {"DKIDiseases_Saved"},
	["DKIRunes"] = {"DKIRunes_Saved"},
	["DKP-Bidder"] = {"DKPbidderDB"},
	["DKP-Manager"] = {"DKPmanagerDB"},
	["DKPTooltip"] = {"DKPT"},
	["DKPUnity"] = {"PunishmentBIT","MeinsTbl","VerlaufTbl","OnyxiaID","LucifronID","MagmadarID","GehennasID","GarrID","ShazzrahID","BaronID","GolemaggID","SulfuronID","MajordomoID","RagnarosID","RazorgoreID","VaelastraszID","LashlayerID","FiremawID","EbonrocID","FlamegorID","ChromaggusID","NefarianID","SkeramID","TrioID","SarturaID","FankrissID","ViscidusID","HuhuranID","TwinID","OuroID","CThunID","AnubID","FaerlinaID","MaexxnaID","NothID","HeiganID","LoathebID","RazuviousID","GothikID","HorsemenID","PatchwerkID","GrobbulusID","GluthID","ThaddiusID","SapphironID","KelThuzadID","VenoxisID","JeklikID","MarliID","ThekalID","ArlokkID","HakkarID","MandokirID","HazzarahID","GahzrankaID","JindoID","GrilekID","RenatakiID","WushoolayID","KurinnaxxID","RajaxxID","MoamID","BuruID","AyamissID","OssirianID","DKPF1POSF","DKPF1POSX","DKPF1POSY","DKPInfoPOSF","DKPInfoPOSY","DKPInfoPOSX","DKPItemPOSF","DKPItemPOSX","DKPItemPOSY","DKPPassenPOSF","DKPPassenPOSY","DKPPassenPOSX"},
	["DKRot"] = {"DKROT_Settings"},
	["DKTwo"] = {"DKTwoDB"},
	["DLMS"] = {"svdDB","svOptionsDB","sv_black_list","sv_white_list","sv_safe_list","sv_ignore_list"},
	["DMFAutoDailyQuest"] = {},
	["DMFQuest"] = {"DMFQConfig"},
	["DMouse"] = {"DMouseDB","DMouseDBAceDB"},
	["DMouseClassic"] = {"DMouseDB","DMouseDBAceDB"},
	["DNKBA"] = {"posx","posy"},
	["DoesMyAltKnowThat"] = {"DoesMyAltKnowThatDB","DoesMyAltKnowThatDBPC"},
	["DoIt!"] = {"DoIt_MeshNetworkingDoIt_Saved"},
	["Dominos"] = {"DominosDB"},
	["DominosClassicSkin"] = {},
	["Dominos_Auras"] = {},
	["Dominos_BuffTimes"] = {"Dominos_BuffTimesDB"},
	["Dominos_Cast"] = {},
	["Dominos_Config"] = {},
	["Dominos_Encounter"] = {},
	["Dominos_MINIMAP"] = {"Dom_Minimap","Dom_Queue"},
	["Dominos_Pets"] = {},
	["Dominos_Progress"] = {},
	["Dominos_Quest"] = {"Dom_Quest"},
	["Dominos_Roll"] = {},
	["Dominos_Units"] = {"Dominos_UnitsDB","Dominos_UnitsVersion"},
	["DontBugMe"] = {},
	["DontBuyIt"] = {},
	["DontCast"] = {"DontCastAuras","DontCastConfig"},
	["Dont_Release"] = {"Dont_ReleaseDB"},
	["Doodlepad"] = {"Doodleboard"},
	["DoomBotHelper"] = {},
	["Doomfree"] = {"DoomFreeConfig"},
	["doomsayer"] = {},
	["DoomsayerSayer"] = {},
	["DoomShards"] = {"DoomShardsDB"},
	["Doom_CooldownPulse"] = {"DCP_Saved","DCP_SavedPerCharacter"},
	["DoorOpener"] = {},
	["DotFocus"] = {"DOF_saved_configs","DOF_sharemedia","DOF_animaticsList","DOF_cdsList","DOF_talentsList","DOF_global","DOF_config"},
	["DoubleClickForTheWin"] = {},
	["Doughboy"] = {},
	["DownInFront"] = {"DownInFrontOptions"},
	["DoYouNeedThat"] = {"DyntDB"},
	["DPSTacho"] = {"DPSTacho_showFrame","DPSTacho_curStyle","DPSTacho_isLocked","DPSTacho_framebufferSize","DPSTacho_jitter","DPSTacho_jitterFac","DPSTacho_maxValue"},
	["draenormiller"] = {},
	["DraenorMount"] = {},
	["DraenorTreasures"] = {"DRTSOptions"},
	["DragEmAll"] = {},
	["DragIt"] = {},
	["DragonHider"] = {},
	["draiks-broker-ilevel"] = {"draiksAddonInitialisedilvlDB"},
	["Drash_QuestCompleteSound"] = {},
	["DRData-1.0"] = {},
	["DreadWhisperForInvite"] = {},
	["DreamArrowsClassic"] = {"Color","Size","Style","Toggle","WSize"},
	["Dresser"] = {"DresserDB"},
	["DressingRoomFunctions"] = {"DRF_Global","DRF_Character"},
	["DressingSlots"] = {"DressMode"},
	["DressUp"] = {"DressupDB"},
	["DressupDeluxe"] = {},
	["Drift"] = {"DriftPoints","DriftOptions"},
	["DrillSergeant"] = {},
	["DrinkIt"] = {},
	["DRList-1.0"] = {},
	["DromadaireMysterieuse"] = {"DromadaireMysterieuseDB"},
	["DroodFocus"] = {"DF_saved_configs","DF_sharemedia","DF_animaticsList","DF_cdsList","DF_config"},
	["DropTheCheapestThing"] = {"DropTheCheapestThingDB"},
	["DropTrak"] = {"dropTrakData"},
	["DRTracker"] = {},
	["DruidBarClassic"] = {"DruidBarKey"},
	["DruidFriend"] = {"DruidFriendDB"},
	["DruidHealing"] = {"druidhealing_global_settings"},
	["Druidism"] = {"DruidismGlobalSettings"},
	["Druid_of_the_Flame"] = {},
	["DrunkardSK"] = {"DrunkardSKDB"},
	["DTLite"] = {},
	["DTM's Repair Enforcer"] = {},
	["DTweaks"] = {},
	["DTweaks_Mover"] = {},
	["DualSpeccer"] = {"DualSpeccerDB"},
	["DualspecProfiles"] = {"DualspecProfilesDB"},
	["DualSpecQ"] = {"DualSpecQDB"},
	["DuckTools"] = {"MyAddonPerSettings"},
	["DuelCountdown"] = {},
	["Duelist"] = {"DuelistDB"},
	["DuelResponse"] = {"GlobalDC","DRConfig","DuelsDeclined"},
	["DuelResponse_Blacklist"] = {"DRBConfig","DRBIgnore"},
	["DuelResponse_Whisper"] = {"DRWConfig"},
	["DuffedUI"] = {"DuffedUIData","DuffedUIDataPerChar","ImprovedCurrency","CurrencyData"},
	["DuffedUI_ConfigUI"] = {"DuffedUIConfigAll","DuffedUIConfigPublic","DuffedUIConfigPrivate"},
	["DugiWorkshop"] = {"LSWConfig"},
	["Duh"] = {"DuhDB"},
	["DumbKnight"] = {"DumbKnightDB","DumbKnightEventDumpDB"},
	["DumpJunk"] = {"DumpJunkSV"},
	["Dumpster"] = {"dumpset"},
	["dungeon-loot"] = {"DungeonLootCharDB"},
	["DungeonDifficulty"] = {"iShowMessages","dSave","lSave","rSave"},
	["DungeonEntrances"] = {},
	["DungeonFinder"] = {"DungeonFinderDB"},
	["DungeonHelper"] = {"DungeonHelperDB"},
	["DungeonLocations"] = {"DungeonLocationsConfig"},
	["DungeonOrganizer"] = {"DungeonOrganizerDB"},
	["DungeonRoleShortageHelper"] = {"DungeonRoleShortageHelperDB"},
	["DungeonSettings"] = {"DungeonSettingsDB","DungeonSettingsCharacterDB"},
	["DungeonStatus"] = {"dungstats_options"},
	["DungeonWatchDog"] = {"WATCHDOG_VARS","WATCHDOG_DB"},
	["Dunning Auto Logger"] = {"DunningVariables"},
	["DunningUI"] = {"DunningVariables"},
	["DurabilityAndItemLevel"] = {"DurabilityAndItemLevel"},
	["DurabilityStatus"] = {"DurStatusOpt"},
	["Dwarvenizer"] = {"DwarvenizerSettings"},
	["DwGuild"] = {"DwGuildConfigValues"},
	["DWMRepColoredBars"] = {},
	["DwRaid"] = {"DwRaidConfigValues"},
	["DwSounds"] = {"DwSoundsConfigValues"},
	["DXE"] = {"DXEDB"},
	["DXE_BlackrockFoundry"] = {},
	["DXE_HellfireCitadel"] = {},
	["DXE_Highmaul"] = {},
	["DXE_Loader"] = {"DXEIconDB","DXEDB"},
	["DXE_Options"] = {},
	["DXE_Party_WoD"] = {},
	["DXE_TimeWalker"] = {},
	["DXE_WoD"] = {},
	["DynamicBoxer"] = {"dynamicBoxerSaved"},
	["DynamicCam"] = {"DynamicCamDB"},
	["DynamicCam-Classic"] = {"DynamicCamDB"},
	["DynamicPerformance"] = {"DynPerfDB"},
	["DZAFMover"] = {"DZAFMoverDB"},
	["eAlignClassic"] = {},
	["eAlignUpdated"] = {},
	["earmuffs"] = {"EarmuffsDB"},
	["EarthShieldTracker"] = {"EST_DB"},
	["Easy Unit Text"] = {},
	["EasyBind_Classic"] = {},
	["EasyColorPicker"] = {},
	["EasyCopy"] = {"ECVars"},
	["EasyDelete"] = {},
	["EasyDeleteConfirm"] = {},
	["EasyDisenchant"] = {},
	["EasyFrames"] = {"EasyFramesDB"},
	["EasyGroupFinder"] = {},
	["EasyiLvl"] = {},
	["EasyInvite"] = {},
	["EasyList"] = {},
	["EasyLogger"] = {},
	["EasyLoot"] = {"EasyLootSettings","EasyLootLootList"},
	["EasyLunkerTurnIn"] = {},
	["EasyMail"] = {"EasyMail_SavedVars"},
	["EasyPartyMarkers"] = {"EasyPartyMarkers"},
	["EasyPortalAdvert"] = {},
	["EasyReload"] = {},
	["EasyReport"] = {},
	["EasyReset"] = {},
	["EasyRider"] = {"EasyRiderDB"},
	["EasyScrap"] = {"EasyScrap_SaveData","EasyScrap_IgnoreList"},
	["EasyTradeSkills"] = {},
	["EasyUIMove"] = {"UI_SETTINGS"},
	["EasyVectis"] = {},
	["EasyWarmodeToggle"] = {"ewtSettings"},
	["EasyZoomOut"] = {},
	["Easy_Channel"] = {},
	["Easy_Obliterate"] = {"EasyObliterate_Data","EasyObliterate_IgnoreList"},
	["EavesDrop"] = {"EavesDropDB","EavesDropStatsDB"},
	["EA_PLM"] = {"Config"},
	["EbonBladeRaidAssist"] = {},
	["eCastingBar"] = {"eCastingBar_Settings","eCastingBar_Saved"},
	["EclairDeGivre"] = {"EDG_db"},
	["EclipseBarPlus"] = {"EclipseBarPlusDB"},
	["Eclipsor"] = {"E_Saved"},
	["Edgy_UI"] = {},
	["EditMacroIcons"] = {},
	["Een"] = {"Een_ChannelColours","Een_ChatFrame","Een_AutoLoad","Een_Msg","Een_Quiet"},
	["eeSpeak"] = {"eeSpeakDB","eeSpeakDB"},
	["EGCounter"] = {"EGCounter","Position"},
	["EgoBooster"] = {"EgoBoosterDB"},
	["EJExport"] = {},
	["EKMinimap"] = {},
	["EKPlates"] = {},
	["ElementalShaman"] = {},
	["Elementarist"] = {"ElementaristDB"},
	["Elephant"] = {"ElephantDB","ElephantDBPerChar"},
	["Elevator"] = {},
	["Elfosdatatext"] = {},
	["ElFramo3"] = {"elFramoDB"},
	["Eli5Achievements"] = {},
	["ElitePlayer"] = {},
	["ElitePlayerFrame_Enhanced"] = {"EPF_Vars"},
	["ElitismHelper"] = {"ElitismHelperDB"},
	["ElkBuffBars"] = {"ElkBuffBarsDB"},
	["ElkExperience"] = {"ElkExperienceDB"},
	["ElkFactions"] = {"ElkFactionsDB"},
	["ElkFriends"] = {"ElkFriendsDB"},
	["ElkGuild"] = {"ElkGuildDB"},
	["ElliDice"] = {},
	["Ellipsis"] = {"EllipsisDB","EllipsisVersion"},
	["Ellipsis_Options"] = {},
	["ElvUI"] = {"ElvDB","ElvPrivateDB","ElvCharacterDB"},
	["ElvUI Progression Tooltip"] = {"ept"},
	["ElvUI_Armory"] = {},
	["ElvUI_AutoLog"] = {},
	["ElvUI_BagFilter"] = {},
	["ElvUI_BenikUI"] = {},
	["ElvUI_BetterTalentFrame"] = {"ElvUI_BetterTalentFrameGlobalDB","ElvUI_BetterTalentFrameDB"},
	["ElvUI_BFACurrencies"] = {},
	["ElvUI_CardinalPoints"] = {},
	["ElvUI_ChannelAlerts"] = {},
	["ElvUI_ChatTextures"] = {},
	["ElvUI_ChatTweaks"] = {"ElvUI_ChatTweaksDB"},
	["ElvUI_ChatTweaks_Debug"] = {},
	["ElvUI_ChatTweaks_Extra"] = {},
	["ElvUI_ChatTweaks_Spam"] = {},
	["ElvUI_CliqueDatatext"] = {},
	["ElvUI_CodeNameBlaze"] = {},
	["ElvUI_Companions"] = {"MountsDB","CompanionsDB"},
	["ElvUI_CompassPoints"] = {},
	["ElvUI_CoolLine_Wrapper"] = {},
	["ElvUI_CorruptionDT"] = {},
	["ElvUI_CurrenciesDatatext"] = {},
	["ElvUI_CurrencyCapDT"] = {},
	["ElvUI_CurrencyDatatext"] = {},
	["ElvUI_CustomMedia"] = {},
	["ElvUI_DataConfig"] = {},
	["ElvUI_DraenorCurrencies"] = {},
	["ElvUI_DTBars2"] = {},
	["ElvUI_Enhanced"] = {},
	["ElvUI_EnhancedCurrency"] = {"curr_gold","curr_db"},
	["ElvUI_EquipmentSetsDT"] = {},
	["ElvUI_ExtraDataTexts"] = {},
	["ElvUI_ExtraDataTexts_Classic"] = {},
	["ElvUI_FogofWar"] = {},
	["ElvUI_FogRemover"] = {},
	["ElvUI_GarrisonResourcesDT"] = {},
	["ElvUI_GennUI"] = {},
	["ElvUI_GlobalFadePersist"] = {},
	["ElvUI_HealerMana"] = {},
	["ElvUI_ImprovedSpecSwitch"] = {},
	["ElvUI_InfoBar"] = {},
	["ElvUI_ItemCount"] = {"ItemCountDB"},
	["ElvUI_ItemLevelDatatext"] = {},
	["ElvUI_KlixUI"] = {"KUIDataDB","AddonPanelProfilesDB","AddonPanelServerDB","KUIDataPerCharDB","nodes","fcontinent","Mail_Senders","Mail_Count"},
	["ElvUI_LegionCurrencies"] = {},
	["ElvUI_LivvenUI"] = {"TalentProfilesGlobalDB","TeamStatsDB","AddonPanelProfilesDB","AddonPanelServerDB","TinyInspectDB","TalentProfilesDB","TeamStatsPCDB","LTSM"},
	["ElvUI_LocPlus"] = {},
	["ELvUI_LootOptions"] = {},
	["ElvUI_LuckyoneUI"] = {},
	["ElvUI_LvPlus"] = {"ACHIEVEMENTSEARCH_DB","TalentProfilesGlobalDB","TalentProfilesDB","TradeLog_TradesHistory","TradeLog_Announce_Checked","TradeLog_AnnounceChannel"},
	["ElvUI_LvPlus_AtlasLootReverse"] = {},
	["ElvUI_LvPlus_LootSpecManager"] = {"LTSM"},
	["ElvUI_LvPlus_TeamStats"] = {"TeamStatsDB","TeamStatsPCDB"},
	["ElvUI_MaUI"] = {},
	["ElvUI_MerathilisUI"] = {"MERData","MERDataPerChar"},
	["ElvUI_MerathilisUI-Classic"] = {"MERData","MERDataPerChar"},
	["ElvUI_Microbar"] = {},
	["ElvUI_MicroMenu"] = {},
	["ElvUI_MicroMenuDatatext"] = {},
	["ElvUI_mMediaTag"] = {},
	["ElvUI_MOGUI"] = {},
	["ElvUI_MythicPlusAffixTags"] = {},
	["ElvUI_NutsAndBolts"] = {},
	["ElvUI_OptionsUI"] = {},
	["ElvUI_PDBC"] = {},
	["ElvUI_PriestAoe"] = {},
	["ElvUI_ProfDataTexts"] = {},
	["ElvUI_Professions"] = {},
	["ElvUI_PvPDatatext"] = {},
	["ElvUI_QuestXP"] = {},
	["ElvUI_QuestXP_Classic"] = {},
	["ElvUI_RaidMarkers"] = {},
	["ElvUI_RayUI"] = {"RayUIData","RayUIDataPerChar"},
	["ElvUI_RecountIGF"] = {},
	["ElvUI_RectangleMinimap"] = {},
	["ElvUI_ReincarnationDatatext"] = {},
	["ElvUI_SaveMe"] = {},
	["ElvUI_SecondsToBuff"] = {},
	["ElvUI_SG20"] = {},
	["ElvUI_SkullflowerTP"] = {},
	["ElvUI_SLE"] = {"SLE_ArmoryDB"},
	["ElvUI_SmartQuestTracker"] = {},
	["ElvUI_Souschef"] = {},
	["ElvUI_SpellBinder"] = {"ElvUI_SpellBinderGlobalDB","ElvUI_SpellBinderDB"},
	["ElvUI_StopWatch"] = {},
	["ElvUI_SystemDatatext"] = {},
	["ElvUI_TankHealth"] = {},
	["ElvUI_ThinkTankUI_RM"] = {},
	["ElvUI_TitlesDatatext"] = {},
	["ElvUI_TohrUI"] = {},
	["ElvUI_Tooltip2Bag"] = {},
	["ElvUI_TukUIStyle"] = {},
	["ElvUI_Tukui_DrTracker"] = {},
	["ElvUI_WildImps"] = {},
	["ElvUI_WindTools"] = {},
	["ElvUI_Zarac_G13"] = {},
	["EMA"] = {"CoreProfileDB","CommunicationsProfileDB","TeamProfileDB","TagProfileDB","MessageProfileDB","CurrProfileDB","DisplayTeamProfileDB","FollowProfileDB","GuildProfileDB","InteractionProfileDB","ItemUseProfileDB","PurchaseProfileDB","QuestProfileDB","QuestWatcherProfileDB","SellProfileDB","TalkProfileDB","ToonProfileDB","TradeProfileDB","MailProfileDB","BankProfileDB","ISBoxerProfileDB"},
	["EMA-Classic"] = {"CoreProfileDB","CommunicationsProfileDB","TeamProfileDB","TagProfileDB","MessageProfileDB","CurrProfileDB","DisplayTeamProfileDB","FollowProfileDB","GuildProfileDB","InteractionProfileDB","ItemUseProfileDB","PurchaseProfileDB","QuestProfileDB","QuestWatcherProfileDB","SellProfileDB","TalkProfileDB","BankProfileDB","ToonProfileDB","TradeProfileDB","MailProfileDB","ISBoxerProfileDB"},
	["Ember"] = {},
	["EMLib"] = {},
	["EmmaDizzyEmotes"] = {},
	["Emoji"] = {"EmojiDB"},
	["EmoteLDB"] = {"EmoteLDBDB"},
	["EmoteLib"] = {"EMLIB_SAVEDPERCHAR"},
	["EmoteNonsense"] = {"enTextColour","enEmoteColour","enPlayerColour","enDoFlashClient","enDoRaidWarning","enNames"},
	["EmoteReply"] = {},
	["EmoteSplitter"] = {"EmoteSplitterSaved"},
	["Emoticolor"] = {"enTextColour","enEmoteColour","enPlayerColour","enNames"},
	["Emotional"] = {"EmotionalDB"},
	["Emotive"] = {"EmotiveDB"},
	["EnchantCheck"] = {"EnchantCheckDB"},
	["Enchantrix"] = {"EnchantConfig","EnchantedLocal","EnchantedItemTypes","NonDisenchantablesLocal","ProspectedLocal","MillingLocal","AutoDisenchantIgnoreList"},
	["Enchantrix-Barker"] = {"EnchantrixBarkerConfig","EnchantrixBarkerSavedInfo"},
	["EnchantVellum"] = {},
	["EncounterJournalLootSpecIcons"] = {},
	["EncounterJournalPlus_InstanceInfo"] = {},
	["EndlessRaidTools"] = {"EnRT_InterruptEnabled","EnRT_BonusRollCurrentRaid"},
	["EndureBossChecker"] = {"EBC_DB"},
	["EnemyGrid"] = {"EnemyGridDB","EnemyGridDBChr"},
	["EnemyPlayerTracking"] = {},
	["EnemyScanner2"] = {"EnemyScanner2DB"},
	["EnemySpotted"] = {},
	["Energized"] = {"EnergizedDB"},
	["Energized_Options"] = {},
	["EnergyWatch"] = {"EnergyWatchConfig"},
	["Engraved"] = {"EngravedOptions"},
	["EnhanceBattlefieldMinimap"] = {"EnhanceBattlefieldMinimap_DB"},
	["EnhancedBars"] = {},
	["EnhancedBGZoneMap"] = {"EnhancedBGZoneMapDB"},
	["EnhancedCharacterFrame"] = {},
	["EnhancedChatFilter"] = {"ecfDB"},
	["EnhancedClassIconPortraits"] = {},
	["EnhancedColourPicker"] = {},
	["EnhancedMenu"] = {},
	["EnhancedStackSplit"] = {"EnhancedStackSplit_Options"},
	["EnhancedTradeSkillUI"] = {"EnhancedTradeSkillUI_Options"},
	["EnhaPrio"] = {"EnhaPrioDB"},
	["EnhBloodlust"] = {},
	["EnsidiaFails"] = {"EnsidiaFailsDB","EnsidiaFails_FailCount","EnsidiaFails_OFailCount"},
	["Enumerate"] = {"EnumerateDB"},
	["EN_UnitFrames"] = {"EUF_Options"},
	["EonTag"] = {"PlayerStats","PlayerClasses"},
	["EPA-CooldownMonitor"] = {},
	["EPFlaskTime"] = {"EPTrankTime","EPTrankTracked","LastKnownDiff","EPTrankTimeOut","EPTrankTimeOutActive","EPLastLogout"},
	["epgp"] = {"EPGP_DB"},
	["EPGP-Classic"] = {"EPGP_DB"},
	["epgp-lootmaster-fp"] = {"EPGPLootMasterSelectFrameX","EPGPLootMasterSelectFrameY","EPGPLootMasterFrameX","EPGPLootMasterFrameY"},
	["EPGPAutoStandby"] = {"EPGPAutoStandbyDB"},
	["epgploot2"] = {"EPGPLoot2DB"},
	["EPGPRollMaster"] = {},
	["epgp_battle_bot"] = {"config"},
	["epgp_hors"] = {"EPGP_HoRS"},
	["epgp_hors_ml"] = {},
	["epgp_lootmaster"] = {"EPGPLootMaster"},
	["epgp_lootmaster_ml"] = {},
	["epgp_ngw_edition"] = {"EPGP_DB"},
	["EPGP_Simple_Loot"] = {"SimpleLootDB"},
	["EpicEnchantList"] = {"EELDB","EELBUILD","EELDBVER","EEL_Options","EEL_FAV"},
	["EpicFoodList"] = {"EFL_Options","EFL_FAV"},
	["EpicMusicPlayer"] = {"EpicMusicPlayer_PlayList","EpicMusicPlayerDB","EpicMusicPlayerBrokerDB","EpicMusicDancerDB"},
	["EpicMusicPlayer_MP3"] = {},
	["EpsiIskarAssist"] = {"EpsiIskarAssistDB"},
	["EQDing"] = {"EQDing"},
	["EquipChanger_Zone"] = {},
	["EquipMe"] = {"EquipMeDB"},
	["EquipmentBuddy"] = {"ebenable","ebfishingmode","ebname","eblastset","ebname2","ebname3","ebname4","ebID","ebID2","ebID3","ebID4","ebcooking","ebcookingname","ebcookingID","eblastcookingset","ebpvpname","ebpvpname2","ebpvpname3","ebpvpname4","ebpvpID","ebpvpID2","ebpvpID3","ebpvpID4","ebpvpmode","ebjoustingmode","ebspecmode","ebinstance","ebpetname","ebpetID","ebcombat","ebpetwassummoned","ebRaidname","ebRaidname2","ebRaidname3","ebRaidname4","ebRaidID","ebRaidID2","ebRaidID3","ebRaidID4"},
	["EquipmentSets"] = {"savedSet1savedSet2savedSet3savedSet4savedSet5savedSet6savedSet7savedSet8savedSet9savedSet10loadSlotTitles"},
	["Equipment_Marker"] = {},
	["EquipNSpecReminder"] = {"EquipNSpecReminderDB"},
	["EquippedForager"] = {"EFFirstRunEFUpdateMessageEFUpdateMessage2EForagerDreanorNotice"},
	["ERC"] = {"ERCDB"},
	["ErebusUI"] = {"ErebusUIDB"},
	["EriksShoppingList"] = {"ESL_CRAFTSDB","ESL_CRAFTSINFO","ESL_SHORTCUTS","ESL_RECIPESVERSION","ESL_SHORTCUTSVERSION","ESL_BAGSDB"},
	["ErrorDKP"] = {"ErrorDKPConfig","ErrorDKPDB","ErrorDKPDKPList","ErrorDKPDataInfo","ErrorDKPPriceList","ErrorDKPLootLog","ErrorDKPLootQueue"},
	["ErrorFilter"] = {"ErrorFilterDB"},
	["ErrorMonster"] = {"ErrorMonsterDB"},
	["Error_Hider"] = {"enabled","verbose"},
	["eSaithBagFilter"] = {"eSaithBagFilterInstances","eSaithBagFilterVar"},
	["EscortWarn"] = {"EscortWarnData"},
	["EskaQuestTracker"] = {"EskaQuestTrackerDB"},
	["EskaQuestTracker_Options"] = {},
	["EskaTracker"] = {"EskaTrackerDB"},
	["EskaTracker_Objectives"] = {},
	["EskaTracker_PetTracker"] = {},
	["Eskin"] = {},
	["EskisoGryphonsAndBagHider"] = {},
	["EspritPrimordial"] = {"NeedPrimalSpiritsDB"},
	["EssenceButton"] = {},
	["EssenceSetManager"] = {"EssenceSetManager"},
	["EssentialDKP"] = {"MonDKP_DB","MonDKP_Loot","MonDKP_DKPTable","MonDKP_DKPHistory","MonDKP_MinBids","MonDKP_MaxBids","MonDKP_Whitelist","MonDKP_Standby","MonDKP_Archive"},
	["ES_Tradeskill"] = {},
	["EveningWear"] = {},
	["EventAlert"] = {"EA_Config","EA_Position","EA_Items","EA_AltItems","EA_StackingItems","EA_StackingItemsCounts","EA_CustomItems"},
	["EventAnnouncer"] = {"EventAnnouncerDB"},
	["EventAssistant"] = {"EventAssistantPlayersTable","EventAssistantConfig"},
	["EventHorizon"] = {"EventHorizonDBG","EventHorizonDB"},
	["EventHorizon_Deathknight"] = {},
	["EventHorizon_Demonhunter"] = {},
	["EventHorizon_Druid"] = {},
	["EventHorizon_Hunter"] = {},
	["EventHorizon_Mage"] = {},
	["EventHorizon_Monk"] = {},
	["EventHorizon_Paladin"] = {},
	["EventHorizon_Priest"] = {},
	["EventHorizon_Rogue"] = {},
	["EventHorizon_Shaman"] = {},
	["EventHorizon_Warlock"] = {},
	["EventHorizon_Warrior"] = {},
	["EventLib"] = {},
	["EventScreenshot"] = {},
	["EventTraceReloaded"] = {"EventTraceReloaded"},
	["EventTracker"] = {"ET_Data"},
	["EverShiftingMirror"] = {},
	["EveryGoldToBanker"] = {},
	["EwyRat"] = {},
	["ExaltedPlus"] = {"ExaltedPlusFactions"},
	["ExaltedWithTheFloor"] = {"ExaltedWithFloorDB"},
	["Examiner"] = {"Examiner_Config","Examiner_Cache"},
	["Excavatinator"] = {"ExcavatinatorDB"},
	["ExecuteRange"] = {"ExecuteRangeDB"},
	["ExecutiveAssistant_libExecAssistExample"] = {"libExecAssistExampleDB"},
	["ExecutiveAssistant_OccupiedIntern"] = {"OccupiedIntern"},
	["ExecutiveAssistant_QuestIntern"] = {"ExecAssistQuestDB"},
	["Executive_Assistant"] = {"ExecAssistDB"},
	["Executive_Assistant_FileCabinet"] = {"FileCabinetDBFileCabinet_IMPORTFileCabinet_EXPORT"},
	["Exit_Button"] = {},
	["Exlist"] = {"Exlist_DB","Exlist_Config"},
	["Exonumist"] = {"ExonumistDB"},
	["ExpeditionAssistant"] = {},
	["ExpeditionInfo"] = {},
	["Experiencer"] = {"ExperiencerDB","ExperiencerDB_module_experience","ExperiencerDB_module_reputation","ExperiencerDB_module_artifact","ExperiencerDB_module_honor","ExperiencerDB_module_conquest"},
	["Explorer"] = {},
	["exPlus"] = {"isFrameOn","isChatOn"},
	["ExpMessage"] = {},
	["expr"] = {},
	["ExpresBrewingCo"] = {"EBC_Cfg"},
	["expstats"] = {"ExpStatsDB"},
	["EXPTracker"] = {},
	["Expy"] = {"ExpyDB"},
	["ExRT"] = {"VExRT"},
	["ExRT_ClassSpells"] = {},
	["EXT"] = {"TrackedXP"},
	["ExtDressingRoom"] = {},
	["ExtendedCharacterStats"] = {"ExtendedCharacterStats"},
	["ExtendedMapZoneInfoForClassic"] = {"ExtendedMapZoneInfoDB"},
	["ExtGuildUI"] = {"EXTGUILDUI_DATA"},
	["ExtMailUI"] = {"EXTMAILUI_DATA"},
	["ExtraActionButtonMover"] = {},
	["ExtraBar"] = {"ExtraBarsSave"},
	["ExtraCD"] = {"ExtraCDDB"},
	["ExtraQuestButton"] = {"ExtraQuestButtonDB"},
	["ExtraTooltip"] = {"ExtraTooltipSV"},
	["eXtremeUnitButtons"] = {"XUB_ANCHOR","XUB_BLINKRATE","XUB_BUFFED_ALPHA","XUB_BUTTON_SPACING","XUB_CHANGEDELAY",""},
	["ExtSocialUI"] = {"EXTSOCIALUI_DATA"},
	["ExtTabardUI"] = {},
	["ExtTransmogUI"] = {},
	["ExtVendor"] = {"EXTVENDOR_DATA"},
	["Exxark-DPS"] = {},
	["EZaspect+"] = {},
	["EZCoordinates"] = {"EZCoordinates_SavedVars"},
	["EzGInv"] = {},
	["EZJunk"] = {},
	["EzMo"] = {"EzMoDB"},
	["ezmount"] = {"EZMountData"},
	["EZQuest"] = {},
	["EzToggle"] = {"EzTogglePerDB"},
	["EZTrap"] = {},
	["f2p"] = {},
	["F2PAddon"] = {"F2PAddon_Variables"},
	["FacadeBuffs"] = {"FacadeBuffsDB"},
	["FactionAddict"] = {"FactionAddictConfig","FactionAddictLogVersion","FactionAddictLogData","FactionAddictLogEntries","FactionAddictConfigIsInactive"},
	["Factionizer"] = {"FIZ_Data","FIZ_Suppressed"},
	["FadeBars"] = {"SavedSettings","SavedSettings"},
	["FadeIn"] = {},
	["FadeObjectiveTracker"] = {"FadeObjectiveTrackerDB"},
	["FADEWorldTimers"] = {"SongflowerTimers","WhipperRootTimers","NightDragonTimers","OnyxiaTimers","NefarianTimers","WCBTimers","FADEWTConfig"},
	["FairLanguage"] = {"FairLanguageCore"},
	["FakeAchievement"] = {},
	["FakeItemLinks"] = {},
	["Fake_DBM"] = {},
	["famBags"] = {"famBags"},
	["famBagsOptions"] = {},
	["Family Battler Tooltip"] = {},
	["Family Familiar Tooltip"] = {},
	["Family Fighter Tooltip"] = {},
	["FamilyFamiliarHelper"] = {"FamilyFamiliarHelperSettings"},
	["FamilyFighter_Tacker"] = {},
	["FantasyLoot"] = {"FantasyLootDB"},
	["Farcaster"] = {"tblSpellList"},
	["FarmBuddy"] = {"FarmBuddyStandaloneDB"},
	["FarmCount"] = {},
	["farmed"] = {"farmed_options"},
	["Farmer"] = {"farmerOptions","earningStamp"},
	["Farmhand"] = {"FarmhandData"},
	["FarmHud"] = {"FarmHudDB"},
	["FarmHud_QuestArrow"] = {},
	["FarmingBar"] = {"FarmingBarDB","FarmingBarCharacterDB"},
	["FarmingTimer"] = {},
	["FarmIt2"] = {"FI_SV_CONFIG","FI_SV_DATA","FI_SVPC_CONFIG","FI_SVPC_STYLE","FI_SVPC_DATA","FI_SVPC_CACHE"},
	["FascistGnome"] = {"FascistGnomeDB"},
	["FastAutoRepair"] = {},
	["FastCast"] = {},
	["FasterCamera"] = {"FasterCameraDB2"},
	["FasterChatFade"] = {},
	["FasterLoot"] = {},
	["FasterLooting"] = {},
	["FastGuildInvite"] = {"FGI_DB","FGI_DEBUG"},
	["FastID"] = {},
	["FastMarks"] = {"Defaults","Defaults"},
	["FastQuestTurnIn"] = {},
	["FastQuit"] = {},
	["FastTrack"] = {"FastTrack_History","FastTrack_IsVisible","FastTrack_IsAutoSell","FastTrack_IsAutoLoot","FastTrack_Settings"},
	["FastZoomHard"] = {},
	["Fatality"] = {"FatalityStatusDB","FatalityDB"},
	["Fatigue"] = {"tiredF","frameBack_x","frameBack_y","pc","mc","ttips"},
	["FatigueAlert"] = {},
	["FatigueWarner"] = {},
	["FavoriteContacts"] = {"FavoriteContactsSettings"},
	["Favorites"] = {"favsDB"},
	["FBGF"] = {},
	["fbItemPrice"] = {},
	["FB_Broker"] = {"FB_BrokerData"},
	["FB_OutfitDisplayFrame"] = {"FBODF_PlayerInfo"},
	["FB_Titan"] = {},
	["FB_TrackingFrame"] = {"PBTF_Info"},
	["FDLogger"] = {"FDLog"},
	["FearlessFrames"] = {},
	["feastcheck"] = {},
	["FeastDrop"] = {},
	["FeastHog"] = {},
	["FeastSpamAnnounce"] = {},
	["Federation"] = {"Federation"},
	["FeedTillers"] = {"FeedTillers_hideComplete","FeedTillers_currentSort"},
	["FelwhispersNoMoarGryphons"] = {},
	["FemaleAnnouncer"] = {},
	["FeralAutoTracking"] = {},
	["FeralCPs"] = {},
	["FeralDotDamage"] = {"FeralDotDamageDB"},
	["FeralEssentials"] = {},
	["FeralInstantCast"] = {},
	["FFLU"] = {},
	["Fibonacci"] = {"FibonacciDB","FibonacciResultsDB"},
	["FieldGuide"] = {"FieldGuideOptions"},
	["Figolas"] = {"ERADB"},
	["filedatalib"] = {},
	["FilmBetter"] = {},
	["Filter"] = {"FilterSettingsGlobal","FilterSettings"},
	["FilteredNamePlate"] = {"FnpEnableKeys","Fnp_ONameList","Fnp_OtherNPFlag","Fnp_SavedScaleList","Fnp_MyVersion"},
	["Filter_Language"] = {"FILTER_LANGUAGE"},
	["Filtr"] = {},
	["FindersKeepers"] = {"FindersKeepersDB"},
	["FindIt"] = {},
	["FindMyBuddy"] = {"FindMyBuddyDB"},
	["FindParty"] = {"FP_Version","FP_Options","FP_Filter_Dungeon","FP_Minimap_Save","FP_Position_Save","FP_UserDefinedWhMsg","FP_UserDefinedAdMsg","FP_UserDefineIgnoreMsg"},
	["Finifi_Interrupt"] = {"Finifi_Interrupt_Data"},
	["FirstBlood"] = {"FBDB"},
	["Fish!"] = {"FISH_Storage"},
	["Fishbringer"] = {"FishbringerDB"},
	["FishermansFriend"] = {"FishermansFriendDB"},
	["FishFry"] = {"FishFryDB"},
	["FishingAce"] = {"FishingAceDB"},
	["FishingBuddy"] = {"FishingBuddy_Info","FishingBuddy_Player","FBODF_PlayerInfo"},
	["FishingMarkAnnouncer"] = {},
	["FishingShackPro"] = {"REPLACE_LURE","TYPE_FISHING_POLES"},
	["Fiveinarow"] = {"XOXODB"},
	["FiveSecondRule"] = {"FiveSecondRule_Options"},
	["FixBlackWorldMap"] = {},
	["FixCombatText"] = {},
	["FixedBlackList"] = {"BlackListBGs"},
	["FixehTip"] = {"FixehTipSV"},
	["FixehTip_Options"] = {},
	["FixGlobalStrings"] = {},
	["FixGroups"] = {"FixGroupsDB"},
	["FixMacRecording"] = {"FixMacRecordingDB"},
	["FixOrderHallMap"] = {},
	["FixParty"] = {},
	["FixRaid"] = {"FixRaidDB"},
	["FixTab"] = {},
	["FixTradeSkillSearch"] = {},
	["FixTransmogOutfits"] = {},
	["Fizzle"] = {"FizzleDB"},
	["FlabbyBirb"] = {"FLABBY_BIRB_ADDON_SV"},
	["flagRSP"] = {"FlagRSPSettings","FlagList2","FriendlistData","FlagRSPData"},
	["flagRSP2"] = {"FlagList","PlayerFlags","flagRSP2DB"},
	["flagRSP_profiles"] = {"FlagRSPProfilesData"},
	["Flame"] = {"FlameDB"},
	["FlameAssist"] = {"FAVars"},
	["flamingloot"] = {"FlamingLootDB","FlamingLootDebug"},
	["flaminglootsys"] = {"FlamingLootSysDB","flsysdebuglog"},
	["FlappySyrac"] = {"FLABBY_BIRB_ADDON_SV"},
	["Flare"] = {"FlareDB"},
	["FlaresThatWork"] = {},
	["FlashGuildTab"] = {},
	["FlashTalent"] = {"FlashTalentDB"},
	["FlashTaskBar"] = {"FlashTaskbarDB"},
	["FlashWarning"] = {},
	["Flaskaholic"] = {"g_lastFlask","g_highlit"},
	["FlaskFoodCheck"] = {"FlaskFoodCheckDB"},
	["FlaskMinder"] = {"FlaskMinderDB"},
	["FleecingTip"] = {"FleecingTipDB","FT_NewItemInfo","FT_NewVendorInfo","FT_NewVendorLocation"},
	["FlexBind"] = {},
	["Flexi"] = {"SV_FLEXI"},
	["FlightHUD"] = {"FlightHUDDB"},
	["FlightMap"] = {"FlightMap"},
	["FlightMaster"] = {"FlightMaster_Options","FlightMaster_Data","FlightMaster_Nodes","FlightMaster_PlayerNodes"},
	["FlightMastersClassic"] = {},
	["FlightQueue"] = {},
	["FlightWarn"] = {"FlightWarnDB"},
	["FloAspectBar"] = {"FLOASPECTBAR_OPTIONS","FLOASPECTBAR_OPTIONS2"},
	["Float"] = {},
	["FloatingManaBar"] = {"FMBDB"},
	["FloFlyout"] = {"FLOFLYOUT_CONFIG"},
	["FloodyDump"] = {"FloodyDumpDB"},
	["Florenicon"] = {},
	["FloRetroUI"] = {},
	["FloTotemBar"] = {"FLOTOTEMBAR_OPTIONS"},
	["Flourish"] = {"flourishOptions","flourishChecked"},
	["Flurry"] = {},
	["FlyB"] = {"FlyBDB"},
	["Flyout Bindings"] = {},
	["FlyoutButtonCustom"] = {"FlyoutButtonCustom_Settings_Global","FlyoutButtonCustom_Settings"},
	["FlyPitch"] = {"FlyPitchDB"},
	["flyPlateBuffs"] = {"flyPlateBuffsDB"},
	["Focused"] = {},
	["FocusHealthPercent"] = {"FocusHealthPercentConfig"},
	["FocusInterruptSounds"] = {"FocusInterruptSoundsDB"},
	["Foglight"] = {"FoglightMode"},
	["FollowerAssign"] = {"FollowerAssignCheck"},
	["FollowerLocationInfo"] = {"FollowerLocationInfoDB","FollowerLocationInfoCache","FollowerLocationInfoCollectorCache"},
	["FollowerLocationInfo_Journal"] = {},
	["FollowFelankor"] = {"FF_Ban_List","FF_Options","FF_Options_Announcements","FF_Options_DualBox","FF_Static_Ground_Mount","FF_Static_Flying_Mount","FF_Whisper_Log"},
	["FollowMePls"] = {"FMP_ENABLED","FMP_GROUP_ONLY","FMP_MSG"},
	["FollowMePlz"] = {},
	["fontain"] = {"FontainDB"},
	["FontDamageChanger"] = {},
	["FontHack"] = {},
	["FontShadowFix"] = {"FontShadowFixConfig"},
	["Forager"] = {"ForagerGlobalSettings"},
	["Forbidden_Words"] = {},
	["Forgent'sUtilities"] = {},
	["ForgottenMail"] = {"ForgottenMailDB"},
	["FormatFix"] = {"FormatFix_UsePercent","FormatFix_FontSize","FormatFix_FormatPet"},
	["ForosUIframes"] = {},
	["ForTheAlliance"] = {"FTH_BLFTH_TWFTH_HFTH_AHFTH_DOFFTH_DOMFTH_NWFTH_SND_OVERRIDE"},
	["ForTheFaction"] = {"ForTheFactionOptions"},
	["ForTheHorde"] = {"FTH_BLFTH_TWFTH_HFTH_DOFFTH_DOMFTH_PRFTH_SND_OVERRIDEFTH_HORDE_SNDFTH_ALLIANCE_SNDFTH_USE_CUSTOM_VOLUMEFTH_CUSTOM_VOLUME"},
	["FortunaDiceRoller"] = {"FortunaDiceRollerDB"},
	["Forward"] = {},
	["ForwardStrafe"] = {},
	["FourRocksInARow"] = {"FourRocksInARowOpponent"},
	["FoxGoldTracker v2"] = {"FoxGoldTrackerDB"},
	["FoxSmoothUI-v3.1"] = {"FoxSmoothUIDB"},
	["FoxSmoothUI-v3.1_BottomLeft"] = {},
	["FoxSmoothUI-v3.1_BottomRight"] = {},
	["FoxSmoothUI-v3.1_Right"] = {},
	["FPLift"] = {"FPLiftDB","FPLiftCharDB"},
	["FPS Frame Bottom Left"] = {},
	["FPS Frame Bottom Right"] = {},
	["FPS Frame Center Above Skill Bars"] = {},
	["FPS Frame Top Left"] = {},
	["FPS_Counter"] = {"FPSCOUNTER_GENERAL_SETTINGS_ACCOUNT","FPSCOUNTER_ACCOUNT_SETTINGS","FPSCOUNTER_GENERAL_SETTINGS_CHARACTER","FPSCOUNTER_CHARACTER_SETTINGS"},
	["Fragile3"] = {"Fragile3DB"},
	["FrameRangeFade"] = {},
	["FrameSelect"] = {"FrameSelectDB"},
	["FramesResized"] = {"FramesResized_SV"},
	["FrameStackGlobalizer"] = {},
	["FreeBagSpaces"] = {},
	["FreeholdBoosting"] = {},
	["FreeInstanceSharer"] = {"FISConfig"},
	["FreeMountCd"] = {},
	["FreeRefills"] = {"FreeRefillsDB"},
	["FreezeFrame"] = {"freezeframe_config"},
	["FreierGeist_InstanceTime"] = {"InstanceTimeFuDB","loot","FreierGeist_IT_Data","FreierGeist_IT_Config","FreierGeist_IT_Exclude","FreierGeist_IT_DataOutput","FreierGeist_IT_DataArraySize","FreierGeist_IT_Loot","FreierGeist_IT_TextMessage","FreierGeist_IT_DateFormat","FreierGeist_IT_GlobalVisibility","FreierGeist_IT_XPVisibility","FreierGeist_IT_RepVisibility"},
	["Frenemy"] = {"FrenemyDB"},
	["FrenzyRegen"] = {"settingsFR"},
	["FriendBtn"] = {"FriendBtnOpt"},
	["FriendGroups"] = {"FriendGroups_SavedVars"},
	["FriendListColors"] = {"FriendListColorsDB"},
	["FriendlyPvPNameplates"] = {},
	["FriendNotes"] = {},
	["FriendsAlert"] = {"FriendsAlert_SavedOptions"},
	["FriendsFacts"] = {"FriendsFacts_Data","FriendsFacts_Data2"},
	["FriendShare"] = {"FriendShare_GlobalFriendsFriendShare_RemovedFriendsFriendShare_AltsFriendShare_AutoAltsIgnoreShare_GlobalIgnoresIgnoreShare_RemovedIgnores"},
	["FriendsInfo"] = {"FriendsInfo_Data"},
	["FriendsListPlus"] = {},
	["FriendsMenuXP"] = {},
	["FriendsShare"] = {"FriendsShareFriends2","FriendsShareNotes2","FriendsShareIgnored2"},
	["FriendsTracker"] = {"FriendsTracker_PerAccount","FriendsTracker_PerCharacter"},
	["FriendXP"] = {"FriendXPDB"},
	["FriendXP-Classic"] = {"FriendXPDB"},
	["FriendXPBar"] = {"FriendXPBarDB"},
	["Frodo"] = {},
	["FrostboltMeter"] = {"totalFrostbolts","zeroPadString","achievePopUpEnable","preferredFont"},
	["FrostyEmbrace"] = {},
	["FrostysMultitool"] = {"MyAddonDB","frostyDB"},
	["FruityBoostingAddon"] = {"FruityBoostingAddonEnabled"},
	["FS_Cooldowns"] = {"FSCooldownsSettings"},
	["FS_Cooldowns2"] = {"FSCooldowns2"},
	["FS_Core"] = {"FSDB","PACMAN_DB"},
	["FuBar_AtlasFu"] = {"FuBar_AtlasFuDB"},
	["FuBar_beqlFu"] = {},
	["FuBar_ConvergeFu"] = {"ConvergeFuDB"},
	["FuBar_GuildFu"] = {"FuBar_GuildFuDB"},
	["FuBar_OreTrackerFu"] = {"OreTrackerFuDB"},
	["FuBar_RecountFu"] = {"RecountFuDB"},
	["Fugg"] = {},
	["FullHouseHelper"] = {},
	["FullScreenGlowEliminator"] = {"FXGESettings"},
	["FunFact"] = {"FunFactDB"},
	["FunnyQuotesTranslator"] = {},
	["FusedCouncil"] = {"FusedCouncilDB"},
	["FusionHUD"] = {"FusionHUDDB"},
	["fvox_time"] = {},
	["FZXC"] = {"FZXC_DB"},
	["G13BarManager"] = {"G13BarManager"},
	["G15Buttons"] = {"objG15SavedDatas"},
	["G910xmit"] = {"G910SuppressCooldowns","G910UserTimeFactor"},
	["GachiGasm"] = {},
	["Gag"] = {"GagDB"},
	["GagDefaultSoundpack"] = {},
	["GagHellYeahBrotherSoundpack"] = {},
	["Gag_ankylos"] = {},
	["Gallywix"] = {},
	["Gallywix_Azerite_Ledger"] = {"Gallywix_Azerite_Ledger_DB"},
	["GalvinUnitBars"] = {"GalvinUnitBarsDB","GalvinUnitBarsData"},
	["GalvinUnitBarsClassic"] = {"GalvinUnitBarsClassicDB"},
	["GambleClassic"] = {},
	["GameDouble"] = {"AutomaticActivation","DeaderThanDead","HealthWarningSounds","DPReminderVar"},
	["GarajalAnnounce"] = {"GarajalAnnounceDB"},
	["GarbageMan"] = {},
	["Garrison Button Hider"] = {},
	["GarrisonCommander"] = {"dbGAC","dbGACperChar"},
	["GarrisonCommander-Broker"] = {"dbGACB"},
	["GarrisonDisenchant"] = {"GarrisonDisenchantDB"},
	["GarrisonDone"] = {"GarrisonDone_Vars","GarrisonDone_Varsm","GarrisonDone_Varsb","GarrisonDone_Varsf","GarrisonDone_Varsc"},
	["GarrisonDPR"] = {"GarrisonDPRDB"},
	["GarrisonExport"] = {"Var1","Var2"},
	["GarrisonFix"] = {},
	["GarrisonHelper"] = {"GarrisonHelperDB"},
	["GarrisonJukeBox"] = {"GarrisonJukeBoxDB","GarrisonJukeBoxLDBIconDB"},
	["GarrisonKillCounter"] = {"GKC_SavedVar","GKC_SavedChar"},
	["GarrisonMicroButton"] = {"GarrisonMicroButtonSettings"},
	["GarrisonMissionManager"] = {"SV_GarrisonMissionManager","SVPC_GarrisonMissionManager"},
	["GarrisonMissionManager_LoadOnLogin"] = {},
	["GarrisonOrderHallReport"] = {"GarrisonOrderHallReportButton"},
	["GarrisonShuffle"] = {"Gshuffle_sort"},
	["GarrisonSwitch"] = {},
	["garrisontimer"] = {"GarrisonTimerSave","GarrisonTimerSaveChar"},
	["GarrisonToButt"] = {},
	["GarrisonVisitorRadar"] = {"VisitorRadar_Options","VisitorRadar_CharData"},
	["Garroshifier"] = {},
	["GarryUp"] = {"GarryUpUserSettings"},
	["Gary"] = {"GaryDb"},
	["Gastronomicon"] = {"GastronomiconDBPC"},
	["gatherbuddy"] = {},
	["Gatherer"] = {"GatherItems","Gatherer_DropRates","Gatherer_SavedSettings_AccountWide","LibSwagData","Gatherer_SharingBlacklist","Gatherer_SavedSettings_PerCharacter"},
	["Gatherer_HUD"] = {},
	["Gathering"] = {},
	["GatherLite"] = {"GatherLiteSettings","GatherLiteConfigCharacter"},
	["GatherMate2"] = {"GatherMate2DB","GatherMate2HerbDB","GatherMate2MineDB","GatherMate2FishDB","GatherMate2GasDB","GatherMate2TreasureDB","GatherMate2ArchaeologyDB","GatherMate2LoggingDB"},
	["GatherMate2_Data"] = {},
	["GatherMate_Sharing"] = {"GatherMate_SharingDB"},
	["GatherNotify"] = {},
	["GatherNow"] = {"GatherNowDB"},
	["GatherSage2"] = {"GatherSage2DB"},
	["GatherTrackingReminder"] = {},
	["GBankClassic"] = {"GBankClassicDB","GBankClassicIcon","GBankClassicIconDB","GBankClassicOptionDB"},
	["gBanker"] = {"gBankerDB"},
	["GBH"] = {"GBH_ArmoryAudit","GBH_IntelList","GBH_HitList","GBH_Largess","GBH_Config","GBH_FactionData","GBL_Largess","GBL_Config","GBL_ItemLargess","GBL_GuildFactions","GBH_AuditHistory","GBH_PublicNotes","GBH_OfficerNotes"},
	["GBM"] = {"gbcfgvs","memvs"},
	["GBRadio"] = {"GBRadioDB"},
	["GBS"] = {"cfgvs"},
	["GDKPd"] = {"GDKPd_DB","GDKPd_PotData","GDKPd_BalanceData"},
	["Gear4Moo"] = {},
	["GearCheck"] = {"GearCheckReportTo","GearCheck_LockFrames","GearCheck_LockMinimapButton","GearCheck_Frame","GearCheck_MinimapButtonPosition","GearCheck_EnableMinimapButton","GearCheck_Respond","GearCheck_EnableRecheck","GearCheckDB","GearCheckNumInspections","GearCheckAdditionalWaittime","GearCheckDebug","GearCheckEnhanceTooltips","GearCheckEnhanceDropdownFrames","GearCheckWhisperBox","GearCheckLastResults","GearCheckMode"},
	["GearGrinder"] = {"GG_Settings","GG_Storage"},
	["GearHelper"] = {"GearHelperDB"},
	["GearHud"] = {"GearHudSettings"},
	["Gearing_Guide"] = {"GearingGuideDB1"},
	["GearManagerEx"] = {"GearManagerExDB"},
	["GearMenu"] = {"GearMenuConfiguration"},
	["GearOptimizer"] = {"GearOptimizerDB","GearOptimizerCharDB"},
	["GearOptimizer_DeathKnight"] = {},
	["GearOptimizer_DemonHunter"] = {},
	["GearOptimizer_Druid"] = {},
	["GearOptimizer_Hunter"] = {},
	["GearOptimizer_Mage"] = {},
	["GearOptimizer_Monk"] = {},
	["GearOptimizer_Paladin"] = {},
	["GearOptimizer_Priest"] = {},
	["GearOptimizer_Rogue"] = {},
	["GearOptimizer_Shaman"] = {},
	["GearOptimizer_Warlock"] = {},
	["GearOptimizer_Warrior"] = {},
	["GearQuipper"] = {"GQ_DATA","GQ_OPTIONS","GQ_AUX"},
	["GearRenter"] = {"GearRenterDB"},
	["GearStatistics"] = {"GS"},
	["GearSummary"] = {},
	["GearTracker"] = {"currentGearSets","currentSpecSets"},
	["Geary"] = {"Geary_Saved_OptionsGeary_Saved_Database"},
	["Geist"] = {"Geist"},
	["GemChipHelper"] = {"UseFelslateFor","ResetOre"},
	["GemHelper"] = {"GemHelper_Save","GemHelper_SaveCraft"},
	["GemHelper-Broker"] = {},
	["GemPlus"] = {},
	["GemSay"] = {"gemsay_global","gemsay_char","gemsay_events"},
	["GemWatch"] = {"GemWatch_Settings"},
	["GenderTooltip"] = {"GenderTooltip_Options"},
	["GeneralInvite"] = {},
	["Genie"] = {"GenieDB"},
	["Genie_LDB"] = {"GenieUI_IconDB"},
	["Genie_UI"] = {},
	["Geppetto"] = {},
	["GetDKP"] = {"GDKP_Live_saveDKP","GDKP_Live_saveItem","GDKP_LiveChanged_date","GDKP_LiveChanged_timestamp","GDKP_LiveChanged_status","GDKP_saveItems","GDKPvar_save","GDKP_Get_Updates"},
	["GetLink"] = {"GLTable","GLOptions"},
	["GetLinkClassic"] = {"GLTable","GLOptions"},
	["GetOffMyLawn"] = {"gomlconfig"},
	["GetRare"] = {"GetRareConfig","GetRare_","GetRare"},
	["GetToThePoint"] = {"GTTP_List","GTTP_Accept"},
	["GEzFx"] = {},
	["GFDI"] = {},
	["GG"] = {"COMBAT_GLOVES","MINING_GLOVES","HERBALISM_GLOVES","GGToggle"},
	["ggez"] = {},
	["GGGGG"] = {},
	["GHI"] = {"GHI_SavedDynamicActions","GHI_CS2","GHI_ContainerData","GHI_ItemData","GHI_CooldownData","GHI_MiscData","GHI_CS","GHI_ActionBarData","GHI_ChatData","GHI_EquipmentDisplayData"},
	["GHM"] = {"GHM_OptionsData"},
	["GhostRecon"] = {"GhostReconDB"},
	["gHUD"] = {"Options"},
	["gHUD_PvsT"] = {"options"},
	["Giddyup"] = {},
	["GigaAutoResourcesTracker"] = {"GARTCharacterSettings","GARTCoreVersion"},
	["Gimplist"] = {"GLDB"},
	["GinkoFont"] = {},
	["Ginv"] = {},
	["GiveMeBandage"] = {},
	["GiveMeBuff"] = {"GMBuff_Save"},
	["GiveMeHealth"] = {},
	["GiveMeMana"] = {},
	["gKick"] = {},
	["GladiatorlosSA"] = {"GladiatorlosSADB"},
	["GladiatorlosSA2"] = {"GladiatorlosSADB"},
	["GladiatorlosSA2_Dmci"] = {},
	["GladiatorlosSA2_zhCN"] = {},
	["GladiatorlosSA_enUS_Male"] = {},
	["GladiatorlosSA_frFR"] = {},
	["GladiatorlosSA_koKR"] = {},
	["GladiatorlosSA_ruRU"] = {},
	["GladiatorlosSA_zhCN"] = {},
	["GladiatorVoiceAlerter_koKR"] = {},
	["GladiatorVoiceAlerter_koKR_YumiHP"] = {},
	["Gladius"] = {"Gladius2DB"},
	["GladiusEx"] = {"GladiusExDB"},
	["Glamour"] = {"GlamourConfig"},
	["Glance"] = {"Glance_Global","Glance_Profile","Glance_Local"},
	["Glance_Armor"] = {},
	["Glance_Bags"] = {},
	["Glance_Clock"] = {},
	["Glance_DualSpec"] = {},
	["Glance_Emblems"] = {},
	["Glance_FrameRate"] = {},
	["Glance_Friends"] = {},
	["Glance_Gold"] = {},
	["Glance_Guild"] = {},
	["Glance_Latency"] = {},
	["Glance_Location"] = {},
	["Glance_Memory"] = {},
	["Glance_Mounts"] = {},
	["Glance_Options"] = {},
	["Glance_Pets"] = {},
	["Glance_Professions"] = {},
	["Glance_Reputation"] = {},
	["Glance_Titles"] = {},
	["Glance_XP"] = {},
	["GlassHUD"] = {},
	["GlobalCooldownBar"] = {"GlobalCooldownBarDB"},
	["GlobalIgnoreList"] = {"GlobalIgnoreDB","GlobalIgnoreImported"},
	["GlobalPlayed"] = {"Characters","MyAccount","Options"},
	["GloriousDrops"] = {},
	["GlowFoSho"] = {},
	["GlyphKeeper"] = {},
	["GlyphReporter"] = {"ReporterDB","Region","GR_Color"},
	["GlyphStatus"] = {"GSDB"},
	["GlyphSwap"] = {},
	["gmAchievementsCompare"] = {},
	["gmAggroMon"] = {"GMAGGROMON"},
	["gmAutopsy"] = {"GMAUTOPSY_CFG"},
	["gmBagsSlots"] = {"GMBAGSSLOTS_CFG"},
	["gmClearChat"] = {},
	["gmDurability"] = {"GMDURABILITY"},
	["gmEquipSet"] = {},
	["gmExp"] = {"GMEXP_CFG","GMEXP_NAMES"},
	["gmFonts"] = {"GMFONTS"},
	["gmFriends"] = {"GMFRIENDS_CFG"},
	["gmGuild"] = {"GMGUILD_CFG"},
	["gmGuildFriends"] = {"GMGUILDFRIENDS_CFG"},
	["gmHideToolTip"] = {},
	["gmLazyDelete"] = {},
	["gmLm"] = {"GMLM_CFG"},
	["gmLoot"] = {"GMLOOT"},
	["gmMenu"] = {"GMMENU_CFG"},
	["gmMoney"] = {"GMMONEY_CFG","GMMONEY_NAMES"},
	["gmMounts"] = {},
	["gmPets"] = {},
	["gmProf"] = {},
	["gmSay"] = {"GMSAY_CFG","GMSAY_PH"},
	["gmSpecs"] = {},
	["gmSpeed"] = {},
	["gmVideoSwitch"] = {},
	["Gnobesy"] = {"GNOBESY"},
	["Gnoll"] = {"GnollDatabase"},
	["GnomeSage"] = {},
	["Gnomexcel"] = {"GnomexcelDB"},
	["GnomTEC"] = {"GnomTEC_DB"},
	["GnomTEC_Assistant"] = {"GnomTEC_AssistantDB"},
	["GnomTEC_Babel"] = {"GnomTEC_Babel_Options"},
	["GnomTEC_Badge"] = {"GnomTEC_BadgeDB","GnomTEC_Badge_Flags"},
	["GnomTEC_Badge_FlagCache"] = {"GnomTEC_Badge_FlagCache"},
	["GnomTEC_Badge_FriendStates"] = {"GnomTEC_Badge_FriendStates"},
	["GnomTEC_Badge_Notes"] = {"GnomTEC_Badge_Notes"},
	["GnomTEC_CityMaps"] = {"GnomTEC_CityMapsDB","GnomTEC_CityMaps_Flags","GnomTEC_CityMaps_UsedBy","GnomTEC_CityMaps_Announcements","GnomTEC_CityMaps_Options"},
	["GnomTEC_Gnomcorder"] = {"GnomTEC_Gnomcorder_Options","GnomTEC_Gnomcorder_Buttons","GnomTEC_Gnomcorder_IconbarButtons"},
	["GnomTEC_Gnomcorder_Comm"] = {"GnomTEC_Gnomcorder_Comm_Options"},
	["GnomTEC_Gnomcorder_Fight"] = {"GnomTEC_Gnomcorder_FightDB"},
	["GnomTEC_Gnomcorder_Map"] = {"GnomTEC_Gnomcorder_MapDB","GnomTEC_Gnomcorder_Map_Options"},
	["GnomTEC_Gnomcorder_Positioner"] = {"GnomTEC_Gnomcorder_PositionerDB"},
	["GnomTEC_Gnomcorder_StAN"] = {"GnomTEC_Gnomcorder_StAN_Options"},
	["GnomTEC_NPCEmote"] = {"GnomTEC_NPCEmoteDB","GnomTEC_NPCEmote_Options"},
	["GnomTEC_Weather"] = {"GnomTEC_WeatherDB"},
	["Gnosis"] = {"GnosisDB","GnosisConfigs","GnosisChar","GnosisCharConfig"},
	["Go Away Frame"] = {},
	["goblineer"] = {"Goblineer"},
	["Gobling"] = {},
	["GoblinMod"] = {},
	["GoblinTalk"] = {},
	["GodLike"] = {"GodLike_Settings"},
	["GoFish"] = {"GoFishDB"},
	["GoGoMount"] = {"GoGoMount_MountSettings","GoGo_PrefsGoGo_DebugLog"},
	["GoGoMount_ExtraMounts"] = {},
	["GoGoMount_FixRidingSkillCheck"] = {},
	["GoGoMount_Manager"] = {"GoGoMount_ManagerDB"},
	["GoH"] = {"SMouseTarget_Saved"},
	["GoH_DeathKnight"] = {"GoH_MinimapIcon","GoHv5_DeathKnight_Data"},
	["GoH_DemonHunter"] = {"GoHv5_DemonHunter_Data"},
	["GoH_Druid"] = {"GoHv5_Druid_Data"},
	["GoH_EBM"] = {},
	["GoH_Hunter"] = {"GoHv5_Hunter_Data"},
	["GoH_Mage"] = {"GoHv5_Mage_Data"},
	["GoH_Monk"] = {"GoHv5_Monk_Data"},
	["GoH_Paladin"] = {"GoHv5_Paladin_Data"},
	["GoH_Priest"] = {"GoHv5_Priest_Data"},
	["GoH_Rogue"] = {"GoHv5_Rogue_Data"},
	["GoH_Shaman"] = {"GoHv5_Shaman_Data"},
	["GoH_Warlock"] = {"GoHv5_Warlock_Data"},
	["GoH_Warrior"] = {"GoHv5_Warrior_Data"},
	["GoingPrice_EU"] = {"GoingPrice_EU_SV"},
	["GoingPrice_US"] = {"GoingPrice_US_SV"},
	["GoldCap"] = {"GoldCap_DB"},
	["GoldCounter"] = {"GoldCounterDB"},
	["GoldenMail"] = {},
	["GoldenPortrait"] = {},
	["GoldieSix"] = {"GoldieSix_DB"},
	["Goldlantern"] = {},
	["GoldLCPrio"] = {},
	["Goldloot"] = {"GoldLootDB"},
	["GoldMakers"] = {"GoldMakersDB"},
	["GoldPaladins"] = {},
	["GoldPoints"] = {},
	["GoldPrice"] = {"GoldPriceGlobalSV"},
	["GoldSellerBlocker"] = {"GoldSellerBlockerDB"},
	["GoldTaker"] = {},
	["GoldTime"] = {"GoldTimeExchangeRate","GoldTimeExchangeSymbol","GoldTimeShowGameTime","GoldTimeShowValue"},
	["GoldTracker"] = {},
	["gonefishing"] = {},
	["GoodbyeRedness"] = {},
	["GoodEPGP"] = {"GoodEPGPStandings","GoodEPGPImport","GoodEPGPStandingsImport","GoodEPGPConfig","GoodEPGPLoot","GoodEPGPCachedPrices","GoodEPGPMiniMapPos","GoodEPGPCachedStandings","GoodEPGPStandingsFilter"},
	["Goodjob"] = {"GJ_Config"},
	["GoPost"] = {"GoPostDB"},
	["Gossipmonger"] = {"Gossipmonger_Settings"},
	["Gossip_Collector"] = {"GC_PS","GC_SAVED"},
	["GotAnswers"] = {"GotAnswersConfig"},
	["GottaGoFast"] = {"GottaGoFastDB"},
	["GottaGoFastHistory"] = {"GottaGoFastHistoryDB"},
	["GottaMogEmAll"] = {"GottaMogEmAllDB"},
	["GOT_Shame_Death_Sound"] = {},
	["GoWCompass"] = {},
	["GPS"] = {"Broadcast_Interval","Broadcast_Channel_ID","Broadcast_Enabled","Broadcast_Channel_Visible","Map_Other_Players"},
	["Grail"] = {"GrailDatabase","GrailDatabasePlayer"},
	["Grail-Achievements"] = {},
	["Grail-NPCs-_classic_"] = {},
	["Grail-NPCs-_classic_-deDE"] = {},
	["Grail-NPCs-_classic_-enUS"] = {},
	["Grail-NPCs-_classic_-esES"] = {},
	["Grail-NPCs-_classic_-esMX"] = {},
	["Grail-NPCs-_classic_-frFR"] = {},
	["Grail-NPCs-_classic_-itIT"] = {},
	["Grail-NPCs-_classic_-koKR"] = {},
	["Grail-NPCs-_classic_-ptBR"] = {},
	["Grail-NPCs-_classic_-ruRU"] = {},
	["Grail-NPCs-_classic_-zhCN"] = {},
	["Grail-NPCs-_classic_-zhTW"] = {},
	["Grail-NPCs-_retail_"] = {},
	["Grail-NPCs-_retail_-deDE"] = {},
	["Grail-NPCs-_retail_-enUS"] = {},
	["Grail-NPCs-_retail_-esES"] = {},
	["Grail-NPCs-_retail_-esMX"] = {},
	["Grail-NPCs-_retail_-frFR"] = {},
	["Grail-NPCs-_retail_-itIT"] = {},
	["Grail-NPCs-_retail_-koKR"] = {},
	["Grail-NPCs-_retail_-ptBR"] = {},
	["Grail-NPCs-_retail_-ruRU"] = {},
	["Grail-NPCs-_retail_-zhCN"] = {},
	["Grail-NPCs-_retail_-zhTW"] = {},
	["Grail-Quests-_classic_"] = {},
	["Grail-Quests-_classic_-deDE"] = {},
	["Grail-Quests-_classic_-enUS"] = {},
	["Grail-Quests-_classic_-esES"] = {},
	["Grail-Quests-_classic_-esMX"] = {},
	["Grail-Quests-_classic_-frFR"] = {},
	["Grail-Quests-_classic_-itIT"] = {},
	["Grail-Quests-_classic_-koKR"] = {},
	["Grail-Quests-_classic_-ptBR"] = {},
	["Grail-Quests-_classic_-ruRU"] = {},
	["Grail-Quests-_classic_-zhCN"] = {},
	["Grail-Quests-_classic_-zhTW"] = {},
	["Grail-Quests-_retail_"] = {},
	["Grail-Quests-_retail_-deDE"] = {},
	["Grail-Quests-_retail_-enUS"] = {},
	["Grail-Quests-_retail_-esES"] = {},
	["Grail-Quests-_retail_-esMX"] = {},
	["Grail-Quests-_retail_-frFR"] = {},
	["Grail-Quests-_retail_-itIT"] = {},
	["Grail-Quests-_retail_-koKR"] = {},
	["Grail-Quests-_retail_-ptBR"] = {},
	["Grail-Quests-_retail_-ruRU"] = {},
	["Grail-Quests-_retail_-zhCN"] = {},
	["Grail-Quests-_retail_-zhTW"] = {},
	["Grail-Reputations-_classic_"] = {},
	["Grail-Reputations-_retail_"] = {},
	["Grail-Rewards"] = {},
	["Grail-When"] = {"GrailWhenPlayer"},
	["GratsMosin"] = {},
	["Grease"] = {"GreaseDB"},
	["GreaseGoblin"] = {"Greasegoblins"},
	["GreenWall"] = {"GreenWallAccount","GreenWall","GreenWallMeta","GreenWallLog"},
	["Green_Elephant"] = {"GE_Settings"},
	["GreyHandling"] = {"GreyHandlingIsTalkative"},
	["GreyOnCooldown"] = {"GreyOnCooldown_DB"},
	["GreyScrap"] = {},
	["GreySeller"] = {},
	["Grid"] = {"GridDB"},
	["Grid2"] = {"Grid2DB"},
	["Grid2Guarm"] = {},
	["Grid2LDB"] = {},
	["Grid2Options"] = {},
	["Grid2RaidDebuffs"] = {},
	["Grid2RaidDebuffsOptions"] = {},
	["Grid2StatusAbsorbs"] = {},
	["Grid2StatusPhasing"] = {},
	["Grid2TrailOfLight"] = {},
	["GridAlternativeLayouts"] = {},
	["GridAutoSizeLayout"] = {},
	["GridBuffIcons"] = {},
	["GridClickSets"] = {"GridClickSetsForTalents"},
	["GridConfigIcons"] = {},
	["GridConfigurableLayouts"] = {"GridConfigurableLayoutsDB"},
	["GridCustomLayouts"] = {},
	["GridFilterLayout"] = {"GridFilterLayoutDb"},
	["GridHomeParty"] = {},
	["GridIndicatorBar"] = {},
	["GridIndicatorBorderTexts"] = {},
	["GridIndicatorBuffBar"] = {},
	["GridIndicatorCornerIcons"] = {},
	["GridIndicatorCornerPlus"] = {},
	["GridIndicatorExtra"] = {},
	["GridIndicatorExtraText"] = {},
	["GridIndicatorsDynamic"] = {},
	["GridIndicatorSideIcons"] = {},
	["GridIndicatorSidePlus"] = {},
	["GridLayoutByRole"] = {},
	["GridManaBars"] = {},
	["GridResizeFrames"] = {},
	["GridSideIndicators"] = {},
	["gridstatusabsorbshields"] = {},
	["GridStatusAFK"] = {},
	["GridStatusAncientBarrier"] = {},
	["GridStatusAurasExt"] = {},
	["GridStatusControlPipes"] = {},
	["GridStatusDirectionArrows"] = {},
	["GridStatusDungeonDebuff"] = {},
	["GridStatusDungeonRole"] = {},
	["GridStatusEmphasize"] = {},
	["GridStatusEnemyTarget"] = {},
	["GridStatusExternals"] = {},
	["GridStatusFastHealth"] = {},
	["GridStatusGermination"] = {},
	["GridStatusHealingReduced"] = {},
	["GridStatusHealTrace"] = {},
	["GridStatusHRTargets"] = {},
	["GridStatusIncomingRes"] = {},
	["GridStatusItemLevel"] = {},
	["GridStatusMultiRange"] = {},
	["GridStatusParty"] = {},
	["GridStatusRaidDebuff"] = {},
	["GridStatusRD_BfA"] = {},
	["GridStatusRD_Cata"] = {},
	["GridStatusRD_Legion"] = {},
	["GridStatusRD_MoP"] = {},
	["GridStatusRD_OldRaids"] = {},
	["GridStatusRD_WoD"] = {},
	["GridStatusRole"] = {},
	["GridStatusShield"] = {},
	["GridStatusSwiftmend"] = {},
	["GridStatusTotalAbsorbs"] = {},
	["GridStatusWeakenedSoulDebuff"] = {},
	["GridTargets"] = {},
	["GridTooltip"] = {},
	["GridTooltip2"] = {},
	["Grid_QuickHealth"] = {},
	["Grid_SmoothHealth"] = {},
	["GrievousHelper"] = {"GRIEVOUS_HELPER_ENABLED"},
	["Grifter"] = {},
	["GrimDebugTools"] = {"GrimToolsDebugDB","GrimToolsDebugDBJson"},
	["GrimoireKeeper"] = {"GrimoireKeeperData"},
	["GrimReaper"] = {"GrimReaperDB"},
	["GrimTools"] = {"GrimToolsDB","GrimToolsDBChar"},
	["GrimUI"] = {"GrimUISettings","GMoveableFrames","GTipNotesDB"},
	["GrimUI_Config"] = {},
	["GrimUI_DevTools"] = {},
	["GrindLoot"] = {"GrindLootOptions"},
	["Grindon"] = {"GrindonDB"},
	["Grindstone"] = {"GrindstoneSVPC"},
	["Grindy"] = {},
	["Grin_Prestigee"] = {},
	["GrouparmoryCompanion"] = {},
	["GroupAuras"] = {"GroupAurasDB"},
	["GroupBulletinBoard"] = {"GroupBulletinBoardDB","GroupBulletinBoardDBChar"},
	["GroupCalendar"] = {"gGroupCalendar_Settings","gGroupCalendar_Database","GroupCalendarDB","gGroupCalendar_MiniMapSettings","gGroupCalendar_Database2","gGroupCalendar_PlayerDatabases"},
	["GroupCalendar5"] = {"GroupCalendar_Data","GroupCalendarClock_Data","GroupCalendarUI_Data"},
	["GroupFinderFilter"] = {},
	["GroupfinderFlags"] = {"GroupfinderFlagsDB"},
	["GroupFinderRegion"] = {},
	["GroupHistory"] = {"GroupHistory_Vars","GroupHistory_Groups","GroupHistory_Session"},
	["GroupLanguage"] = {"GroupLanguage_SaveData","GroupLanguage_MinimapbuttonState"},
	["groupomatic"] = {"GrOM_G_Vars","GrOM_Vars"},
	["GroupProgress"] = {"GroupProgressDB"},
	["GroupTargets"] = {"GroupTargets_DB"},
	["GroupTargets_Config"] = {},
	["GroupTargets_HealthDisplay"] = {"HealthDisplay.lua_DB"},
	["GroupTargets_StyleFrames"] = {"StyleFrames_DB"},
	["GroupXP"] = {},
	["Growler"] = {"GrowlerDB"},
	["GrumVisionClassic"] = {},
	["GrungeSkin"] = {},
	["GryphonHide"] = {"GryphonHideCVar"},
	["GryphonRemover"] = {},
	["GryphonsRemover"] = {},
	["GryphonStrataFix"] = {},
	["GS-Darkramz"] = {},
	["GS-DruidMacros"] = {},
	["GS-HighPerformanceMacros"] = {},
	["GS-HunterMacros"] = {},
	["GS-MultiboxMacros"] = {},
	["GS-OakMacros"] = {},
	["GS-Papa"] = {},
	["GS-SSRMacros"] = {},
	["GSE"] = {"GSEOptionsGSELibrary","GSE_C"},
	["GSE_GUI"] = {},
	["GSE_LDB"] = {},
	["GSO"] = {},
	["GTFO"] = {"GTFOData"},
	["GuarmAssist"] = {"GuarmAssistOptions"},
	["Gugagaia_Addon"] = {},
	["Guidelime"] = {"GuidelimeData","GuidelimeDataChar"},
	["Guidelime_ahmp"] = {},
	["Guidelime_Bustea's 1-60 Grinding Horde and Alliance"] = {},
	["Guidelime_Bustea's 1-60 leveling"] = {},
	["Guidelime_Cowcium"] = {},
	["Guidelime_DungeonGrind"] = {},
	["Guidelime_DungeonQuests"] = {},
	["Guidelime_Ettern"] = {},
	["Guidelime_Freezy3"] = {},
	["Guidelime_JudgementAlliance1-60"] = {},
	["Guidelime_Macey"] = {},
	["Guidelime_MarkyMark"] = {},
	["Guidelime_Milksmuggler"] = {},
	["Guidelime_Olo"] = {},
	["Guidelime_Ouiwee"] = {},
	["Guidelime_Poww"] = {},
	["Guidelime_RussianHorde1-60"] = {},
	["Guidelime_Sage"] = {},
	["Guidelime_Shiku"] = {},
	["Guidelime_ShikuCN"] = {},
	["Guidelime_ShikuTW"] = {},
	["Guidelime_Sunpower"] = {},
	["GuideLime_TUGs"] = {},
	["GuideLime_TUGs_5man"] = {},
	["Guidelime_Undead-Guide"] = {},
	["Guidelime_WillScarlettOhara"] = {},
	["GuideLines"] = {"GuideLinesDB"},
	["GuildAnnounce"] = {"GuildAnnounceDB"},
	["GuildApplicantTracker"] = {"GuildApplicantTrackerDB"},
	["GuildBankClassic"] = {},
	["GuildBankExport"] = {},
	["GuildBankListCreator"] = {"GuildBankListCreatorDbListLimiterShowLinksStackItemsUseCSVExcludeList"},
	["GuildBankSearch"] = {},
	["GuildBlock"] = {"GName","GuildBlock_DEBUG"},
	["Guildbook"] = {"GUILDBOOK_GLOBAL","GUILDBOOK_GAMEOBJECTS","GUILDBOOK_CHARACTER"},
	["GuildCheck"] = {"GCDB"},
	["GuildColors"] = {},
	["GuildDelta"] = {"GuildDeltaSV"},
	["GuildDonation"] = {"TotalDevido","TotalDeGold","Porcentagem","GuildDonationFreshInstalled","GuildDonationLog","GuildDonationIsMailOpen"},
	["GuildDonationHelper"] = {"GuildDonationHelper2DB","GDHIconDB"},
	["guildexport2"] = {"GuildExportData2"},
	["GuildFarmingList"] = {"GFL_ItemDictionary","GFL_ItemsNeededGFL_ItemsNoLongerNeededGFL_Options"},
	["GuildFinder"] = {},
	["GuildFinderEnhanced"] = {},
	["GuildGreet"] = {"GLDG_Data"},
	["GuildGroupStars"] = {},
	["GuildHelperClassic"] = {"GuildHelperClassicDB","GhcDb"},
	["GuildieNote"] = {},
	["guildienote3"] = {"GuildNoteActive"},
	["guildienote4"] = {"GuildNoteActive"},
	["GuildInspector"] = {"GuildInspector_Roster","GuildInspector_Missing","GuildInspector_Settings"},
	["GuildInTooltip"] = {},
	["GuildInviteTool"] = {"GuildRanks","AutoInvite","Keywords","Consumables"},
	["GuildKeys"] = {"GuildKeysVar"},
	["GuildKicker"] = {},
	["GuildLaunchCT_RaidTracker"] = {"CT_RaidTracker_Online","CT_RaidTracker_RaidLog","CT_RaidTracker_Options","CT_RaidTracker_SortOptions","CT_RaidTracker_ItemOptions","CT_RaidTracker_ItemOptions_selected","CT_RaidTracker_VersionFix","CT_RaidTracker_GetCurrentRaid","CT_RaidTracker_TimeOffsetStatus","CT_RaidTracker_CustomZoneTriggers","CT_RaidTracker_WaitList","CT_RaidTracker_FuBarOptions"},
	["GuildLeader"] = {"GuildLeaderDB"},
	["GuildLotteryRaffle"] = {"glrHistory","guildData","glrCharacter"},
	["GuildMailbox"] = {"GUILDMAILBOX_CONFIG"},
	["GuildMains"] = {"GuildMains_Settings"},
	["GuildManagement"] = {},
	["GuildManager"] = {"GuildManagerDB"},
	["Guildmate"] = {"Guildmate_show","Guildmate_color","Guildmate_location","Guildmate_Level","Guildmate_MaxMembers","Guildmate_Currencies"},
	["GuildMemberInfo"] = {},
	["GuildMemberInfo_TradeSkills"] = {},
	["GuildMemberOnline"] = {},
	["GuildMessageRemover"] = {"GuildMessageRemoverEnabled","GuildMessageRemoverGlobal","GuildMessageRemoverEverything","GuildMessageRemoverOfficer"},
	["GuildMOTD"] = {},
	["GuildNameOnHover"] = {},
	["GuildNewsFilter"] = {"GNFP_DB"},
	["GuildNick"] = {},
	["GuildNote"] = {"GuildNote_Config"},
	["GuildNoteChanges"] = {"GuildNoteChangesDB"},
	["GuildNoteSetter"] = {"GuildNoteSetterDB"},
	["GuildOx"] = {},
	["GuildPoints"] = {"DGPBackupNum1","DGPBackupNum2","DGPBackupNum3","DGPBackupNum4","DGPBackupNum5","DGPWidth","DGPHeight","DGPBottomOffset","DGPLeftOffset","DGPButton1Text","DGPButton1Type","DGPButton1Value","DGPButton2Text","DGPButton2Type","DGPButton2Value","DGPButton3Text","DGPButton3Type","DGPButton3Value","DGPButton4Text","DGPButton4Type","DGPButton4Value","DGPButton5Text","DGPButton5Type","DGPButton5Value","DGPButton6Text","DGPButton6Type","DGPButton6Value","DGPButton7Text","DGPButton7Type","DGPButton7Value","DGPButton8Text","DGPButton8Type","DGPButton8Value","DGPButton9Text","DGPButton9Type","DGPButton9Value","DGPButton10Text","DGPButton10Type","DGPButton10Value","DGPLastUpdateTime","DGPUpdateOriginator","DGPHonoraryGuildMembers","DGPNotesUsed"},
	["GuildPointsTooltip"] = {"GuildPointsTooltipDB"},
	["GuildRaidAttendance"] = {"GRA_A_RaidLogs","GRA_A_Archived","GRA_A_Roster","GRA_A_Config","GRA_A_Variables","GRA_RaidLogs","GRA_Archived","GRA_Roster","GRA_Config","GRA_Variables"},
	["GuildRecr"] = {"GuildRecrDB"},
	["GuildRepair"] = {"GuildRepairDB"},
	["GuildRepairsToggle"] = {"GRT_SavedVars"},
	["GuildRoll"] = {},
	["GuildRosterButtons"] = {},
	["GuildRosterDeluxe"] = {"GuildRosterDeluxeDB"},
	["GuildRosterSelectedFix"] = {},
	["GuildSearch"] = {"GuildSearchDB"},
	["GuildShield"] = {"GuildShield"},
	["GuildSkadaHighScore"] = {"GuildSkadaHighScoreDB"},
	["GuildSlacker"] = {"GuildSlackerDB"},
	["Guildster"] = {"GuildsterDB","GDB"},
	["Guildster_DB_EU"] = {},
	["Guildster_DB_US"] = {},
	["Guildtax"] = {"lastgold","taxrate","totalgold"},
	["GuildTaxes"] = {"GuildTaxesDB"},
	["GuildTooltip"] = {},
	["GuildTracker"] = {"GuildTrackerDB"},
	["GuildTradeskills"] = {"GT_DB","GT_Character"},
	["Guild_Roster_Manager"] = {"GRM_PlayersThatLeftHistory_Save","GRM_GuildMemberHistory_Save","GRM_CalendarAddQue_Save","GRM_LogReport_Save","GRM_AddonSettings_Save","GRM_PlayerListOfAlts_Save","GRM_FullBackup_Save","GRM_GuildDataBackup_Save","GRM_Misc","GRM_DebugLog_Save"},
	["Guild_Roster_Manager_Group_Info"] = {},
	["GummiBears"] = {},
	["GupPet"] = {"GUPPET_SAVEDDATA","GUPPET_SAVEDLOCATIONS","GUPPET_OPTIONS"},
	["GutNClean"] = {},
	["GW-Loot"] = {"GWLOOT_SAVEDATA"},
	["GW-Patch"] = {},
	["GW-Raiding"] = {},
	["GW2_UI"] = {"GW2UI_STORAGE","GW2UI_SETTINGS_PROFILES","GW2UI_SETTINGS_DB_03"},
	["GWAudit"] = {},
	["gxchat"] = {"gxchat_data"},
	["gxchat-library"] = {},
	["Gyro"] = {"GyroOptions"},
	["H.I.D.E"] = {},
	["Hack"] = {"HackDB"},
	["HadAPieEmotes"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["HadarilFrames"] = {},
	["Hadouken"] = {"savedVariables"},
	["hagakure_cooldowns"] = {"hagakure_cooldownsDB"},
	["HallowTimer"] = {"glob_pos_hallowtimerglob_hallowtimer"},
	["HaloMini"] = {"haloMiniCharacterDB"},
	["HalonaTools"] = {"HalonaToolsDB"},
	["HaloPro"] = {"HPTemp","HPDev_AutoLock","HPDev_Width","HPDev_Height","HPDev_LastWidth","HPDev_LastHeight","HPDev_point","HPDev_relativeTo","HPDev_relativePoint","HPDev_xOfs","HPDev_yOfs","HPDev_InCombatOnly","HPDev_SoundOn","HPDev_CDWarn","HPDev_FadeOutIN","HPDev_AlwaysOn","HPDev_Fade_MsgMode_Flag","HPDev_VertBar_Flag","HPDev_Strata","HPDev_Border_Thickness","HPDev_Theme","HPDev_Monitor_CC","HPDev_Monitor_DS","HPDev_Monitor_Halo","HPDev_MouseOverRide","HPDev_WAMode","HPDev_OFFCD_Alpha","HPDev_ONCD_Alpha"},
	["HammerOfJustas"] = {"HoJSavedVars"},
	["HandleIt"] = {"HandleItDB"},
	["HandyCam"] = {},
	["HandyNotes"] = {"HandyNotesDB","HandyNotes_HandyNotesDB"},
	["HandyNotes_Achievements"] = {"HandyNotesAchievementsDB"},
	["HandyNotes_AncientShrines"] = {"HandyNotes_AncientShrinesDB"},
	["HandyNotes_Argus"] = {"HandyNotes_ArgusDB"},
	["HandyNotes_AzerothsTopTunes"] = {"HandyNotes_AzerothsTopTunesDB"},
	["HandyNotes_BattleForAzerothTreasures"] = {"HandyNotes_BattleForAzerothTreasuresDB"},
	["HandyNotes_BFA_HF_Tracker"] = {"HandyNotes_BFA_HF_TrackerDB","NPC_Name_CacheDB","Item_Name_CacheDB"},
	["HandyNotes_BFA_Jelly"] = {"HandyNotes_BFA_JellyDB"},
	["HandyNotes_BoralusRP"] = {"HandyNotes_BoralusRPDB"},
	["HandyNotes_BrokenShore"] = {"HandyNotes_BrokenShoreDB"},
	["HandyNotes_CamelFigurines"] = {"HandyNotes_CamelFigurinesDB"},
	["HandyNotes_CityGuide"] = {"HandyNotes_CityGuideDB"},
	["HandyNotes_Directions"] = {"HandyNotes_DirectionsDB"},
	["HandyNotes_DMF_basic"] = {"HandyNotes_DMF_basicDB"},
	["HandyNotes_DMF_treasure"] = {"HandyNotes_DMF_treasureDB"},
	["HandyNotes_DraenorTreasures"] = {"DraenorTreasuresDB"},
	["HandyNotes_DungeonLocations"] = {"HandyNotes_DungeonLocationsDB"},
	["HandyNotes_DungeonLocations (Classic)"] = {"HandyNotes_DungeonLocationsClassicDB"},
	["HandyNotes_EagleFlightNetwork"] = {"HandyNotes_EagleFlightNetworkDB"},
	["HandyNotes_EliteBattlePets"] = {"HandyNotes_EliteBattlePetsDB"},
	["HandyNotes_EphemeralCrystals"] = {"HandyNotes_EphemeralCrystalsDB"},
	["HandyNotes_EverShiftingMirror"] = {},
	["HandyNotes_FerryNetwork"] = {"HandyNotes_FerryNetworkDB"},
	["HandyNotes_FieldPhotographer"] = {"HNFieldPhotographerDB"},
	["HandyNotes_FlightMasters (Classic)"] = {"HandyNotes_FlightMastersClassicDB"},
	["HandyNotes_Guild"] = {},
	["HandyNotes_HallowsEnd"] = {"HandyNotes_HallowsEndDB"},
	["HandyNotes_HigherDimensionalLearning"] = {"HandyNotes_HigherDimensionalLearningDB"},
	["HandyNotes_HigherLearning"] = {},
	["HandyNotes_Jetpacks"] = {"HandyNotes_JetpacksDB"},
	["HandyNotes_Kosumoth"] = {"HandyNotes_KosumothDB"},
	["HandyNotes_LegionClassOrderHalls"] = {"HandyNotes_LegionClassOrderHallsDB"},
	["HandyNotes_LegionInstanceWorldQuests"] = {"HandyNotes_LegionInstanceWorldQuestsDB"},
	["HandyNotes_LegionMagePortals"] = {"HandyNotes_LegionMagePortalsDB"},
	["HandyNotes_LegionRaresTreasures"] = {"LegionRaresTreasuresDB"},
	["HandyNotes_LegionTownPortals"] = {"HandyNotes_LegionTownPortalsDB"},
	["HandyNotes_LegionTreasures"] = {"HandyNotes_LegionTreasuresDB"},
	["HandyNotes_LightningPaw"] = {"HandyNotes_LightningPawDB"},
	["HandyNotes_LimitedSupplyVendors"] = {"HandyNotes_LimitedSupplyVendorsDB"},
	["HandyNotes_LongForgottenHippogryph"] = {"HandyNotes_LongForgottenHippogryphDB"},
	["HandyNotes_Lorewalkers"] = {"HandyNotes_LorewalkersDB"},
	["HandyNotes_LostAndFound"] = {"HandyNotes_LostAndFoundDB"},
	["HandyNotes_LunarFestival"] = {"HandyNotes_LunarFestivalDB"},
	["HandyNotes_Mailboxes"] = {"HandyNotes_MailboxesDB"},
	["HandyNotes_MechagonAndNazjatar"] = {"HandyNotes_MechagonAndNazjatarDB"},
	["HandyNotes_MoleMachine"] = {"HNMoleMachineConfig"},
	["HandyNotes_NPCs (Classic)"] = {"HandyNotes_NPCsClassicDB"},
	["Handynotes_Pandaria"] = {"storedData"},
	["HandyNotes_PandariaTreasures"] = {"PandariaTreasuresDB"},
	["HandyNotes_PetDailies"] = {"HandyNotes_PetDailiesDB"},
	["HandyNotes_ScarabCoffers"] = {"HandyNotes_ScarabCoffersDB"},
	["HandyNotes_ShrinesForJewelcrafters"] = {"HandyNotes_ShrinesForJewelcraftersDB"},
	["HandyNotes_SpecialNPCsEtc"] = {"HandyNotes_SpecialNPCsEtcDB","HandyNotes_DebugLog","HandyNotes_StoreDebugMsgs"},
	["HandyNotes_SummerFestival"] = {"HandyNotes_SummerFestivalDB"},
	["HandyNotes_SuramarLeylines"] = {"HandyNotes_SuramarLeylinesDB"},
	["HandyNotes_SuramarLocations"] = {"SuramarLocationsDB"},
	["HandyNotes_SuramarShalAranTelemancy"] = {"HandyNotes_SuramarShalAranTelemancyDB"},
	["HandyNotes_SuramarTelemancy"] = {"HandyNotes_SuramarTelemancyDB"},
	["HandyNotes_TimelessIsle"] = {"HandyNotes_TimelessIsleDB"},
	["HandyNotes_TimelessIsleChests"] = {"TimelessIsleChestsDB"},
	["HandyNotes_TimelessIsle_RareElites"] = {"TimelessIsle_RareElitesDB"},
	["HandyNotes_TimelessTreasures"] = {"HandyNotes_TimelessTreasuresDB"},
	["HandyNotes_ToolsOfTheTrade"] = {"HandyNotes_ToolsOfTheTradeDB"},
	["HandyNotes_Trainers"] = {"HandyNotes_TrainersDB"},
	["HandyNotes_TravelGuide"] = {"HandyNotes_TravelGuideDB"},
	["HandyNotes_TravelGuide (Classic)"] = {"HandyNotes_TravelGuideClassicDB"},
	["HandyNotes_TreasureHunter"] = {"HandyNotes_TreasureHunterDB"},
	["HandyNotes_Universal_Explorer"] = {"HandyNotes_Universal_ExplorerDB"},
	["HandyNotes_Vendors"] = {"HandyNotes_VendorsDB"},
	["HandyNotes_VisionsOfNZoth"] = {"HandyNotes_VisionsOfNZothDB"},
	["HandyNotes_WarfrontRares"] = {"HandyNotesArathiDB"},
	["HandyNotes_WarfrontTreasures"] = {"HandyNotes_WarfrontTreasuresDB"},
	["HandyNotes_WellRead"] = {},
	["HandyNotes_WitheredArmyTraining"] = {"HandyNotes_WitheredArmyTrainingDB"},
	["HandyNotes_WitheredChests"] = {"HandyNotes_WitheredChestsDB"},
	["HandyNotes_WorldMapButton"] = {},
	["HandyRepairNSell"] = {},
	["Hansgar_And_Franzok_Assist"] = {"Hansgar_And_Franzok_DB"},
	["HardFinger"] = {"HFDB","HFPerCharDB"},
	["HardYards"] = {"HardYardsDB"},
	["Harmonious"] = {"invertOverlay"},
	["HaveIDoneThat"] = {"HaveIDoneThatDB","HaveIDoneThatDBPC"},
	["HavenLoots"] = {"HavenLoots_Save"},
	["HavenLootsServer"] = {"HavenLootsServer_alts"},
	["HaveWeMet"] = {"HWM_Global"},
	["hcGossipBot"] = {},
	["HCIC"] = {},
	["hcRepairBot"] = {},
	["hcRoleBot"] = {},
	["HCToolkit"] = {"HCToolkitDB"},
	["hcWorkOrderBot"] = {},
	["heal-vs-damage"] = {},
	["HealBot"] = {},
	["HealBot-ReadyCheckFixer"] = {},
	["HealBot_br"] = {},
	["HealBot_cn"] = {},
	["HealBot_Data"] = {"Healbot_Config_Skins","HealBot_Globals","HealBot_Class_Spells","HealBot_Class_Buffs","HealBot_Class_Cures","HealBot_Config","HealBot_Config_Spells","HealBot_Config_Buffs","HealBot_Config_Cures"},
	["HealBot_de"] = {},
	["HealBot_en"] = {},
	["HealBot_es"] = {},
	["HealBot_ExtraSkins"] = {},
	["HealBot_fr"] = {},
	["HealBot_gr"] = {},
	["HealBot_hu"] = {},
	["HealBot_it"] = {},
	["HealBot_kr"] = {},
	["HealBot_Options"] = {},
	["HealBot_ru"] = {},
	["HealBot_Tips"] = {},
	["HealBot_tw"] = {},
	["HealBot_VerticalAlign"] = {"hbVA_value"},
	["HealCommClassic"] = {"HealCommSettings"},
	["Healcsi"] = {"HealcsiDB","HealcsiPerCharDB"},
	["HealerManaOnly"] = {},
	["HealerPowerBars"] = {},
	["HealerStatWeights"] = {"HSW_DB"},
	["HealingTracker"] = {"HealingTrackerDB"},
	["Healium"] = {"HealiumGlobal","Healium"},
	["HealOrganizer"] = {"HealOrganizerDB"},
	["HealthstoneAutoMacro"] = {},
	["HealthyMuch"] = {},
	["HearKitty"] = {"KittyOptions"},
	["HearKitty_CloseEncounters"] = {},
	["HearKitty_Mandolin"] = {},
	["HearKitty_SoundPacks"] = {},
	["HearKitty_SoundPackWoWSounds"] = {},
	["HearKitty_Yarrr!"] = {},
	["Heartbeat"] = {"HeartbeatConfig"},
	["Hearthstone locations"] = {"SilvyStones"},
	["HearthZone"] = {"HearthZone_BoundZone"},
	["HeartShapedBoxTracker"] = {"HeartShapedBoxTracker_AccountData"},
	["Heart_Of_Fire"] = {"HF_Save_Data"},
	["HeavyLoot"] = {},
	["hebChat"] = {"hebChatDB"},
	["HeckTradeChat"] = {},
	["Hedd"] = {"HeddDB"},
	["HeilerInfo"] = {"TutSavedVar"},
	["HeirloomQuestTracker"] = {"HeirloomQuestTrackerDB"},
	["Hekili"] = {"HekiliDB"},
	["HellbenderDKP"] = {"HellbenderDB","HellbenderKDB","HellbenderDBPC"},
	["Hello"] = {},
	["HelloAce"] = {"XSize","YSize","SpellDatabase","FrameHeight","BackgroundFrameShow","SortStyle","HPStyle","BGWork","ArenaWork","WPvPWork","TrinketWork","DRWork","ClassIconWork","PercentageHPWork","ShowServerWork","FontSize","HPFont","HealersOnly","ClickableFrames","RaidNoClick","TargetCountEnable","StarchMode","TargetPortraitLocation","ACCTSTATS","CHARSTATS"},
	["Helm"] = {"helm_settings"},
	["HelmHide"] = {"helmHideHelm","helmHideCloak","helmHideHelmEnabled","helmHideCloakEnabled"},
	["HelmNCloak"] = {"HelmNCloak_Data"},
	["HelmSaver"] = {"HelmSaverDB_Character"},
	["HelpHelp"] = {"HelpHelp_Database"},
	["HelyaAssist"] = {"HelyaAssistAddon"},
	["Herald"] = {"Herald","HeraldSay","HeraldRW"},
	["HerbCount"] = {},
	["Herb_Tracker"] = {},
	["HereBeDragons"] = {},
	["HereBeDragons-1.0"] = {},
	["Hermes"] = {},
	["Hermes-UI"] = {},
	["HeroCache"] = {"HeroCacheDB"},
	["HeroicRaidReady"] = {"HeroicRaidReadyDB"},
	["HeroLib"] = {"HeroLibDB"},
	["HeroRotation"] = {"HeroRotationDB","HeroRotationCharDB"},
	["HeroRotation_DeathKnight"] = {},
	["HeroRotation_DemonHunter"] = {},
	["HeroRotation_Druid"] = {},
	["HeroRotation_Hunter"] = {},
	["HeroRotation_Mage"] = {},
	["HeroRotation_Monk"] = {},
	["HeroRotation_Paladin"] = {},
	["HeroRotation_Priest"] = {},
	["HeroRotation_Rogue"] = {},
	["HeroRotation_Shaman"] = {},
	["HeroRotation_Warlock"] = {},
	["HeroRotation_Warrior"] = {},
	["HeyGratsMon"] = {},
	["HGS"] = {"HGSData"},
	["HHPH"] = {"VHHPH"},
	["HHTD"] = {"HHTD_SavedVariables"},
	["HiberniaDKP"] = {},
	["HiddenArtifactTracker"] = {"HiddenArtifactTracker","HiddenArtifactTrackerChars"},
	["HiddenPlayerFrame"] = {},
	["HiddenQuestTracker"] = {"HiddenQuestTracker_Settings"},
	["HiddenSkinTracker"] = {},
	["Hide Blizzard Voice Activity"] = {"HideBlizzardVoiceActivityDB"},
	["Hide Drunken"] = {},
	["Hide Gryphons"] = {},
	["Hide Screen Captured"] = {},
	["Hide the Flash!"] = {},
	["hide-increase-backpack-button"] = {},
	["hide-quest-tracker"] = {},
	["HideActionBarArt"] = {},
	["HideActionbarGryphons"] = {},
	["HideAzeriteBar"] = {},
	["HideBackground"] = {},
	["HideBattleNetFriends"] = {},
	["HideBattleNetFriendsRealNames"] = {},
	["HideBlizzard"] = {"HideBlizzardDB"},
	["HideBossFrames"] = {},
	["HideBugReport"] = {"HideBugReportDB"},
	["HideChatButton"] = {"HCBxpos","HCBypos","HCBkeyable","HCBchatIsShown"},
	["HideClassBar"] = {"HideClassBar","HideClassBarChar"},
	["HideCleanUpBag"] = {},
	["HideCleanUpBagsButton"] = {"HCUBB_SAVEDVARIABLES"},
	["HideCountdown"] = {},
	["HideGarrisonMiningNodes"] = {"HideGarrisonMiningNodesDB"},
	["HideGeneralInRaid"] = {},
	["HideGroupNumber"] = {},
	["HideGryphons"] = {},
	["HideGuildRecruitmentAds"] = {},
	["HideHealingText"] = {"SAV_HHTState"},
	["HideHotKeys"] = {"HideHotKeys_HK_Hidden","HideHotKeys_MN_Hidden"},
	["HideLvl"] = {},
	["HideMenuBar"] = {},
	["HideMicroButtonAndBags"] = {"HideMicroButtonAndBags"},
	["HideMicroMenuAndBags"] = {},
	["hideminimap"] = {},
	["hideminimapincombat"] = {},
	["HideNamesJack"] = {},
	["HideNpcTracking"] = {"_HideNPC"},
	["HideObjectives"] = {"tObjDB"},
	["HideObjectiveTracker"] = {"HideObjectiveTracker"},
	["HideOrderHallBar"] = {},
	["HideParty"] = {"HideParty6DB"},
	["HidePlayerArrow"] = {"HideArrow"},
	["HidePrestige"] = {},
	["HidePVP"] = {},
	["HideQuestArrow"] = {},
	["HideQuestObjectives"] = {},
	["HideQuestTracker"] = {},
	["HideQuickJoin"] = {"HideQuickJoinDB"},
	["HideRaidFrame"] = {"HideRaidFrameDB4"},
	["HideRaidManager"] = {},
	["HideSocialButton"] = {},
	["HideSocialChatIcon"] = {},
	["HideTalentAlert"] = {},
	["HideTalkingHead"] = {},
	["HideUI"] = {},
	["HideWorldMapMinimapButton"] = {},
	["HidingBar"] = {"HidingBarDB"},
	["Higher HotKey"] = {},
	["HigherLearning"] = {"HigherLearningDB"},
	["HighTideManaTracker"] = {"manaUsed","manaUsedInverse","reloadedUI","textFormatOptions","menuOptions","shamanSpellCosts"},
	["HighValue"] = {"hvTab_Defaults"},
	["HippoAlert"] = {},
	["Hitlist"] = {"Hitlist_scores"},
	["HitMarker"] = {},
	["HitsMode5"] = {"HitsMode5DB"},
	["HitsMode5_Options"] = {},
	["HitsMode5_Replay"] = {},
	["HivemindFarming"] = {"HVFarmCharacterMappedItems"},
	["HivemindHelper"] = {"HivemindHelperDB"},
	["HivemindMount"] = {},
	["HizurosToolbox"] = {"HizurosToolbox_ConfigDB","HizurosToolbox_CharacterDB","HizurosToolbox_DataDB"},
	["HKCounter"] = {"HKC_CFG","HKC_KILLSTODAY","HKC_KILLSLIFETIME","HKC_BGHistory","HKC_TotalWinLoss","HKC_PlayerData","HKC_KillsToday","HKC_BonusHistory","HKC_ArenaHistory"},
	["HKDisplay"] = {},
	["hKiB_ProfessionTrack"] = {"hKiB_PTConfig","hKiB_PTConfigCharacter"},
	["Hoard"] = {"HoardDB"},
	["Hokutonomonk"] = {"hokutoNoMonkConfig"},
	["HolidayReminder"] = {"ignoredHolidays"},
	["Holocrypt"] = {},
	["HoloFriends"] = {"HOLOFRIENDS_LIST","HOLOIGNORE_LIST","HOLOFRIENDS_OPTIONS","HOLOFRIENDS_FACTIONS","HOLOFRIENDS_MYCHARS"},
	["HolyEmotey"] = {"HolyEmoteyDB"},
	["HolyNovaSonar"] = {"HNSDB"},
	["HolyPaladinTips"] = {"HolyPaladinTips"},
	["HolyPowa"] = {},
	["HolyPowerIndicator"] = {"HolyPowerIndicatorDB"},
	["HolyPowerNotifier"] = {"HolyPowerCount","Counter","HideBlizzardFrame"},
	["HomingDigeon"] = {},
	["HoNAnnouncer"] = {},
	["honorconquesttext"] = {"HonorConquestTextDB"},
	["HonorGold"] = {"HonorGoldEnabled","HonorGold_AutoDeposit_enabled"},
	["HonorInfoPanel"] = {"HONOR_INFO_PANEL_SETTINGS"},
	["HooterChat80000"] = {},
	["HootMonitor"] = {"moonkinName"},
	["Hop 2.2"] = {"Jumps"},
	["HotCandy"] = {"HotCandyDB"},
	["HotLoot"] = {"HotLootDB"},
	["HowMany"] = {"HowManyDB"},
	["HowManyMore"] = {},
	["HPCustomer"] = {"HPCustomerDB"},
	["HPetBattleAny"] = {"HPetSaves"},
	["HPH"] = {"hph_killsdb","hph_today","hph_week","hph_options"},
	["hqAzerothAtWar"] = {},
	["hqXP"] = {"hqxpConfig"},
	["Humiliator"] = {"HumiliatorDB"},
	["HungryRaid"] = {},
	["HunterData"] = {},
	["HunterHelper"] = {"HHVars"},
	["HunterPetBuffs"] = {},
	["HunterPetHelper"] = {},
	["HunterPetInfo"] = {},
	["HunterPets"] = {"HunterPetsGlobal","HunterPetsSettings"},
	["HunterPets_Owned"] = {},
	["HunterPets_UI"] = {},
	["HunterTracks"] = {"HunterTracks"},
	["HushNow"] = {"HushNow_IgnoreList","HushNow_Config"},
	["Hydra"] = {"HydraTrustList","HydraSettings"},
	["Hyperspawn"] = {"Hyperspawn_Options"},
	["HzFontPack1"] = {"HzFontPack1DB"},
	["IAmAMerchant"] = {"IAAM_Account","IAAM_Character"},
	["IAmGroot"] = {"grootDB"},
	["iateyourpieEmotes"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["Ibis"] = {"IbisDB"},
	["Ibis_Bartender4"] = {},
	["Ibis_Config"] = {},
	["Ibis_CustomFrame"] = {},
	["Ibis_ElvUI"] = {},
	["Ibis_Indicator_RoundHighlight"] = {},
	["Ibis_Indicator_RoundHighlightSplit"] = {},
	["Ibis_Vanilla"] = {},
	["Ibis_WeakAuras"] = {},
	["IceHUD"] = {"IceCoreDB"},
	["IceHUD_Options"] = {},
	["Icetip"] = {"IcetipDB"},
	["Icicles"] = {},
	["iciclesCounter"] = {"IciclesCounter"},
	["ickd"] = {"ickdToDoTasks"},
	["IconMarks"] = {},
	["iCPU"] = {"iCPUDB"},
	["IcyVeinsStatPriority"] = {"IVSP_Config","IVSP_Custom"},
	["Identity-2"] = {},
	["IdiotCheck"] = {"IdiotCheckDB"},
	["iDKP"] = {},
	["IDontWantThat"] = {"ModifierKey","IconPlacement","idwtOptions","ItemsToDelete","UnmarkedItems"},
	["idTip"] = {},
	["idTweaks"] = {"idTweaksDB"},
	["iEncounterEventTracker"] = {"iEETConfig","iEET_Data","iEET_ExportFromWTF"},
	["IEStats"] = {"IEStatsUID","IEStatsTotal","IEStatsLast"},
	["ifarm"] = {"GLOBAL_DELETE","Farm_Options"},
	["iFriends"] = {"iFriendsDB"},
	["IfThen"] = {"IFTHEN_text_version","IFTHEN_text","IFTHEN_settings","IFTHEN_cache"},
	["IFTracker"] = {"IFTrackerSettings"},
	["Igam"] = {"IGAM_Save","IGAM_Save_FriendInfo","IGAM_Save_sellDB"},
	["IGAS"] = {"IGAS_DB","IGAS_DB_Char"},
	["IGAS_UI"] = {"IGAS_UI_DB","IGAS_UI_DB_Char"},
	["iGear"] = {"iGearDB"},
	["IgnoreEnemyEmotes"] = {},
	["IgorAddon"] = {},
	["iGuard"] = {"iguard_data"},
	["iGuild"] = {"iGuildDB"},
	["IHateTrade"] = {"IHT_white","IHT_black"},
	["IHateTrains"] = {"IHateTrains_SavedOptions"},
	["iKeystones"] = {"iKeystonesDB","iKeystonesConfig"},
	["IKicked"] = {"IKickedData"},
	["ILD-Arkinventory"] = {},
	["ILD-Baggins"] = {},
	["ILD-Bagnon"] = {},
	["ILD-Blizzard"] = {},
	["ILD-Combuctor"] = {},
	["ILD-Litebag"] = {},
	["ILD-Onebag3"] = {},
	["ILearnedWhat"] = {"ILWDB"},
	["iLevel"] = {"iLevelSetting"},
	["iLFRDescription"] = {},
	["iLib"] = {},
	["IllidanTheHedgehog"] = {},
	["IllusionPreview"] = {},
	["iLocation"] = {"iLocationDB"},
	["iLvLr"] = {"iLvLrSettings","iDuraState","iColourState","iRelicState"},
	["iMail"] = {},
	["Immature"] = {},
	["Immersion"] = {"ImmersionSetup"},
	["ImmersionUI"] = {"IMUI_SavedVars"},
	["Immersion_ExtraFade"] = {"IEF_Config"},
	["Immersive"] = {"ImmersiveSettings"},
	["ImmersiveCharacterNeeds"] = {"ICN_MainOption_Table","ICN_NeedOption_Table","ICN_HUDOption_Table","ICN_ReactionOption_Table","ICN_Vnum","ICN_Character_Table","ICN_Options_Table"},
	["ImmersiveFade"] = {"ImmersiveFade"},
	["ImmersiveWarfrontMap"] = {},
	["ImmortalisAnnounce"] = {},
	["ImoFriendGroups"] = {"FriendGroups_SavedVars"},
	["iMoney"] = {"iMoneyDBv2"},
	["ImprovedBlizzardUI"] = {"ImpUI_DB"},
	["ImprovedLFGSearch"] = {"ImprovedLFGSearch_UseEnhancedSearch","ImprovedLFGSeach_UseLiveSorting"},
	["ImprovedLootFrame"] = {},
	["ImprovedOptionsFrames"] = {"ImprovedOptionsFramesDB"},
	["ImprovedRaidFrameStatusText"] = {},
	["ImprovedStableFrame"] = {},
	["Improved_LFG_Invite_Dialog"] = {},
	["IM_Closer"] = {},
	["iNameplateHide"] = {},
	["InboxMailBag"] = {"MAILBAGDB"},
	["IncantersFlowTracker"] = {"IFTSettings"},
	["IncentiveProgram"] = {"IncentiveProgramDB"},
	["Inception_Loot_Priority"] = {},
	["Incognito"] = {"IncognitoDB"},
	["Incoming"] = {"Inc_ScaleText","Inc_MsgMode","Inc_LocPoint","Inc_LocRelTo","Inc_LocRelPoint","Inc_LocXOfs","Inc_LocYOfs"},
	["IndiOOC"] = {},
	["INEED"] = {"INEED_dataINEED_optionsINEED_goldINEED_unknown","INEED_accountINEED_currency"},
	["INeedAHero"] = {},
	["InfernumAssignments"] = {"AngryAssign_Pages","AngryAssign_Categories","AngryAssign_State","AngryAssign_Config"},
	["InFlight"] = {"InFlightDB"},
	["InFlight_Load"] = {},
	["InfoFrames"] = {},
	["InfoPanel"] = {"InfoPanel_Config"},
	["InfoQuest"] = {},
	["Informant"] = {"InformantConfig","InformantLocalUpdates"},
	["InformResurrection"] = {},
	["Ingredient"] = {"GlobalIngredientRegistry","IngredientRegistry"},
	["Inked"] = {"InkedDB","SpeedyAutoLootDB","UFDB","InkedChar"},
	["Inked_AB"] = {},
	["InlineAura"] = {"InlineAuraDB"},
	["InlineAura_Config"] = {},
	["InlineAura_Defaults"] = {},
	["InnervateNoise"] = {},
	["InProgressMissions"] = {"IPMDB"},
	["InsaneSets"] = {},
	["InsanityBar"] = {"InsanityBarSettings"},
	["InspectEquip"] = {"InspectEquipConfig","InspectEquipLocalDB"},
	["InspectEquip-3"] = {"InspectEquipConfig","InspectEquipLocalDB"},
	["InspectiLvl"] = {},
	["InspectItemLevel"] = {},
	["InspectListCreator"] = {"InspectListCreatorDbShowLinksUseCSV"},
	["Inspector"] = {"InspectorSettings"},
	["InspectorGadgetzan"] = {"InspectorGadgetzanDB"},
	["Instance Watch"] = {},
	["InstanceAchievementTracker"] = {"AchievementTrackerOptions","AchievementTrackerDebug"},
	["InstanceAutoMarker"] = {"IAM_PriosTable","IAM_Database","IAM_Options"},
	["InstanceDurability"] = {"InstDData"},
	["InstanceEnteredCounter"] = {"InstanceEnteredCounterDB"},
	["InstanceLocks"] = {},
	["InstancePortals"] = {"IPUITrackInstancePortalsIPUITrackInstancePortalsOnContinents"},
	["InstanceProfits-0.7.1"] = {"IP_InstanceRunsGlobalHistory","IP_RecentLimit","IP_RecentHistory","IP_TextColors","IP_MinTime","IP_MinTimeUnit","IP_InstanceRunsCharacterHistory","IP_DifficultyFilters"},
	["InstanceReset"] = {},
	["InstanceResetAnnouncer"] = {},
	["InstanceSpec"] = {},
	["Instance_Entrance"] = {},
	["InstantSellRepairandLoot"] = {},
	["InstantSellRepairandLootNoGuild"] = {},
	["Instigator"] = {},
	["IntelliMount"] = {"IntelliMountDB"},
	["InteractiveWormholes"] = {},
	["InterfaceProfiler"] = {"LediiData_IP"},
	["InterfaceUsage"] = {},
	["InTerroremRT"] = {"VInTerroremRT"},
	["InterruptAndDispel"] = {"IAD_On","IAD_AnnounceTo","IAD_InterruptOn","IAD_DispelOn","IAD_DispelFriendly"},
	["InterruptAnnouncer"] = {},
	["InterruptAwareness"] = {},
	["InterruptBar"] = {"InterruptBarDB"},
	["InterruptDuration"] = {"InterruptDurationOptions_Global","InterruptDurationOptions_Character"},
	["Interrupted"] = {},
	["Interruption"] = {"intCCAnnounce"},
	["InterruptManager"] = {"IMDB"},
	["InterruptNoSpam"] = {"INSraid","INSparty","INSsay","INSself","INSspell","INStarget","INScompact"},
	["InterruptNotifier"] = {"IntN_Settings"},
	["interruptreport"] = {"InterruptReportConfig"},
	["InterruptSay"] = {"InterruptSayDB"},
	["InterruptTracker"] = {"InterruptTrackerOptions_Global","InterruptTrackerOptions_Character"},
	["Intextory"] = {"IntextoryDB"},
	["Inthebuff"] = {},
	["Intoxicated"] = {"g_Intoxicated_config","g_enabledBars"},
	["InvasionTimer"] = {},
	["Inventorian"] = {"InventorianDB"},
	["Inventorian-UpgradeIcons"] = {},
	["Inventorian_ItemLevels"] = {},
	["Inventorian_SearchPresets"] = {},
	["InventorySets"] = {"InventorySetsDB"},
	["InvitationAlert"] = {},
	["InviteBlock"] = {"InviteBlockDB","InviteBlockChar"},
	["InviteMe"] = {},
	["InviteOMatic"] = {"InviteOMaticDB"},
	["InviteOnWhisper"] = {},
	["InviteRepairReminder"] = {"IRR_percentThreshold"},
	["Ion-StatusBars"] = {"IonStatusGDB","IonStatusCDB"},
	["IonsSufficientTooltips"] = {"IonsSufficientTooltips_Config"},
	["iPlayerFrame"] = {},
	["ipmythictimer"] = {"IPMTDB","IPMTOptions"},
	["IPopBar"] = {"IPopBar_Config"},
	["iQueue"] = {"iQueueDB"},
	["iReputation"] = {"iReputationDB"},
	["IrlName"] = {"AliasTable"},
	["IronpawHelper"] = {},
	["ISeeYouToo"] = {},
	["iShadow"] = {"iShadowLevel"},
	["iskarfails"] = {"IskarFailsDB"},
	["Island score board"] = {},
	["IslandExpeditionHelper"] = {},
	["IslandExpeditionsWeekly"] = {"IslandExpeditionsWeeklyDB"},
	["IslandExplorer"] = {"IslandExplorerData","IslandExplorerOptions"},
	["IslandLooter"] = {"IslandDB"},
	["iSocial"] = {},
	["IsoGamble"] = {"IsoGamble_Stats"},
	["iSold_More"] = {},
	["iSpam"] = {},
	["ISpy"] = {"ISpyDB"},
	["IsQuestCompleted"] = {},
	["iSquidMod"] = {"iSquidModDB"},
	["IsuUI"] = {},
	["iTargetingFrames"] = {"iTFConfig"},
	["ItemAnalysis"] = {"ItemAnalysisDB"},
	["ItemBonusDisplay"] = {},
	["ItemBuyer"] = {},
	["ItemCollector"] = {"MCCSaved"},
	["ItemCountTooltip"] = {"ICT_DB"},
	["ItemDB"] = {},
	["ItemDestroyerButton"] = {},
	["ItemDrop"] = {"ItemDrop_Config"},
	["ItemGuard"] = {"ItemGuardDB"},
	["ItemID"] = {"ItemID_Options"},
	["ItemLevelDisplay"] = {"dbILD","localdbILD"},
	["ItemLevelOverlay"] = {},
	["ItemLinker"] = {},
	["ItemLinkLevel"] = {"SavedData"},
	["ItemNameLocalized_Core"] = {"INL_Settings"},
	["ItemNameLocalized_deDE"] = {},
	["ItemNameLocalized_esES"] = {},
	["ItemNameLocalized_esMX"] = {},
	["ItemNameLocalized_frFR"] = {},
	["ItemNameLocalized_itIT"] = {},
	["ItemNameLocalized_ptBR"] = {},
	["ItemNameLocalized_ruRU"] = {},
	["ItemNotes"] = {},
	["ItemRack"] = {"ItemRackSettings","ItemRackItems","ItemRackEvents","ItemRackUser"},
	["ItemRackOptions"] = {},
	["ItemRoller"] = {"BetaItemRollerActivatedBetaItemRollerList"},
	["ItemScore"] = {"ItemScoreDB"},
	["ItemTooltipCleaner"] = {"ItemTooltipCleanerSettings"},
	["ItemTooltipProfessionIcons"] = {"ItemTooltipIconsConfig"},
	["ItemType"] = {},
	["ItemWishlist"] = {"ItemWishlistDB"},
	["ItEndedInStratholme"] = {"ItEndedInStratholme_SavedVars"},
	["iTip"] = {"ITIP_CONFIG"},
	["iTracking"] = {},
	["ITrackU"] = {"db_ITrackU"},
	["ItWasntMe"] = {},
	["iWTB"] = {"iWTBDB","iWTBRaiderDB","iWTBRaidLeaderDB","iWTBrlProfileDB"},
	["I_Hear_You_All"] = {},
	["I_Hear_You_Guild"] = {},
	["I_Hear_You_Instance"] = {},
	["I_Hear_You_Party"] = {},
	["I_Hear_You_Raid"] = {},
	["I_Hear_You_RealID"] = {},
	["I_Hear_You_Whisper"] = {},
	["JagsHealTextSwitch"] = {},
	["JagsSpellAlertSwitch"] = {},
	["Jamba"] = {"JambaCoreProfileDB","JambaCommunicationsProfileDB","JambaTeamProfileDB","JambaTagProfileDB","JambaMessageProfileDB"},
	["Jamba-AdvancedLoot"] = {"JambaAdvancedLootProfileDB"},
	["Jamba-Curr"] = {"JambaCurrProfileDB"},
	["Jamba-DisplayTeam"] = {"JambaDisplayTeamProfileDB"},
	["Jamba-Extras"] = {"JambaExtrasProfileDB"},
	["Jamba-Follow"] = {"JambaFollowProfileDB"},
	["Jamba-FTL"] = {"JambaFTLProfileDB"},
	["Jamba-ItemUse"] = {"JambaItemUseProfileDB"},
	["Jamba-Proc"] = {"JambaProcProfileDBv2"},
	["Jamba-Purchase"] = {"JambaPurchaseProfileDB"},
	["Jamba-Quest"] = {"JambaQuestProfileDB"},
	["Jamba-QuestWatcher"] = {"JambaQuestWatcherProfileDB"},
	["Jamba-Sell"] = {"JambaSellProfileDB"},
	["Jamba-Talk"] = {"JambaTalkProfileDB"},
	["Jamba-Taxi"] = {"JambaTaxiProfileDB"},
	["Jamba-Toon"] = {"JambaToonProfileDB"},
	["Jamba-Trade"] = {"JambaTradeProfileDB"},
	["JamPlates Accessories"] = {"JamPlatesAccessoriesDB","JamPlatesAccessoriesCP"},
	["Jani'sTrash"] = {},
	["JaniFailedBonusRoll"] = {},
	["Janitor"] = {"JanitorDB"},
	["JaxPartyCastbars"] = {},
	["jaxSurrender"] = {},
	["jButtonFlash"] = {},
	["JCS_Media_Sounds"] = {},
	["JebusMail"] = {"JebusMailDB"},
	["jebusminimapcoords"] = {"JebusMiniMapCoordsDB"},
	["Jeeves"] = {"dbJVS"},
	["JellyDepositLocations"] = {},
	["JerkScript"] = {},
	["JHide"] = {"JHideDB"},
	["JitterDKP"] = {"JitterDKPDB_Settings","JitterDKPDB_Data","JitterDKPDB_History"},
	["jMerchantNBank"] = {"jMerchantNBankDB"},
	["JobsDone"] = {},
	["JohnCena"] = {},
	["JoinInTheBattle"] = {},
	["JoinTimer"] = {},
	["JojoDH_DioBrando"] = {"jojodh_sound"},
	["JojoMonk"] = {"JojoMonk_Config"},
	["JojoMonk_DioBrando"] = {"jojo_sound"},
	["JojoMonk_GiornoGiovanna"] = {"jojo_sound"},
	["JojoMonk_JonathanJoestar"] = {"jojo_sound"},
	["JojoMonk_JosephJoestar"] = {"jojo_sound"},
	["JojoMonk_JosukeHigashikata"] = {"jojo_sound"},
	["JojoMonk_JotaroKujo"] = {"jojo_sound"},
	["Joke"] = {},
	["JokPlates"] = {"JokPlatesDB"},
	["Journal"] = {"Journal_Settings","Journal_Entries"},
	["Journal_Standalone"] = {"Journal_Settings","Journal_Entries"},
	["Journal_TotalRP3"] = {"Journal_Settings","Journal_Entries"},
	["JourneyCalendar"] = {"JourneyCalendarData"},
	["JPHF"] = {"JPHF_Settings"},
	["JSHB"] = {"JSHB4"},
	["JSpecBar"] = {},
	["jStatusText"] = {},
	["jTargetLine"] = {},
	["JT_Fps"] = {"canChangePos","showFps","xOfs","yOfspoint","relativeTo","relativePoint"},
	["jughead"] = {"JugheadDB"},
	["Juke"] = {"JukeDB"},
	["JukeboxCoin"] = {},
	["Juked"] = {"JukedDB"},
	["JukedParty"] = {"JukedPartyDB"},
	["JumpCounter"] = {"JumpCounter"},
	["JumpingSound"] = {},
	["JumpsCount"] = {"JumpsPerAccount","JumpsPerPerson"},
	["junkdrop"] = {},
	["Junker"] = {},
	["Junkit"] = {"JunkitSV"},
	["JunkRemover"] = {"junkRemoverEnabled"},
	["Junkster"] = {},
	["Junk_Filter"] = {"JFHowMany","JFMaxCopperDelete","JFVerboseToggle","JFMainHidden","JFEnglishVerbose"},
	["JustInTime"] = {"options"},
	["JustTheTip"] = {},
	["Juwe"] = {},
	["JWRepBar"] = {},
	["JWXPBar"] = {},
	["k1TKick"] = {"k1TKickDB"},
	["kaBoom"] = {},
	["Kals_AutoPetSummoner"] = {"Kals_AutoPetSummonerConfig","PetToSummonGlobal"},
	["Kals_ClassicAmmoCount"] = {"MinAmmoCountGlobal"},
	["Kals_ClassicTargetLevelOnMouseover"] = {},
	["Kals_ClassicTrackingReminder"] = {"ThingToTrackGlobal"},
	["Kals_IslandAzeriteAnnouncer"] = {},
	["Kals_QuestTextToChat"] = {"OnlyShowObjectiveGlobal"},
	["Kals_ToDoList"] = {"PopupOnStartGlobal","FloatingUI_EnabledGlobal","ToDoButtonUI_EnabledGlobal","FloatingUI_ScaleGlobal","FloatingUI_FontGlobal","PlayerToDoListGlobal"},
	["Kals_TransmogHeadsUp"] = {},
	["KamiUI"] = {"KamiExtraActionButtonScale","KamiUIDebugStatus","KamiUIBossUtilities"},
	["KappaFace"] = {},
	["KarlsUI"] = {},
	["Karma"] = {},
	["KarniCrap"] = {"KarniCrapConfig","KarniBlacklist","KarniWhitelist"},
	["KatedraRoller"] = {},
	["kAura"] = {"kAuraDB"},
	["kAutoOpen"] = {},
	["Kaydee"] = {"KaydeeDB"},
	["KazAuctionValue"] = {},
	["KazKeys"] = {},
	["KazotskyKick"] = {},
	["KBEdit"] = {"KBEditLayouts"},
	["KChefTime"] = {"KChefTime_Settings"},
	["KCrazyArrowHide"] = {"KCrazyArrowHide_Settings"},
	["KC_Trashman"] = {},
	["KeeperOfStatistics"] = {"KOS"},
	["KeepSake.1.0"] = {},
	["KeepTheHerbs"] = {},
	["KegSmashAssist"] = {},
	["kekmount"] = {"kmountdbglobal","kmountdb"},
	["KemaUI"] = {},
	["KenshiMonk"] = {"ActiveSoundKen"},
	["kEPGP"] = {"kEPGPDB"},
	["KethoCombatLog"] = {"KethoCombatLogDB"},
	["KethoInstanceTimer"] = {"KethoInstanceTimerDB"},
	["KetzerischerLootverteiler"] = {"KetzerischerLootverteilerData"},
	["KevTool Queue"] = {"KTQuseBonusQueue","KTQBonusQueue","KTQskipSingles","KTQuseThreshold","KTQThreshold","KTQuseFallback"},
	["KeyBind"] = {"KeyBindSettings"},
	["KeyBooster"] = {"KB_applicants","KB_premadeShowKeystone"},
	["KeyBooster2.0"] = {"KB_applicants","KB_premadeShowKeystone"},
	["KeyBound"] = {},
	["Keyed"] = {"Keyedv4DB"},
	["KeyQueue"] = {"KQ_applicants","KQ_settings","KQ_isKeyQueueShown"},
	["KeyRunner"] = {"KeyRunnerConfigDB","KeyRunnerKeysDB"},
	["Keys"] = {"KeysDB"},
	["KeystoneAnnounce"] = {"mpkAnnounce"},
	["KeystoneCommander"] = {"KCPlayerDB","KCDB"},
	["KeystoneFrameStrataFix"] = {},
	["KeystoneHelper"] = {},
	["KeystoneLinkPlus"] = {},
	["KeystoneLoot"] = {},
	["KeystoneManager"] = {"KeystoneManagerDb"},
	["KeystoneQuery"] = {"KeystoneQueryDB"},
	["KeystoneRollCall"] = {"KRCDB","KRCLOG"},
	["KeystoneRunner"] = {"KeystoneRunnerDB"},
	["KeystrokeLauncher"] = {"KeystrokeLauncherDB"},
	["kgPanels"] = {"kgPanelsDB"},
	["kgPanelsConfig"] = {},
	["kGratz"] = {"kGratzDB"},
	["KhaibaMedia"] = {},
	["KHunterTimers"] = {"KHTvars"},
	["KibsItemLevel"] = {"KibsItemLevelDB"},
	["KibsItemLevelContinued"] = {"KibsItemLevelContinuedDB"},
	["Kib_Config"] = {"KIBDB"},
	["Kib_QuestMobs"] = {},
	["KickAlert"] = {"fName","showWarn","iScale","kSpellInfo","iMax","SpellSet","ClearOOC"},
	["KikiUtils"] = {"KU_Config","KU_CharConfig"},
	["Kill Counter"] = {},
	["KillCounter"] = {"KillCounterVariables"},
	["Killfills_XP"] = {},
	["Killing Blow Announcer"] = {"kbaDB"},
	["KillingBlow_Enhanced"] = {"KillingBlow_Enhanced_DB"},
	["KillingSpree"] = {"KillingSpreeDB"},
	["KillingStreaks"] = {"KillStreakRecord"},
	["KillScreenshots"] = {},
	["Killshot"] = {"saved","ks","saved_char","ks_char"},
	["Killshot_Sounds"] = {},
	["KillStream"] = {"KillStreamData"},
	["KillTally"] = {},
	["KillThemAll"] = {"S_ktaGlobalSettings","S_ktaCharSpecificOverrides","S_sAddonVersion"},
	["KillThemAll_Aluneth"] = {},
	["KillThemAll_Ashbringer"] = {},
	["KillThemAll_LichKing"] = {},
	["KillThemAll_LightAshbringer"] = {},
	["KillThemAll_NZoth"] = {},
	["KillThemAll_Sargeras"] = {},
	["KillThemAll_XalAtath"] = {},
	["KillTrack"] = {"KILLTRACK","KILLTRACK_CHAR"},
	["KindredArtifactTracking"] = {"KindredDB"},
	["KindredLibs"] = {},
	["KindredVO"] = {},
	["KingMe"] = {},
	["KingsList"] = {"KingsListDB"},
	["Kipper"] = {"KipperDB"},
	["kittycat"] = {},
	["KittyPurr"] = {"KittyPurrDB"},
	["KiwiFarm"] = {"KiwiFarmDB"},
	["KiwiItemInfo"] = {"KiwiItemInfo_Vars"},
	["KiwiPlates"] = {"KiwiPlatesDb"},
	["KiwiQuickPick"] = {"KiwiQuickPick_Vars"},
	["KKonferPUG"] = {"KKonferPUGOptions","KKonferPUGDB","KKonferPUGCharDB"},
	["KKonferSK"] = {"KKonferSKOptions","KKonferSKDB","KKonferSKCharDB"},
	["KkthnxUI"] = {"KkthnxUIData","KkthnxUIDataPerChar"},
	["KkthnxUI_Config"] = {"KkthnxUIConfigShared","KkthnxUIConfigPerAccount","KkthnxUIConfigNotShared"},
	["Klappa"] = {"KlappaDB"},
	["KlaxxiTargets"] = {"KlaxxiTargetsOptions"},
	["kLib"] = {"kLibDB"},
	["KLifeMon"] = {"KLM_Settings"},
	["kLootFilter"] = {"kLootFilterDB"},
	["kmacro"] = {"kMacroDB"},
	["Kniggel"] = {"KniggelOptions"},
	["KnockoutAddon"] = {},
	["KnowYourLootSpec"] = {"KnowYourLootSpecSettings"},
	["KObjectivesHide"] = {"Enabled","Mode"},
	["KokoSpellAuras"] = {"KSACollection_DB","KSASettings_DB"},
	["KokoSpellAuras_Overlays"] = {"KSAOverlaySettings_DB"},
	["KokoTotems"] = {"KokoTotems_DB","KokoTotemCollection_DB"},
	["KokoTotems_StompAlerts"] = {"KokoTotemsStomp_DB"},
	["KokoTotems_Timers"] = {"KokoTotemsTimers_DB"},
	["Konfuzius"] = {"SIACFG"},
	["Kong"] = {"Kong_Profiles","Kong_Settings"},
	["KongConfig"] = {},
	["Koordinator"] = {"koordinatorSettings"},
	["KotmoguDebuff"] = {},
	["KreicUI"] = {},
	["KrosusAssist"] = {"KrosusAssistDB"},
	["kSellGreyNRepair"] = {},
	["KSpeedO"] = {"KSpeedO_Settings"},
	["KSSAnchor"] = {"KSSAnchor_Method","KSSAnchor_ShammyShields_ESIcon","KSSAnchor_AttachFrame"},
	["KSUI"] = {},
	["kSwap"] = {"kSwapDB"},
	["Kui_Enemy_Colors"] = {"KuiCustomOptions"},
	["Kui_Media"] = {},
	["Kui_Mount"] = {"KuiMountSaved","KuiMountCharacter"},
	["Kui_Nameplates"] = {},
	["Kui_Nameplates_Borders"] = {},
	["Kui_Nameplates_Core"] = {"KuiNameplatesCoreSaved","KuiNameplatesCoreCharacterSaved"},
	["Kui_Nameplates_Core_Config"] = {},
	["Kui_Nameplates_Elite"] = {},
	["Kui_Nameplates_Fade_Filters"] = {"KuiFadeFiltersSaved"},
	["Kui_Nameplates_PVP"] = {"KuiPVPSaved"},
	["Kui_Nameplates_Spell_Alert"] = {},
	["Kui_SpellList_Config"] = {"KuiSpellListConfigSaved"},
	["Kui_Stanzilla"] = {},
	["l2target"] = {"preferenceVars"},
	["LagBar"] = {"LagBar_DB"},
	["LagLog"] = {},
	["LagMate"] = {},
	["LagMonitor"] = {"LagMonitorDB"},
	["LaLaLa"] = {},
	["LanguageCycle"] = {"LANGUAGE_CYCLE"},
	["LanguageDisplay"] = {"LDRegion","LDLFGColors"},
	["LargeNumbersSeparator"] = {"LargeNumbersSeparator_DB"},
	["LargerChatInput"] = {},
	["LargerMacroIconSelection"] = {"LargerMacroIconSelectionDB"},
	["LargerMacroIconSelectionData"] = {},
	["LargerSelfAuras"] = {"LSAOptions"},
	["LastRep"] = {},
	["LastSecond"] = {},
	["LastSeen"] = {"LastSeenAccountKey","LastSeenCreaturesDB","LastSeenEncountersDB","LastSeenItemsDB","LastSeenIgnoredItemsDB","LastSeenMapsDB","LastSeenQuestsDB","LastSeenSettingsCacheDB","LastSeenLootTemplate"},
	["LayerChecker"] = {"LCDB"},
	["LayerHopper"] = {"LayerHopperOptions"},
	["LazioMasteryTool"] = {"triggers_toggle"},
	["LazyCurve"] = {},
	["LazyGroupFinder"] = {"LazyGroupFinderMinimapIconPoint","LazyGroupFinderEnabled"},
	["LazyJukeBox"] = {},
	["LazyKeystones"] = {},
	["LazyReadycheck"] = {"LazyReadyCheck"},
	["LazySpecs"] = {},
	["Lazy_Raider"] = {"LazyRaiderDB"},
	["LB_Cheer"] = {},
	["LDB-Artifact"] = {},
	["LDB-LagTolerance"] = {"LDBLagToleranceDB"},
	["LDB-Resolve"] = {},
	["LDB-Threat"] = {},
	["LDB-Vengeance"] = {},
	["LDB-WoWToken"] = {"SV_LDBWoWToken"},
	["LDB_PitchSpeed"] = {},
	["Leaderchange"] = {},
	["Leaflet"] = {"LFLT"},
	["LearningAid"] = {"LearningAid_Saved","LearningAid_Character"},
	["Leatrix_Maps"] = {"LeaMapsDB"},
	["Leatrix_Plus"] = {"LeaPlusDB"},
	["Leatrix_Sounds"] = {"LeaSoundsDB"},
	["Leatrix_Tunes"] = {"LeaTunesDB"},
	["Leecher"] = {"LeecherDB"},
	["LeeroyHillCatsPower"] = {"LHCFSettingsDB"},
	["Leetspeak"] = {"LeetspeakOptions"},
	["LeFollowers"] = {},
	["LegacyQuest"] = {},
	["LegendaryEquipSounds"] = {},
	["LegendaryProgressTracker"] = {"lptHistory","lastLegInfo","lptEvents","printInfo","bosses","historical"},
	["LegendaryProgressTracker_Broker"] = {},
	["LegibleMail"] = {"LegibleMailDB"},
	["LegionBarKeeper"] = {"LegionBarKeeperDB"},
	["LegionCPFrame"] = {},
	["LegionHonor"] = {"lhhonorgoal"},
	["LegionInvasionTimer"] = {"LegionInvasionTimerDB","LegionInvasionTime"},
	["LegionInvasionTimer_Options"] = {},
	["LegionMapZoomer"] = {"LegionMapZoomer"},
	["LegionToDo"] = {"VLegionToDo"},
	["LegionTODOMini"] = {"_charsdb"},
	["LegionTreasures"] = {"DRTSOptions"},
	["LegionWardrobe"] = {"VLTW"},
	["LegionWardrobeData"] = {},
	["LetMeBuyIt"] = {},
	["LetMeCast"] = {},
	["LetMinnow"] = {"LetMinnowDB"},
	["LetsRide"] = {"LetsRideOptions"},
	["LevelBuddy"] = {},
	["levelcam"] = {},
	["LevelFlight"] = {},
	["Levelland"] = {},
	["LevelLogger"] = {"svLevelLogOptions","svLevelLog"},
	["Levels2"] = {"levels_settings"},
	["LevelSquish"] = {},
	["LevelTimer"] = {"LevelTimer"},
	["Levelup"] = {},
	["LevelUpAnnouncer"] = {"LevelUpAnnouncerDB"},
	["LevelupQueenSound"] = {},
	["LFDLockouts"] = {"LFDLockoutsCharData"},
	["LFG"] = {"LFGSettings"},
	["LFG-WoWProgress"] = {},
	["LFG113"] = {"LFG113Saved","LFG113BlackList","LFG113Searches","LFG113Premades","LFG113Players"},
	["LFGAutoRelist"] = {},
	["LFGCallToArmsBroker"] = {"LFGCallToArmsBrokerDB"},
	["LFGFilter"] = {"LFGFilterSettingsGlobal","LFGFilterSettings"},
	["LFGHUD"] = {},
	["LFGjoin"] = {},
	["LFGlist"] = {},
	["LFGMute"] = {"LFGMuteDB"},
	["LFGShout"] = {"LFGShout_Global"},
	["LFGTimer"] = {"LFGTimerDB"},
	["LFGTimer_Options"] = {},
	["LFG_Helper"] = {"LFG_Text_Values","LFG_Classes","LFM_Text_Values","LFG_Notifications"},
	["LFG_MatchMaker"] = {"LFGMM_DB"},
	["LFG_ProposalTime"] = {},
	["LFG_Silence"] = {"LFG_Silence_SV"},
	["LFG_Stopwatch"] = {"LfgStopwatchDB","LfgStopwatchCharDB"},
	["LFHWaypoints"] = {},
	["LFRAdvanced"] = {"LFRAdvancedOptions"},
	["LFRecall"] = {},
	["LFRNG"] = {},
	["LFRSatchelHelper"] = {"LFRSatchelHelperSettings"},
	["LFRtools"] = {},
	["LFR_of_the_past"] = {"LFRotp_Options","LFRotp_Dev"},
	["LGReceiver"] = {"LGReceiver"},
	["LHCP"] = {"LHCP_ignoreMode"},
	["LHPToolkit"] = {"Conf_Dance","Conf_Rune","Conf_Bloodlust","Conf_BloodlustText","Conf_SurrenderSound","Conf_SurrenderText","Conf_BennyHill"},
	["Li-AutoRepair"] = {},
	["LiarsDice"] = {},
	["Lib-EditBox-AutoComplete"] = {},
	["Lib-Scenarios"] = {},
	["lib-st"] = {},
	["LibAboutPanel"] = {},
	["LibAboutPanel-2.0"] = {},
	["LibAceConfigAPI"] = {},
	["LibActionButton-1.0"] = {},
	["LibAddonCompat-1.0"] = {},
	["LibAddonUtils"] = {},
	["LibAlts-1.0"] = {},
	["LibAppropriateItems-1.0"] = {},
	["LibArray"] = {},
	["LibArtifactData-1.0"] = {},
	["LibArtifactPower-1.0"] = {},
	["LibAuras"] = {},
	["LibBabble-Artifacts-3.0"] = {},
	["LibBabble-Boss-3.0"] = {},
	["LibBabble-CreatureType-3.0"] = {},
	["LibBabble-DigSites-3.0"] = {},
	["LibBabble-Faction-3.0"] = {},
	["LibBabble-ItemSet-3.0"] = {},
	["LibBabble-Race-3.0"] = {},
	["LibBabble-SubZone-3.0"] = {},
	["LibBabble-TalentTree-3.0"] = {},
	["LibBackdrop-1.0"] = {},
	["LibBagUtils-1.0"] = {},
	["LibBetterBlizzOptions-1.0"] = {},
	["LibBodyguard-1.0"] = {},
	["LibBossIDs-1.0"] = {},
	["LibBrazier"] = {},
	["LibButtonGlow-1.0"] = {},
	["LibCandyBar-3.0"] = {},
	["LibChatAnims"] = {},
	["LibClassicDurations"] = {},
	["LibClassicItemSets-1.0"] = {},
	["LibClassicMobHealth-1.0"] = {"LibClassicMobHealth10DB","LibClassicMobHealth10Opt"},
	["LibColors-1.0"] = {},
	["LibCombatLogHealth-1.0"] = {},
	["LibCompress"] = {},
	["LibCooldownTracker-1.0"] = {},
	["LibCopyPaste-1.0"] = {},
	["LibCurrencyInfo"] = {},
	["LibCustomGlow-1.0"] = {},
	["LibDBIcon-1.0"] = {},
	["LibDDI-1.0"] = {},
	["LibDebug"] = {},
	["LibDeflate"] = {},
	["LibDFramework-1.0"] = {},
	["LibDialog-1.0"] = {},
	["LibDispellable-1.0"] = {},
	["LibDogTag-3.0"] = {},
	["LibDogTag-Stats-3.0"] = {},
	["LibDogTag-Unit-3.0"] = {},
	["LibDropdown-1.0"] = {},
	["LibDropDownMenu"] = {},
	["LibDualSpec-1.0"] = {},
	["LibDurability"] = {},
	["LibEffects-1.0"] = {},
	["LibExtendedType"] = {},
	["LibFail-MoP"] = {},
	["LibFiber-1.0"] = {},
	["LibFlyable"] = {},
	["libFoxActionButton"] = {},
	["LibGetFrame-1.0"] = {},
	["LibGossipQuestInfo"] = {},
	["LibGraph-2.0"] = {},
	["LibGroupInSpecT-1.1"] = {},
	["LibGuildBankComm-1.0"] = {},
	["LibGuildBankScan"] = {},
	["LibGuildPositions-1.0"] = {},
	["LibHealComm-4.0"] = {},
	["LibHighvalue"] = {},
	["LibHijackMinimap-1.0"] = {},
	["LibHijackMinimap-1.0-Options"] = {"LibHijackMinimap_1_Options_DB"},
	["LibIconFonts"] = {},
	["LibIconPath"] = {},
	["LibInit"] = {},
	["LibInspect"] = {},
	["LibInstantHealth-1.0"] = {},
	["LibInventory-2.1"] = {},
	["LibItemCache-2.0"] = {},
	["LibItemInfo-1.0"] = {},
	["LibItemLevel-1.0"] = {},
	["LibItems"] = {},
	["LibItemSearch-1.2"] = {},
	["LibItemUpgradeInfo-1.0"] = {},
	["LibJostle-3.0"] = {},
	["LibKarma-1.0"] = {},
	["LibKeyBound-1.0"] = {},
	["LibLatency"] = {},
	["LibLevelGuess-1.0"] = {},
	["LibLocalizedEJBosses-1.0"] = {"LEJBbossList"},
	["LibLogger-1.0"] = {},
	["LibLordFarlander-2.0"] = {},
	["LibMagicUtil-1.0"] = {},
	["LibMapData-1.0"] = {},
	["LibMath"] = {},
	["LibMounts-1.0"] = {},
	["LibMovable-1.0"] = {},
	["LibMVC-1.0"] = {},
	["LibNameplateRegistry-1.0"] = {},
	["LibNotify-1.0"] = {},
	["LibObjectiveProgress-1.0"] = {},
	["LibOO-1.0"] = {},
	["LibParse"] = {},
	["LibPartyItemLevels-1.0"] = {},
	["LibPeriodicTable-3.1"] = {},
	["LibPetBreedInfo-1.0"] = {},
	["LibPetJournal-2.0"] = {},
	["LibPlayerSpells-1.0"] = {},
	["LibPrism-1.0"] = {},
	["LibProcessable"] = {},
	["LibProfessions"] = {},
	["LibPubSub-1.0"] = {},
	["LibQTip-1.0"] = {},
	["LibQuestItem-1.0"] = {},
	["LibQuestXP"] = {},
	["LibQuixote-2.0"] = {},
	["Libra"] = {},
	["LibRaces-1.0"] = {},
	["LibRangeCheck-2.0"] = {},
	["LibRareIds-1.0"] = {},
	["LibRealmInfo"] = {},
	["LibRecipes-1.0"] = {},
	["LibRecipes-2.0"] = {},
	["LibRedDropdown-1.0"] = {},
	["LibReforgingInfo-1.0"] = {},
	["LibResInfo-1.0"] = {},
	["LibRPMedia-1.0"] = {},
	["LibS2kFactionalItems-1.0"] = {},
	["LibS2kMounts-1.0"] = {},
	["LibSHA1-1.0"] = {},
	["LibSharedMedia-3.0"] = {},
	["LibSink-2.0"] = {},
	["LibSmoothStatusBar-1.0"] = {},
	["LibSpecRoster-1.0"] = {},
	["LibSpellRange-1.0"] = {},
	["LibStormEarthAndFire-1.0"] = {},
	["LibStrataFix"] = {},
	["LibStub"] = {},
	["LibTextDump-1.0"] = {},
	["LibTextTable-1.1"] = {},
	["LibTime-1.0"] = {},
	["LibToast-1.0"] = {},
	["LibTourist-3.0"] = {},
	["LibTouristClassic-1.0"] = {},
	["LibTranslit-1.0"] = {},
	["LibTTScan-1.0"] = {},
	["LibUtilities-1.0"] = {},
	["LibWho-2.0"] = {},
	["LibWindow-1.1"] = {},
	["LibXML-1.0"] = {},
	["Lick_Em_All"] = {"LICK_Settings"},
	["Lifebloomer"] = {"LBSaved","LBDim","LBColors","LBV","LBHandles"},
	["LifebloomGlow"] = {},
	["LightSpeed"] = {"LightSpeed"},
	["LightwellBuddy"] = {"CHTLWBDB"},
	["Lil_rep"] = {"Lil_Rep_Config"},
	["Lil_xp"] = {"Lil_XP_Config"},
	["LimitedStockBuyer"] = {"LSBDB"},
	["Linfo"] = {},
	["Linguistics"] = {"LINGUISTICS_FORCE","LINGUISTICS_MASTOG","LINGUISTICS_OPTWOWLFR","LINGUISTICS_CHAFIL","LINGUISTICS_OPTWOWZON","LINGUISTICS_OPTWOWDUN","LINGUISTICS_OPTWOWRAI","LINGUISTICS_OPTWOWBAT","LINGUISTICS_OPTINT","LINGUISTICS_OPTLOL","LINGUISTICS_OPTCAP","LINGUISTICS_OPTMRK","LINGUISTICS_OPTNUM","LINGUISTICS_OPTPUN"},
	["Linkepedia"] = {"LNKPDSV_ActiveItemLink"},
	["LinkExpander_iLevel"] = {},
	["LinkLocalizer"] = {},
	["LinkSpellsClassic"] = {"LSC_MSG"},
	["LinkWrangler"] = {"LinkWranglerSaved"},
	["LinkWranglerAuctioneer"] = {},
	["LinkWranglerCompanion"] = {},
	["Linnet"] = {"LinnetDB","LinnetCharDB"},
	["liquidator-master"] = {"LiquidatorDB"},
	["Liquorice"] = {},
	["Listener"] = {"ListenerAddonSaved","ListenerChatHistory"},
	["LiteAssist"] = {},
	["LiteAssistBroker"] = {},
	["LiteBag"] = {"LiteBag_OptionsDB"},
	["LiteBag_SyLevel"] = {},
	["LiteBuff"] = {"LiteBuffDB","LiteBuffCharDB"},
	["LiteMount"] = {"LiteMountDB"},
	["LittleBattler"] = {"LittleBattlerData","LittleBattlerSettings","LittleBattlerCharSettings"},
	["LittleWigs"] = {},
	["LiveRoster"] = {"LRSETTINGS","LRSNAPSHOT"},
	["Livestock"] = {"LivestockSettings"},
	["Livv"] = {"LivvDB","LivvCharDB"},
	["LJDProfession"] = {"LJDProfessionDB","LJDProfessionDBChr"},
	["LJDSpellInterrupt"] = {"LJDSpellInterruptDB","LJDActionButtonPosDB","LJDSpellInterruptDBChr"},
	["LoadingScreenTips"] = {"LoadingScreenTips"},
	["LoadIT"] = {"LoadITcf"},
	["LocalizedGroups"] = {},
	["LockboxCracker"] = {},
	["LockboxMailer"] = {"LockboxMailerDB"},
	["LockedOut"] = {"LockoutDbLockedOutConfig"},
	["LockItems"] = {"LockedItems"},
	["LockNotes"] = {"nightfallEnabled","enemyBuffsEnabled","targetAndFocusOnly","resistsEnabled","meleeNoisesEnabled","eradicationEnabled","targetChangeUpdate","LNDispelTable","LockNotes_ErrorFilter","LNSpelllockTable","LockNotes_SoulLinkAlert","LockNotes_FearCOTDown","LockNotes_Icons","LockNotes_TremorTotem","LockNotes_DeathAnnounce","LockNotes_DeathAnnounceSounds","LockNotes_DrainSoul"},
	["LockoutChecker"] = {},
	["Logger"] = {"LoggerConfig","LoggerLog"},
	["LoggerHead"] = {"LoggerHeadDB"},
	["LoggerHeadClassic"] = {"LoggerHeadNDB"},
	["LoggerHeadLite"] = {"LoggerHeadNDB"},
	["Logging"] = {"logInstances"},
	["LoginWelcomer"] = {},
	["Loh"] = {},
	["LOIHCal"] = {"LOIHCalDB"},
	["LOIHInterrupt"] = {"LOIHInterruptDB"},
	["LOIHLoot"] = {"LOIHLootDB","LOIHLootCharDB"},
	["LondCDice"] = {"LondCDiceSavedVars"},
	["longboi-death-roll"] = {},
	["LongForgottenHippogryph"] = {"LongForgottenHippogryphDB"},
	["LongMacros"] = {"LongMacrosAccountConfig","LongMacrosCharacterConfig"},
	["LongRoll"] = {},
	["LongStrangeTrip"] = {"LongStrangeTripDB"},
	["LookingForQuest"] = {},
	["LookingForSatchels"] = {"SatchelQueueDB"},
	["LoosePebble"] = {"LoosePebbleDB"},
	["LootAnnouncer"] = {"threshold"},
	["LootAppraiser"] = {"LootAppraiserDB"},
	["LootAppraiserClassic"] = {"LootAppraiserDB"},
	["LootAppraiser_Challenge"] = {"LootAppraiserChallengeDB"},
	["LootAppraiser_GroupLoot"] = {},
	["LootARangMatic"] = {"LootARangMatic"},
	["LootAssist"] = {"LootAssistDefault","LootAssistChoice"},
	["lootbooster"] = {"LootBoosterDB"},
	["LootBuddy"] = {"LootBuddyFiltersDB"},
	["LootByRanks"] = {"LBRGuildRanks","LBRFunctions","LBRDebug","LBRItemSlotsTable","LBRInit","LBRSuicideKingsIndex","LBRSuicideKings","LBRHistory","LBRHistoryIndex","LBRThreshold","LBRSettings"},
	["LootCouncil_Lite"] = {"LootCouncil_minRank","LootCouncil_sawFirstMessage","LootCouncil_privateVoting","LootCouncil_singleVote","LootCouncil_LinkWhisper","LootCouncil_LinkOfficer","LootCouncil_LinkGuild","LootCouncil_LinkRaid","LootCouncil_displaySpec","LootCouncil_selfVoting","LootCouncil_scale","LootCouncil_confirmEnding","LootCouncil_masterLootIntegration","LootCouncil_Enchanters","LootCouncil_Channel","LootCouncil_SplitRaids","LootCouncil_Lite_CacheGUID"},
	["LootCount_DropCount"] = {"LootCount_DropCount_DB","LootCount_DropCount_NoQuest","LootCount_DropCount_Maps","LootCount_DropCount_Character"},
	["LootersAid"] = {"LootersAidDB","LootersAidVars"},
	["LootFast2"] = {"LF2Settings"},
	["LootHelper"] = {"LootHelperDB"},
	["LootHistory"] = {"LoHiItemRarity","LoHiReportTo","LoHiLog","LoHi_LockFrames","LoHi_LockMinimapButton","LoHi_Frame","LoHi_MinimapButtonPosition","LoHi_EnableMinimapButton","LoHi_Tooltip","LoHi","LoHiWhisperBox","LoHi_Version","LoHiLastChange"},
	["LootHistoryFix"] = {},
	["LootLite"] = {},
	["Lootlog"] = {"LootLogDb"},
	["LootM"] = {"LootMStatWeights"},
	["LootMagic"] = {"lmInputBox","lmSettings"},
	["LootMethodAlerter"] = {},
	["LootMyFish"] = {},
	["Lootr"] = {"LootrDB","WQR_VARS"},
	["LootRaffle"] = {"LootRaffle_DB"},
	["LootRollMover"] = {"LRMDB"},
	["LootRules"] = {"LootRulesDB"},
	["LootSink"] = {"LootSinkDB"},
	["LootSpecManager"] = {"LTSM"},
	["LootSpecSwapper"] = {"LSSDB"},
	["LootSpec_Switcher"] = {},
	["LootsturmLight"] = {"LootsturmLightData"},
	["LootTable"] = {},
	["LootToasts"] = {},
	["LootTrain"] = {"LootTrainData","LootTrainPerData"},
	["LootTrain-Manager"] = {},
	["LootVote"] = {"LootVoteDB"},
	["LootWhatIWant"] = {"LootWhatIWant_GlobalBlackList","LootWhatIWant"},
	["LootWonAlert_Hider_Mover"] = {"LOOTWON_SAVED_POSITIONS","LOOTWON_HIDDEN_ALERTS"},
	["LootYell"] = {"stuff"},
	["Lorehelper"] = {"Lorehelper_VarFrame"},
	["LoreLibrary"] = {"LoLibDB"},
	["Loremaster"] = {"LoremasterVars","LoremasterDB"},
	["Lorewalkers"] = {"LorewalkersDB"},
	["LorewalkersHelper"] = {"LWH_Settings"},
	["Lorti UI"] = {},
	["Lorti-UI"] = {"LortiUIDB"},
	["LoseControl"] = {"LoseControlDB"},
	["LossControlTip"] = {},
	["LossOfControl"] = {"LossOfControlDB"},
	["LostControl"] = {"LCcfgStore"},
	["LostKeys"] = {},
	["LostTreasureCheck"] = {},
	["LostTreasures"] = {"LostTreasuresDB"},
	["LowConfigOptimizer"] = {"LCOconfig"},
	["LowestUnitFrame"] = {"LowestUnitFrame"},
	["LowHealthAlarm"] = {"LowHealthAlarm_DB"},
	["LowHP"] = {},
	["LowHPAlert"] = {"LowHPAlert_Options"},
	["LOZ_Recorder"] = {"SoundIndex"},
	["LPT Loot Roll"] = {"llrSettings","rollHistoryDB"},
	["LSC3"] = {},
	["LSM-CCRedAlert"] = {},
	["LSM-GoogleFonts"] = {},
	["LSM-PixelUnicode"] = {},
	["LSM-Silkscreen"] = {},
	["LSM-Visitor"] = {},
	["ls_Prospector"] = {"LS_PROSPECTOR_CFG_GLOBAL","LS_PROSPECTOR_CFG"},
	["ls_Toasts"] = {"LS_TOASTS_GLOBAL_CONFIG"},
	["ls_Toasts-sqw"] = {},
	["ls_UI"] = {"LS_UI_GLOBAL_CONFIG","LS_UI_CHAR_CONFIG"},
	["lua-pb"] = {},
	["LuaBrowser"] = {},
	["LucidNightmareHelper"] = {},
	["LuckyCharms2"] = {"LC2_Settings"},
	["LuckyCharmsClassic"] = {"LC2_Settings"},
	["LucyLossOfControl"] = {"globalSettings","characterSettings"},
	["LucyRaidFrames"] = {"LucyRaidFramesDB"},
	["Ludwig"] = {},
	["Ludwig_Data"] = {},
	["Ludwig_Window"] = {},
	["LUI"] = {"LUIDB","LUIGold","LUI_Themes","LUI_Layouts","LUICONFIG"},
	["LunaEclipse_Rotation"] = {"LERH_AccountSettings","LERH_CharacterSettings"},
	["LunaEclipse_Rotation_Features"] = {"LERH_Features_AddonSettings","LERH_GameTweaks","LERH_Minimap","LERH_SpellFlash","LERH_WeakAuras","LERH_Features_CharacterSettings","LERH_EquipManager","LERH_InterruptManager","LERH_MacroProfiles","LERH_TalentBuilds"},
	["LunaEclipse_SpecManager"] = {"LESM_AddonSettings","LESM_SavedProfiles","LESM_LDBProfile","LESM_MacroProfile"},
	["LunarSphere"] = {"LunarSphereGlobal","LunarSphereSettings","LunarSpeechLibrary"},
	["LunarSphereExporter"] = {"LunarSphereExport"},
	["LustDetector"] = {"LUSTDETECTOR","LUSTDETECTORMode"},
	["LustPopper"] = {},
	["LvLUpInfo"] = {"LvLUIDB","LvLUI_SavedData"},
	["m4x-AutoRole"] = {},
	["m4x-ConfigJunior"] = {"m4xHideButton"},
	["m4x-EventReminder"] = {"m4xEventReminderDB"},
	["m4x-GoldTracker"] = {"m4xGoldTrack"},
	["m4x-GossipSkip"] = {},
	["m4x-GroupTimer"] = {"m4xGroupTimerDB"},
	["m4x-ilvlBroker"] = {"m4xilvlBrokerDB"},
	["m4x-Legendary"] = {},
	["M6"] = {"M6DB"},
	["M7-ClassColors"] = {},
	["MacMenu"] = {"MacMenuDB"},
	["Macroception"] = {},
	["MacroCollection"] = {},
	["macroform"] = {"MacroFormSettings"},
	["MacroKeys"] = {"MacroKeysDB"},
	["MacroMaker"] = {"MMMainHidden","MMCustomString","MMVerbose"},
	["MacroMaker_classic"] = {"MMMainHidden","MMCustomString","MMVerbose"},
	["MacroMilling"] = {},
	["Macronomy"] = {"Macronomy","MacronomyByChar"},
	["MacroTalent"] = {},
	["MacroTalk"] = {},
	["MacroTalkClassic"] = {},
	["macrotip"] = {"MacroTipDB"},
	["MacroToolkit"] = {"MacroToolkitDB"},
	["MacroToolkitIcons"] = {},
	["MacroToolkit_MacroBox"] = {"MacroBoxDB"},
	["MacroTooltip"] = {},
	["MacroTranslator"] = {"MacroTranslatorDB"},
	["Macro_MouseOver"] = {"MouseOverSaved"},
	["MacsPetFix"] = {},
	["Madness of the Void"] = {"madness_whisperStates","madness_Timer"},
	["mage-portal-whisper"] = {"MagePortalWhispersDB"},
	["MageBombTracker"] = {"mbtrackersettingstable"},
	["MageCandy"] = {},
	["MageDamage"] = {},
	["MageFood"] = {},
	["MageGate"] = {"GATEON","SOUNDFX","AUTOSUMM2","ABORTSTY","CHEVCOUNTER","JUSTYOU","MARKERS","WORMEXIT","TRAVELLER","CHEVRONCOUNT","TELERING","RINGTURNING","MGDATABASE"},
	["MageHelper"] = {"MageHelper_KeywordsMageHelper_Whisper"},
	["MageManaBar"] = {"MMBSettings"},
	["MageNuggets"] = {"MageNuggets","MageNuggets_Frames"},
	["MageNuggets_CooldownMonitor"] = {"MageNuggetsCoolDownMon","MageNuggetsCooldownMonitor_Frames"},
	["MageNuggets_StatMonitor"] = {"mageNuggetsStatMonitor"},
	["MageSpellstealHelper"] = {"MSHDB"},
	["MageTaxi_Classic"] = {"MageTaxi_Info","MageTaxi_Settings","MageTaxi_Options"},
	["MagicButton"] = {},
	["MagicComm"] = {},
	["MagicMarker"] = {"MagicMarkerDB","MagicMarkerConfigDB"},
	["MagicRepair"] = {"MRGuildMoney","MRMode","MRSilent","MRSilentRepair","MROff","MROwnonly","MROwn","MRGuild","MRGuildonly"},
	["MagicRunes"] = {"MagicRunesDB"},
	["MagicRunes_IconDisplay"] = {},
	["MagicRunes_RuneBars"] = {},
	["MagicSell"] = {"MagicSellDB"},
	["MagicTargets"] = {"MagicTargetsDB"},
	["MagnetButtons"] = {"MagnetButtons_GlobalButtonData","MagnetButtons_ButtonData","MagnetButtons_Global"},
	["Magneto"] = {"Magneto_DB"},
	["Mail Notice"] = {},
	["MailboxCleaner"] = {"MailboxCleaner_Config"},
	["MailCommander"] = {"dbMAC"},
	["MailExport"] = {},
	["MailMinder"] = {"MailMinderDB"},
	["MailNotifier"] = {"MailNotifier_DisableSound","MailNotifier_Senders","MailNotifier_Count"},
	["MailNotifier_Broker"] = {},
	["mailoutbox"] = {"MailOutboxHistory","mooptions"},
	["mailSanctuary"] = {"lastSender"},
	["MailTips"] = {},
	["MailTo"] = {"MailTo_List","MailTo_Log","MailTo_Sendee","MailTo_Inbox","MailTo_Mail","MailTo_Option","MailTo_ReceivedLog","Mailable_FilterList"},
	["make-tab-targeting-great-again"] = {"make-tab-targeting-great-again"},
	["MakePeopleGreetAgain"] = {"MakePeopleGreetAgainDB"},
	["MalOrbs"] = {"MalOrbs_SV"},
	["MaloWIncantersFlow"] = {"MaloWIncantersFlowSVScale","MaloWIncantersFlowSVLocked","MaloWIncantersFlowSVCombat","MaloWIncantersFlowSVHideTexts","MaloWIncantersFlowSVPositionPoint","MaloWIncantersFlowSVPositionX","MaloWIncantersFlowSVPositionY"},
	["MaloWRuneOfPower"] = {"MaloWRuneOfPowerSVScale","MaloWRuneOfPowerSVLocked","MaloWRuneOfPowerSVCombat","MaloWRuneOfPowerSVPositionPoint","MaloWRuneOfPowerSVPositionX","MaloWRuneOfPowerSVPositionY"},
	["MalygosStacks"] = {"MalygosStacksDB"},
	["Mama"] = {"MamaSaved"},
	["ManaBreak"] = {"ManaBreakDB_Global","ManaBreakDB"},
	["ManaCostPerc"] = {"ManaCostPercDB"},
	["ManaMaster"] = {"ManaMasterPercent"},
	["ManaNotifier"] = {"ManaNotifierDB"},
	["ManaPerc"] = {"ManaPercDB"},
	["ManaPercent"] = {},
	["ManaRiftTracker"] = {},
	["ManaTimerClassic"] = {},
	["ManaTracker"] = {"ManaTrackerDB"},
	["ManaWarning"] = {"ManaWarning_Settings"},
	["ManaWarning-Classic"] = {"ManaWarning_Settings"},
	["MandrillMount"] = {"MandrillMountData"},
	["MannorothAssist"] = {},
	["MapCoords"] = {"MapCoords2"},
	["Maper"] = {"MAPER_SCALE"},
	["MapFader"] = {},
	["MapLevelInfo"] = {"MapLevelInfoSettings"},
	["MapLine"] = {},
	["MapPOIremoval"] = {},
	["Mappy"] = {"gMappy_Settings"},
	["MapRuler"] = {"MapRulerOptions"},
	["Mapster"] = {"MapsterDB"},
	["MarcoPolo"] = {"MarcoPoloCount","MarcoPoloConfig"},
	["MaretsMounts"] = {"MaretsMountsDB"},
	["MarkAssistant"] = {"MarkAssistantDB"},
	["MarketWatcher"] = {"MarketWatcherHistory","MarketWatcherWatched","MarketWatcherConfig"},
	["MarkingBar"] = {"MBGLOBAL","MBDB","MBCtrlDB","MBFlaresDB"},
	["MarkMe"] = {"MMGLOBALS","MMSettings"},
	["MarkOfTheLegionHelper"] = {"MarkLegionHelperOptions"},
	["Masque"] = {"MasqueDB"},
	["MasqueradeGearSolid"] = {},
	["Masque_Abstract"] = {},
	["Masque_Apathy"] = {},
	["Masque_ArcaneStone"] = {},
	["Masque_Azerite"] = {},
	["Masque_Azona"] = {},
	["Masque_Bamboo"] = {},
	["Masque_BrassCogs"] = {},
	["Masque_Cainyx"] = {},
	["Masque_Caith"] = {},
	["Masque_Cards"] = {},
	["Masque_Cirque"] = {},
	["Masque_CleanIcons"] = {},
	["Masque_CleanUI"] = {},
	["Masque_Dark"] = {},
	["Masque_Darkscail"] = {},
	["Masque_Diablo_III"] = {},
	["Masque_Diabolic"] = {},
	["Masque_Dragon"] = {},
	["Masque_Elegance"] = {},
	["Masque_Elegance_Legion"] = {},
	["Masque_Elegance_Legion2"] = {},
	["Masque_ElvUIesque"] = {},
	["Masque_Entropy"] = {},
	["Masque_Epix"] = {},
	["Masque_FlatSquares"] = {},
	["Masque_Gears"] = {},
	["Masque_Gm_Sr"] = {},
	["Masque_Goldpaw"] = {},
	["Masque_Grunge"] = {},
	["Masque_HelloKitty"] = {},
	["Masque_Imoen"] = {},
	["Masque_Jigsaw"] = {},
	["Masque_Kenzo"] = {},
	["Masque_KlixUI"] = {},
	["Masque_KringelUI"] = {},
	["Masque_LiteStep"] = {},
	["Masque_Lybrial"] = {},
	["Masque_Muq"] = {},
	["Masque_Neuron"] = {},
	["Masque_Onyx"] = {},
	["masque_parabole"] = {},
	["Masque_Qhil"] = {},
	["Masque_Raeli"] = {},
	["Masque_Renaitre"] = {},
	["Masque_Serenity"] = {},
	["Masque_Shadow"] = {},
	["Masque_SimpleSquare"] = {},
	["Masque_Sleek"] = {},
	["Masque_Sonata"] = {},
	["Masque_SpikyStone"] = {},
	["Masque_Stylo"] = {},
	["Masque_Tones"] = {},
	["Masque_Vista"] = {},
	["masscod"] = {},
	["MassDisenchanter"] = {"DIS_VARS"},
	["MasterChannel"] = {"MasterChannel"},
	["MasterGypsy"] = {"Gypsy_Options"},
	["MasterLoot"] = {"MasterLootDB"},
	["MasterLoot-NWOP"] = {"MasterlootNWOPVar"},
	["MasterLooterEquipped"] = {"MasterLooterEquippedMySaves"},
	["MasterLootManagerRemix2"] = {"MasterLootManagerSettings","MasterLootLogger_Log","MasterLootLogger_LastExport"},
	["MasterPlan"] = {"MasterPlanPC"},
	["MasterPlanA"] = {"MasterPlanAG"},
	["MasterTradeSkills"] = {"MTS_DATA"},
	["MathQuiz"] = {"scores","settings"},
	["MatLoc"] = {"matLocSavedVars"},
	["MattArena"] = {},
	["MattBars"] = {},
	["MattDF"] = {},
	["MattMisc"] = {},
	["MattsMod"] = {},
	["MattUF"] = {},
	["MaxCam"] = {"MaxCamDB"},
	["MaxDps"] = {"MaxDpsOptions"},
	["MaxDps_DeathKnight"] = {"MaxDpsDeathKnightOptions"},
	["MaxDps_DemonHunter"] = {},
	["MaxDps_Druid"] = {},
	["MaxDps_Hunter"] = {"MaxDpsHunterOptions"},
	["MaxDps_Mage"] = {},
	["MaxDps_Monk"] = {},
	["MaxDps_Paladin"] = {},
	["MaxDps_Priest"] = {},
	["MaxDps_Rogue"] = {"MaxDpsRogueOptions"},
	["MaxDps_Shaman"] = {},
	["MaxDps_Warlock"] = {},
	["MaxDps_Warrior"] = {},
	["MaxZoom"] = {},
	["MBB"] = {"MBB_Exclude","MBB_Options"},
	["McConnell_REEEEE"] = {},
	["McR_Greet"] = {},
	["MDGuildBest"] = {},
	["mdgz"] = {},
	["mdManager"] = {"MT","OT"},
	["MDTGuide"] = {"MDTGuideActive"},
	["MeaderTactics"] = {"meaderTacticsDB","meaderTacticsSetting","meaderTacticsOptions","meaderTacticsVersionDB"},
	["MechanicalSkin"] = {},
	["Mediapack"] = {},
	["MeepMerp"] = {},
	["MeetingStone"] = {"MEETINGSTONE_UI_DB","MEETINGSTONE_CHARACTER_DB"},
	["MeetNGreet"] = {"MeetNGreetDB"},
	["MegaDamage"] = {"MEGA_DAMAGE"},
	["MekkaRoboHelper"] = {},
	["MekkaTarget"] = {"MekkaTargetDB"},
	["MekkatorqueBotHelper"] = {},
	["Mekkatorque_Symbol_Helper"] = {},
	["MelloFrames"] = {"MelloFramesSaveX"},
	["Memantine"] = {"Memantine"},
	["Memoria"] = {"Memoria_Options","Memoria_CharBossKillDB","Memoria_CharLevelTimes"},
	["Memory Seal"] = {},
	["Mendeleev"] = {"MendeleevDB"},
	["MercenaryBuddy"] = {"MercenaryBuddy"},
	["Merchandrix"] = {"MerchandrixConfig","EnabledItems","EnabledParts"},
	["MerchantFilterButtons"] = {"MFB_DB"},
	["MerchantHelper"] = {"MerchConfig"},
	["MessageAlert"] = {},
	["MessageClassifier"] = {"MessageClassifierConfig"},
	["MessageQueue"] = {},
	["MessageToaster"] = {"MessageToasterDB"},
	["MetaAchieve"] = {},
	["MetaHud"] = {"MetaHudOptions"},
	["MetaHudOptions"] = {"MetaHudProfiles"},
	["MethodAltManager"] = {"MethodAltManagerDB"},
	["MethodDungeonTools"] = {"MethodDungeonToolsDB"},
	["MeToo"] = {"MeToo_optionsMeToo_mountListMeToo_companionList"},
	["MezUI"] = {"MezDB"},
	["MGSSounds"] = {},
	["MicroBagHider"] = {},
	["MicroCancel"] = {},
	["MicroDeclineDuel"] = {},
	["MicroHUD"] = {},
	["MikaMounter"] = {"MikaMounterGlobalPrefs","MikaMounterPrefs"},
	["MikScrollingBattleText"] = {"MSBTProfiles_SavedVars","MSBT_SavedMedia","MSBTProfiles_SavedVarsPerChar"},
	["Militant_CallToArms"] = {"Militant_CallToArms"},
	["MillButton"] = {"MillButtonDB","MillButtonSettings","MillButtonMinimap"},
	["Milling"] = {},
	["MiLVL"] = {},
	["MindVisionWarning"] = {},
	["MindWormHelper"] = {"MindWormHelperDB"},
	["MinersCoffeeAndPick"] = {"MinersCoffeeAndPickDB","MinersCoffeeAndPickCharacterDB"},
	["Mingy"] = {"MingyDB"},
	["Miniature"] = {"MiniatureSettings"},
	["MiniCurrency"] = {"MiniCurrency_Settings"},
	["miniHUD"] = {"miniHUDDB"},
	["MiniHudAXP"] = {},
	["MiniHUDCurrency"] = {"MiniHUDCurrencySVPC"},
	["MiniHudWallet"] = {},
	["MiniHudXP"] = {},
	["MiniLoot"] = {"MiniLootDB"},
	["MiniMainBar"] = {"MiniMainBarDB"},
	["MinimalArchaeology"] = {"MinArchDB","MinArchDigsitesGlobalDB","MinArchOptions"},
	["Minimalist"] = {"MinimalistDB"},
	["MinimalistChat"] = {},
	["MinimapButtonFrame"] = {"MBFDB"},
	["MinimapButtonFrame_Rings"] = {},
	["MinimapButtonFrame_sDark"] = {},
	["MinimapButtonFrame_Shapes"] = {},
	["MinimapButtonFrame_SkinPack"] = {},
	["MinimapClock"] = {},
	["MinimapCoordinates"] = {},
	["MinimapLine"] = {},
	["MinimapMagnify"] = {},
	["MinimapMouseWheelEnabler"] = {},
	["MinimapRangeExtender"] = {"MinimapRangeExtenderDB"},
	["MiniMapster"] = {"MiniMapsterDB"},
	["MiniMapStrata"] = {},
	["MinimapTrackingMenu_Classic"] = {"MinimapTrackingMenuDB"},
	["MinimapZoom"] = {"MinimapZoomData"},
	["Minimap_Alert"] = {"MinimapAlert_Data"},
	["MiniMount"] = {"MiniMount_Mounts","MiniMount_Options"},
	["MiniPetQ"] = {"MiniPetQDB"},
	["miniTip"] = {"miniTipDB"},
	["MiniTweaks"] = {},
	["minUI"] = {},
	["Minutiae"] = {"MinutiaeDB"},
	["MinyonCF"] = {},
	["MiraChatNotifier"] = {"MiraChatNotifierSettings"},
	["MiraMod"] = {},
	["MisDirectionHelper2"] = {"MisDirectionHelperDB"},
	["Misdirector"] = {"MisdirectorDB"},
	["MissingRaidBuffs"] = {"MissingRaidBuffsDB"},
	["MissingTradeSkillsList"] = {"MTSL_PLAYERS","MTSLUI_PLAYER"},
	["MissionAlertHider"] = {},
	["MissionComplete"] = {"MC_Variables"},
	["MissionGoldTracker"] = {"mgt_totalGold","mgt_beginDate"},
	["MissionHush"] = {},
	["MissionMinder"] = {"MissionMinderOptions"},
	["MissionMinder-PreLoad"] = {"MissionMinderPreLoadGlobals"},
	["Misspelled"] = {"Misspelled_DB"},
	["miStats"] = {"miStatsToggles","miStatsFontSize","miStatsOneLine","miStatsXPCache","miStatsShadow","miStatsColor"},
	["MistWeaver"] = {"MistWeaverData","MistWeaverIgnoreDebuffs","MistWeaverProfiles"},
	["MistyEmotes"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["MithUI"] = {},
	["MizusRaidTracker"] = {"MRT_Options","MRT_RaidLog","MRT_PlayerDB","MRT_NumOfCurrentRaid","MRT_NumOfLastBoss"},
	["MobHealthClassic"] = {"MobHealthClassicSetting"},
	["MobileEnergy"] = {"MobileEnergy"},
	["MobileVault"] = {"MobileVaultDB30"},
	["MobileVault_Options"] = {},
	["MobileVault_Sharing"] = {},
	["MobInfo2"] = {"MobInfoConfig","MobInfoDB","MobHealthDB","MobHealthPlayerDB","MI2_ItemNameTable","MI2_CharTable","MI2_ZoneTable"},
	["MobInfo2-Classic"] = {"MobInfoConfig","MobInfoDB","MobHealthDB","MobHealthPlayerDB","MI2_ItemNameTable","MI2_CharTable","MI2_ZoneTable"},
	["MobKillCount"] = {"MobKillCountDB"},
	["MobXP"] = {},
	["ModelPique"] = {},
	["ModelViewer"] = {"ModelViewerSettings"},
	["ModernQuestWatch"] = {"ModernQuestWatchDB"},
	["ModernTargetFrame"] = {"ModernTargetFrame_Options"},
	["ModMod"] = {"ModModSaved_Global","ModModSaved_PerCharacter"},
	["moetQOL"] = {"moetQOLDB"},
	["MogAssistant"] = {},
	["MogIt"] = {"MogItDB","MogItWishlist"},
	["MogIt_AllTransmo"] = {},
	["MogIt_Artifact"] = {"MogIt_ArtifactDB"},
	["MogIt_Boutique"] = {},
	["MogIt_Cloth"] = {"MogIt_ClothDB"},
	["MogIt_GreenScreen"] = {},
	["MogIt_Highlighter"] = {},
	["MogIt_Leather"] = {"MogIt_LeatherDB"},
	["MogIt_Mail"] = {"MogIt_MailDB"},
	["MogIt_OneHanded"] = {"MogIt_OneHandedDB"},
	["MogIt_Other"] = {"MogIt_OtherDB"},
	["MogIt_Plate"] = {"MogIt_PlateDB"},
	["MogIt_Ranged"] = {"MogIt_RangedDB"},
	["MogIt_SetTransmog"] = {},
	["MogIt_TwoHanded"] = {"MogIt_TwoHandedDB"},
	["MogIt_Wardrobe"] = {},
	["MogIt_WowHead"] = {},
	["MogPartialSets"] = {"MogPartialSetsAddonConfig"},
	["Molinari"] = {"MolinariBlacklistDB","MolinariDB"},
	["MommysMoney"] = {"MM"},
	["mOnArs_PVPEquipManager"] = {"mOnPVPEMSave"},
	["mOnArs_WardrobeHelper"] = {"mOnWDSave"},
	["MoncaiCEB"] = {"CEBVisible","CEBLocked"},
	["MoncaiHLI"] = {},
	["MoneyDisplay"] = {"MoneyDisplaySettings"},
	["MoneyTrail"] = {"MoneyTrailDB"},
	["MongoMon"] = {"MongoMonDB"},
	["monitorstatus2"] = {"ms2vars"},
	["MonkEC"] = {"MonkECDB"},
	["MonkeyBuddy"] = {"MonkeyBuddyConfig"},
	["MonkeyClock"] = {"MonkeyClockVars"},
	["MonkeyLibrary"] = {},
	["MonkeyQuest"] = {"MonkeyQuestConfig"},
	["MonkeyQuestLog"] = {"mkql_Saved"},
	["MonkeySpeed"] = {"MonkeySpeedVars"},
	["MonkHelper"] = {},
	["MonkStaggerMeter"] = {"spkStaggerConfig"},
	["MonkTimers"] = {"MonkTimers_GlobalSettings","MonkTimers_Profiles"},
	["MonolithDKP"] = {"MonDKP_DB","MonDKP_Loot","MonDKP_DKPTable","MonDKP_DKPHistory","MonDKP_MinBids","MonDKP_Whitelist","MonDKP_Standby"},
	["MonolithDKP_Bidhook"] = {"MonDKP_BidHook_DB"},
	["MonolithDKP_EasyBid"] = {"MonDKP_EasyBid_DKPTable","EasyBidSettings"},
	["Monsters Material Counter"] = {},
	["MooidesMountMod"] = {},
	["MooInspect-1.0"] = {},
	["MoonTime"] = {"MoonTime_DB"},
	["MooseLight"] = {},
	["MooSpec-1.0"] = {},
	["MootalityEmotes"] = {},
	["MooTrack"] = {"g_tblTrack","c_tblTrack","c_tblTrackPos","c_lock"},
	["MooUnit-1.0"] = {},
	["MooZone-1.0"] = {},
	["MoPRares"] = {},
	["MoreBuffs"] = {},
	["MoreItemInfo"] = {"MoreItemInfoVars"},
	["MoreItemStats"] = {},
	["MoreStopwatches"] = {"MoreStopwatchesSave"},
	["MorethurQuickUse"] = {},
	["moroRaidUI"] = {},
	["MotherBother"] = {},
	["MotivateUI"] = {},
	["moUI"] = {"MOUIDB"},
	["MountBattle"] = {},
	["MountCollector"] = {"MountCollectorDB"},
	["MountDropList"] = {"MountDropListDB"},
	["MountedSFX"] = {"MountedSFX_Enable"},
	["MountFarmer"] = {"MountFarmerDB"},
	["MountFarmHelper"] = {"MountFarmHelperDB"},
	["MountInfo"] = {},
	["MountJournalEnhanced"] = {"MJEGlobalSettings","MJETrackingData","MountJournalEnhancedSettings","MJEPersonalSettings"},
	["MountMacro"] = {"MountMacroDB","MountMacroDBPC"},
	["MountManager"] = {"MountManagerDB"},
	["MountMe"] = {"MountMeSettings","MountMeFavorites"},
	["MountMiniMe"] = {"MountMiniMeDB","MountMiniMeVersion"},
	["MountMiniMe_Config"] = {},
	["mountoff"] = {},
	["MountQ"] = {"MountQDB"},
	["MountShowCase"] = {"MountShowcaseDB"},
	["MountsJournal"] = {"MountsJournalDB","MountsJournalChar"},
	["MountSpy"] = {"MountSpyHidden","MountSpyAutomaticMode","MountSpyDebugMode"},
	["MountSteps"] = {"MountStepsDB"},
	["MountUp"] = {"MountUpFramePos","MountUpOptions"},
	["Mounty"] = {"MOUNTY_BACKUP","Mounty"},
	["MouseLook"] = {"MouseLookDB"},
	["MouselookBinding"] = {},
	["MouselookHandler"] = {"MouselookHandlerDB"},
	["MouseMaxSpeed"] = {},
	["MouseOver"] = {"MouseOverVars"},
	["Mouseover Out of Range Pointer"] = {"MOORP_Settings"},
	["MouseoverPortrai"] = {"MouseoverPortraiSettings"},
	["MouseoverRaidIcons"] = {},
	["MouseSensitivity"] = {"MouseSensitivity"},
	["MouseShake"] = {"MouseShake_PlayerConfig"},
	["mousesonar"] = {"mouseSonarOpt"},
	["MouseTooltip"] = {},
	["MouseTrack"] = {"MouseTrackDB"},
	["Mouse_Look_Lock"] = {"MouseLookOn"},
	["Mouse_Tooltip"] = {},
	["MovableActionButtons"] = {"MovableActionButtonsShared","MovableActionButtons"},
	["MovableBags"] = {"MovableBags_Config"},
	["MovableHolyPower"] = {"MovableHolyPower_data"},
	["MovableObjectivesWindow"] = {},
	["MovablePetBar"] = {"MPB_PetBar","MPB_Locked","Axis_Hor","MPB_IsOn"},
	["MoveAnything"] = {"MADB"},
	["MoveAround"] = {},
	["MoveMyButtons"] = {"MoveMyButtonsDB"},
	["MovePadPlus"] = {"MovePadPlus"},
	["MoveTalkingHead"] = {"MoveTalkingHeadDB"},
	["MoveToolTip"] = {"MTTDB"},
	["MoveUnitFrames"] = {},
	["MozzFullWorldMap"] = {"MFWM_PlayerData"},
	["mp3rotzloch"] = {},
	["MPH"] = {},
	["mPlay"] = {"mPlayDB","mPlayDB"},
	["MplusGG"] = {"MplusGG_Runs","MplusGG_Meta","MplusGG_Config"},
	["MplusLedger"] = {"MplusLedgerDB","MplusLedgerIconDB"},
	["MrBigglesworthDeath"] = {},
	["MrBuffManCustom"] = {},
	["MrFish"] = {"dbMRF","localdbMRF"},
	["MrGearSet"] = {"MRGEARSET_GEARSET1","MRGEARSET_GEARSET2","MRGEARSET_GEARSET3","MRGEARSET_GEARSET4","MRGEARSET_DD1","MRGEARSET_DD2","MRGEARSET_DD3","MRGEARSET_DD4"},
	["MrKnowItAll"] = {"MrKnowItAll_Data"},
	["MrNiceGuy"] = {},
	["MrrlsItemInformation"] = {},
	["MrT-BattlePetFrame"] = {},
	["MrTarget"] = {"MRTARGET_OPTIONS","MRTARGET_SETTINGS"},
	["MrtWoo"] = {"MrtWooDB"},
	["MrtWoo_AntiSpam"] = {},
	["MrtWoo_SendOOM"] = {},
	["MrtWoo_StatusBar"] = {},
	["mRunes"] = {"mRunesDB"},
	["MSA-DropDownMenu-1.0"] = {},
	["MSBTOptions"] = {},
	["mtmtm"] = {},
	["MTN_Emote"] = {"MTNEmoteMOD"},
	["MTools"] = {"MCfg"},
	["MuchMoreMacro"] = {"MMMacroDB"},
	["MuchMoreMunch"] = {"MMMunchDB"},
	["MudmenItemColor"] = {"mmConfig","MudMerc2ConfirmToggle"},
	["MuffinFactionizer"] = {"MFAC_Data","MFAC_Suppressed"},
	["MultiFinder"] = {"MultiFinderSavedVariables"},
	["Multimod"] = {"MultimodOptions"},
	["MultiScreenSupport"] = {"multiscreensupportsave"},
	["Multishot"] = {"MultishotConfig","MultishotPlayerScreens"},
	["MultiSpec"] = {"MultiSpecDB"},
	["multispectrinketswapper"] = {"mst"},
	["MultiStrikeAlert"] = {},
	["MultiTalented"] = {"MultiTalented_Settings","MultiTalented_Class_Profiles","SavedTalents"},
	["MultiTool"] = {"MultiToolDB"},
	["Murder_Mystery"] = {},
	["Murder_Mystery_BWL"] = {},
	["Murder_Mystery_ICC"] = {},
	["Murder_Mystery_Naxx"] = {},
	["Murder_Mystery_ToT"] = {},
	["Musician"] = {"Musician_Settings"},
	["MusicianList"] = {"MusicianList_Storage"},
	["MuteAnnoying"] = {"MuteAnnoyingDB"},
	["MuteAnnoyingWoWSounds"] = {},
	["MuteObsidianNightwing"] = {},
	["MutePremadeGroupsAlerts"] = {},
	["MuteSoundFile"] = {"MuteSoundFileDB"},
	["MuteSoundFile_Options"] = {},
	["MutexDelay-1.0"] = {},
	["Mute_BanLu"] = {},
	["Mutilate"] = {"Mutilatedb"},
	["MutinyInvite"] = {"MutinyInviteDB"},
	["Mutt"] = {},
	["MVAnnouncer"] = {"MVAnnouncerDefaults","MVAnnouncerDB"},
	["MyAlliedRaces"] = {"MyAlliedRaces"},
	["MyAuctionTotal"] = {},
	["MyBags"] = {"MyInventoryDB","MyBankDB","MyEquipmentDB"},
	["MyBattlePetNotifier"] = {"MyBattlePetNotifierSettings","tallyWindow","petBattles"},
	["MyBigClock"] = {"MyBigClockOptions"},
	["MyBiggerBuffs"] = {"biggerbuffsSaved"},
	["myBigIgnite"] = {"myBigIgnite_settings"},
	["MyBuddies"] = {},
	["myCalendarBroker"] = {"mCBsettings"},
	["MyChatAlert"] = {"MyChatAlertLDBIconDB","MyChatAlertDB"},
	["MyDamage"] = {"CharacterVar"},
	["myHonor"] = {"myOptions","myStats"},
	["MyJournal"] = {"AJ_GlobalVariables","AJ_CharacterVariables"},
	["MyLilPony"] = {},
	["MyLootList"] = {"MyLootLog","AnotherLootLog","MK_Optionen","MK_MyLootLog","MK_AnotherLootLog","MK_Notizen","MyLootLog_Char","MK_MyLootLog_Char"},
	["MylunesChampions"] = {"MylunesChampionsDB"},
	["MyMagicMarker"] = {"g_tblMobs"},
	["MyMountspecial"] = {"MyMountspecial_SV"},
	["MyPathfinder"] = {"MyPathfinder"},
	["MyPremadeSorter"] = {},
	["MyRareFinder"] = {"MyRareFinderNormalRares","MyRareFinderDailyRares","MyRareFinderOneTimeRares","MyRareFinderKilledOTRares"},
	["myReputation"] = {"myReputation_Config"},
	["MyRolePlay"] = {"mrpNotes","mrpLastViewedChangeLogBuild","mrpSaved"},
	["mySellAll"] = {},
	["MyShare"] = {"MyShareDB"},
	["Myslot"] = {"MyslotExports"},
	["MythicAudit"] = {"_MAudit_PlayerDatabase_","_MAudit_Database_"},
	["MythicHelper"] = {},
	["MythicIDs"] = {},
	["MythicKeystoneHelper"] = {"MythicKeystoneHelperDB"},
	["MythicKeystoneStatus"] = {"MythicKeystoneStatusDB"},
	["MythicKeystoneTracker"] = {"MythicKeystoneTrackerDB"},
	["MythicLocks"] = {},
	["mythicminus"] = {"MythicMinusDB"},
	["MythicPlayerInfo"] = {},
	["MythicPlus GuildBest"] = {},
	["MythicPlusDrop"] = {},
	["MythicPlusLoot"] = {},
	["MythicPlusProgress"] = {"MythicPlusProgressDB"},
	["MythicPlusPullEstimator"] = {"MythicPlusPullEstimatorDB"},
	["MythicPlusRunCalc"] = {"MPRC_ENABLE_35","MPRC_ENABLE_54"},
	["MythicPlusScaling"] = {},
	["MythicPlusTimer"] = {"MythicPlusTimerDB"},
	["MythicSpamBlocker"] = {},
	["MythicTracker"] = {},
	["MyVeryOwnDoomguy"] = {},
	["MyWarspearSound"] = {},
	["MyXP"] = {"MyXPDB"},
	["My_Friend_Mark"] = {},
	["N.U.K.U.L.A.R"] = {},
	["nakaGold"] = {"GoldDB","minimapDB"},
	["Name2Chat"] = {"Name2ChatDB"},
	["NameCopy"] = {"NameCopyTooltipTextBool"},
	["NameplateAuras"] = {"NameplateAurasAceDB"},
	["NameplateCCnTrinket"] = {"NameplateCCnTrinketSettings"},
	["NameplateColors"] = {"NameplateColorsDB"},
	["NameplateCooldowns"] = {"NameplateCooldownsAceDB"},
	["NamePlateEliteDragon"] = {"NamePlateEliteDragonUseText","NamePlateEliteDragonUseTexture"},
	["NamePlateKAI"] = {"NamePlateKAIDB","NamePlateKAIFilter","NamePlateKAIAura"},
	["NamePlateKAI_options"] = {},
	["NameplateNames"] = {},
	["NameplateRange"] = {},
	["NamePlateScript"] = {},
	["NameplatesDontTakeSides"] = {},
	["NamePlatesThreat"] = {"NPTacct"},
	["NameToLink"] = {},
	["Nanika"] = {"NanikaDB"},
	["Narcissus"] = {"NarcissusDB","NarciCreatureOptions","NarcissusDB_PC"},
	["Narcissus_Database"] = {},
	["Nas"] = {"NasCount","NasConfig"},
	["Natch_BGBang"] = {},
	["Natch_ButtonCloner"] = {"BC_Data"},
	["Natch_DFBang"] = {},
	["Natch_TenAndThree"] = {"TenAndThree_Data"},
	["Natch_ToggleAllSound"] = {},
	["Natch_YouLootedAQuestStarterItem"] = {"YI_Data"},
	["NativeSpeech"] = {},
	["Natur"] = {"Natur_AccountOptions","Natur_IgnoredTimers","Natur_PerCharOptions","Natur_MonitoredSpells"},
	["NauticusClassic"] = {"NauticusClassic4DB"},
	["Navigator"] = {"NavigatorDB"},
	["NaxxChatAlarm"] = {"ChatAlarm"},
	["NayMods"] = {"NayModsStore"},
	["NazunaCoords"] = {},
	["ncHoverBind"] = {},
	["ncKillingBlow"] = {},
	["NCMedia"] = {},
	["NDui"] = {"NDuiADB","NDuiDB"},
	["NE"] = {},
	["NeatMinimap"] = {"NeatMinimapSaved"},
	["NeatPlates"] = {"NeatPlatesSettings","NeatPlatesOptions"},
	["NeatPlatesHub"] = {"NeatPlatesHubSettings"},
	["NeatPlatesWidgets"] = {},
	["NeatPlates_Alvara"] = {},
	["NeatPlates_BlizzardPlates"] = {},
	["NeatPlates_ClassicPlates"] = {},
	["NeatPlates_Graphite"] = {},
	["NeatPlates_Grey"] = {},
	["NeatPlates_Neon"] = {},
	["NeatPlates_Quatre"] = {},
	["NeatPlates_Renaitre"] = {},
	["NeatPlates_Roth"] = {},
	["NeatPlates_Simple"] = {},
	["NeatPlates_Slim_Horizontal"] = {},
	["NeatPlates_Slim_Vertical"] = {},
	["Necrosis"] = {"NecrosisConfig"},
	["NedStark"] = {"NedStarkDB"},
	["NeedForMog"] = {"SV_NEED_FOR_TRANSMOG"},
	["NeedPrimalSpirits"] = {"NeedPrimalSpiritsDB"},
	["NeedsFoodBadly"] = {},
	["NeedToKnow"] = {"NeedToKnow_Globals","NeedToKnow_Settings","NeedToKnow_CharSettings"},
	["NeedToKnow_LDB"] = {},
	["NeedyGreedy"] = {"NeedyGreedyDB"},
	["nehFragger"] = {"nehFragger_BasicDB","nehFragger_ReputationDB"},
	["NehjoMachette"] = {"NehjoMachetteDB"},
	["NeonChat"] = {"NeonChatDB"},
	["NephHealth"] = {},
	["NephilistGarrison"] = {},
	["NephilistNameplates"] = {"NephilistNameplatesOptions"},
	["NestEgg"] = {"PercentToHide"},
	["NetherwingEggs"] = {"NetherwingEggsDB"},
	["NetView"] = {"NetViewDB"},
	["Neuron"] = {"NeuronProfilesDB"},
	["NeverExit"] = {"NeverExit_Vars"},
	["NeverForget"] = {"g_checklist"},
	["NeverLocky"] = {},
	["New Loot Pool"] = {},
	["newChatBar"] = {"LCH_Point","LCH_Settings"},
	["Nextlevel"] = {},
	["ngorange"] = {},
	["nibRealUI_BossSkins"] = {"RUIBossSkinsDB"},
	["Nice"] = {"Nice_Settings"},
	["NiceAutoChannel"] = {},
	["NiceBars"] = {},
	["NiceBubbles"] = {},
	["NiceButtonGlow"] = {},
	["NiceColoredNames"] = {},
	["NiceColorize"] = {"NCConfigDB"},
	["NiceIcons"] = {},
	["NiceNameplates"] = {},
	["NicePuppy"] = {},
	["NickAlert"] = {"NickAlert_SettingsNickAlert_NickNamesNickAlert_TriggersNickAlert_AlertFiltersNickAlert_ChatFilterNickAlert_WhisperListNickAlert_PCNickAlert_Toasts","NickAlert_PerChar"},
	["NickTag-1.0"] = {},
	["NicornVendors"] = {"NicornVendorsDB"},
	["Niggles"] = {"NigglesDB","NigglesDBC"},
	["Niggles-PetTeams"] = {"NglPtDB"},
	["Nihongo"] = {"NihongoDB"},
	["NinjaPanel"] = {"NinjaPanelDB"},
	["Nioro"] = {"NIORO_VARS","NIORO_DB"},
	["NithLFGMonitor"] = {"NithLFGDB"},
	["nivBuffs"] = {"nivBuffDB"},
	["NKeystone"] = {},
	["noAnal Chat Filter"] = {},
	["NoAutoAddToBar"] = {},
	["NoBoralusMap"] = {},
	["NoCastingBar"] = {},
	["NoChatFade"] = {},
	["NoCombatText"] = {"NoCombatText_SV"},
	["NoDazarAlorMap"] = {},
	["NodeFlash"] = {"NodeFlashDB"},
	["NoDuel"] = {"NoDuelData"},
	["NoEmoji"] = {},
	["NoEscape"] = {},
	["NoFakeAchiv"] = {},
	["NofearNosleep"] = {},
	["NoFizzleSound"] = {},
	["NoFlashingTabs"] = {},
	["NoGlow"] = {},
	["NoGryphons"] = {},
	["NoGuild"] = {"NoGuildMessages"},
	["NoIngameStore"] = {},
	["Noiseless"] = {"NoiselessDB"},
	["NoItsNot"] = {"NoItsNotSettings"},
	["NomGuildRepair"] = {"NomGuildRepairDB"},
	["NomiCakes"] = {"NomiCakesDatas"},
	["NomiTab"] = {"NomiTab_Data"},
	["NomObjectives"] = {"NomObjectivesToggleTable"},
	["NoMoreGryphons"] = {},
	["NoMoreInvites"] = {},
	["NoMoreOutlaw"] = {},
	["NoNoGoGo"] = {"NoNoGoGoDB"},
	["NOP"] = {"NewOpenablesProfile"},
	["NoPetPlates"] = {},
	["NoPopcorn"] = {},
	["NoPvPLevelUp"] = {},
	["NoRaidLootFrames"] = {},
	["NoRelease"] = {"NoReleaseOptions"},
	["NorthernAle"] = {"NorthernAleOptions"},
	["Not Toxic"] = {"NotToxicDB"},
	["NoTalkingHeads"] = {},
	["Note"] = {"textV"},
	["NoteAnnouncer"] = {"NoteAnnounceConfig"},
	["Notebook"] = {"NotebookDB"},
	["Notepad"] = {"Notepad_Vars","Notepad_CVars"},
	["Notes"] = {"NotesData"},
	["NotForGnomes"] = {"_Settings"},
	["NoThunderTotemMap"] = {},
	["NoTitle"] = {"NoTitleSVPC"},
	["NotMyFault"] = {"saved_opt","saved_sentences_wipe","saved_sentences_insults","saved_sentences_excuses","nb_sen_insults","nb_sen_wipe","nb_sen_excuses","saved_sentences_victim","saved_sentences_name"},
	["noUI"] = {},
	["Nox-MoTL"] = {"NoxMoTL"},
	["nozeps"] = {},
	["NPA2"] = {"NPA_Profile","NPA_Language","NPA_Setting"},
	["NPA2_Options"] = {},
	["npc-silencer"] = {"NPCS_BLOCKED_COUNT"},
	["npcBlocker"] = {"tblNpcSay","npcBlockerStatus"},
	["npcGenerator"] = {"savedNpcTemplates","NPCG_Options"},
	["npcGToTRP3"] = {"NPCG_TO_TRP3_Options"},
	["NpcHider"] = {"_HideNPC"},
	["NPCIgnore"] = {"IgnoreList"},
	["NPCRPGossip"] = {"NPCRPGossipEnable","NPCRPGossipStoryline"},
	["NPCScan"] = {"NPCScanDB"},
	["NPCSeek2"] = {"DetectionList"},
	["NPCsMarkers"] = {"NPCM_SAVED","NPCM_SAVEDPERCHAR"},
	["nPlates"] = {"nPlatesDB"},
	["nRange"] = {"nRange_Data"},
	["nReputation"] = {"nReputationDB"},
	["Nucleus_DKP_Values"] = {},
	["NugCast"] = {"NugCastDB"},
	["NugComboBar"] = {"NugComboBarDB_Global","NugComboBarDB_Character"},
	["NugComboBarGUI"] = {},
	["NugComboBarMakina"] = {},
	["NugComboBarStriped"] = {},
	["NugEnergy"] = {"NugEnergyDB","NugEnergyDB_Character"},
	["NugHealth"] = {"NugHealthDB"},
	["NugInspect"] = {},
	["NugKeyFeedback"] = {"NugKeyFeedbackDB"},
	["NugMiniPet"] = {"NugMiniPetDB"},
	["NugPlateAuras"] = {"NugPlateAurasDB"},
	["NugRunning"] = {"NRunDB_Global","NugRunningConfigCustom","NRunDB_Char"},
	["NugRunningOptions"] = {},
	["nUI"] = {"nUI_SysInfo","nUI_DebugLog","nUI_RuntimeProfile","nUI_XpErrata","nUI_Options","nUI_Data"},
	["nUI_Deadpool"] = {},
	["nUI_DeathKnight"] = {},
	["nUI_Druid"] = {},
	["nUI_HUDLevel"] = {},
	["nUI_HUDPvP"] = {},
	["nUI_Hunter"] = {},
	["nUI_InfoPanel_Professions"] = {"professions_Defaults"},
	["nUI_Mage"] = {},
	["nUI_Paladin"] = {},
	["nUI_Priest"] = {},
	["nUI_SlateGray"] = {},
	["nUI_Spiel"] = {},
	["nUI_Warlock"] = {},
	["Numeration"] = {"NumerationCharDB","NumerationCharOptions"},
	["NumPadBar"] = {"NumPadBar"},
	["numQuests"] = {},
	["Nys_ToDoList"] = {"ToDoListSV"},
	["OakInterruptsBroker"] = {},
	["OakInterruptsDisplay"] = {"OIDDB","CharDisplays"},
	["OB3SMog"] = {"AllMogs"},
	["ObeliskMinimap"] = {"OMM"},
	["ObeliskQuest"] = {"OQ"},
	["Obituary"] = {"ObituaryDB"},
	["Objection"] = {},
	["ObjectiveAnnouncer"] = {"ObjectiveAnnouncerDB"},
	["ObjectivesDisplay"] = {"OD_Settings"},
	["Oblivion"] = {},
	["OBM"] = {"Frame_myzone","Frame_bye","Bossnumber","Bossname","Bosstext","Hallo","AbschiedNacht","AbschiedTag","AbschiedAbends","Glueckwunsch","Wuerfeln","Danke","opt1","opt2","LvLup","SelfLvLup","ManasT","ManasH","ManasD","Manas","Plus","Minus","eManasT","eManasH","eManasD","eManas","ePlus","eMinus","opt1","opt2"},
	["Obviate"] = {"ObviateSettings","ObviateExportDb"},
	["ObviousMailExpiration"] = {},
	["OctoBagSlots"] = {},
	["OctoCoordinates"] = {},
	["OdiousRetroUI"] = {"leftEndOffset","rightEndOffset","mbOffset","actBarOffset","xpBarOffset","mbgScale","mbScale","mbgOffset","barScale","babScale","forceUI","babVOffset"},
	["OfTheStatistician-0.0.3"] = {},
	["Ogri'Lazy"] = {"Relic_ShowTooltip","Relic_UnbindCombat","Relic_KeyBindings","Relic_EnableHotkeys"},
	["Oilvl"] = {"Oilvl_Settings"},
	["Okienko"] = {},
	["Okienko_Framuga"] = {},
	["OldGodWhispers"] = {"OldGodWhispersDatabase"},
	["OldGunSounds"] = {"_OldGunSounds"},
	["OldInstanceFinder"] = {"OIFDB"},
	["OldMacDonald"] = {},
	["OldNameplatesBehaviour"] = {},
	["OldTarget"] = {},
	["OmegaMap"] = {"OmegaMapConfig","OmegaMapConfigProfile","OmegaMapPosition"},
	["Omen"] = {"Omen3DB"},
	["OmniBar"] = {"OmniBarDB"},
	["OmniCC"] = {"OmniCCDB","OmniCC4Config"},
	["OmniCC_Config"] = {},
	["OmniCD"] = {"OmniCDDB"},
	["OmniPotent"] = {"OMNIPOTENT_OPTIONS"},
	["OneBag3"] = {"OneBag3DB"},
	["OneBank3"] = {"OneBank3DB"},
	["OneChoice"] = {},
	["OneClickEnchant"] = {},
	["OneClickEnchantScroll"] = {},
	["OneCore"] = {},
	["OneMoreGuild_RaidFix"] = {"OMGFinalRaidList"},
	["OneOfUs"] = {"OOU_DATA","OOU_DATA_BACKUP"},
	["OneRuneBar"] = {"ORB_Config","TRB_Config"},
	["OneShotProspect"] = {"OSPdb"},
	["ONEUP"] = {},
	["OnTargets"] = {"OTDB"},
	["OnyBagMate"] = {"OnyBagMateStore"},
	["OnyxEggs"] = {},
	["OnyxiaCloakChecker"] = {},
	["OOCDo"] = {},
	["Oof"] = {},
	["OOF_Kill"] = {"OofKill_Settings","OofKill_Previous_Version"},
	["Ooker"] = {"Ooker_charData"},
	["OOMTimer"] = {"alertText","alertTime","frameScale","frameLocked","oocOpac","cOpac","manauser"},
	["OpaqueChat"] = {},
	["OpenAll"] = {},
	["OpenAllBags"] = {},
	["OpenDefaultBag"] = {},
	["OpenLegionChests"] = {"OpenInvasionChestsData"},
	["OpenRaid"] = {"OR_db"},
	["OpenSansFonts"] = {},
	["OPie"] = {"OneRing_Config"},
	["OPieMasque"] = {},
	["oRA3"] = {"oRA3DB"},
	["orbSellAndRepair"] = {"orbSellAndRepair_settings"},
	["OrderHallCommander"] = {"dbOHC","dbOHCperChar"},
	["OrderHallFollowerGearOptimizer"] = {"OHFGODB"},
	["OrderHallResourceTooltip"] = {},
	["OregorgerHelper"] = {},
	["OregorgerTracker"] = {"OregorgerTrackerDB"},
	["OriginalGuildPanel"] = {},
	["OrlanHeal"] = {"OrlanHealGlobalConfig","OrlanHealConfig"},
	["OrlanStrike"] = {"OrlanStrikeConfig"},
	["OSBCP_Easy_Healer_Classic"] = {"SAVED_SETTINGS_MISC","SAVED_SETTINGS_SPELLS","SAVED_SETTINGS_BOX_VISIBILITY"},
	["Otis"] = {"OtisDB"},
	["oUF"] = {},
	["oUF_Adirelle"] = {"oUF_Adirelle_DB","oUF_Adirelle_Layout","oUF_Adirelle_Theme"},
	["oUF_Adirelle_Arena"] = {},
	["oUF_Adirelle_Boss"] = {},
	["oUF_Adirelle_Config"] = {},
	["oUF_Adirelle_Raid"] = {},
	["oUF_Adirelle_Single"] = {},
	["oUF_ArtifactPower"] = {},
	["oUF_BfA"] = {},
	["oUF_BrethrenRF"] = {"oUF_BrethrenRFDB","BRFomf2"},
	["oUF_BrethrenRF_Config"] = {},
	["oUF_Dispellable"] = {},
	["oUF_Experience"] = {},
	["oUF_Farva"] = {},
	["oUF_Freebgrid"] = {"oUF_FreebgridDB","Freebgridomf2","Freebgridomf2Char"},
	["oUF_Freebgrid_Config"] = {},
	["oUF_Gvv"] = {"CPS"},
	["oUF_Hank"] = {},
	["oUF_Jardo"] = {},
	["oUF_Lanerra"] = {},
	["oUF_LegionGrid"] = {"oUF_LegionGridDB","LegionGridomf2","LegionGridomf2Char"},
	["oUF_LegionGrid_Config"] = {},
	["oUF_Lybrial"] = {"oUF_LybrialDB"},
	["oUF_Nihlathak"] = {},
	["oUF_P3lim"] = {"oUF_P3limDB"},
	["oUF_Phanx"] = {"oUFPhanxConfig","oUFPhanxUnitConfig","oUFPhanxAuraConfig","oUFPhanxConfigPC"},
	["oUF_Phanx_Config"] = {},
	["oUF_Ree"] = {},
	["oUF_Reputation"] = {},
	["oUF_Ruri"] = {},
	["oUF_sb"] = {},
	["Ouro_GuildAlts"] = {"OuroGuildAltsDB"},
	["Ouro_Loot"] = {"OuroLootSV","OuroLootSV_saved","OuroLootOptsDB","OuroLootSV_hist","OuroLootSV_log"},
	["Outfitter"] = {"gOutfitter_GlobalSettings","gOutfitter_Settings"},
	["OutOfMana"] = {"WarningsEnabledOOM"},
	["Ovale"] = {"OvaleDB"},
	["Ovale_TankScripts"] = {},
	["Overachiever"] = {"Overachiever_Settings","Overachiever_CharVars_Default","Overachiever_CharVars","Overachiever_CharVars_Consumed"},
	["Overachiever_Cache"] = {"Overachiever_Cache_CritAssets"},
	["Overachiever_Tabs"] = {"Overachiever_Tabs_Settings","Overachiever_Tabs_CharVars"},
	["Overachiever_Trade"] = {},
	["Overdramatic"] = {},
	["OverEmote"] = {"OverEmoteSettings"},
	["Overkill's Automaton"] = {},
	["OverSimplified"] = {"OverSimpDB"},
	["OverTimePredictor"] = {},
	["Overwatch-Health-Sounds - Copy"] = {"OHSDB"},
	["OverwatchSounds"] = {},
	["OwD"] = {},
	["OwenWilson"] = {},
	["OwoSpeak"] = {"OwoSpeakDB"},
	["OzCooldowns"] = {"OzCooldownsDB"},
	["PackItIn"] = {},
	["PajGuildHelper"] = {},
	["PajMinimapArrow"] = {"Size"},
	["PakuHud"] = {"PakuHudDb"},
	["Paku_Totems"] = {"Paku_Totems_DB"},
	["PallyPower"] = {"PallyPowerDB"},
	["PANIC"] = {},
	["PanicTracker"] = {"PTracker_Saves"},
	["PanoShot"] = {},
	["PantheonDKP"] = {"pdkp_guildDB","pdkp_raidHistory","pdkp_characterDB","pdkp_dkpHistory","pdkp_itemHistory","pdkp_editHistory","pdkp_minimap"},
	["Pants"] = {"PantsAddonDB"},
	["PaparazziGnome"] = {"PaparazziGnomeDB"},
	["Paragon"] = {"ParagonDB"},
	["ParagonAnnouncer"] = {"ParagonSettings","QuestTableLegion","QuestTableBFA"},
	["ParagonBars"] = {},
	["ParagonRepTracker"] = {"ParagonRepTrackerData"},
	["ParagonReputation"] = {"ParagonReputationDB"},
	["ParagonRewards"] = {"ParagonRewardsDB"},
	["ParagonTracker"] = {"RepDB"},
	["ParaxisSiren"] = {},
	["Pare"] = {"canal","mostraskill","nomealvo"},
	["Parrot"] = {"ParrotDB"},
	["PartyAbilityBars"] = {"PABDB"},
	["PartyAbilityBarsReloaded"] = {"PABR_Profiles","PABR_ActiveProfile"},
	["PartyAbilityBarsReloaded_Config"] = {},
	["PartyDebuffs"] = {"ADConfig"},
	["PartyFramesImproved"] = {"globalSettings","characterSettings"},
	["PartyFramesImprovedBuffs"] = {"PartyBuffsImprovedPartyBuffs.Options","PartyBuffsImprovedTargetFrame.options"},
	["PartyFramesImprovedTargets"] = {},
	["PartyHide"] = {},
	["PartyLock"] = {"PartyLockVar"},
	["PartyMarkerClassic"] = {"PartyMarkerClassicDB"},
	["PartyMarkers"] = {"PartyMarkersStorage"},
	["PartyTalk"] = {"PartyTalk_SaveData","PartyTalk_MinimapbuttonState"},
	["PartyTom"] = {"PartyTomDB"},
	["PassLoot"] = {"PassLootDB"},
	["PassLoot_ItemScales"] = {},
	["Paste"] = {"PasteDB"},
	["Pathfinder"] = {"Pathfinder"},
	["Pawn"] = {"PawnCommon","PawnOptions","PawnMrRobotScaleProviderOptions","PawnClassicScaleProviderOptions"},
	["PayMyTax"] = {"PAY_MY_TAX_SV"},
	["pbt_teaminfo"] = {},
	["PDA-Classic"] = {},
	["PDFStats"] = {"PDFStatsDB"},
	["PeaceAndQuiet"] = {"PeaceAndQuietDB"},
	["Peddler"] = {"ModifierKey","SellLimit","Silent","SilenceSaleSummary","IconPlacement","ItemsToSell","UnmarkedItems","AutoSellGreyItems","AutoSellWhiteItems","AutoSellGreenItems","AutoSellBlueItems","AutoSellPurpleItems","AutoSellUnwantedItems","SoulboundOnly"},
	["Peenoise"] = {},
	["Peggle"] = {"PeggleData","PeggleProfile"},
	["PeonQuestComplete"] = {"PQCSndVars","none"},
	["Pepe"] = {},
	["PepeBuddy"] = {"PepeBuddyPreferences"},
	["PercentHealth"] = {"isAct"},
	["PerCharacterFavoriteMounts"] = {"FavoriteMounts"},
	["PerfectRaid_ResInfo"] = {},
	["PerfectScreenshot"] = {"PerfectScreenshotDB"},
	["Performer"] = {"P1_PerformerData","PerformerOptionsData","PerformerSoundsDisabled","GuildChatAnnouncement","PerformerPosition"},
	["Perl_ArcaneBar"] = {"Perl_ArcaneBar_Config"},
	["Perl_CombatDisplay"] = {"Perl_CombatDisplay_Config"},
	["Perl_Config"] = {"Perl_Config_Config","Perl_Config_Profiles","Perl_Config_Global_ArcaneBar_Config","Perl_Config_Global_CombatDisplay_Config","Perl_Config_Global_Config_Config","Perl_Config_Global_Focus_Config","Perl_Config_Global_Party_Config","Perl_Config_Global_Party_Pet_Config","Perl_Config_Global_Party_Target_Config","Perl_Config_Global_Player_Config","Perl_Config_Global_Player_Buff_Config","Perl_Config_Global_Player_Pet_Config","Perl_Config_Global_Target_Config","Perl_Config_Global_Target_Target_Config"},
	["Perl_Config_Options"] = {},
	["Perl_Focus"] = {"Perl_Focus_Config"},
	["Perl_Party"] = {"Perl_Party_Config"},
	["Perl_Party_Pet"] = {"Perl_Party_Pet_Config"},
	["Perl_Party_Target"] = {"Perl_Party_Target_Config"},
	["Perl_Player"] = {"Perl_Player_Config"},
	["Perl_Player_Buff"] = {"Perl_Player_Buff_Settings"},
	["Perl_Player_Pet"] = {"Perl_Player_Pet_Config"},
	["Perl_Target"] = {"Perl_Target_Config"},
	["Perl_Target_Target"] = {"Perl_Target_Target_Config"},
	["permaflag"] = {},
	["PersistentMarks"] = {"PersistentMarksDB"},
	["PersistentWorldMap"] = {},
	["Perskan"] = {"PerskanDB"},
	["PersoLootRoll"] = {"PersoLootRollDB","PersoLootRollIconDB","PersoLootRollML","PersoLootRollDebug"},
	["PersonalBlacklist"] = {"PBL_"},
	["PersonalLootHelper"] = {"PLH_META","PLH_PREFS","PLH_STATS"},
	["PersonalLootTrader"] = {"PLTraderDB","PLTVariablesChr"},
	["Personalpls"] = {},
	["PersonalResourceClickThrough"] = {},
	["PersonalResourceDisplayNumbers"] = {"PersonalResourceDisplayNumbersDB"},
	["PersonalRollLoot"] = {"PersonalRollLootDB"},
	["PersonalShopper"] = {"itemList"},
	["Pesky"] = {"PeskyDB"},
	["PeskyText"] = {},
	["Pet!"] = {},
	["PetAttack"] = {"PetAttackDB"},
	["PetBattleAnnouncer"] = {},
	["PetBattleAutoForfeit"] = {"PetBattleAutoForfeitDB"},
	["PetBattleFFVictory"] = {"failState","levelState"},
	["petbattlehud"] = {"PBHUD_Profile"},
	["PetBattleInfo"] = {},
	["PetBattleJunkie"] = {"pbjSettings"},
	["PetBattleLiteFrame"] = {"PetBattleLiteFrameSaved"},
	["PetBattleLogKeeper"] = {"PetBattleLogKeeperLogs","PetBattleLogKeeperSettings"},
	["PetBattleMaster"] = {"PetBattleMasterDb"},
	["PetBattleMaster_AutoLoadTeams"] = {"PetBattleMaster_AutoLoadTeams"},
	["PetBattleMusic"] = {},
	["PetBattlePokemonMusic"] = {"PBPM"},
	["PetBattleTabNoMore"] = {},
	["PetBattleTeams"] = {"PetBattleTeamsDB","PetBattleTeamsSettings"},
	["PetBreedIDs"] = {},
	["PetBuddy"] = {"PetBuddyDB"},
	["PetCare"] = {"dbPetCare","localdbPetCare"},
	["PetControl"] = {},
	["PetDungeonCompleted"] = {},
	["PetEmote"] = {"PetEmote_Settings","PetEmote_Family","PetEmote_Gender"},
	["PetersInterfaceAddon"] = {},
	["PetFarmChallengeHelper"] = {},
	["PetFarmer"] = {"PetFarmerDB"},
	["PetFarmHelper"] = {"PetFarmHelperDB"},
	["PetJournalEnhanced"] = {"PetJournalEnhancedDB"},
	["PetJournalSafariButton"] = {},
	["PetJournal_QuickFilter"] = {},
	["PetLeash"] = {"PetLeash3DB"},
	["PetMarket"] = {},
	["PetMaster"] = {"PetMasterKeybindAlert","PetMasterLastPet"},
	["PetOverlay"] = {},
	["PetParty"] = {"PetPartyDB","PetPartyCharacterDB"},
	["Petrace"] = {},
	["PetRoundCounter"] = {"PetRoundCounterDB"},
	["PetsAndMounts"] = {"petsAndMountsDB","petsAndMountsPetsDB","petsAndMountsMountsDB"},
	["PetsAndMountsConfig"] = {},
	["PetsAndMountsLoader"] = {},
	["PetScan"] = {"PetScan"},
	["PetSelector"] = {"PetSelectorVars","PetSelectorDB"},
	["Petship"] = {"PetshipDB","PetshipPets"},
	["PetShopping"] = {"PetShoppingDB"},
	["PetShoppingList"] = {"PetShoppingList"},
	["PetSpecialAttackButton"] = {},
	["PetStableSpecCache"] = {"FamilyToSpecMap"},
	["PetStance"] = {},
	["PetsToBuy"] = {},
	["PetTheory"] = {"PetTheorySettings"},
	["PetTimeToLive"] = {"PetTimeToLiveDB"},
	["PetTimeToLive_Options"] = {},
	["PetTracker"] = {"PetTracker_Sets","PetTracker_State"},
	["PetTracker_Battle"] = {},
	["PetTracker_Broker"] = {},
	["PetTracker_Carbonite"] = {},
	["PetTracker_Config"] = {},
	["PetTracker_Journal"] = {},
	["Petturnsound"] = {},
	["Petwheel"] = {},
	["PetXP"] = {},
	["PetXPToLevel"] = {},
	["PGFinder"] = {"PGF_profiles","PGF_roles"},
	["PGFinder.Broker"] = {},
	["PhantomPlates"] = {"PhantomPlates_Options"},
	["PhanxBind"] = {"PhanxBindMacros","PhanxBindSpells"},
	["PhanxBuffs"] = {"PhanxBuffsDB","PhanxBuffsIgnoreDB"},
	["PhanxChat"] = {"PhanxChatDB"},
	["PhanxFont"] = {"PhanxFontDB"},
	["PhanxTooltip"] = {},
	["PhaseAlert"] = {},
	["Phaser"] = {},
	["PHIL"] = {},
	["phisFactionSwitcher"] = {},
	["phisHideUI"] = {"phisHideUISavedVars"},
	["PhoenixStyle"] = {"pslocationnames","psbossnames","pssisavedbossinfo","pssisavedfailaftercombat","pssisavedfailsplayern","psfontsset","psaddoninstalledsins","psfchatadd","PS_Settings","psminibutenabl","psoldvern","psraidchats3","psraidoptionsnumers","pssidamageinf_title2","pssidamageinf_indexboss","pssidamageinf_additioninfo","pssidamageinf_damageinfo","pssidamageinf_switchinfo","pssidamageinf_classcolor","pssicombatin_indexboss","pssicombatin_title2","pssicombatin_damageinfo","psrscafterfightrep","pssaaddon_12","ps_saoptions","psbosssmodchosesort","psbossmodelshow","psdeathrepsavemain","psautoinvsave","psfnopromrep","psicccombatsavedreport","pssavedinfomorebutton","pssavedinfocheckexport","pssichose5","pssichatrepdef","pssaveexpradiobutset","pspetstableok","pstrackbadsummons","psmergepets","psversionsaved2","psbossmodnoalphavar","psdonaspanvar","psshowaddframe34","psshowaddframe33","psnotshowfirstopen","psdonareq1","psdonareq2","psdonareq3","psNoReportFlex","thisaddononoff","thisaddonwork","secrefmark","pssetmarknew","psversionday","psautoinvraiddiffsave","pstimerafterrelog","psannouncerun4"},
	["PhoenixStyleMod_CataMiniRaids"] = {"psraidoptionsont1","psraidoptionschatt1","psicctekver"},
	["PhoenixStyleMod_DragonSoul"] = {"psraidoptionsont3","psraidoptionschatt3","psicctekver_3","psgiveuslogs"},
	["PhoenixStyleMod_Firelands"] = {"psraidoptionsont2","psraidoptionschatt2","psicctekver_2","psgiveuslogs"},
	["PhoenixStyleMod_Legion"] = {"psraidoptionsonLegion1","psraidoptionschatLegion1"},
	["PhoenixStyleMod_Panda_tier1"] = {"psraidoptionsonp1","psraidoptionschatp1","psicctekver_4"},
	["PhoenixStyleMod_Panda_tier2"] = {"psraidoptionsonp2","psraidoptionschatp2"},
	["PhoenixStyleMod_Panda_tier3"] = {"psraidoptionsonp3","psraidoptionschatp3"},
	["PhoenixStyleMod_WoD_tier1"] = {"psraidoptionsond1","psraidoptionschatd1"},
	["PhoenixStyle_Loader_Cata"] = {},
	["PhotoRobot"] = {"PhotoRobotDB"},
	["Pickpock"] = {"Coins","CoinsTypes"},
	["PickPocketer"] = {"PickPocketerVariables"},
	["PickPocketTimer"] = {"PickPocketTimer_Options"},
	["picoDPS"] = {},
	["picoFriends"] = {},
	["PieceOfJustice"] = {"PoJ_Vars","PoJ_CVars"},
	["PiedPiper"] = {"PP"},
	["PileSeller"] = {"psTutorialDone","psIgnoredZones","psItems","psItemsSaved","psItemsSavedFound","psItemsAlert","psSettings"},
	["Pin"] = {"PinSaves"},
	["PingIdentifier"] = {"PingIdentifierDB"},
	["PingSnitch"] = {},
	["Pini_GoldStats"] = {},
	["PitBull4"] = {"PitBull4DB"},
	["PitBull4Facade"] = {},
	["PitBull4_Arrow"] = {},
	["PitBull4_AuraBar"] = {},
	["PitBull4_BurningEmbersBar"] = {},
	["Pitbull4_CastingUnfader"] = {},
	["PitBull4_ColorfulPowerBar"] = {},
	["PitBull4_EliteIcon"] = {},
	["PitBull4_HolyPowerBar"] = {},
	["PitBull4_InlinePower"] = {},
	["PitBull4_Shields"] = {},
	["PitBull4_SoulShardBar"] = {},
	["PitBull4_StaggerBar"] = {},
	["PitBull4_VengeanceBar"] = {},
	["PityMe"] = {"PityMeDB","chance_counts"},
	["PixelFont"] = {},
	["PixelPerfectAlign"] = {"pixelPerfectAlignSaved"},
	["PizzaPerSecond"] = {"PPSSillinessEnabled","PPSUnit"},
	["PJSort"] = {"PJSort_Method"},
	["PKTracker"] = {"PKTrackerVars","history","info","settings"},
	["Plaffs_-_!keys"] = {},
	["PlantainDKP"] = {"BananaDKPDB"},
	["PlateBuffs"] = {"PB_DB"},
	["PlateColor"] = {"PlateColorDB"},
	["Plater"] = {"PlaterDB","PlaterDBChr"},
	["PlayedTimeMinimapClock"] = {},
	["Player Frame Glow Hide"] = {},
	["Player Frame Removal"] = {"PFRDB"},
	["PlayerAndTargetHide"] = {},
	["PlayerBars"] = {"PLBARS"},
	["PlayerCP"] = {},
	["PlayerFrameCoordinates"] = {},
	["PlayerFrameSmartHide"] = {"PfshOptions"},
	["PlayerManaPercent"] = {"PlayerManaPercentConfig"},
	["playermissions"] = {"playermissions"},
	["PlayerPride"] = {"PercentageQuote"},
	["PlayerRep"] = {"PrepDB","PREP_SavedData"},
	["PlayerStats-master"] = {"pst_global_data","pst_character_data"},
	["PlayerXPBar"] = {"PlayerXPBar_Config"},
	["PlayerZone"] = {"PlayerZoneDB"},
	["Playtime"] = {"PlaytimeDB"},
	["Plexus"] = {"PlexusDB"},
	["PLG"] = {},
	["PLoop"] = {},
	["PlusNothing"] = {},
	["PlusOneRollTracker"] = {"PORTDB"},
	["PMWishList"] = {"PMWishListData"},
	["pNameplates"] = {"config"},
	["POC"] = {},
	["PocketGnome"] = {},
	["PocketPortals"] = {"PocketPortalsAddonDB","PPFavoritesDB"},
	["Pocket_Raid_Leader"] = {"garothi_worldbreaker_strats","felhounds_strats","high_command_strats","portal_keeper_strats","eonar_strats","imonar_strats","kingaroth_strats","varimathras_strats","coven_strats","aggramar_strats","argus_strats"},
	["PoisonCharges"] = {"PC_State","PC_MH","PC_OH","PC_MinimapPos"},
	["Poisoner"] = {"PoisonerDB","POISONER_CONFIG"},
	["Poisoner_Masque"] = {},
	["PoisonTracker"] = {"PoisonTracker"},
	["PokeBandage"] = {},
	["Pokedex"] = {"PokedexDB"},
	["PokemonLvl"] = {},
	["PokemonTrainer"] = {"PokemonTrainerDB","PTDevDB"},
	["PolishSounds"] = {},
	["politefrog"] = {"PoliteFrogDB"},
	["Poll"] = {"PollConfig"},
	["PolMonitor"] = {"PolMonitorDB"},
	["PoMTracker"] = {"pomtracker_settings"},
	["Poncho-2.0"] = {},
	["Pong"] = {},
	["PoopCheck"] = {},
	["pootpoot"] = {"pootpootDB"},
	["Portable"] = {"PortableDB"},
	["PortalMage"] = {"portalMageFrameX","portalMageFrameY","portalMageSpells"},
	["PortalMaster"] = {"PortalMasterKeybindAlert"},
	["PortalMetrics"] = {"PortalMetrics_Data"},
	["Portfolio"] = {},
	["PortGear"] = {},
	["PortraitBadgeTint"] = {},
	["PortraitCombatTextOff"] = {},
	["PortraitDamage"] = {},
	["PortraitDamageText"] = {},
	["PortraitHealth"] = {"PH_on"},
	["Postal"] = {"Postal3DB"},
	["POSTER"] = {"POSTER_Settings"},
	["PostmasterGeneral"] = {},
	["PostMoney"] = {},
	["PostureCheck"] = {"PostureTimer"},
	["PotButton"] = {"PotButton"},
	["PounceCam"] = {"PounceCamDB"},
	["PowerAuras"] = {"PowaGlobalSet","PowaGlobalListe","PowaGlobalMisc","PowaSet","PowaMisc","PowaTimer","PowaPlayerListe","PowaState"},
	["PowerAurasButtons"] = {"PowerAurasButtons_AurasDB","PowerAurasButtons_SettingsDB","PowerAurasButtons_CharacterAurasDB"},
	["PowerAurasOptions"] = {},
	["PowerDing"] = {},
	["Powered"] = {"PerSettings"},
	["PoweredSkills"] = {"PoweredSkills_soundAlert","PoweredSkills_showRemainingTime"},
	["PowerInterface"] = {"PUIDB"},
	["PowerRaid"] = {"PowerRaid3DB"},
	["PowerSource"] = {},
	["PowerTrackerBar"] = {"PowerTrackerBarSettings"},
	["PPRF"] = {},
	["PQC Alchemy"] = {},
	["PQC Blacksmith"] = {},
	["PQC Enchanting"] = {},
	["PQC Engineer"] = {},
	["PQC Herbalism"] = {},
	["PQC Inscription"] = {},
	["PQC Jewelcrafting"] = {},
	["PQC Leatherworking"] = {},
	["PQC Mining"] = {},
	["PQC Skinning"] = {},
	["Prat-3.0"] = {"Prat3DB","Prat3CharDB","Prat3HighCPUPerCharDB"},
	["Prat-3.0_Libraries"] = {},
	["PratBlocker"] = {},
	["PreciseWorldQuestTimers"] = {},
	["PredatorySwiftnessFix"] = {},
	["premade-filter"] = {"PremadeFilter_Data"},
	["PremadeAge"] = {},
	["PremadeApplicantsFilter"] = {"PremadeApplicantsFilterState"},
	["PremadeAutoAccept"] = {},
	["PremadeGroupsFilter"] = {"PremadeGroupsFilterState"},
	["PremadeRegions"] = {},
	["PremadeSort"] = {},
	["PremoPower"] = {"PremoPowerDB","PremoPowerLDBIconDB"},
	["PrePotCheck"] = {},
	["PreserveMyCompanion"] = {},
	["PrettyReps"] = {"PrettyRepsDB"},
	["Pride"] = {},
	["Priestess_of_the_Moon"] = {},
	["PriestFriend"] = {"PriestFriendVars"},
	["PrimalComboPoints"] = {"PrimalComboPointsDB"},
	["Primal_QuestFrame"] = {"CUI_qf"},
	["Prio3"] = {"Prio3DB"},
	["PriorityList"] = {"pl_options","PLWish_List"},
	["PrioRunes"] = {"PrioRunesDB"},
	["prioTarget"] = {"prioTargetDB","prioTargetDBPC"},
	["PrivacyProtect"] = {},
	["ProcAlert"] = {},
	["ProcRateInformer"] = {"ProcRateInformerHistory"},
	["Proculas"] = {"ProculasDB","ProculasDBPC"},
	["Proczors"] = {"ProczorsDB"},
	["ProfessionItemTooltip"] = {},
	["ProfessionMailer"] = {"CharacterNeeds"},
	["ProfessionMaterialTracker"] = {"GlobalPMTRegistry","PMTRegistry"},
	["ProfessionsComplete"] = {"PROFESSIONSCOMPLETE_SAVEDVARIABLES","PROFESSIONSCOMPLETE_SAVEDVARIABLESPERCHARACTER"},
	["ProfessionsVault"] = {"ProfessionsVaultDB"},
	["ProfessionTab"] = {},
	["ProfessionTrack"] = {"ProfessionTrackDB"},
	["Profession_Assistance"] = {"PA_SavedSettings"},
	["Profession_RP"] = {"Profession_RPSettings"},
	["Professor"] = {"ProfessorDB"},
	["ProfilesActionBars"] = {"ProfilesActionBarsG","ProfilesActionBars"},
	["ProfilesKeyboardbinds"] = {"ProfilesKeyboardbindsG","ProfilesKeyboardbinds"},
	["ProfilesMacros"] = {"ProfilesMacrosG","ProfilesMacros"},
	["ProfilesRecount"] = {"ProfilesRecountG","ProfilesRecount"},
	["Profit"] = {"ProfitDB"},
	["Progress"] = {},
	["ProjectAzilroka"] = {"ProjectAzilrokaDB","stAddonManagerProfilesDB","stAddonManagerServerDB"},
	["ProLevels"] = {"PL_Settings"},
	["PromisesCounter"] = {"settingsPromises"},
	["ProspectBarLives"] = {"dnde","ProspectBarLivesOptions","ProspectBarLivesLoots"},
	["ProspectMe"] = {"ProspectMe","PM_ResultsTable"},
	["ProspectORE"] = {"pORE_ITEMS"},
	["protwarbar"] = {"ProtwarbarDB"},
	["PrydazSaves"] = {"PrydazSaves_Options"},
	["pTrackerHider"] = {},
	["Puffin"] = {"PuffinDB"},
	["Puffin_Options"] = {},
	["Puggers"] = {},
	["Puggle"] = {"Puggle_minimapPos","Puggle_showMinimapButton","Puggle_showMessageOnNewRequest","Puggle_playSoundOnNewRequest","Puggle_showLevelColorCoding","Puggle_showOnlyRelevant","Puggle_idleTimeout","Puggle_sortLatestFirst","Puggle_dungeonTags","Puggle_dungeonNames","Puggle_searchTags","Puggle_blacklistTags","Puggle_allowSendWho","Puggle_disableInInstance","Puggle_pastGroups","Puggle_pastPlayers","Puggle_encoded","Puggle_dungeonShow","Puggle_trackGroups"},
	["PUG_Hero"] = {"PUGHeroDB"},
	["PullScream"] = {"PullTimerTime"},
	["Pulso"] = {},
	["PuppyHelmHider"] = {},
	["Purge"] = {"PurgeOn","PurgeTo","InterruptOn","DispelOn","PurgeSelf"},
	["pusikas-spellflash-dk"] = {},
	["pusikas-spellflash-druid"] = {},
	["pusikas-spellflash-hunter"] = {},
	["pusikas-spellflash-lib"] = {},
	["pusikas-spellflash-monk"] = {},
	["pusikas-spellflash-paladin"] = {},
	["pusikas-spellflash-shaman"] = {},
	["pusikas-spellflash-warlock"] = {},
	["pusikas-spellflash-warrior"] = {},
	["PvPAudit"] = {"PvPAuditPlayerCache","PvPAuditArenaHistory"},
	["PvPermanent"] = {},
	["PvpFlagTimer"] = {},
	["PvPGrid"] = {"PvPGridDB"},
	["PvPLink"] = {},
	["PVPLUL"] = {},
	["PvPMountProgress"] = {},
	["PvPRoles"] = {"PVPRole_SV"},
	["PVPScan"] = {"PVPScanDB"},
	["PvpScoreBoard"] = {},
	["PVPSound"] = {"PS_EnableAddon","PS_AddonLanguage","PS_Mode","PS_Emote","PS_EmoteMode","PS_DeathMessage","PS_KillSound","PS_MultiKillSound","PS_PaybackSound","PS_BattlegroundSound","PS_SoundEffect","PS_KillSoundEngine","PS_BattlegroundSoundEngine","PS_DataShare","PS_KillSct","PS_MultiKillSct","PS_PaybackSct","PS_SctEngine","PSSctFrame","PS_HideServerName","PS_Channel","PS_PetKill","PS_KillSoundPackName","PS_KillSoundPackLanguage","PS_SoundPackName","PS_SoundPackLanguage"},
	["PvPTemplates"] = {},
	["PVPTimer"] = {"PTDB"},
	["PVPTooltips"] = {},
	["PVPUI"] = {},
	["pvp_mate_link_menu"] = {},
	["pyritestacks"] = {"PyriteStacksDB"},
	["QBar"] = {"QBar_Config"},
	["QDKP2_Config"] = {"QDKP2_Config_DB"},
	["QDKP2_GUI"] = {"QDKP2_dkpPerHour","QDKP2_dkpIM","QDKP2_dkpAwardRaid","QDKP2_dkpMenuAward"},
	["QDKP_V2"] = {"QDKP2_Data","QDKP2_Debug_List","QDKP2backup"},
	["QE-DungeonTips"] = {"QEConfig"},
	["QLink"] = {},
	["QLM"] = {},
	["QOLB"] = {},
	["QOLBloodTrader"] = {"PlayerBuyAmount"},
	["Qpop"] = {},
	["qrcode-wow"] = {},
	["QSAlert"] = {},
	["QsBombTracker"] = {},
	["Quack"] = {},
	["Quafe"] = {"Quafe_DB","Quafe_DBP"},
	["Quafe_MEKA"] = {},
	["Quafe_Overwatch"] = {},
	["QuakeAssist"] = {"QuakeAssistDB"},
	["QualityTime"] = {"LHG_QualityTime_Settings"},
	["quantify"] = {"qDb","qDbOptions"},
	["Quartz"] = {"Quartz3DB"},
	["Quartz_Power"] = {},
	["Quartz_Procs"] = {},
	["Quartz_School"] = {},
	["QueryQuest"] = {},
	["Queso"] = {"QSV"},
	["QuestAgent"] = {"QuestAgentDB"},
	["QuestAnnounce"] = {"QuestAnnounceDB"},
	["QuestBuster"] = {"QuestBusterOptions"},
	["QuestChimes"] = {"QC_SETTINGS"},
	["QuestClicks"] = {"QuestClicksProfile"},
	["QuestCom"] = {},
	["QuestComplete"] = {"cbtn_id","cbtn_idP","cbtn_idR","bl_setup"},
	["QuestCompletist"] = {"qcSettingsqcWorkingDBqcWorkingLog","qcCompletedQuests"},
	["QuestConsumableCount"] = {},
	["QuestCrier"] = {"isEnabledthrottle"},
	["Quester"] = {"QuesterDB"},
	["QuestFrameFixer"] = {},
	["QuestGuru"] = {"QuestGuruSettings","QuestGuruCollapsedHeaders"},
	["QuestGuruSounds"] = {"QGSVars","none"},
	["Questic"] = {"Questic_DB"},
	["QuestIconDesaturation"] = {},
	["QuestInfo"] = {"QuestInfo"},
	["Questionable"] = {"QBL_cfg"},
	["QuestItemBar"] = {"QuestItemBarDB"},
	["QuestKing"] = {"QuestKingDB","QuestKingDBPerChar"},
	["QuestKingSounds"] = {},
	["QuestLevelPatch"] = {},
	["QuestLink"] = {"QuestLinkEnabled","LocaleEnabled"},
	["QuestLogExperience"] = {"QuestLogExperienceDB"},
	["QuestLookup"] = {"QuestLookupDB"},
	["QuestMapWithDetails"] = {"SavedVariable_QuestMapWithDetails"},
	["QuestMaster"] = {"QuestMasterDb"},
	["QuestMover"] = {},
	["QuestNoise"] = {"QuestNoiseDB"},
	["QuestNumber"] = {},
	["Questomatic"] = {"QOMDB"},
	["QuestPlates"] = {"QuestPlateSettings"},
	["QuestPointer"] = {"QuestPointerDB","QuestPointerDBPC"},
	["QuestProgressSound"] = {"QuestProgressSoundDB"},
	["QuestProgressTooltips"] = {},
	["QuestQuery"] = {},
	["QuestReward"] = {"QuestReward_Options"},
	["QuestsChanged"] = {"QuestsChangedDB","QuestsChangedDBPC"},
	["QuestSounds"] = {"QSndVars"},
	["QuestSpam"] = {"QuestSpamLog","QuestSpamPref"},
	["QuestStash"] = {"quest_stash","saved_quest_list"},
	["QuestText"] = {"glob_sqtCUI_qt"},
	["QuestTogether"] = {"QuestTogether"},
	["QuestTrackerFix"] = {},
	["QuestTrackerMover"] = {},
	["QuestTweet"] = {"QuestTweetLog","QuestTweetPref"},
	["QuestUnTracker"] = {"QuestUnTrackerDB"},
	["QuestWatchSort"] = {"QuestWatchSortDB"},
	["QuestXP"] = {"QXPdb"},
	["Quest_Collector"] = {"QC_PS","QC_SAVED"},
	["Quest_Compass"] = {"Quest_CompassDB","Quest_CompassAltDB"},
	["QueuePoped"] = {},
	["QueueSound"] = {"qsArenaToggleState"},
	["QueueTimer"] = {"QueueTimerDB"},
	["Quichons"] = {"BFA_MASTERLOOT_MAX_ILVL","BFA_MASTERLOOT_SLOT_ILVL"},
	["QuickBars"] = {"QuickBars_Options"},
	["QuickChat"] = {"QC_Point","QC_Settings"},
	["QuickEPGP"] = {},
	["QuickGroup"] = {"lKeystone","bTank","bHeal","bDPS","iMode","achid","sNote","bAutoConfirm"},
	["QuickHeal"] = {"QHProfile2"},
	["QuickInvite"] = {"QInvFilters"},
	["QuickJoinNotifications"] = {"QJN_Options"},
	["quickjointoastbutton"] = {},
	["QuickLayer"] = {"QuickLayer"},
	["QuickLeave"] = {},
	["QuickLink"] = {"QuickLinkPages"},
	["QuickLook"] = {},
	["QuickLooter"] = {},
	["QuickMark"] = {"QuickMarkDB"},
	["QuickMaths"] = {},
	["QuickQuest"] = {"QuickQuestDB","QuickQuestBlacklistDB"},
	["QuickQuestAbandon"] = {},
	["QuickQuestItem"] = {"QQI_DB"},
	["QuickQueue"] = {},
	["QuickRoutes"] = {"QuickRoutesDB"},
	["QuickSpec"] = {},
	["QuickTalents"] = {"QT_Settings"},
	["QuickTargets"] = {},
	["QuickWarnings"] = {"QuickWarnings_CheckingBuffs","QuickWarnings_CheckingBuffs_Ignore","QuickWarnings_CheckingBuffs_Researching","QuickWarnings_CheckingBuffs_AlternateIcon"},
	["QuiDicit"] = {"QuiDicitCore"},
	["QuietFishingTournament"] = {},
	["Quietly"] = {},
	["QuietMacros"] = {},
	["QuietStableMaster"] = {},
	["QuiHolyPower"] = {},
	["QuikTells"] = {"QuikTellsShowButtons","QuikTellsSavedVariableTable"},
	["QuitConfirmed"] = {},
	["QuizHelper"] = {},
	["QuoteMediaBdsK"] = {},
	["QuoteMediaClassicSounds"] = {},
	["QuoteMediaDDdB"] = {},
	["QuoteMediaGermanSounds"] = {},
	["Quotes"] = {},
	["R12"] = {"R12"},
	["rActionBar_Gm"] = {},
	["Radar"] = {"Radar"},
	["RageBar"] = {"RageBardb"},
	["RageComic"] = {"RageComicOptions"},
	["RagePoints"] = {},
	["Ragequit"] = {"RQDB"},
	["RagHP"] = {},
	["RaidAchieveFilter"] = {"RAchF_DB"},
	["RaidAchievement"] = {"pseashowfailreas","pseashownewvervar","wherereportraidach","wherereportpartyach","raquantrepeatach","raquantrepeatachtm","raoldvern2","raaddoninstalledsins","raminibutshowt","RA_Settings","rasoundtoplay","raenablebg","psdonaspanvar","radonateq1","thisaddonworkea","raannouncerun4"},
	["RaidAchievement_CataHeroics"] = {"chraspisokon"},
	["RaidAchievement_CataRaids"] = {"crraspisokon"},
	["RaidAchievement_Icecrown"] = {"icraspisokon"},
	["RaidAchievement_LegionHeroics"] = {"legionhraspisokon"},
	["RaidAchievement_LegionRaids"] = {"legionrraspisokon"},
	["RaidAchievement_Naxxramas"] = {"nxraspisokon"},
	["RaidAchievement_OldModules"] = {},
	["RaidAchievement_PandaHeroics"] = {"phraspisokon"},
	["RaidAchievement_PandaRaids"] = {"prraspisokon"},
	["RaidAchievement_PandaScenarios"] = {"pzraspisokon"},
	["RaidAchievement_Ulduar"] = {"preaspisokon"},
	["RaidAchievement_WoDHeroics"] = {"wodhraspisokon"},
	["RaidAchievement_WoDRaids"] = {"wodrraspisokon"},
	["RaidAchievement_WotlkHeroics"] = {"whraspisokon"},
	["RaidAnnouncement"] = {"InRaidVar","InPartyVar","InRaidWarningVar","LastStandVar","ShieldWallVar","LastStandCountDownVar","ShieldWallCountDownVar","TauntFailedSettings"},
	["RaidAssist"] = {"IskarAssistDB","RADataBase"},
	["RaidAttendanceTracker"] = {"RAT_SavedData"},
	["Raidbot"] = {"g_savedMessages","g_notepad","g_raidbotConfig"},
	["RaidBrowserMassInvite"] = {},
	["RaidBubbles"] = {},
	["RaidBuffDispenser"] = {"RBD_DB"},
	["RaidBuffsChecker"] = {"RaidBuffsChecker"},
	["RaidBuffStatus"] = {"RaidBuffStatusDB","RaidBuffStatusDefaultProfile"},
	["RaidBuffTracker"] = {"RaidBuffTrackerConfig","RaidBuffTrackerPlayerConfig"},
	["RaidCDs"] = {"RaidCDsOptions"},
	["RaidCDSounds"] = {},
	["RaidCheck"] = {"RaidCheckDB"},
	["RaidChecklist"] = {"RaidChecklistDB","RaidChecklistDB2","RaidChecklistPetCache"},
	["RaidCounsel"] = {"RaidCounsel_Data"},
	["RaidCurrencyReminder"] = {"RaidCurrencyReminderDB"},
	["RaidDivide"] = {},
	["RaiderIO"] = {"RaiderIO_Config","RaiderIO_LastCharacter","RaiderIO_MissingCharacters"},
	["RaiderIO_DB_EU_A"] = {},
	["RaiderIO_DB_EU_A_R"] = {},
	["RaiderIO_DB_EU_H"] = {},
	["RaiderIO_DB_EU_H_R"] = {},
	["RaiderIO_DB_KR_A"] = {},
	["RaiderIO_DB_KR_A_R"] = {},
	["RaiderIO_DB_KR_H"] = {},
	["RaiderIO_DB_KR_H_R"] = {},
	["RaiderIO_DB_TW_A"] = {},
	["RaiderIO_DB_TW_A_R"] = {},
	["RaiderIO_DB_TW_H"] = {},
	["RaiderIO_DB_TW_H_R"] = {},
	["RaiderIO_DB_US_A"] = {},
	["RaiderIO_DB_US_A_R"] = {},
	["RaiderIO_DB_US_H"] = {},
	["RaiderIO_DB_US_H_R"] = {},
	["RaidExporter"] = {},
	["RaidFadeMore"] = {"RaidFadeMoreDB"},
	["RaidFinderIsWorse"] = {},
	["RaidFlareBinding"] = {},
	["RaidFrameAbsorbText"] = {},
	["RaidFrameBeGone"] = {},
	["RaidFrameIndicators"] = {"IndicatorsDB"},
	["RaidFrameNameHider"] = {},
	["RaidframeProfileSwitcher"] = {"RPSVars"},
	["RaidFrameReSizer"] = {},
	["RaidFramesFader"] = {},
	["RaidHelper"] = {},
	["RaidHide"] = {},
	["RaidIconBar"] = {"RaidIconBarData"},
	["RaidInfoBugFix"] = {},
	["RaidInterfaceAntidote"] = {},
	["RaidInvite"] = {"RaidInviteDB"},
	["RaidInviteHelper"] = {"groupTable1groupTable2groupTable3groupTable4groupTable5"},
	["RaidLanguage"] = {},
	["RaidLedger"] = {"RaidLedgerDatabase"},
	["RaidLogger"] = {"Store","RaidLoggerStore"},
	["RaidLootRoller"] = {"RaidLootRollerDB"},
	["RaidMobMarkerHUD"] = {},
	["RaidMonitor"] = {"RaidMonitorDB","RaidMonitorDBPerChar"},
	["RaidMover"] = {"RaidMoverDB"},
	["RaidR"] = {"raidrFlasks","raidrPotions","raidrFood","raidrMisc","raidrTimes","raidrOptions","raidrSetup","raidrRemind"},
	["RaidRoll"] = {"RaidRoll_DB","RaidRoll_DBPC","RR_Accept_All_Rolls","RR_Track_Unannounced_Rolls","RR_Roll_Tracking_Enabled","RR_AllowExtraRolls","RR_Show_Ranks","RR_RankPriority","RR_ExtraWidth","RR_ShowGroupNumber","RR_RollFrameHeight"},
	["RaidRollHelper"] = {"RaidRollHelperDB","RaidRollHelperDebug"},
	["RaidRolls"] = {"RaidRollsShown"},
	["RaidRoll_LootTracker"] = {},
	["RaidSequence"] = {"RS_Profile","RS_MiscSetting"},
	["RaidSlackCheck"] = {"rscignorezone18","rsctableannounce","rscchatrep","rscraidlrep","rsccolornick","rscwhomustbufflist","rscbuffschat","rscbuffcheckb2","rscbuffwhichtrack2","rscbufftimers","rscflaskcheckb","rscflaskchat","rscpotionscombatsaves","rscminflaskgood","rsconlyfrombosssave","rscraidrostertable","rscpotioninfotable","rscchoosepotion","rscbossnamestable","rscpotionnotincombat","rschealstoneused","rschealstoneused2","rscflaskcheckfoodadd","rscflaskcheckfoodadd2"},
	["RaidSummon"] = {"RaidSummonOptionsDB"},
	["RaidTargetHelper"] = {},
	["RaidTargetIcon"] = {"RaidTargetIconDB"},
	["RaidTargets"] = {"RaidTargetVars"},
	["RaidTracker"] = {"KARaidTrackerDB","RaidTrackerAceDB"},
	["RaidTrapAudioLibrary"] = {},
	["RaidWatch"] = {"RaidWatch2DB","RaidWatch2StatsDB"},
	["RaidWatch_BaradinHold"] = {},
	["RaidWatch_BoT"] = {},
	["RaidWatch_BWD"] = {},
	["RaidWatch_Coliseum"] = {},
	["RaidWatch_Core"] = {},
	["RaidWatch_Firelands"] = {},
	["RaidWatch_Icecrown"] = {},
	["RaidWatch_MC"] = {},
	["RaidWatch_Options"] = {},
	["RaidWatch_PartyCataclysm"] = {},
	["RaidWatch_PartyWOTLK"] = {},
	["RaidWatch_Plugins"] = {},
	["RaidWatch_RubySanctum"] = {},
	["RaidWatch_TotFW"] = {},
	["RaidWatch_Ulduar"] = {},
	["RaidWatch_VoA"] = {},
	["RaidWipeFault"] = {},
	["RainingBlood"] = {},
	["Rakija"] = {"RakijaDB","RakijaDBChar","RakijaAddon_CMStore"},
	["RalpbQuest"] = {"RalpbQuestDB"},
	["Rancher"] = {"warnItems"},
	["Random Dungeon Generator"] = {},
	["Random Pet Battle"] = {},
	["RandomCompanion"] = {"RandomCompanion_settings"},
	["RandomGenerator"] = {"randomSaved"},
	["RandomHearth"] = {"RandomHearth"},
	["RandomHearthstone"] = {"RandomHearthstone_DB"},
	["RandomHearthToy"] = {},
	["RandomMOTD"] = {},
	["RandomPet30"] = {"buttonon","fav01","fav02","fav03","glabalQuietStatus"},
	["RandomQuoter"] = {"RandomQuoterDB"},
	["RandomQuoter_AngryOrc"] = {"RandomQuoter_AngryOrcDB"},
	["randomquoter_outofcontextdndquot"] = {"RandomQuoter_OutOfContextDnDQuotes"},
	["RandomSay"] = {},
	["RangeColors"] = {"RangeColors_SavedVars"},
	["RangeCooldown"] = {"RCOptions"},
	["RangeDisplay"] = {"RangeDisplayDB3"},
	["RangeDisplay_Options"] = {},
	["Rank14LosSA-Classic"] = {"RSA_Preferences"},
	["rAPF"] = {},
	["Rap_Sheet"] = {},
	["RAQ"] = {"RAQ_OPTION"},
	["rareannounce"] = {"RareAnnounceConfig"},
	["RareAnnouncer"] = {"RAREAN"},
	["RareAware"] = {},
	["RareCoordinator"] = {"RCDB"},
	["Rarefied"] = {},
	["RareLove"] = {"RareLoveDB"},
	["RaresAnnouncer"] = {"RaresAnnouncerDB"},
	["RareScanner"] = {"RareScannerDB"},
	["RareShare"] = {"RareShareDB"},
	["RareShareMechagon"] = {"RareShareDB_Mechagon"},
	["RareShareNazjatar"] = {"RareShareDB_Nazjatar"},
	["RareShareVisionsOfNZoth"] = {"RareShareDB_VisionsOfNZoth"},
	["RareShare_Uldum"] = {},
	["RareShare_Vale of Eternal Blossoms"] = {},
	["RareSpawnOverlay"] = {"RareSpawnOverlayOptions"},
	["RareTrackerCore"] = {"RareTrackerDB"},
	["RareTrackerMechagon"] = {"RareTrackerMechagonDB","RTMDB"},
	["RareTrackerNazjatar"] = {},
	["RareTrackerUldum"] = {"RareTrackerUldumDB","RTUDB"},
	["RareTrackerVale"] = {"RareTrackerValeDB","RTVDB"},
	["Rarity"] = {"RarityDB"},
	["Rarity_Options"] = {},
	["RatBG"] = {"RatDB","RatPrivateDB"},
	["RatedSkirmish"] = {},
	["RatingBuster"] = {"RatingBusterDB"},
	["Raven"] = {"RavenDB"},
	["RavenLoot"] = {"RavenLoot_svc"},
	["RavenLoot_Attendance"] = {"RavenLootAttendance_svc"},
	["Raven_Filter_Leila"] = {},
	["Raven_Options"] = {},
	["ravMounts"] = {"RAV_version","RAV_includeVendorMounts","RAV_includePassengerMounts","RAV_includeWaterwalkingMounts","RAV_includeSwimmingMounts","RAV_includeFlexMounts","RAV_flyingMounts","RAV_groundMounts","RAV_vendorMounts","RAV_passengerFlyingMounts","RAV_passengerGroundMounts","RAV_waterwalkingMounts","RAV_swimmingMounts","RAV_vashjirMounts","RAV_aqMounts","RAV_chauffeurMounts"},
	["RavvzMountRaids"] = {},
	["RawrClassic"] = {},
	["RazerAnansi"] = {},
	["RazerGamingKeypad"] = {"RazerGamingKeypadDB"},
	["RazerGamingKeypadConfig"] = {},
	["RazerGamingKeypad_Loader"] = {"RazerGamingKeypad_ActiveDevice"},
	["RazerNaga"] = {"RazerNagaDB","RazerNagaVersion"},
	["RazerNaga_Cast"] = {},
	["RazerNaga_Config"] = {},
	["RazerNaga_Encounter"] = {},
	["RazerNaga_XP"] = {},
	["RBG_Frames"] = {},
	["RBH"] = {"RBH_Intel","RBH_HitList","RBH_Notes","RBH_Issued","RBH_Claimed","RBH_Config","RBH_Network","RBH_PRIVATE_CHANNEL","RBH_PRIVATE_PASSWORD"},
	["RBS"] = {"RBSDB"},
	["rButtonTemplate_Gm"] = {},
	["rButtonTemplate_Gm_sr"] = {},
	["rButtonTemplate_Gm_sz"] = {},
	["RCLootCouncil"] = {"RCLootCouncilDB","RCLootCouncilLootDB"},
	["RCLootCouncil_EPGP"] = {},
	["RCLootCouncil_ExtraUtilities"] = {},
	["RCLootCouncil_GroupGear"] = {"RCGroupGearDB"},
	["RDSW"] = {"Leaf_RDSW"},
	["ReadableRussianNames"] = {"RRNConfig"},
	["Ready"] = {},
	["ReadyCheckAnnouncer"] = {},
	["ReadySetDing"] = {"ReadySetDingDB"},
	["ReagentBanker"] = {"ReagentBanker_Settings"},
	["ReagentCount"] = {},
	["ReagentRecipeClassic"] = {"ReagentRecipeClassicDB"},
	["ReagentRecipeTooltip"] = {"ReagentRecipeTooltipDB"},
	["ReagentRestocker"] = {"RRGlobal","RRAceDB","ReagentRestockerDB"},
	["ReagentTooltips"] = {"ReagentTooltipsDB"},
	["RealIDToons"] = {"RID_TOONS_FORMAT","RID_TOONS_LOCALFORMAT","RID_TOONS_HIDE_IC"},
	["Realistic Nights"] = {"RealN_maxB","RealN_minB","RealN_maxG","RealN_minG","RealN_disableIndoors","RealN_disableInInstance"},
	["RealLifeValue"] = {"RLVCurrency"},
	["RealmHider"] = {},
	["RealmHopAssist"] = {"RealmHopAssistDB"},
	["Realm_Gold"] = {"Realm_Gold_Table","RG_Scale","Docked","XDockOffset","YDockOffset","XOffset","YOffset"},
	["reaper"] = {"ReaperProfile"},
	["REB"] = {"REBData"},
	["RebornUI"] = {"RebornUI_DB"},
	["Rebuff"] = {"RebuffDB"},
	["Recap"] = {"recap","recap_set","recap_ignore","recap_back","recap_user","recap_combatants","recap_compressed"},
	["Received"] = {},
	["Recent"] = {"RecentPrefsDB"},
	["RecipeLinkFix"] = {},
	["RecipeRadarClassic"] = {"RecipeRadar_SkillDBRecipeRadar_NameCacheRecipeRadarDB","RecipeRadar_OptionsRecipeRadar_Filters"},
	["RecipesVendor"] = {},
	["Recount"] = {"RecountDB","RecountPerCharDB"},
	["recountcc"] = {},
	["RecountEnsidiaFails"] = {},
	["RecountSkinByNth"] = {"rs_saved"},
	["Recount_SpeedUpUpdates"] = {"Recount_SpeedUpUpdatesDB"},
	["RecreateGroup"] = {},
	["RECrystallize"] = {"RECrystallizeSettings","RECrystallizeDatabase"},
	["RecycleBin"] = {"maxRarity","isLocked","isHidden"},
	["RedArrow"] = {"redArrowDB"},
	["Redeemer"] = {"RedeemernoTargetQuotes","RedeemerhunterQuotes","RedeemercombatQuotes","RedeemerwarlockQuotes","RedeemerselfQuotes","RedeemerengineerQuotes","RedeemerghoulQuotes","RedeemernoghoulQuotes","RedeemermassQuotes","RedeemerotherQuotes","RedeemerCurrentVersion","RedeemerDisplaySay","RedeemerDisplayParty","RedeemerDisplayRaid","RedeemerDisplayWhisper"},
	["Redprints"] = {"RedprintsColour"},
	["ReEnhancedStackSplit"] = {"ReEnhancedStackSplit_Options"},
	["Refiller"] = {"RefillerDB"},
	["REFlex"] = {"REFlexSettings","REFlexDatabase","REFlexHonorDatabase"},
	["Reflux"] = {"RefluxDB"},
	["Reforgerade"] = {"ReforgeradeSavedVariables"},
	["Regen"] = {"RegenDB","RegenFSRDB","RegenPerCharDB"},
	["RegionFilter"] = {},
	["ReGroup"] = {"ReGroupDB"},
	["RegularTab"] = {},
	["REHack"] = {"REHackDB","REHackSV"},
	["REKeys"] = {"REKeysDB","REKeysSettings"},
	["ReleaseMe"] = {"RM_SavedVars"},
	["RelicHelper"] = {"RelicHelper_SV"},
	["RelicInspector"] = {"RelicInspectorDB","RelicInspectorCharDB"},
	["RelicQuestReward"] = {},
	["Reload"] = {},
	["ReloadEnable"] = {},
	["ReloadNow"] = {},
	["Reloadui"] = {},
	["ReloadUiButton"] = {},
	["RemainingXP"] = {},
	["Rematch"] = {"RematchSaved","RematchSettings"},
	["RematchCelestialTournament"] = {},
	["RematchElvUISkin"] = {},
	["RematchNextTarget"] = {"myHorderoute","myAllianceroute","rmtchnxttrgt_saved"},
	["Rematch_TSMPetValues"] = {"Rematch_TSMPetValuesDB"},
	["Remember Declined"] = {},
	["RememberYouAddon"] = {"RememberYouDatabase","RememberYouSettings"},
	["Remgank"] = {"RemGankDB","REMGANK_ENABLE","REMGANK_GUILD_ANNOUNCE"},
	["Reminders"] = {"RemindersDBG","RemindersDBPC"},
	["Remindr"] = {"RemindrDB"},
	["ReMinimap"] = {"rmm_cfg"},
	["Remote"] = {"Remote_SV","Remote_SETTINGS"},
	["RemoveAnnoyances"] = {},
	["RemoveBarCaps"] = {},
	["RemoveBarTexture"] = {},
	["RemoveCombatTextFromPlayerPortrait"] = {},
	["RemoveDefaultRaidFrames"] = {},
	["RemoveExtraActionButtonTexture"] = {},
	["RemoveGriffons"] = {},
	["removePortraitTextWoW"] = {},
	["RemUplift"] = {"RemUpliftDB"},
	["RemUplift_Options"] = {},
	["renewing-mist-tracker"] = {"ReMTrackerDB"},
	["Reno"] = {},
	["RENovate"] = {"RENovateSettings"},
	["rep2"] = {},
	["RepairBroker"] = {"RepairBrokerDB"},
	["RepBarColors"] = {},
	["RepByZone"] = {"RepByZoneDB"},
	["RepCalc"] = {"RepCalcDB"},
	["RepeatableCalendarEvents"] = {"RepeatableCalendarEventsDB"},
	["RepGrind"] = {},
	["RepHeaderRemember"] = {"RepHeaderRememberDB"},
	["RepHelper"] = {"RPH_Data","RPH_Suppressed"},
	["REPorter"] = {"REPorterSettings"},
	["Reports"] = {},
	["RepositionTopFrame"] = {"RepositionTopFrame"},
	["Repper"] = {"RepperSVPC","RepperSavedBar"},
	["RepRate"] = {},
	["ReprobateFiles"] = {},
	["RepSwap"] = {"RepSwapDB"},
	["RepSwitch"] = {},
	["ReputationBars"] = {"ReputationBarsDB"},
	["ReputationColors"] = {},
	["ReputationSorter"] = {"Rs_order"},
	["ReputationWatcher"] = {},
	["Repwatch"] = {"RepWatchVerbose","RepWatchHidden","RepWatchTime"},
	["ReQuest"] = {"ReQuest_Settings","ReQuest_WQComplete","ReQuest_WQComplete_Char"},
	["RequestStop"] = {"RequestStopDB"},
	["ResetEcho"] = {},
	["ResizeClassHallButton"] = {},
	["ResolveStatus"] = {"ResolveHistoryDB","ResolveStatusDB"},
	["Rested"] = {"Rested_restedStateRested_miscRested_options"},
	["ReStock"] = {"ReStockDB"},
	["Restocker"] = {"Restocker"},
	["RestockShop"] = {"RESTOCKSHOP_SAVEDVARIABLES","RESTOCKSHOP_SAVEDVARIABLESPERCHARACTER"},
	["RestoShamanStat"] = {"RShamanStatArchive"},
	["RETabBinder"] = {"RETabBinderSettings"},
	["RetroGameSounds1"] = {},
	["RetroGameSounds2"] = {},
	["RetroSkullMinimap"] = {"RetroSkullMinimapDB"},
	["ReturnBuffTracker"] = {"ReturnBuffTrackerDB"},
	["Revelation"] = {"RevelationConfig"},
	["Revenge"] = {"Gankr"},
	["Rewatch"] = {"rewatch_load","rewatch_version"},
	["ReXP"] = {},
	["RG-IcyVeins-Noxxis-Stats"] = {},
	["RgsCT"] = {"rgsctDB"},
	["RHEL"] = {"RHEL_Raid","RHEL_Boss","RHEL_Heals","RHEL_Buffs","RHEL_Dispells","RHEL_Healers","RHEL_Tanks","RHEL_Channel","RHEL_Add_Tanks","RHEL_Total","RHEL_OwnDispells","RHEL_BossNote","RHEL_ownTips","RHEL_lang"},
	["RicoMiniMap"] = {"RicoMiniMapDB"},
	["RIDC"] = {},
	["RideByZone"] = {"RBZ_GLOB"},
	["RightClickModifier"] = {"RCM_SavedVariables"},
	["RightClickSelfCast"] = {},
	["RighteousPower"] = {"RighteousPowerDB"},
	["RillyCleanUI"] = {"RCUIDB"},
	["RingMe"] = {},
	["RingMenu"] = {"RingMenu_globalConfig","RingMenu_ringConfig"},
	["Ringprob"] = {},
	["Riphie_Energy"] = {},
	["RIP_Rockhoof"] = {},
	["RiseAboveNeedBoss"] = {},
	["rLST"] = {},
	["rlTools"] = {},
	["rMinimap_Xervish"] = {},
	["RNFCT"] = {},
	["RobBossMods"] = {"rbm_elang","rbmDB","rbm_icon"},
	["RobotoFonts"] = {},
	["RocknRole"] = {"RocknRoleDB"},
	["Roguebox"] = {},
	["Roguedar"] = {"RoguedarEnabled","RoguedarDebug","RoguedarSound","RoguedarX","RoguedarY"},
	["RogueDoorOpener"] = {},
	["RoguePoisonSounds"] = {},
	["RoguePowerBars"] = {"RoguePowerBarsDB"},
	["RoleCall"] = {"RoleCallDB"},
	["RoleIcons"] = {"RoleIconsDB"},
	["RoleplayChatBubbles"] = {},
	["RollBot"] = {"RollBotDB"},
	["Rollfighter"] = {"RFT_GLOB"},
	["RollforBlame"] = {},
	["RollForLoot"] = {"RollForLootDB","RFLSettings","RFL_LootRollHistory","RFL_AwardedLoot","RFLRaidRoster","RFLLootRollIdxByIndex","RFLLootRollIdxByValue","RFLLootRolls","DisplayedRTID"},
	["RollHistory"] = {},
	["Rolling"] = {"RollingI"},
	["RollMaster"] = {"RollMasterDB"},
	["RollTheBonesStatistics"] = {"RTBS_DB"},
	["RollTrackerClassic"] = {"RollTrackerClassicDB","RollTrackerClassicLoot"},
	["Romaji2Kana"] = {"Romaji2KanaDB"},
	["RossRageBar"] = {},
	["RosterFilter"] = {"rf_scale"},
	["RosterLib"] = {},
	["Rotacast"] = {"RotacastPerDB"},
	["RotateMinimapFix"] = {},
	["RotationBuilder"] = {"ROB_Options","ROB_Last_SelectedROB_RotationsROB_Exports"},
	["RotationBuilder_Rogue"] = {},
	["RotationMaster"] = {"RotationMasterDB"},
	["Rotations"] = {},
	["Roth_UI"] = {"Roth_UI_DB_GLOB","ShinyBuffsDB","PhanxFontDB","Roth_UI_DB","Roth_UI_DB_CHAR","ShinyBuffsPCDB"},
	["Routes"] = {"RoutesDB"},
	["RoutesImportExport"] = {},
	["RPBS"] = {"RPBSDB"},
	["RPConnect"] = {},
	["RPEmotes"] = {"RPE_Settings"},
	["RPHelm"] = {"RPHelm_config"},
	["RPMLoot"] = {"RPMLoot_Var"},
	["RPPrefix"] = {"RPPrefix_Settings"},
	["RPTools"] = {"RPTools_Ignore","RPTools_Emote","RPTools_Friends","RPTools_Wallet","RPTools_Ledger","RPTools_Options"},
	["RPXtreme"] = {"RPXtreme_SV"},
	["RP_CombatDice"] = {"RP_CombatDice3DB"},
	["RP_Friends"] = {"RP_FriendsDB"},
	["RP_Tags"] = {"RP_TagsDB"},
	["RSA"] = {"RSADB"},
	["RSA_DeathKnight"] = {},
	["RSA_DemonHunter"] = {},
	["RSA_Druid"] = {},
	["RSA_Hunter"] = {},
	["RSA_Mage"] = {},
	["RSA_Monk"] = {},
	["RSA_Options"] = {},
	["RSA_Paladin"] = {},
	["RSA_Priest"] = {},
	["RSA_Reminders"] = {},
	["RSA_Rogue"] = {},
	["RSA_Shaman"] = {},
	["RSA_Warlock"] = {},
	["RSA_Warrior"] = {},
	["Rubbish"] = {"RubbishDB"},
	["Rubim-RH"] = {"RubimRHDB"},
	["Rubim-TTD"] = {"RubimTTDDB"},
	["RubyHero"] = {},
	["RudeResponse"] = {"RR_Enabled"},
	["RUF"] = {"RUFDB"},
	["RunAwayfromPela"] = {},
	["RunAwayfromPela_Options"] = {},
	["RundownIV"] = {"RundownIVDB"},
	["RuneHero"] = {"RuneHero_Saved"},
	["RuneHUD"] = {"RHScale","RHYPos","RHNoCombatAlpha","RHCombatAlpha","RHBarWidth","RHBarHeight","RHBarEnable","RHBarPosition","RHBarNoCombat","RHBarNoCombatAlpha","RHBarCombatAlpha","RHName"},
	["RuneItAll"] = {"riaDb"},
	["RunePack"] = {"RunePack_Saved"},
	["RuneReplacement"] = {},
	["RWA"] = {"alarm","beware","textNotice","flashing","threatwarnings","threattreshold","raidonly","tankmode","whisper","alarm","beware","textNotice","flashing","threatwarnings","threattreshold","raidonly","tankmode","whisper"},
	["RWN_ArchDistance"] = {"RWN_ArchDistance_Settings"},
	["SacriRaidBuffed"] = {"RaidB_DB"},
	["SafeQueue"] = {},
	["SafetyChat"] = {},
	["SaladcreamDied"] = {"SaladcreamDiedCount","SovereigntyDied"},
	["Salty Spitoon InviteHelper"] = {"LazyOptions"},
	["SalvageCrates"] = {"SalvageCratesDB"},
	["SamyTotemTimers"] = {"SamyTotemTimersDB"},
	["Sang_sargeras"] = {},
	["SanityCheck"] = {"g_SanityCheck_config"},
	["SanukizMMR"] = {},
	["Sappable"] = {},
	["Sapped!"] = {"EnabledBool","SayBool","PartyBool","BattlegroundBool","RAIDBool","YellBool","SoundBool","RAIDWarnBool"},
	["sArena"] = {"sArena3DB"},
	["Sarge_Antiduel"] = {},
	["Satch"] = {"SatchDB"},
	["SatchelFinder"] = {},
	["SatchelScanner"] = {"SatchelScannerDB"},
	["SaunanTaakseEmotes"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["SausageRolls"] = {"SausageRollsDB"},
	["SavedClassic"] = {"SavedClassicDB"},
	["SavedInstances"] = {"SavedInstancesDB"},
	["SavedInstancesSync"] = {},
	["say-cc"] = {"SayCCPrefs"},
	["say-stuns"] = {"SayStunsPrefs"},
	["SayAnnouncer"] = {"SA_whitelist"},
	["SayGMOTD"] = {"GMOTD"},
	["SayKarma"] = {"SAYKARMA_VERSION","SayKarmaPrefs"},
	["SayMassRez"] = {},
	["SayMyName"] = {"namesTable","ignoredPlayers"},
	["SayRandomQuote"] = {},
	["SaySapped"] = {},
	["Scalar"] = {"ScalarDB"},
	["ScalzBam"] = {"ScalzBamDB"},
	["SCAutoGrats"] = {"SC_GratsMessage1","SC_GratsMessage2","SC_GratsMessage3","SC_GratsTimeMin","SC_GratsTimeMax","SC_GratsTimeWait","SC_GuildJoinMessageToggle","SC_Guild","SC_Say","SC_Party","SC_Delay","SC_GuildDisabledOverride","SC_GroupingTime","SC_GuildJoinMessageToggle","SC_GuildWelcomeMessage1","SC_GuildWelcomeMessage2","SC_GuildWelcomeMessage3"},
	["SCGComms"] = {"SCGCommsSaved"},
	["SCGStatus"] = {"SCGStatusSaved"},
	["SchamzillasFightStats"] = {"SchamzillasFightStatsCharDB"},
	["SControl"] = {},
	["Scorchio2"] = {"Scorchio2DB"},
	["Scorchio2_Options"] = {},
	["Scorpio"] = {"Scorpio_DB","Scorpio_DB_Char"},
	["Scorpio.MVC"] = {},
	["Scorpio.Secure"] = {},
	["Scorpio.UI"] = {},
	["Scorpio.Widget"] = {},
	["ScourgeStrike"] = {"ScourgeStrikeDB"},
	["Scrap"] = {"Scrap_Sets","Scrap_CharSets"},
	["ScrapBook"] = {"ScrapBookSettings"},
	["ScrapButton"] = {"ScrappinDB"},
	["ScrapMaster"] = {"ScrapMasterDB"},
	["ScrapMeltdownAssist"] = {"ScrapMeltdownAssistIncludeBank"},
	["Scrap_Broker"] = {},
	["Scrap_Cleaner"] = {},
	["Scrap_Config"] = {},
	["Scrap_Merchant"] = {},
	["Screen Overlay Enhanced"] = {},
	["ScreenGrid"] = {},
	["ScreenOverlayEnhancedClassic"] = {},
	["Screenshoter"] = {"ScreenshoterDB"},
	["Scribbl"] = {"ScribblOptions"},
	["ScrollingChatText"] = {"ScrollingChatTextDB"},
	["Scrooge"] = {"ScroogeDB"},
	["sct"] = {"SCT_CONFIG","SCT_EVENT_CONFIG"},
	["sctd"] = {},
	["sctd_options"] = {},
	["sct_options"] = {},
	["ScudChat"] = {},
	["ScudChuckle"] = {"ScudChuckle_LaughChance","ScudChuckle_Jolliness","ScudChuckle_HulkMode","ScudChuckle_Crits"},
	["SC_ChaChing"] = {"SC_ChaChing_Config"},
	["SDMonitor"] = {"SDMONITOR_ENABLED"},
	["SD_DKP_Values"] = {},
	["SeamoreSpheres"] = {"Seamore","SeamoreSpheres","Spheres"},
	["SeamoreSpheresGlassTextures"] = {},
	["SeamoreSpheresPlasticTextures"] = {},
	["SeamoreSpheresSkyTextures"] = {},
	["SeamoreSpheresTechnologyTextures"] = {},
	["SearchEx"] = {},
	["SearchForIcons"] = {},
	["SearchforSatchels"] = {"SearchforSatchelsDB"},
	["SecondFryTempFixGGBliz"] = {},
	["SecretHitler"] = {"SecretHitlerDB","SecretHitlerCharDB"},
	["SecureTabs-2.0"] = {},
	["SeeCD"] = {"SeeCDB"},
	["SeedRaid"] = {"SeedRaidSaves"},
	["SEED_UI"] = {},
	["Seinfeld"] = {},
	["SektenBuffSnapshot"] = {},
	["Select"] = {"Select_Settings","Select_PerCharacter_Settings"},
	["SELFIE_Helper"] = {"SHConfig"},
	["Selfless_Healer"] = {},
	["SellableItemDrops"] = {"SellableItemDropsDB"},
	["SellApToken"] = {},
	["SellCrap"] = {"SELLCRAPVARS"},
	["Seller"] = {},
	["sellgrey"] = {},
	["SellJunk"] = {"SellJunkDB"},
	["SellOMatic"] = {},
	["SellOMatic2"] = {"SellOMatic2DB"},
	["SellOMatic2_Destroy"] = {},
	["SellOMatic2_Item"] = {},
	["SellOMatic2_List"] = {},
	["SellPricePerUnit"] = {},
	["SellTrash"] = {},
	["Semi_Action_Bars"] = {},
	["Semi_Aspect_Stance_Bar"] = {"Semi_Aspect_ActionBar","Semi_Aspect_Locked","Semi_Aspect_Grid"},
	["Semi_ASR"] = {"S_ASR_ShowChatText","S_ASR_AutoRepairs","S_ASR_Global_ExceptionList","S_ASR_UseGuildRepair","S_ASR_Local_ExceptionList"},
	["Semi_ClassColor_HealthBar"] = {},
	["Semi_ClassIcons_Portrait"] = {},
	["Semi_Core"] = {"Semi_Core_MinimapPos","SF_MiniMapChoice_Load","SF_Castbar_State","SF_Castbar_Ownership","SF_AchievementFrame_Ownership","SF_Gryphon_State","SF_XP_Bar_State","SF_Vehicle_Art_State","SF_MainMenuBarGrid_State","Semi_Player_Scale","Semi_RuneFrame_Scale","Semi_Pet_Scale","Semi_Target_Scale","Semi_ToT_Scale","Semi_AllBars_Scale","Semi_MicroMenuButtons_Scale","Semi_FrameNames_Scale","Semi_CalendarFrame_Scale","Semi_WorldMapFrame_Scale","Semi_VehicleBar_Scale","Semi_PetBattleFrame_Scale","Semi_PetBar_Scale","Semi_TotemBar_Scale","Semi_AspectBar_Scale","Semi_Support_PlayerXPBar_Scale","Semi_PartyFrame_Scale","Semi_FocusFrame_Scale","Semi_BossTargetFrame_Scale","Semi_GroupLootFrame_Scale","SF_Bags_State","SF_Party_Ownership_State","SF_Party_State","SF_Raid_State","SF_MicroMenu_State","SF_EB_1_State","SF_EB_2_State","SF_EB_3_State","SF_EB_Vert_1_State","SF_EB_Vert_2_State","SF_Grid_State","SF_MainMenuBarTexture_State","SF_ActionPageButtons_State","Semi_AB_BL_State","Semi_AB_BR_State"},
	["Semi_Extra_Bars"] = {"Semi_Bar1_ActionBar","Semi_Vert_Bar1_ActionBar","Semi_Vert_Bar2_ActionBar","Semi_Bar1_Locked","Semi_Grid","Semi_Bar2_ActionBar","Semi_Bar2_Locked","Semi_Bar3_ActionBar","Semi_Bar3_Locked","Semi_Vert_Bar1_Locked","Semi_Vert_Bar2_Locked","Semi_Show_Bars_In_Vehicle","Semi_EB_V_1_Orien_Text","Semi_EB_V_2_Orien_Text","Semi_EB_H_1_Orien_Text","Semi_EB_H_2_Orien_Text","Semi_EB_H_3_Orien_Text"},
	["Semi_Extra_Scaling"] = {},
	["Semi_GroupLoot_Frame"] = {},
	["Semi_Hide_Buffs"] = {"SemiHiddenBuffs","SemiStickyBuffs","SemiHideAll","SemiWarningTimer","Semi_Warning_Timer"},
	["Semi_Move_Objective_Frame"] = {},
	["Semi_Pet_Bar"] = {"SF_Pet_Bar_Locked"},
	["Semi_Stance_Bar"] = {"SF_StanceBar_Locked"},
	["Semi_TargetofTarget_Frame"] = {},
	["Semi_Tip"] = {"SemiTipAnchorPos","SemiTipX","SemiTipY","SemiTipBackgroundColor"},
	["Semi_Totem_Bar"] = {"Semi_TotemBar_ActionBar","Semi_TotemBar_Locked","Semi_Totem_Grid"},
	["SendChatMessageTimer"] = {"SendChatMessageTimer"},
	["SenfieldDeathSound"] = {},
	["SenfieldNumb"] = {},
	["Separateur_de_nombre"] = {},
	["SeraphimDice"] = {"MeleeProwess","Marksmanship","Spellcasting","Block","Dodge","Barrier","Armor","DifficultyCheck","Damage","DCTarget","MasqueCheck","DifficultyCheckDef","DamageDef","HealthPoints","GritPoints","ManaPoints","SanityPoints","ArmorPoints","SupTarget","DStrength","DDexterity","DWillpower","DIntellect","DCunning","DPerception","DFellowship","DifficultyCheckSup","DifficultyCheckUtil","UtilTar","MaxHealthPoints","MaxSanityPoints","MaxArmorPoints","MaxManaPoints","MaxGritPoints","TempHP","HPSys","CritFail","SDScale2","EXPType","OffensiveSkill","DCInc","Kills","rstatus"},
	["SerenityNow"] = {"SNDB","SNCharDB"},
	["Serrah_Lio"] = {},
	["SerthanaUI"] = {},
	["Servant"] = {"LichServantStorage"},
	["ServerCurrencyTracker"] = {"SCTDB"},
	["ServerFriendsOnly"] = {"ServerFriendsOnlyDB"},
	["ServerHop"] = {"ServerHopSettingsGlobal","ServerHopSettings"},
	["ServerRestartSound"] = {"ServerRestartAlertDB"},
	["ServerShiftAlert"] = {"SSAV"},
	["SessionKDR"] = {},
	["SessionsMessenger"] = {"SESMSG_Profile","SESMSG_History"},
	["SessisEmotes"] = {},
	["SetCollectionUngroup"] = {},
	["SetCollector"] = {"SetCollectorDB","SetCollectorCharacterDB"},
	["SetCompare"] = {},
	["SexyCooldown"] = {"SexyCooldownDB"},
	["SexyInterrupter"] = {"SexyInterrupterDB","SI_Globals","SI_Data"},
	["SexyMap"] = {"SexyMap2DB"},
	["SexyReputation"] = {"SexyRepDB"},
	["sfbs"] = {"sfbsOPT"},
	["sFilter"] = {},
	["SFLoot"] = {"SFLootDB"},
	["sGPSxy"] = {},
	["ShadowedDefaultUI"] = {},
	["ShadowedUFFacade"] = {},
	["ShadowedUF_Indicators"] = {},
	["ShadowedUF_InlineAbsorb"] = {},
	["ShadowedUF_InlineHealAbsorb"] = {},
	["ShadowedUF_NotMyAuras"] = {},
	["ShadowedUF_Options"] = {},
	["ShadowedUF_SmoothBars"] = {},
	["ShadowedUnitFrames"] = {"ShadowedUFDB"},
	["ShamanAuras"] = {"SSA_db"},
	["ShamanAuras2"] = {"SSA2_db"},
	["ShamanChi"] = {},
	["ShamAndAwe"] = {"ShamAndAweDBPC"},
	["ShamanFriend"] = {"ShamanFriendDB"},
	["Shame"] = {"ShameData"},
	["ShammyShields"] = {"SSOptions","SSAnchors"},
	["shao rep"] = {},
	["ShaOfFearAssist"] = {"ShaAssistDB"},
	["ShardCounter"] = {"ShardCounterConfig"},
	["ShardLock"] = {"SL_maxShards"},
	["SharedMacros"] = {"DispelMacroDB"},
	["SharedMedia"] = {},
	["SharedMediaAdditionalFonts"] = {},
	["SharedMediaAdditionalQuake3Sounds"] = {},
	["SharedMediaAdditionalSounds"] = {},
	["SharedMedia_Abain"] = {},
	["SharedMedia_Causese"] = {},
	["SharedMedia_ClassicalFonts"] = {},
	["SharedMedia_Diabolic"] = {},
	["SharedMedia_dnnsGT"] = {},
	["SharedMedia_Goldpaw"] = {},
	["SharedMedia_HMG"] = {},
	["SharedMedia_Jujuart"] = {},
	["SharedMedia_Maslengo"] = {},
	["SharedMedia_N6"] = {},
	["SharedMedia_NoAsianFonts"] = {},
	["SharedMedia_NotIllu"] = {},
	["SharedMedia_Noto"] = {},
	["SharedMedia_Rybus"] = {},
	["ShareTheRare"] = {},
	["ShareTheWealth"] = {},
	["ShareXP"] = {"ShareXPDB","ShareXPCharDB"},
	["SharpRangeCollector"] = {"SharpRangeCollectorDB"},
	["ShathYar"] = {},
	["Sheath"] = {"sheath_settings"},
	["Sheepdog"] = {"Sheepdog"},
	["SheepMonitor"] = {"SheepMonitorDatabase"},
	["ShellGameTimeTracker"] = {"ShellGameTimeTrackerBestTime"},
	["ShestakUI"] = {"SavedOptions","SavedStats","SavedAddonProfiles","SavedBindings","SavedCurrency","SavedOptionsPerChar","SavedPositions"},
	["ShestakUI_Config"] = {"ShestakUIOptionsGlobal","ShestakUIOptions","ShestakUIOptionsPerChar"},
	["ShieldFrames"] = {"standard","compact"},
	["ShieldHealth"] = {"Sh_DB"},
	["ShieldMaid"] = {"ShieldMaidSpellDatabase","ShieldMaidConfig"},
	["ShieldOn"] = {"ShieldOnDB"},
	["ShieldsUp"] = {"ShieldsUpDB"},
	["ShieldTracker"] = {"ShieldTrackerDB"},
	["ShiftReagentBank"] = {},
	["ShiftRight"] = {},
	["Shifumi"] = {},
	["ShinyStats"] = {"ShinyStatsDB"},
	["Shitlist"] = {"ShitlistDB"},
	["ShockAndAwe"] = {"ShockAndAweDBPC"},
	["ShockAndAwe_Bars"] = {"ShockAndAwe_BarsDB"},
	["Shooter"] = {},
	["ShoppingList"] = {"SLChars","SLPlayer"},
	["ShortcutHelper"] = {},
	["ShortMacros"] = {},
	["Shortwave"] = {},
	["ShotGlass"] = {"ShotGlassSavedSettings","ShotGlassSavedAuras"},
	["ShotGlass_Druid"] = {},
	["ShotGlass_Pally"] = {},
	["ShotGlass_Priest"] = {},
	["ShotGlass_Shammy"] = {},
	["Shoutout"] = {"Shoutout_Global","Shoutout_Errors","SO_Guild","SO_Say","SO_Party","SO_Ach"},
	["ShowBuffCaster"] = {},
	["showconsolidatedbuffduration"] = {},
	["ShowEnemyDebuffs"] = {},
	["ShowGCD"] = {"ShowGCDDB"},
	["ShowLevel"] = {},
	["ShowMeMyHeal"] = {"ShowMeMyHealDB"},
	["ShowMoney"] = {},
	["ShowNameplateHitBox"] = {},
	["ShowQuestCount"] = {},
	["ShowQuestId"] = {},
	["ShowRaidFrameSoloandHidePlayerFrame"] = {},
	["ShowSpec"] = {},
	["ShuckIt"] = {},
	["SickOfClickingDailies"] = {"SOCD_DB","SOCD_LocalizedQuestDictionary","SOCD_LocalizedQuestVersion"},
	["SickOfClickingDailies_AltTracking"] = {},
	["Sifter"] = {},
	["SigmaAddOnManager"] = {"SigmaAddOnManager"},
	["SigmaHelmAndCloak"] = {"SigmaHelmAndCloak"},
	["SigmaProfessionFilter"] = {"SigmaProfessionFilter_SavedVariables"},
	["SigmaProfessionFilterBeastTraining"] = {},
	["SigmaProfessionFilterEnchanting"] = {},
	["SignOn"] = {"SignOnDB"},
	["SigrisPvpClassic"] = {"SigrisPvpClassic","SigrisPvpClassicPerChar"},
	["Sil"] = {},
	["Silence"] = {"SilenceDB"},
	["Silence After Violence"] = {},
	["SilenceIKillYou"] = {},
	["SilentGambler"] = {},
	["SilentRunning"] = {"SilentRunningDB"},
	["SilentWorldQuest"] = {},
	["SilentWorldQuestOptions"] = {"SilentWorldQuestVars"},
	["SillyJumpSound"] = {"SillyJumpSoundDB","SillyJumpSoundDBChar"},
	["SillyPrice"] = {},
	["SilverCamera"] = {},
	["SilverDragon"] = {"SilverDragon3DB","SilverDragon2DB"},
	["SilverDragon_BattleForAzeroth"] = {},
	["SilverDragon_BurningCrusade"] = {},
	["SilverDragon_Cataclysm"] = {},
	["SilverDragon_Legion"] = {},
	["SilverDragon_Mists"] = {},
	["SilverDragon_Vanilla"] = {},
	["SilverDragon_Warlords"] = {},
	["SilverDragon_Wrath"] = {},
	["Silverhelms-Rollouts"] = {"RolloutsDB"},
	["SilverLoad"] = {},
	["SilverPlateTweaks"] = {},
	["SilverRareElites"] = {},
	["SilverTabTarget"] = {},
	["SimBuilder"] = {},
	["SimcDungeonJournal"] = {},
	["SimCompare"] = {},
	["SimcTrinketComparison"] = {},
	["SimPermut"] = {"SimPermutVars"},
	["SimpleActionSets"] = {"SAS_Saved"},
	["SimpleArmory"] = {"SimpleArmory"},
	["SimpleAssist"] = {"SimpleAssistSavedVars"},
	["SimpleAutoCombatLog"] = {},
	["SimpleBeastCleaveTracker"] = {"SBCTSaves"},
	["SimpleBGScore"] = {},
	["SimpleBossFrame"] = {"SimpleBossFrameDB"},
	["SimpleBrewSim"] = {},
	["SimpleCalc"] = {"calcVariables","SimpleCalc_CharVariables","SimpleCalc_LastResult"},
	["SimpleChi"] = {"SimpleChiDB"},
	["SimpleClassPortraits"] = {},
	["SimpleClassPower"] = {"SimpleClassPower_DB"},
	["SimpleComboPoints"] = {"SimpleComboPointsDB"},
	["SimpleCoords"] = {},
	["SimpleDeathCount"] = {"DeathCount"},
	["SimpleDice"] = {"SD_Settings"},
	["SimpleDice2"] = {"SD2DB"},
	["SimpleDing"] = {"SimpleDingDB3"},
	["SimpleDispel"] = {"SimpleDispelDB"},
	["SimpleDps"] = {},
	["SimpleDungeonList"] = {"SaucyDB"},
	["simpleEclipseBar"] = {"simpleEclipseBarDB"},
	["SimpleEnergyBar"] = {"SimpleEnergyBarDB"},
	["SimpleFriendSearch"] = {},
	["SimpleGold"] = {"SimpleGoldGlobals","SimpleGoldSavedVars"},
	["SimpleGuildRaidInvite"] = {},
	["SimpleHalo"] = {"SimpleHaloDB"},
	["SimpleHalo_Options"] = {},
	["SimpleHolyPower"] = {"SimpleHolyPowerDB"},
	["SimpleILevel"] = {"SIL_Settings","SIL_CacheGUID"},
	["SimpleILevel_Alts"] = {"SIL_Alts"},
	["SimpleILevel_Avoidance"] = {"SIL_AvoidSettings"},
	["SimpleILevel_Group"] = {},
	["SimpleILevel_Resilience"] = {"SIL_ResilSettings"},
	["SimpleILevel_Social"] = {"SIL_Social"},
	["SimpleILvl"] = {"SIL_Settings","SIL_CacheGUID"},
	["SimpleILvl_Group"] = {},
	["SimpleILvl_Resilience"] = {"SIL_ResilSettings"},
	["SimpleILvl_Social"] = {"SIL_Social"},
	["SimpleInterruptAnnounce"] = {"SIACFG"},
	["SimpleInterruptAnnounce_Config"] = {},
	["SimpleItemLevel"] = {"SimpleItemLevelDB"},
	["SimpleLOC"] = {},
	["SimpleLootAnnouncer"] = {},
	["SimpleLootSpec"] = {},
	["SimpleMacro"] = {"SimpleMacroDBA","SimpleMacroDBC"},
	["SimpleMapPlus"] = {"SimpleMapPlusEnabled","SimpleMapPlusFade","SimpleMapPlusFocus"},
	["SimpleMD"] = {"SimplemdDB"},
	["SimpleMD_Options"] = {},
	["SimpleNotepad"] = {"SimpleNotepad_Vars","SimpleNotepad_Varsc"},
	["SimpleObjectiveProgress"] = {},
	["SimpleObjectives"] = {"SOHDats"},
	["SimplePally"] = {"SimplePallyPrefs"},
	["SimplePowerBar"] = {"SimpPB_DB"},
	["SimplePull"] = {"SimplePullColors"},
	["SimpleQuestCounter"] = {},
	["SimpleRaidTargetIcons"] = {"SRTISaved","SRTIExternalUF"},
	["SimpleRareElite"] = {"skin","fl"},
	["SimpleRotation"] = {"AceDBSimpleRotDB"},
	["SimpleSelfRebuff"] = {"SimpleSelfRebuffDB"},
	["SimpleSelfRebuff_CastBinding"] = {},
	["SimpleSelfRebuff_DataObject"] = {},
	["SimpleSelfRebuff_Reminder"] = {},
	["SimpleShadowOrbs"] = {"SimpleShadowOrbsDB"},
	["SimpleShamanResources"] = {"SimpleShamanResourcesDB"},
	["SimpleSpellsteal"] = {"SSAnnounce","SSGrowup"},
	["SimpleStats"] = {"SimpleStatsDB"},
	["SimpleStatusBars"] = {"SimpleStatusBars_DB","SimpleStatusBars_CharacterDB"},
	["SimpleTarget"] = {},
	["SimpleTauntAnnounce"] = {"STACFG"},
	["SimpleTauntAnnounce_Config"] = {},
	["SimpleThreatPlates"] = {"SimpleThreatPlatesDB"},
	["SimpleTradeskill"] = {},
	["SimpleTweaks"] = {},
	["SimpleUI"] = {"SUI_CONFIG"},
	["SimpleUnitFrames"] = {"SimpleUnitFramesDB"},
	["SimpleVignette"] = {"svchests","svoutput","svparty","svsound","svsoundfile","svsoundnum","svsoundname"},
	["Simplify"] = {},
	["SimplyGInv"] = {},
	["Simulacrum"] = {"SimulacrumDB"},
	["Simulationcraft"] = {"SimulationCraftDB"},
	["Sinner"] = {"SinnerSV","TimeLineSV"},
	["Skada"] = {"SkadaDB","SkadaPerCharDB"},
	["Skada Raid Rng"] = {},
	["SkadaAvoidableDamageTaken"] = {},
	["SkadaAvoidanceMitigation"] = {},
	["SkadaCCTracker"] = {},
	["Skadacfi"] = {"ScfiDB"},
	["SkadaDmgReductions"] = {},
	["SkadaDPSplusHPS"] = {},
	["SkadaEnsidiaFails"] = {},
	["SkadaForTanks"] = {},
	["SkadaFriendlyFire"] = {},
	["SkadaGraph"] = {"SkadaGraphsDB"},
	["SkadaHealthstones"] = {},
	["SkadaPlayerScore"] = {"PScoresRaid","PSMultipliers","PScoresChar"},
	["SkadaScore"] = {},
	["SkadaScroll"] = {},
	["SkadaStagger"] = {},
	["SkadaSurvivability"] = {},
	["SkadaWaterShieldPPM"] = {},
	["Skada_LeechBDKTabs"] = {},
	["Skada_LeechTrinketTabs"] = {},
	["SkeletonKey"] = {"SkeletonKeyDB"},
	["Skillet"] = {"SkilletDB","SkilletDBPC","SkilletMemory","SkilletProfile"},
	["Skillet-Classic"] = {"SkilletDB","SkilletDBPC","SkilletMemory","SkilletProfile"},
	["SkillHelper"] = {"shSettings"},
	["Skinner"] = {"SkinnerDB"},
	["SkinSound"] = {"SkinSoundSettings"},
	["skipallthethings"] = {},
	["SkipChat"] = {"SkipChatDB"},
	["SkirmishRatingTooltip"] = {},
	["SkUI"] = {},
	["SkyUI"] = {"SkyUIConfig","SkyUIConfig"},
	["SlamAndAwe"] = {"SlamAndAweDBPC"},
	["SlashChat"] = {"SLASHCHAT_SAVEDATA"},
	["SlashCombatLog"] = {"SlashCombatLogDB"},
	["SlashIn"] = {},
	["SlashMagic"] = {"SlashMagic_Settings","SlashMagic_Commands","SlashMagic_CmdVars"},
	["SlashMagicConfig"] = {},
	["SlashRead"] = {},
	["SlashRL"] = {},
	["SlaveGirl"] = {"SlaveGirlOptions"},
	["SleekKeys"] = {},
	["SleepIsYes"] = {"siyDB"},
	["SLFG"] = {"SLFG_Settings","SLFG_Info","SLFG_Options"},
	["SliceAdmiral"] = {"SliceAdmiralDB"},
	["SliceCommander"] = {"SC"},
	["SlideBar"] = {"SlideBarConfig"},
	["SLoTe"] = {"Activation","ShowL","ShowC","ShowH","ShowM"},
	["SLTimex"] = {"SLTVar","SLTVarChar"},
	["SlyProfits"] = {"SlyProfitsDB"},
	["SmackTalk3"] = {"SmackTalk3DB_V2"},
	["SmallFriendlyNameplates"] = {},
	["SmartAuraWatch"] = {"SmartAuraWatch_OptionsGlobal","SmartAuraWatch_Options"},
	["SmartBuff"] = {"SMARTBUFF_OptionsGlobal","SMARTBUFF_Options","SMARTBUFF_Buffs"},
	["SmartCritterKiller"] = {"UnknownCritz","ReportFrequency","PingGuild","macroId","SCK_icon","SCK_zonespam","SCK_selfspam","SCK_guildspam","IndivCritzKilled"},
	["SmartDebuff"] = {"SMARTDEBUFF_OptionsGlobal","SMARTDEBUFF_Options"},
	["SmartError"] = {"SmartErrorData"},
	["SmartFollowerManager"] = {},
	["SmartFrameMover"] = {"SmartFrameMover_Options"},
	["SmartGroupFinder"] = {"SmartGroupFinderDB"},
	["SmartGuildRepairs"] = {"SmartGuildRepairsSettings"},
	["SmartLoot"] = {"SmartLoot_Options","SmartLoot_Autoroll"},
	["SmartPack"] = {"SmP_PlusMinusDB"},
	["SmartQuest"] = {"SmartQuestOptions"},
	["SmartQuestTracker"] = {"SmartQuestTrackerDB"},
	["SmartRepair"] = {"SmartRepairDB"},
	["SmartRes2"] = {"SmartRes2DB"},
	["SmartRes2_Chat"] = {},
	["SmartRoleSetter"] = {"SMARTROLESETTER_Options"},
	["SmartSell"] = {"SmartSellDB"},
	["SmartTabTarget"] = {"SmartTabTargetSavedVariables"},
	["SmartTooltip"] = {},
	["SmartWaypoints"] = {"SmartWaypointsMode"},
	["smashed-library"] = {"smashed_library"},
	["SMBSewer"] = {},
	["SmexyGMO"] = {"SmexyGMOdb"},
	["SmexyMats"] = {"SmexyMatsDB"},
	["SmexyScaleUI"] = {"SmexyScaleDB"},
	["SmexySimInfo"] = {"SmexySimInfoDB"},
	["Smoker"] = {},
	["SmoothyPlates"] = {"SPDB"},
	["SMQueue"] = {"SMQueueDB"},
	["SMT"] = {"SMT_DB","SMT_CDB"},
	["SnackShop"] = {"SnackShopDB"},
	["Snaginanesh_Interrupt_Rotation"] = {"SnagiIntRotaSaved"},
	["SnailUI"] = {"Data","Options"},
	["SnapShot"] = {"SnapShot_settings","SnapShot_mini","SnapShot_shots"},
	["Snarky"] = {"SnarkySettings","SnarkyMessageSets"},
	["SnarkyNotes"] = {"notesDB"},
	["SneekeeMods"] = {"SneekeeModsDB"},
	["Snipers"] = {},
	["snipertips"] = {"SniperTips_DB"},
	["SniperTips_HunterPetFood"] = {},
	["SniperTips_VendorPrice"] = {},
	["Snoop"] = {"Snoop_ChatFrame"},
	["SnorkHud"] = {"SnorkHudDB"},
	["Snowflake"] = {"SnowflakeMessageTable","SnowflakeChatPreferences"},
	["SnudensRaidChecker"] = {},
	["Socialite"] = {"SocialiteDB"},
	["SociallyUndead"] = {},
	["SoDEndlessChat"] = {},
	["SoDWhisper"] = {"SoDWhisperDB"},
	["Sokoban"] = {"SOKOBAN_ADDON_SV"},
	["SolaceBuffDisplay"] = {"SolacePartyBuffsOptions","SolaceTargetFrameOptions","SolaceLibOptions"},
	["Soldit"] = {},
	["SolidBlackItemAndSpellTooltips"] = {},
	["Soloqueue"] = {"DisplayedWelcomeMessageSoloqueueLDBIconDBbrackethealerRequiredignoreRatingsblacklist"},
	["SoloRaidFrame"] = {},
	["solQuickShifter"] = {},
	["SOMAemotes"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["SomeCooldowns"] = {"SomeCooldownsDB"},
	["SomethingsNotQuiteRight"] = {},
	["SomeTracker"] = {"SomeTrackerDB"},
	["SomeTweaks"] = {"SomeTweaksDB"},
	["Songflowers"] = {},
	["SonicGameOver"] = {},
	["Sook-FieldOfView"] = {"Top","Bottom","ResolutionY"},
	["SorhaFrameDrag"] = {"SorhaFrameDragDB"},
	["SorhaQuestLog"] = {"SorhaQuestLogDB"},
	["SortBags"] = {"SortBagsRightToLeft"},
	["Sorted Runes"] = {},
	["SortGroup"] = {"SortGroupDefaults","SortGroupInformation"},
	["SortMyRaid"] = {"SAVED_ORDER_ROLES","SAVED_ORDER_CLASS","SAVED_PLAYER_POSITION","SAVED_PET_BELOW"},
	["sota"] = {"SOTA_CONFIG_UseGuildNotes","SOTA_CONFIG_MinimumBidStrategy","SOTA_CONFIG_DKPStringLength","SOTA_CONFIG_MinimumDKPPenalty","SOTA_CONFIG_BossDKP","SOTA_CONFIG_AuctionTime","SOTA_CONFIG_AuctionExtension","SOTA_CONFIG_EnableOSBidding","SOTA_CONFIG_EnableZoneCheck","SOTA_CONFIG_EnableOnlineCheck","SOTA_CONFIG_DisableDashboard","SOTA_HISTORY_DKP","SOTA_CONFIG_Messages","SOTA_CONFIG_VersionNumber","SOTA_CONFIG_VersionDate"},
	["SoulEnergyTracker"] = {"SoulEnergyTrackerData"},
	["SoulSort"] = {"SoulSortOptions"},
	["SoulSpeak"] = {"SoulSpeakDB","SoulSpeakDB"},
	["SoundList"] = {},
	["SoundListClassic"] = {},
	["SoundPack"] = {},
	["SoundPlayer"] = {},
	["Sounds4Chat"] = {"Sounds4ChatDB"},
	["Soundscape"] = {"XSS_PREFS"},
	["Soundtrack"] = {},
	["SoundtrackMusic"] = {},
	["Spade"] = {"SpadeData","SpadeOptions"},
	["SpamageMeters"] = {"SpamageMetersDB"},
	["Spamalyzer"] = {"SpamalyzerDB"},
	["SpamThrottleClassic"] = {"SpamThrottleSettings"},
	["SPanels"] = {"SPConfig"},
	["SpartanUI"] = {"SpartanUIDB"},
	["SpartanUI_Animated"] = {},
	["SpartanUI_Artwork"] = {},
	["SpartanUI_ChineseFont"] = {},
	["SpartanUI_FilmEffects"] = {},
	["SpartanUI_PartyFrames"] = {},
	["SpartanUI_PlayerFrames"] = {},
	["SpartanUI_RaidFrames"] = {},
	["SpartanUI_SpinCam"] = {},
	["SpartanUI_Style_Fel"] = {},
	["SpartanUI_Style_Minimal"] = {},
	["SpartanUI_Style_Transparent"] = {},
	["SpartanUI_Style_War"] = {},
	["SpeakDemonic"] = {},
	["SpeakinSpell"] = {"SpeakinSpellSavedDataForAll","SpeakinSpellSavedData"},
	["SpeakinSpell_Defaults"] = {},
	["SpeakinSpell_GUI"] = {},
	["SpeakinSpell_Patches"] = {},
	["SpeakUp"] = {"SpeakUpDB"},
	["SpecCheck"] = {},
	["SpecializationEquip"] = {"SpecializationEquipGlobalDB","SpecializationEquipDB"},
	["SpecStorage"] = {"SpecStorageDB"},
	["SpecSwap"] = {},
	["Speechless"] = {"SpeechlessSettings"},
	["SpeedDel"] = {},
	["speeddial"] = {"ServerDialTable"},
	["Speedomat"] = {},
	["Speedometer"] = {"Speedometer_showFrame","Speedometer_curStyle","Speedometer_isLocked","Speedometer_framebufferSize","Speedometer_format","Speedometer_jitter","Speedometer_jitterFac"},
	["SpeedrunSplits"] = {"SpeedrunSplitsPB","SpeedrunSplitsGold","SpeedrunSplitsOptions","SpeedrunSplits"},
	["Speedy.gg Timer"] = {"speedyggDB"},
	["SpeedyAutoLoot"] = {"SpeedyAutoLootDB"},
	["SpeedyGonzales"] = {"SpeedyGonzalesDB"},
	["SpeedyLoad"] = {},
	["SpeedyLoc"] = {"SpeedyLocDB"},
	["SpellAlertToggle"] = {"SpellAlertToggleDatabase"},
	["SpellAnnouncerClassic"] = {"SpellAnnouncerClassicDB"},
	["SpellBinding"] = {"SpellBindingDB","SpellBindingPerCharDB"},
	["SpellBlocked"] = {},
	["SpellbookAbridged"] = {"SpellBookAbridgedOptions"},
	["SpellBookSearch"] = {},
	["SpellDamage"] = {"SpellDamageStorage"},
	["SpellFlash"] = {"SpellFlashAddonConfig"},
	["SpellFlashCore"] = {"SpellFlashCoreAddonConfig"},
	["Spellflash_Arcane"] = {},
	["SpellFlash_TemplateAddon"] = {},
	["SpellNotifications"] = {},
	["SpellRedux"] = {"classSpecs","frameScale","framePositions","version"},
	["SpellReminder"] = {"SpellReminderDB","SpellReminderDBPerChar"},
	["SpellReport"] = {"SpellReportDB"},
	["SpellSearch"] = {},
	["SpellSpy"] = {"SpellSpy_Config","SpellSpy_CustomList"},
	["SpellStealer"] = {"SSAnnounce","SSGrowup"},
	["SpellstealMaster"] = {"SPELLSTEALMASTER_SETTINGS_GLOBAL","SPELLSTEALMASTER_SETTINGS_GENERAL","SPELLSTEALMASTER_SETTINGS_FILTER","SPELLSTEALMASTER_SETTINGS_CHARACTER"},
	["SpellstealPartyLinks"] = {"SSPLDB"},
	["SpellThief"] = {"STSettings"},
	["SpellTracker"] = {"SpellTrackerDB"},
	["SpellTranslator"] = {},
	["Spex"] = {"SpexDB"},
	["SPGauge"] = {"low","high","statelock","manual","scale"},
	["SpinToWin"] = {"SpinToWinDB"},
	["SpinxBagSpace"] = {},
	["SpinxCookie"] = {},
	["SpiritedCrane"] = {"SpiritedCraneDB"},
	["SpiritedCrane_Options"] = {},
	["Spored"] = {"spored_output_conf"},
	["Spotlight"] = {"Spotlight"},
	["SPSItems"] = {"SPSItemsData"},
	["SPTimers"] = {"SPTimersDB","SPTimersDB2","SPTimersICD_Cache","PSW_SVDB"},
	["SPTimersSpellCache"] = {"SPTimersChackedSpells"},
	["Spy"] = {"SpyDB","SpyPerCharDB"},
	["SquareMap"] = {"SquareMapDB"},
	["Squeak"] = {"Squeak_Settings"},
	["Squeenix"] = {"SqueenixDB2"},
	["Squire3"] = {"Squire3DB"},
	["Squire3_Config"] = {},
	["sqwNameplates"] = {"sqwNameplatesDB"},
	["SRAE-WOW"] = {},
	["sRaidFrames"] = {"sRaidFramesDB"},
	["SRZ_IgnoreU"] = {},
	["SSPVP"] = {"SSPVPDB"},
	["stab"] = {"StabDB"},
	["stable-master-healer"] = {},
	["StableGenius"] = {"StableGeniusDB"},
	["StableHand"] = {"StableHandPerChar"},
	["StableHelper"] = {"StableHelperPerChar"},
	["Stackpack"] = {"StackGuildBank","UseInventorySearch","ShowItemIDs","ShowILvls"},
	["StackSize"] = {},
	["Stamp"] = {"StampDB"},
	["StanceDance"] = {},
	["StandardFramesEnhanced_OrderHall"] = {"SFE_ORDERHALL_MISSIONS_ENHANCED"},
	["StarCraftPlates"] = {},
	["StarCursor"] = {},
	["StarFoxHead"] = {},
	["StarlightRoseTracker"] = {"SLRT__roseCount","SLRT__isAll","SLRT__isHerbalist","SLRT__milestoneFrequency","SLRT__milestoneOn"},
	["StatBlockCore"] = {"StatBlockCoreDB"},
	["StatBlock_Coords"] = {},
	["StatBlock_DPS"] = {},
	["StatBlock_Durability"] = {},
	["StatBlock_Folks"] = {},
	["StatBlock_FPS"] = {},
	["StatBlock_Latency"] = {},
	["StatBlock_MeleeStats"] = {},
	["StatBlock_Memory"] = {"SB_MEM_KILL"},
	["StatBlock_Money"] = {},
	["StatBlock_Quests"] = {},
	["StatBlock_RaidDPS"] = {},
	["StatBlock_RangedStats"] = {},
	["StatBlock_TimeInFight"] = {"StatBlock_TimeInFightDB"},
	["StatBlock_XP"] = {},
	["StatBlock_ZoneText"] = {},
	["StatFrame"] = {},
	["StaticPopupKeyboardEvents"] = {},
	["StatPriority"] = {"statPriorityStats"},
	["StatPriorityButton"] = {},
	["StatPriorityTracker"] = {"StatPriorityTrackerSPTSetting_StickyOrLooseMainFrameSPTSetting_MainFrameLength"},
	["StatRack"] = {"STATRACK_VARS"},
	["StatScore"] = {"StatScoreSettings"},
	["statslog"] = {"StatslogDB"},
	["StatusBars2"] = {"StatusBars2_SettingsDB","StatusBars2_Settings"},
	["StatWeightScore"] = {"StatWeightScoreDB"},
	["stat_weights_classic"] = {"__sw__persistent_spells_diff"},
	["StayClassy"] = {"StayClassyDB","StayClassyToonDB"},
	["StayDead"] = {},
	["StayFocusedUI"] = {},
	["StayUnsheathed"] = {"StayUnsheathedDB"},
	["StayWithMe"] = {"svButtonLoc","svActivePet","svShowAlertText","svPlayAlertSound"},
	["Stay_Dead"] = {},
	["SteakTimer1.0"] = {"CT_TimerOptions"},
	["StealPurgeDispel"] = {"SPD_data"},
	["StealPurgeDispelTerran"] = {"SPD_data"},
	["StealthAlerter"] = {"StealthAlerterEnabled","StealthAlerterDebug","StealthAlerterShowFriendly","StealthAlerterTerse","StealthAlerterFlash"},
	["StealthHat"] = {"EQUIPMENT_SETTINGS","EQUIPMENT_DATA"},
	["StealthMissions"] = {},
	["StealthSnitch"] = {},
	["SteamwheedleHelper"] = {"SteamwheedleHelperDB"},
	["StickyChannels"] = {"StickyChannelsConfig"},
	["StickyClicky"] = {},
	["StickyGloves"] = {"SGFirstRunSGUpdateMessageSGUpdateMessage2SGlovesDreanorNoticeSG3FirstRunSG3UpdateMessageSG3UpdateMessage2SG3DreanorNotice"},
	["StickyLootWindow"] = {},
	["StickyMapFade"] = {},
	["StickyRoll"] = {},
	["StickySoundFX"] = {},
	["StickyTarget"] = {},
	["StickyTargetCombat"] = {},
	["Stillflying"] = {},
	["StonerBot"] = {},
	["StopRequest"] = {"Ran_StopRequestButtonPerCharacterDB"},
	["StopResetingMyCameraPlease"] = {},
	["Stopwatch"] = {},
	["StorayUI"] = {},
	["StormEarthAndFire"] = {"StormEarthAndFireDB"},
	["StoryBook"] = {"StoryBookDB"},
	["storybook-mylittledashie"] = {},
	["Storyline"] = {"Storyline_Data"},
	["StoryTeller"] = {"StoryTeller_Settings"},
	["StrataFix"] = {"StrataFixDB"},
	["StreamBuddy"] = {"StreamBuddyDB"},
	["StrudelStore"] = {"StrudelStoreDB"},
	["Stubby"] = {"StubbyConfig"},
	["Stuf"] = {"StufDB","StufCharDB"},
	["StufRaid"] = {"StufRaidDB","StufRaidCharLayoutDB","StufRaidCharDB"},
	["StufRaid_Options"] = {},
	["Stuf_Options"] = {},
	["Stuf_Range"] = {},
	["StupidBuffs2"] = {"SB2_OptionsDB"},
	["SubSpec"] = {"SubSpecStorage"},
	["Sudoku"] = {"SudokuDB"},
	["SufferMythicVectis"] = {"SufferMythicVectisDB"},
	["SuggestInvite"] = {},
	["SUI"] = {"SUIDB"},
	["sUI_Default"] = {},
	["SunnArt"] = {"SunnArt3DB"},
	["SunnArtDiablo"] = {},
	["SunnArtHearthstone"] = {},
	["SunnArtPack1"] = {},
	["SunnArtPack10"] = {},
	["SunnArtPack11"] = {},
	["SunnArtPack2"] = {},
	["SunnArtPack3"] = {},
	["SunnArtPack4"] = {},
	["SunnArtPack5"] = {},
	["SunnArtPack6"] = {},
	["SunnArtPack7"] = {},
	["SunnArtPack8"] = {},
	["SunnArtPack9"] = {},
	["SunnArtPackAmber"] = {},
	["SunnArtPackAsia"] = {},
	["SunnArtPackCata"] = {},
	["SunnArtPackCelorn"] = {},
	["SunnArtPackDjidiouf"] = {},
	["SunnArtPackFire"] = {},
	["SunnArtPackHexakill"] = {},
	["SunnArtPackIzo"] = {},
	["SunnArtPackLegion"] = {},
	["SunnArtPackMoP"] = {},
	["SunnArtPackWoD"] = {},
	["SunnArtStarLord24x"] = {},
	["SunnArtWoD"] = {},
	["SunnArt_Launcher"] = {},
	["Sunrise_Sunset"] = {"SunriseSunsetDB"},
	["SuperDuperSoundPackEngine"] = {"SuperDuperSoundPackEngineAddonConfig"},
	["SuperEmotesAndSounds"] = {},
	["SuperGuildInvite"] = {"SGI_DATA","SGI_BACKUP"},
	["Superluminal"] = {"RUNS","GHOSTS"},
	["SuperStatusTrackingBar"] = {},
	["SuperUI"] = {},
	["SuppressRightClick"] = {},
	["Supt"] = {},
	["SuramarPortalHelper"] = {},
	["SuramarPortals"] = {"SRP"},
	["Surprise"] = {},
	["SurroundFix"] = {"sfixForceAspect","sfixXAspect","sfixYAspect"},
	["SurveyHider"] = {},
	["Sushi-3.1"] = {},
	["SushiSort"] = {"SUSHISORT"},
	["SuuBossMods"] = {"SuuBossModsDB"},
	["SvensBamAddon"] = {"SBM_outputDamageMessage","SBM_outputHealMessage","SBM_critList","SBM_outputChannelList","SBM_whisperList","SBM_eventList","SBM_color","SBM_threshold","SBM_onlyOnNewMaxCrits","SBM_soundfileDamage","SBM_soundfileHeal","SBM_MinimapSettings"},
	["SVUITheme_Simple"] = {},
	["SVUI_!Core"] = {"SVUI_Global","SVUI_Errors","SVUI_Filters","SVUI_Media","SVUI_Shared","SVUI_Private"},
	["SVUI_!Options"] = {},
	["SVUI_ActionBars"] = {},
	["SVUI_Auras"] = {},
	["SVUI_Chat"] = {"SVUI_Global_ChatCache","SVUI_Private_ChatCache"},
	["SVUI_CraftOMatic"] = {},
	["SVUI_FightOMatic"] = {"SVUI_Public_FightOMatic"},
	["SVUI_Inventory"] = {"SVUI_LootCache","SVUI_Private_LootCache"},
	["SVUI_Maps"] = {},
	["SVUI_NamePlates"] = {},
	["SVUI_QuestTracker"] = {},
	["SVUI_Skins"] = {"SVUIUI_STYLE_GLOBAL","SVUIUI_STYLE_PROFILE","SVUIUI_STYLE_PRIVATE"},
	["SVUI_Tooltip"] = {},
	["SVUI_UnitFrames"] = {},
	["SwagSwap"] = {"ssenable","ssname","ssname2"},
	["Swahiliwood"] = {"version","autograts_enabled","players","grats","nicks","CarrotDB","SortBagsRightToLeft","GARTCharacterSettings","GARTCoreVersion"},
	["SwapblasterLivesMatter"] = {},
	["SwapCheck"] = {"settings"},
	["Swarm"] = {"SwarmTargetListSwarmOptions"},
	["SWD"] = {"swdx","swdy","swdr","swdscale","uishow"},
	["SwearandTrade"] = {},
	["SweetWhispers"] = {"SweetWhispersX"},
	["SwitchBars"] = {},
	["Switchboard"] = {"Events"},
	["SwitchSpecs"] = {},
	["SwitchSwitch"] = {"SwitchSwitchTalents","SwitchSwitchConfig"},
	["SWRaidCD"] = {"SWRaidCDDB"},
	["SwynGuildPromoter"] = {"SGPData"},
	["SYH"] = {"SalvageYardHDB"},
	["SyLevel"] = {"SyLevelDB"},
	["Syllabus"] = {"SyllabusDB"},
	["Sympathy"] = {},
	["SyncFriends"] = {"SyncFriendsDB"},
	["SyracsRuneCheck"] = {},
	["SystemFilter"] = {"SystemFilterDB"},
	["TabardAddict"] = {"TabardAddictConfig_v2"},
	["TabardChampion"] = {"TabardChampion_Tabard","TabardChampion_TabardOut","TabardChampion_Chat"},
	["TabardMaster"] = {"tm_global","tm_player"},
	["TabardRep"] = {},
	["TabardTell"] = {"TT_options","TT_equippedTabbard"},
	["Tabbind"] = {},
	["TabFix"] = {},
	["TableExplorer"] = {"TableExplorerDB"},
	["TabTargetRedux"] = {},
	["tacticator"] = {"TacticatorSavings"},
	["TaddieUI"] = {},
	["Taiwanese Twitch Emotes"] = {},
	["Take_Ashran_Portal"] = {"Take_Ashran_Portal_SV"},
	["TakusMorphCatalog"] = {"TakusMorphCatalogDB"},
	["Tale"] = {"Tale_Options","Tale_CharBossKillDB","Tale_CharLevelTimes","Tale_LogData","Tale_VersionData"},
	["TalentActionBars"] = {"TalentActionBarsDB"},
	["TalentArt"] = {},
	["TalentAutoSwitch"] = {"TalentAutoSwitchDB"},
	["TalentChanger"] = {},
	["Talented"] = {"TalentedDB"},
	["Talented_Data"] = {"Talented_DataDB"},
	["Talentless"] = {"TalentlessDB"},
	["TalentMacros"] = {"TalentMacrosDB"},
	["TalentProfiles"] = {"TalentProfilesGlobalDB","TalentProfilesDB"},
	["TalentSaver"] = {"charTalents"},
	["TalentSequence"] = {"IsTalentSequenceExpanded","TalentSequenceTalents"},
	["TalentSetManager"] = {"TalentSetManager_Options","TalentSetManager_CharacterSaves","TalentSetManager_Saves"},
	["TalentSwitch"] = {"TalentSwitch_Settings","TalentSwitch_Builds"},
	["Talkative2"] = {},
	["TalkingHeadFrame_Settings"] = {"THF_DB"},
	["TalkLess"] = {"TalkLessData"},
	["TameTheBeastWithin"] = {"TameTheBeastWithinDB"},
	["TanaanGroupFinder"] = {"isActive"},
	["TanaanJungleStalker"] = {},
	["Tank-O-Meter"] = {"TankOMeter_Settings","TankOMeter_SYNCstatus","TankOMeter_once","TankOMeter","TankOMeter_CharSettings","TankOMeter_FrameStatus","TankOMeter_hlStatus","TankOMeter_FrameDragStatus","TankOMeter_BarToolTip","TankOMeter_BPstatus","TankOMeter_HHPstatus","TankOMeter_HMPstatus","TankOMeter_GHPstatus","TankOMeter_GMPstatus","TankOMeter_TALstatus","TankOMeter_HALstatus","TankOMeter_THPstatus","TankOMeter_Sound"},
	["TankAddon"] = {"TankAddonDB"},
	["TankadinReminder"] = {},
	["TankAssist"] = {},
	["TankBars"] = {"hideFrameBordersTankBars","fixedFramePositionTankBars","ressource0TankBars","ressource1TankBars","ressource2TankBars"},
	["TankBuff"] = {"fixedFramePositionTankBuff","hideFrameBordersTankBuff","iconSizeTankBuff","fontIconSizeTankBuff","automaticBuffCheckTankBuff","buffstring1TankBuff","buffstring2TankBuff","buffstring3TankBuff","buffstring4TankBuff","buffstring5TankBuff","buffstring6TankBuff","bufflistTankBuff"},
	["TankCastbar"] = {},
	["TankCDs"] = {"TankCDsOptions"},
	["TankDamageTaken"] = {"selectCalcTargetTankDamageTaken","selectPanelLockTankDamageTaken","sizeTankDamageTaken","fontSizeTankDamageTaken"},
	["TankDebuff"] = {"fixedFramePositionTankDebuff","hideFrameBordersTankDebuff","iconSizeTankDebuff","fontIconSizeTankDebuff","automaticDebuffCheckTankDebuff","debuffstring1TankDebuff","debuffstring2TankDebuff","debuffstring3TankDebuff","debuffstring4TankDebuff","debuffstring5TankDebuff","debuffstring6TankDebuff","debufflistTankDebuff"},
	["TankHelp"] = {"TankHelpConfig","DEBUFFS","DebuffDesc"},
	["TankMD"] = {},
	["TankPoints"] = {"TankPointsDB"},
	["Tankrage"] = {"TankrageDB"},
	["TanksEventsHelper"] = {},
	["TankUI"] = {},
	["Target"] = {"TargetText","TargetCheck1"},
	["TargetActionsButton"] = {},
	["targetassist"] = {"targetassistDb"},
	["TargetButtons"] = {"TB_Vars"},
	["TargetCharms"] = {"TargetCharms_OptionsGlobal","TargetCharms_Options"},
	["TargetCheck"] = {"tc_mode","tc_state","tc_act","tc_reportChannel","tc_version","MyMod_Settings"},
	["TargetClass"] = {},
	["TargetClassButton"] = {},
	["TargetClassIcon"] = {},
	["TargetHealth"] = {},
	["TargetHealthPercent"] = {"TargetHealthPercentConfig"},
	["TargetingIcons_Retail"] = {"namessymbolsnamesPosXnamesPosYsymbolsPosXsymbolsPosYsymbolsWidthsymbolsHeightnamesWidthnamesHeightsymbolsIsHorizmouseOverlockedskullChanges"},
	["TargetIt"] = {},
	["TargetofTargetTooltip"] = {},
	["TargetPercent"] = {},
	["TargetRole"] = {"hoogsSavedMacros"},
	["TargetShower"] = {"profile1","profile2","profile","proifleDef"},
	["Target_3D_Model_Viewer"] = {},
	["TaskManager"] = {"TaskManagerData"},
	["TasteTheNaimbow"] = {},
	["Taunterino"] = {},
	["TauntMaster2"] = {"TauntMaster2DB","TauntMaster2DBChar"},
	["TauntTattleRehashed"] = {"TTR_DBX"},
	["Taunt_Off"] = {},
	["TaxiList"] = {},
	["TaxiTimer"] = {"TaxiTimerDB"},
	["TBag"] = {"TBagCfg","TBagInfo","TBnkItm","TInvItm","TContItm","TBodyItm","TMailItm","TTknItm"},
	["tdBag2"] = {"TDDB_BAG2"},
	["tdBattlePetScript"] = {"TD_DB_BATTLEPETSCRIPT_GLOBAL","TD_DB_BATTLEPETSCRIPT_BATTLE_CACHE"},
	["tdBattlePetScript_Rematch"] = {},
	["tdFamilyFamiliar"] = {},
	["tdPack2"] = {"TDDB_PACK2"},
	["TeamBuildingExercise2014"] = {},
	["TeaTimers"] = {"TeaTimers_Globals","TeaTimers_CharSettings"},
	["Teds_Nameplate_Buff_Mover"] = {},
	["Teds_PVP_Spelltimers"] = {"Teds_PVP_Spelltimers_Save"},
	["TeeaPAB"] = {"TEEAPABDB"},
	["tekErr"] = {},
	["Telemancy"] = {},
	["Telepath"] = {"TelepathDB"},
	["Telepathy"] = {"TelepathyDB"},
	["TeleportCloak"] = {"TeleportCloakWarnings"},
	["Teleportie"] = {"Teleportie_DB"},
	["TellMeWhen"] = {"TellMeWhenDB","TellMeWhen_Settings"},
	["TellMeWhen_Options"] = {"TMWOptDB"},
	["TellTrack"] = {"TellTrackDB","TellTrackAceDB","TellTrackMessageDB"},
	["TemniUgolok"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["TempestLight"] = {},
	["Terminus"] = {"TerminusSV"},
	["Tetra"] = {"Tetra_Settings"},
	["TextureAtlasViewer"] = {"ATVDB"},
	["TextureBrowser"] = {"TextureBrowser_Config"},
	["TextureViewer"] = {},
	["TFTB"] = {"TFTB_NEWEMOTE"},
	["Thanker"] = {},
	["TheAddon"] = {},
	["TheBrohmanMultiaddon"] = {"OverallDead","Junk","GAch","Reloading","LoginMsg","CharacterDead","fishing","DeathMessages","RessMessage","GuildMessages","LevelMessage"},
	["TheBurningTrade"] = {},
	["TheClassicRace"] = {"TheClassicRace_DB"},
	["TheDuloChat"] = {"duloChatDB"},
	["TheGreatDatening"] = {"TGDOptions"},
	["TheGuide"] = {"TheGuideDB","TheGuideAceDB"},
	["TheMotherTongue"] = {"TMT_DisplayNPCsNames"},
	["Themp_Mob_Count"] = {"UnitKillCountTable","UnitTeamKillCountTable"},
	["TheSleeperHasAwakened"] = {"glob_garsnd"},
	["TheSyndicateGUI"] = {"TheSyndicateGUIDB"},
	["TheUndermineJournal"] = {"TUJTooltipsHidden"},
	["ThievesTools"] = {"TT_ap","TT_profiles"},
	["ThingsToDo2"] = {"ThingsToDo2_AccountData","ThingsToDo2_CharacterData"},
	["ThisScampiHappening"] = {"ScampiDB"},
	["ThogarAssist"] = {"ThogarAssistDB"},
	["ThogarHelper"] = {"ThogarHelperDB"},
	["ThokCooldowns"] = {"ThokCooldownsDB"},
	["ThomjaSell"] = {},
	["ThorRep"] = {},
	["ThousandJabs"] = {"ThousandJabsDB"},
	["ThousandJabs_Config"] = {},
	["Threatrack"] = {"ThreatrackSavedVars"},
	["ThreatWatch"] = {},
	["Threes"] = {"ThreesDB"},
	["Thunderfury"] = {"thunders","caps"},
	["ThxPostmaster"] = {},
	["Tickisms"] = {},
	["TicTacToe"] = {},
	["Tideguard"] = {"tgVar"},
	["TidyBags"] = {"tb_settings"},
	["TidyPlates"] = {"TidyPlatesOptions"},
	["TidyPlatesHub"] = {"TidyPlatesHubCache","TidyPlatesHubGlobal","TidyPlatesHubSettings"},
	["TidyPlatesWidgets"] = {},
	["TidyPlates_BlizzardPlates"] = {},
	["TidyPlates_ClassicPlates"] = {},
	["TidyPlates_Graphite"] = {},
	["TidyPlates_Grey"] = {},
	["TidyPlates_Neon"] = {},
	["TidyPlates_Quatre"] = {},
	["TidyPlates_Renaitre"] = {},
	["TidyPlates_Roth"] = {},
	["TidyPlates_Simple"] = {},
	["TidyPlates_Slim_Horizontal"] = {},
	["TidyPlates_Slim_Vertical"] = {},
	["TidyPlates_Threat"] = {"TidyPlatesThreatDB"},
	["TidyPlates_ThreatPlates"] = {"ThreatPlatesDB"},
	["TidyRecipeTooltip"] = {},
	["TidyThreat"] = {"TidyThreatOptions"},
	["TierTokenTooltip"] = {"TTTSettings"},
	["TierTooltip"] = {},
	["TillerTracker"] = {"TillerTrackerDB"},
	["TimAllen"] = {},
	["Timberino"] = {},
	["TimeInQueue"] = {},
	["TimelessAnswers"] = {},
	["TimelessLoot"] = {},
	["TimePerLevel"] = {"TimePerLevel_LevelCounts"},
	["TimerBars"] = {"TimerBars_Globals","TimerBars_Settings","TimerBars_CharSettings"},
	["Timers"] = {"TimersData"},
	["TimeStamp"] = {},
	["timetodeath"] = {"TTDDB","CoreTTDDB"},
	["tinyartifactinfo"] = {"artifact_level","artifact_mult","artifact_info","show_speed"},
	["TinyCasterStats"] = {"TinyCStatsDB","TinyCasterStatsDB"},
	["TinyDPS"] = {"tdps","tdpsPosition","tdpsFont","tdpsNumberOfFights","tdpsF","tdpsV","tdpsTextOffset","tdpsColorAlpha","tdpsVisibleBars","tdpsReportLength","tdpsVersion","tdpsPlayer","tdpsLink","tdpsPet","tdpsFight","tdpsPartySize","tdpsCombat","tdpsNewFight"},
	["TinyExtraBars"] = {"TinyExtraBars_Global","TinyExtraBars_PerChar"},
	["TinyExtraBars_MacroTextHelpers"] = {},
	["TinyFact"] = {},
	["tinyfrapsreminder"] = {},
	["TinyHunterStats"] = {"TinyHStatsDB","TinyHunterStatsDB"},
	["TinyInspect"] = {"TinyInspectDB"},
	["TinyMeleeStats"] = {"TinyMStatsDB","TinyMeleeStatsDB"},
	["TinyPad"] = {"TinyPadPages","TinyPadSettings"},
	["TinyTip"] = {"TinyTipDB"},
	["TinyTipBasic"] = {},
	["TinyTipPositioning"] = {},
	["TinyTipTargets"] = {},
	["TinyTooltip"] = {"BigTipDB","TinyTooltipCharacterDB"},
	["TinyXStats"] = {"TinyXStatsDB"},
	["Tip"] = {"TipDB"},
	["Tipex"] = {"TipexDB"},
	["TipTac"] = {"TipTac_Config"},
	["TipTacItemRef"] = {},
	["TipTacMSP"] = {"TipTacMSP_Config"},
	["TipTacOptions"] = {},
	["TipTacTalents"] = {},
	["TipuaEnhancementCheck"] = {"flaskSetting","runeSetting","foodSetting","autoSetting","outputSetting","logArray","logSetting"},
	["Titan"] = {"TitanAll","TitanSettings","TitanSkins","ServerTimeOffsets","ServerHourFormat"},
	["titan-classhall"] = {"TPClassHall"},
	["titan-simulationcraft"] = {},
	["TitanAchievementPoints"] = {},
	["TitanAlchemy"] = {},
	["TitanAP"] = {},
	["TitanApexisCrystals"] = {},
	["TitanArchaeology"] = {},
	["TitanArchaeologyFragments"] = {},
	["TitanArtifactPower"] = {"SavedIsHideNumbersEnabled"},
	["TitanAttributesMulti"] = {},
	["TitanBag"] = {},
	["Titanbeql"] = {},
	["TitanBlacksmithing"] = {},
	["TitanCamDist"] = {},
	["TitanChallengeModes"] = {},
	["TitanClan"] = {"TitanClan","TitanClanInit","TitanClanStaticArrays","TitanClanLocals","TitanClanDebug","TitanClanProfile","TitanClanGuild"},
	["TitanClassicGuild"] = {"TitanGuildVar"},
	["TitanClassicItemDed"] = {"TitanItemDedSettings","TPIDCache"},
	["TitanClassicReagentTracker"] = {},
	["TitanClassicRecZone"] = {},
	["TitanClassicReputation"] = {"TitanRep_Data"},
	["TitanClassicRestPlus"] = {"RestPlus_Data","RestPlus_Settings","RestPlus_Colors"},
	["TitanClock"] = {},
	["TitanConquestPoints"] = {},
	["TitanConquestWeekly"] = {},
	["TitanCooking"] = {},
	["TitanCurrenciesMulti"] = {},
	["TitanCurrency"] = {},
	["TitanCurrTrack"] = {"TitanCurrTrackData"},
	["TitanDefense"] = {"TitanDefense_options","TitanDefense_newSubzones","TitanDefense_unknowns"},
	["TitanDiggerest"] = {},
	["TitanElderCharms"] = {},
	["TitanEmote"] = {"EmoteArray","EmoteDebugOut"},
	["TitanEnchanting"] = {},
	["TitanEngineering"] = {},
	["TitanFarmBuddy"] = {"TitanFarmBuddyDB"},
	["TitanFarmFriend"] = {"TitanFarmFriendDB"},
	["TitanFirstAid"] = {},
	["TitanFishing"] = {},
	["TitanFishingSkillTracker"] = {},
	["TitanGarrisonResources"] = {},
	["TitanGathered2"] = {"tgPluginDb"},
	["TitanGearStatistics"] = {},
	["TitanGold"] = {"GoldSave"},
	["TitanGuild"] = {"TitanGuildVar"},
	["TitanHaste"] = {},
	["TitanHeartofAzeroth"] = {},
	["TitanHerbalism"] = {},
	["TitanHonor"] = {"honorgoal"},
	["TitanHonorPoints"] = {},
	["TitaniaMedia"] = {},
	["TitanInscription"] = {},
	["TitanIronpawToken"] = {},
	["TitanItemCount"] = {"TitanItemCountDB"},
	["TitanItemDed"] = {"TitanItemDedSettings","TPIDCache"},
	["TitanItemLevel"] = {},
	["TitanJewelcrafting"] = {},
	["TitanJusticePoints"] = {},
	["TitanLeatherworking"] = {},
	["TitanLesserCharms"] = {},
	["TitanLocation"] = {},
	["TitanLootType"] = {},
	["TitanMail"] = {"TITAN_MAIL_SETTINGS"},
	["TitanMastery"] = {},
	["TitanMC"] = {},
	["TitanMining"] = {},
	["TitanMoguRunes"] = {},
	["TitanMount"] = {"TitanMountGlobalFav1","TitanMountGlobalFavName1","TitanMountGlobalFav2","TitanMountGlobalFavName2","TitanMountFav3","TitanMountFavName3","TitanMountFav2","TitanMountFavName2","TitanMountFav1","TitanMountFavName1","MountNumberOver","MountFirstTime"},
	["TitanPals"] = {"TitanPals","TitanPalsInit","TitanPalsStaticArrays","TitanPalsLists","TitanPalsAlts","TitanPalsLocals","TitanPalsDebug","TitanPalsProfile"},
	["TitanPanelAncientMana"] = {},
	["TitanPanelCurrencies"] = {},
	["TitanPerformance"] = {},
	["TitanPoints"] = {},
	["TitanProfession"] = {},
	["TitanProfessionsMulti"] = {},
	["TitanProfLocalization"] = {},
	["TitanQuests"] = {},
	["TitanRC"] = {},
	["TitanRecap"] = {},
	["TitanRecZone"] = {},
	["TitanReloadUI"] = {},
	["TitanRepair"] = {},
	["TitanReputation"] = {"TitanRep_Data"},
	["TitanReputations"] = {},
	["TitanRestPlus"] = {"RestPlus_Data","RestPlus_Settings","RestPlus_Colors"},
	["TitanRP"] = {},
	["TitanSC"] = {},
	["TitanSealOfInevitableFate"] = {},
	["TitanSealOfTemperedFate"] = {},
	["TitanSimpleAchievementTracker"] = {},
	["TitanSkills"] = {},
	["TitanSkinning"] = {},
	["TitanSocial"] = {"TitanSocialVars"},
	["TitanSP"] = {},
	["TitanSpacer"] = {},
	["TitanSpec"] = {"TitanSpec_ShowHelm","TitanSpec_EquipmentSet","TitanSpec_CustomLabel","TitanSpec_ShowTalents","TitanSpec_ShowLongTalents","TitanSpec_TalentSet","TitanSpec_ShowSelectTalents"},
	["TitanSpeed"] = {},
	["TitanTailoring"] = {},
	["TitanTalents"] = {"TitanTalentsSaved","TitanTalentsCharSaved"},
	["TitanTimelessCoins"] = {},
	["TitanTrashCash"] = {"TitanTrashCashDB"},
	["TitanTreasury"] = {"TitanTreasury","TitanTreasuryInit","TitanTreasuryStaticArrays","TitanTreasuryLocals","TitanTreasuryDebug","TitanTreasuryProfile","TitanTreasuryCharacters"},
	["TitanValorPoints"] = {},
	["TitanVector"] = {},
	["TitanVolume"] = {},
	["TitanWakeningEssences"] = {},
	["TitanWarforgedSeals"] = {},
	["TitanWoDCurrency"] = {},
	["TitanWowToken"] = {},
	["TitanXP"] = {},
	["TKAAddon"] = {"VERSDC","VERSTar","menuset","VersHealthPoints","versminimapshow","verstoggleshow","Vers_Settings","DM","DM1","DM2","DM3","Skills2"},
	["TLDR"] = {"disableVerbose","disableAutoAccept","invertShift","disableTalkingHead","autoCloseLoot"},
	["TMW_Script_Tools"] = {},
	["TNSAddon"] = {"MainColor","SecondColor","DMTools","MMBConfig","CharacterSheet","Attack","Defense","Mental","Intellect","Healing","HP","MHP","MaxDamage","MinDamage"},
	["ToadSpellCasting"] = {},
	["Toast2Go"] = {},
	["Toaster"] = {"ToasterSettings"},
	["ToBeContinued"] = {},
	["TodoChecklister"] = {"TodoChecklisterDB","TodoChecklisterMapIcon","TodoChecklisterSettingsDB"},
	["Tofu"] = {"TSV"},
	["ToggleGuildPane"] = {},
	["ToggleMiniMap"] = {"ToggleMiniMapVars"},
	["ToggleMyName"] = {"ToggleMyNameDB"},
	["ToggleNames"] = {"ToggleNames"},
	["TogglePvP"] = {},
	["ToggleQuestTracker"] = {"ToggleQuestTrackerVars"},
	["ToggleTracking"] = {"ToggleTrackingDB"},
	["ToggleTreasures"] = {"ToggleTreasuresSettings"},
	["Token"] = {},
	["TokenChecker"] = {},
	["Tokenize"] = {},
	["TokenPrice"] = {"TokenPriceDB"},
	["TokenRewardHelper"] = {"TokenRewardHelperSettings"},
	["TokenSplainer"] = {},
	["TokenTips"] = {"TokenTipsDB"},
	["TokenTracker"] = {},
	["TokenWatch"] = {},
	["TolBaradReminder"] = {"TBReminderDB"},
	["TomCats"] = {"TomCats_Account","TomCats_Character"},
	["TomCats-ArathiHighlandsRares"] = {"TomCats_ArathiHighlandsRares_Character"},
	["TomCats-ChildrensWeek"] = {"TomCats_ChildrensWeek_Account","TomCats_ChildrensWeek_Character"},
	["TomCats-Complete"] = {},
	["TomCats-HallowsEnd"] = {"TomCats_HallowsEnd_Character"},
	["TomCats-Hivemind"] = {"TomCats_Hivemind_Character"},
	["TomCats-LoveIsInTheAir"] = {"TomCats_LoveIsInTheAir_Account","TomCats_LoveIsInTheAir_Character"},
	["TomCats-LunarFestival"] = {"TomCats_LunarFestival_Character"},
	["TomCats-Noblegarden"] = {"TomCats_Noblegarden_Account","TomCats_Noblegarden_Character"},
	["TomCats-PvP"] = {"TomCats_PvP_Account","TomCats_PvP_Character"},
	["TomCats-WarfrontsCommandCenter"] = {"TomCats_WarfrontsCommandCenter_Character"},
	["TomeOfIllusionsCheck"] = {},
	["TomeOfTeleportation"] = {"TomeOfTele_OptionsGlobal","TomeOfTele_Icon","TomeOfTele_Options","TomeOfTele_ShareOptions"},
	["TomPoints"] = {},
	["TomTom"] = {"TomTomDB","TomTomWaypoints","TomTomWaypointsM"},
	["TomTomPing"] = {"TomTomPing_DB"},
	["TomTomTargetArrow"] = {},
	["tomYeller"] = {"tomYellerDB"},
	["Tongues"] = {"Tongues_Global","Tongues_Character"},
	["ToolBuster"] = {"TB_Options"},
	["TooltipFlags"] = {},
	["TooltipItemCount"] = {"TIC_DB"},
	["TooltipItemIcon"] = {"TooltipItemIcon_Saved"},
	["TooltipItemLevel"] = {},
	["TooltipNotes"] = {"TN_DatabaseTN_ShowFrameOnClickTN_ShowPrintOnClick"},
	["TooltipRealmInfo"] = {"TooltipRealmInfoDB"},
	["TooltipSpec"] = {"TTS_Settings"},
	["ToolTipTabs"] = {"ToolTipTabsDB"},
	["Tooltip_LuaTexts"] = {"ToolTipLuaTextDB"},
	["Tooltip_LuaTexts_DogTag"] = {},
	["toomanyaddons"] = {"TMAsettings","TMAdebug","TMAprofiles","TMAlastgloballoaded"},
	["toon_status"] = {"ToonStatusToonStatusActivePlayers"},
	["Toot"] = {},
	["TopFit"] = {"TopFitDB"},
	["Torpedo"] = {"TorpedoDB_2"},
	["TortollanQuest"] = {},
	["TotalAP"] = {"TotalArtifactPowerSettings","TotalArtifactPowerCache"},
	["TotalGoldEarned"] = {"TotalGoldEarnedDB"},
	["TotalQuestXP"] = {"TotalQuestXP_Options"},
	["totalRP3"] = {"TRP3_Profiles","TRP3_Characters","TRP3_Configuration","TRP3_Flyway","TRP3_Presets","TRP3_Companions","TRP3_MatureFilter","TRP3_StashedData","TRP3_Colors","TRP3_Notes"},
	["totalRP3_Data"] = {"TRP3_Register"},
	["totalRP3_Extended"] = {"TRP3_Tools_DB","TRP3_Exchange_DB","TRP3_Security","TRP3_Drop","TRP3_Stashes","TRP3_Extended_Flyway"},
	["totalRP3_Extended_ImpExport"] = {"TRP3_Extended_ImpExport"},
	["totalRP3_Extended_Tools"] = {"TRP3_Tools_Parameters","TRP3_Tools_Flags"},
	["totalRP3_KuiNameplates"] = {},
	["TotalSilence"] = {},
	["TotemStatus"] = {"TS_Settings"},
	["TotemTimers"] = {"TotemTimers_GlobalSettings","TotemTimers_Profiles"},
	["TouchOfMadness"] = {},
	["TouchysMedia"] = {},
	["Touhin"] = {"TouhinDB"},
	["TourettesGuy"] = {},
	["TownsfolkTracker"] = {"TownsfolkTrackerDB","tfTrackingList"},
	["Toxic"] = {"ToxicDB"},
	["ToxynasIInterruptedThat"] = {"ToxynasIInterruptedThat_Options"},
	["ToyBoxEnhanced"] = {"ToyBoxEnhancedSettings"},
	["ToyBoxQ"] = {"ToyBoxQDB"},
	["ToyPlus"] = {"ToyPlusDB"},
	["Tp_Suramar"] = {},
	["Tracer"] = {"TracerDB"},
	["TrackCooldowns"] = {"TC_DB"},
	["Tracker"] = {"TrackerDB"},
	["TrackHarmony"] = {"trackharmonycolor"},
	["TrackingCycler"] = {"TrackingCycler"},
	["TrackingEye"] = {"TrackingEyeDB"},
	["TrackIt-Quest"] = {},
	["TrackOMatic"] = {"TRACKOMATIC_VARS"},
	["TrackOMatic_BagSpace"] = {},
	["TrackOMatic_HeartOfAzeroth"] = {},
	["TrackResources"] = {"TrackResourcesCfg","TrackResourcesCfgChar"},
	["TrackSales"] = {"TrackSalesDB"},
	["Trackster"] = {"Trackster_jumpCounter","Trackster_critCounter","Trackster_castCounter","Trackster_loginCounter","Trackster_bossCounter","Trackster_chatCounter","Trackster_itemCounter"},
	["Track_CallToArms"] = {"Track_CallToArms"},
	["TradeChatCleaner"] = {"ChatCleanerBlacklist","ChatCleanerWhitelist"},
	["TradeCycle"] = {"TRADECYCLE_Default"},
	["TradeFilter3"] = {"TradeFilter3DB"},
	["TradeForRCLC"] = {},
	["TradeForwarder"] = {"TFW_CHAT_LIST","TFW_knownMaxVersion","TFW_SHOW","TFW_AUTO","TFW_INCOMING_MIN"},
	["TradeLog"] = {"TradeLog_TradesHistory","TradeLog_Announce_Checked","TradeLog_AnnounceChannel"},
	["TradeShout"] = {"TradeShoutOptions"},
	["TradeSkillDW"] = {"TradeSkillDW_Settings","TradeSkillDW_QueueSettings"},
	["TradeskillHD"] = {},
	["TradeSkillInfo"] = {"TradeSkillInfoDB"},
	["TradeSkillInfoUI"] = {},
	["TradeSkillMaster"] = {"TradeSkillMasterDB","TSMItemInfoDB"},
	["TradeSkillMaster_Accounting"] = {"TradeSkillMaster_AccountingDB"},
	["TradeSkillMaster_Additions"] = {"TradeSkillMaster_AdditionsDB"},
	["TradeSkillMaster_AppHelper"] = {"TradeSkillMaster_AppHelperDB"},
	["TradeSkillMaster_AuctionDB"] = {"TradeSkillMaster_AuctionDBDB"},
	["TradeSkillMaster_Auctioning"] = {"TradeSkillMaster_AuctioningDB"},
	["TradeSkillMaster_CompetitorTracker"] = {"TradeSkillMaster_CompetitorTrackerDB"},
	["TradeSkillMaster_CoolDowns"] = {"TradeSkillMaster_CoolDownsDB"},
	["TradeSkillMaster_Crafting"] = {"TradeSkillMaster_CraftingDB"},
	["TradeSkillMaster_Destroying"] = {"TradeSkillMaster_DestroyingDB"},
	["TradeSkillMaster_GuildSorter"] = {"TradeSkillMaster_GuildSorterDB"},
	["TradeSkillMaster_Mailing"] = {"TradeSkillMaster_MailingDB"},
	["TradeSkillMaster_PriceChecker"] = {"TradeSkillMaster_PriceCheckerDB"},
	["TradeSkillMaster_PriceReply"] = {"TradeSkillMaster_PriceReplyDB"},
	["TradeSkillMaster_Shopping"] = {"TradeSkillMaster_ShoppingDB"},
	["TradeSkillMaster_TDAutoVendoring"] = {},
	["TradeSkillMaster_Vendor"] = {"TradeSkillMaster_VendorDB"},
	["TradeSkillMaster_Vendoring"] = {"TradeSkillMaster_VendoringDB"},
	["TradeSkillMaster_Warehousing"] = {"TradeSkillMaster_WarehousingDB"},
	["TradeSkillMaster_WoWuction"] = {},
	["TradeSkillMaster_Zotwee"] = {"TradeSkillMaster_ZotweeDB"},
	["TradeSkillPrice"] = {"TradeSkillPriceDB"},
	["TradeSkillRecipeIDShower"] = {},
	["TradeSkillsReadEasier"] = {"TradeSkillsReadEasier"},
	["TradeskillSwitcher"] = {},
	["TradeskillTimer"] = {"TradeskillTimer"},
	["TradeSkillTracker"] = {"TradeSkillTrackerDB"},
	["TradeSkillUIImproved"] = {"TradeSkillUIImprovedDB"},
	["TradeStone"] = {"TS_stoneSwap","TS_groupCount"},
	["TradingPostOptimiser"] = {"TPO_dotdSource","TPO_longTermSource","TPO_ahcut","TPO_restock","TPO_autobuy"},
	["Train-All"] = {},
	["TrainAll"] = {},
	["Trainer"] = {"TrainerDB"},
	["TrainingGrounds"] = {"TRAININGGROUNDS_SAVEDATA"},
	["TrainingGrounds_GetSpheres"] = {"TRAININGGROUNDS_UNLOCKRACE35_SAVEDATA"},
	["TranqShotMonitor"] = {"TSM_DB"},
	["Tranquilize"] = {"Tranquilize"},
	["Transcendence"] = {"TranscendenceDB"},
	["Transcendence_Options"] = {},
	["Transcriptor"] = {"TranscriptIgnore","TranscriptDB"},
	["Transformer"] = {"Transformer_Settings"},
	["Translator"] = {},
	["Translit"] = {"TranslitSaved"},
	["TransmogAway"] = {},
	["TransmogCleanup"] = {"TransmogCleanupDB"},
	["TransmogCraftsman"] = {},
	["TransmogExpander"] = {},
	["TransmogNotification"] = {},
	["TransmogOutfits"] = {"transmogOutfitOutfits","transmogOutfitX","transmogOutfitY","transmogOutfitWidth","transmogOutfitHeight"},
	["TransmogRoulette"] = {},
	["TransmogSetProgress"] = {"TSPDB"},
	["TransmogSets"] = {"TransmogSetsDB_Character"},
	["TransmogStats"] = {},
	["TransmogTokens"] = {},
	["TransmogWishList"] = {"TWLDB"},
	["TransmorpherSTFU"] = {},
	["TransparentChatBubbles"] = {},
	["TrappersSense"] = {"TrappersSenseSV"},
	["TrashForSure"] = {},
	["TrashTalk"] = {"TrashTalkPresets","TrashTalkOptions"},
	["TravelAgent"] = {"TravelAgentDB"},
	["TreasuresOfDraenor"] = {"TreasuresOfDraenorDB"},
	["TreasuresOfWoW"] = {"TreasuresOfWoWDB"},
	["treasuretaxi"] = {"TaxiOptions"},
	["TremorWatch"] = {"TremorWatchSettings"},
	["TrialHelper"] = {},
	["tribloot"] = {"TLDB"},
	["TricksForMiki"] = {},
	["TricksOfTheTrader"] = {"TricksOfTheTraderDB"},
	["TrilliaxScrubber"] = {"TrilliaxScrubberDB"},
	["TrinketMenu"] = {"TrinketMenuOptions","TrinketMenuPerOptions","TrinketMenuQueue"},
	["Triple-B's Shift Lock"] = {},
	["Trite"] = {"tritegryphons"},
	["TriviaBot"] = {"TriviaBot_Config","TriviaBot_Scores"},
	["TriviaBot_LoreWalkersOfSilvermoon"] = {},
	["TrollTheBones"] = {"TTBDB"},
	["TRON"] = {},
	["TRP3CurrentlyFrame"] = {"TRP3CurrentlyFrameSaved"},
	["TRP3LocationToggle"] = {},
	["tRP3_RDotIO"] = {"tRP3RIOX"},
	["TrueChatFrameHistory"] = {"TCFH_SV","TCFH_DB"},
	["trueitemlevel"] = {},
	["TrufiGCD"] = {"TrufiGCDGlSave","TrufiGCDChSave"},
	["tRunes"] = {},
	["TruthInLFGing"] = {},
	["tsm_auctioningscansummary"] = {},
	["TSM_StringConverter"] = {},
	["TTell"] = {},
	["TTHide"] = {"TTHideEnabled"},
	["Tukui"] = {"TukuiData","TukuiDataPerChar"},
	["TukUI_Armory"] = {},
	["Tukui_Config"] = {"TukuiConfigShared","TukuiConfigPerAccount","TukuiConfigNotShared"},
	["tullaCC"] = {"tullaCCDB"},
	["tullaRange"] = {"TULLARANGE_COLORS"},
	["tullaRange_Config"] = {},
	["TurnIn"] = {"TI_status","TI_NPCDB","TI_NPCIndex"},
	["Turninator"] = {"TurninatorDB"},
	["TurnInEverything"] = {"TurnInEverythingDB"},
	["TurnTheHeadOff"] = {"TurnTheHeadOffData"},
	["TutorialBuster"] = {"TutorialBusterOptions"},
	["Tweaks n Stuff"] = {"TNSData","TNSDataChar"},
	["Twilight"] = {},
	["TwintopInsanityBar"] = {"TwintopInsanityBarSettings"},
	["TwitchEmotes"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["TwitchEmotesAcuity"] = {},
	["TwitchEmotesCommunitiesFix"] = {},
	["TwoButtonCamera"] = {},
	["Twoll"] = {"TwollBoolActive"},
	["Tyllus' HideCastBar"] = {"TyllusHideCastBar"},
	["Tyllus' QuestComplete"] = {},
	["TyrannicalQuotes"] = {},
	["tyrolMod"] = {"tyrolmute"},
	["TzExpBarAutoUpdate"] = {},
	["TzExplorer"] = {"TzExplorerOptions"},
	["TzRares"] = {"TzRaresOptions"},
	["TzTanaanBonus"] = {"TzTanaanBonusOptions"},
	["Uber UI"] = {"UberuiDB"},
	["UberInventory"] = {"UBI_Data","UBI_Minimap","UBI_Global_Options"},
	["UgghyLoot2"] = {"UL_DB"},
	["UIGTwitchEmotes"] = {},
	["UltimateDemonHunterImmersion"] = {},
	["Ultimate_FX_RLD"] = {},
	["UltraSquirt"] = {},
	["UmberRunes"] = {"umb_x","umb_y","umb_data","umb_combat","umb_soulreaper","umb_timers"},
	["UnclaimedChest"] = {"UnclaimedChestGlobal"},
	["UncrownedInsignia"] = {},
	["UnderbellyBuddy"] = {"UnderbellyBuddyDB"},
	["UndressButton"] = {},
	["Unfit-1.0"] = {},
	["UnifiedTankFrames"] = {"UnifiedTankFrames_Config"},
	["UniTarget"] = {"UniTargetSaved"},
	["UnitedWeSpam"] = {"UWSOn","UWSTimer"},
	["UnitFramesImproved"] = {"globalSettings","characterSettings"},
	["UnitFramesPlus"] = {"UnitFramesPlusDB","UnitFramesPlusVar"},
	["UnitFramesPlus_Options"] = {},
	["UnitInCombat"] = {},
	["UnitPrice"] = {"UnitPriceShowBid","UnitPriceShowBuyout"},
	["unitscan"] = {"unitscan_targets"},
	["UnleashedWrath"] = {"UWConfig"},
	["UnlimitedChatMessage"] = {"UCM_DB"},
	["UnluckyTwitchEmotes"] = {},
	["Unmuter"] = {},
	["UnrealTargets"] = {"unrealtargetssettings"},
	["UnregisterGlobalMouse"] = {},
	["UnsheathMove"] = {"UNSHEATHMOVE_DEFAULT","UNSHEATHMOVE_SESSION","UNSHEATHMOVE_SWIMMING","UNSHEATHMOVE_STAYSHEATHED","UNSHEATHMOVE_TIMER","UNSHEATHMOVE_TIMERVALUE"},
	["UnstuckWindowedFromTop"] = {},
	["UnusedEssenceSlotGTFO"] = {},
	["UpdateEquipmentSet"] = {"UES_Options","UpdateEquipmentSetLDBIconDB"},
	["UpgradeList"] = {"UpgradeListDB"},
	["upne"] = {"upneDB"},
	["UpRank"] = {"UpRankDB","UpRankDBChar","UpRankSettings","UpRankBarCache"},
	["UrbanAchiever"] = {"UASV","UASVPC"},
	["URNotePad"] = {"URNotePadDB"},
	["UrzUI"] = {"UrzVariables"},
	["UsedInRecipe"] = {"uirItemDB","uirReciDB","uirTradDB"},
	["UseOldTabTarget"] = {},
	["UTF8"] = {},
	["v6.0.8"] = {"rMountGVars","debug","removeMount","notWanted","locationChk","rndTitle","safeFly","macroIcon","zones"},
	["ValhallaGuildTools"] = {"VGT_OPTIONS","VGT_PROFESSIONS","VGT_EPDB2","VGT_DB_TIMESTAMP"},
	["Valor"] = {"Valor_Settings"},
	["ValorMount"] = {"ValorMountGlobal","ValorMountLocal"},
	["ValorWorgen"] = {},
	["VanasKoS"] = {"VanasKoSDB","VanasKoSDBPC"},
	["VanguardRaidRecorder"] = {"VanguardSettings","VanguardRaids","VanguardGuild","VanguardWindows","VanguardLoot","VanguardPoints"},
	["VantusRuneChecker"] = {},
	["VarenneBfAQuests"] = {"VarenneBfAQuests_Settings"},
	["VaselineTwinker"] = {"VaselineTwinker_SavedData"},
	["vcLootPriority"] = {},
	["vCore"] = {"vCoreDB"},
	["Vectis-Marking"] = {},
	["VelhariHelper"] = {},
	["Velhari_Health_Fix"] = {},
	["Vellum"] = {},
	["VellumWithdrawer"] = {"VellumWithdrawerDB","VellumWithdrawerCharDB"},
	["VEM-Sound-esES"] = {},
	["Vendetta"] = {"VendettaSettings"},
	["vendie"] = {},
	["Vendomatic"] = {"VendomaticOptions"},
	["Vendor"] = {"Vendor_CustomRuleDefinitions","Vendor_Settings","Vendor_RulesConfig","Vendor_SettingsPerCharacter"},
	["VendorBuy"] = {"venbuysettings"},
	["VendorCostAutorepair"] = {},
	["VendorPrice"] = {},
	["VendorReward"] = {},
	["VendorStackFix"] = {},
	["VendorTrash"] = {},
	["Vendor_Ark"] = {},
	["Vendor_Pawn"] = {},
	["Vendor_RulePack"] = {},
	["Veneer"] = {"VeneerData"},
	["Venge"] = {},
	["Vernacular"] = {},
	["VERSAddon"] = {"VERSDC","VERSTar","menuset","VERSSKILL1","VERSSK1","skill1k","skill1h","VERSSKILL2","VERSSK2","skill2k","skill2h","VERSSKILL3","VERSSK3","skill3k","skill3h","VERSSKILL4","VERSSK4","skill4k","skill4h","VERSSKILL5","VERSSK5","skill5k","skill5h","VERSSKILL6","VERSSK6","skill6k","skill6h","VERSSKILL7","VERSSK7","skill7k","skill7h","VERSSKILL8","VERSSK8","skill8k","skill8h","VERSSKILL9","VERSSK9","skill9k","skill9h","VERSSKILL10","VERSSK10","skill10k","skill10h","VERSstr","VERSagi","VERSsta","VERSint","VERSspi","VersHealthPoints","VersMaxHealthPoints","VersRainbow","VERSpetstr","VERSpetagi","VERSpetsta","VERSpetint","VERSpetspi","AttribPetActMsg","VERSPetTar","VERSPetDC","petk","versminimapshow","verstoggleshow","Vers_Settings","Vers_DM1","Vers_DM2","Vers_DM3","d20tbl","Skills2","VEMembers"},
	["vexalarm"] = {"vexalarm_SV_profileData","vexalarm_SV_defaultData","vexalarm_SV_data"},
	["vexbindings"] = {"vexbindings_list","vexbindings_config"},
	["vexinterrupt"] = {"vexinterrupt_data"},
	["vexminimapiconfix"] = {},
	["vexpower"] = {"vexpower_SV_profiles","vexpower_SV_markers","vexpower_SV_textfields","vexpower_SV_globalData","vexpower_SV_colorsets","vexpower_SV_data"},
	["vexrunes"] = {"vexrunes_parameters"},
	["VFM"] = {"vfmdb"},
	["vGambler"] = {"vGambler","vGamblerBanList"},
	["vHideScreenCaptured"] = {},
	["VignetteAnnouncer"] = {},
	["VikingGraveyards"] = {},
	["VikingHud"] = {"VikingHudDB"},
	["VikingRaidNotes"] = {"VikingRaidNotesDB"},
	["VikingSharedLib"] = {},
	["VikingSpy"] = {"VikingSpyDB"},
	["ViksUI"] = {"SavedOptions","SavedStats","SavedAddonProfiles","SavedBindings","SavedCurrency","SavedOptionsPerChar","StuffingDB","SavedPositions"},
	["Viks_ConfigUI"] = {"ViksUIOptionsGlobal","ViksUIOptions","ViksUIOptionsPerChar"},
	["VilinkasInsanity"] = {"VilinkasInsanityDB"},
	["VilinkasInsanityOptions"] = {"VilinkasInsanityOptionsDB"},
	["ViolatrixChastiseTimer"] = {},
	["ViragDevTool"] = {"ViragDevTool_Settings"},
	["Virtualpiano"] = {"VP_Settings","VP_Keybinds"},
	["VisiHUD"] = {"VisiHUDConfig","VisiHUDUnitConfig","VisiHUDAuraSets","VisiHUDAuraConfig"},
	["VisiHUD_Options"] = {},
	["VisualHeal"] = {"VisualHealDB"},
	["VitaPlanner"] = {"VitaP_DB"},
	["VitaPlanner_Leader"] = {"VitaPL_DB"},
	["VitoFP"] = {},
	["VitoFP_Load"] = {},
	["VKP"] = {"VKPData"},
	["VludsChatMods"] = {"VcmPrefix"},
	["VludsItemLevelMod"] = {"VilmPrefix"},
	["VludsMapScroll"] = {"VmsAdjust"},
	["VludsTargetSexMod"] = {"VtsmPrefix","VtsmGender"},
	["VludsTargetTarget"] = {"VttPrefix"},
	["VludsTillerGifts"] = {"VtgPrefix","VtgPrefixIngredient","VtgPrefixNPC"},
	["vMaxScreenshotQuality"] = {},
	["vMemorableMoments"] = {},
	["VocalRaidAssistant"] = {"VocalRaidAssistantDB"},
	["VoiceCoolDown"] = {"VoiceCoolDownDB"},
	["VoiceHelper"] = {"VoiceHelper"},
	["VoiceServerPrint"] = {"VoiceServerPrintDB"},
	["VoIPAnnouncer"] = {"VoIPsave"},
	["Volumetric"] = {"VolumetricDB"},
	["Volumizer"] = {"VolumizerPresets"},
	["Vortex"] = {"VortexDB"},
	["VortexChat"] = {"VortexChatDB"},
	["Vortex_Currencies"] = {"Vortex_CurrenciesDB"},
	["vStayFocused"] = {"vStayFocusedDB"},
	["VuhDo"] = {"VUHDO_DEFAULT_LAYOUT","VUHDO_DEFAULT_PROFILE","VUHDO_PROFILES","VUHDO_MANUAL_ROLES","VUHDO_SPELL_LAYOUTS","VUHDO_USER_CLASS_COLORS","VUHDO_DEBUFF_BLACKLIST","VUHDO_BOUQUETS","VUHDO_COMBAT_LOG_TRACE","VUHDO_GLOBAL_CONFIG","VUHDO_DEBUG","VUHDO_CONFIG","VUHDO_PANEL_SETUP","VUHDO_SPELL_ASSIGNMENTS","VUHDO_HOSTILE_SPELL_ASSIGNMENTS","VUHDO_MM_SETTINGS","VUHDO_PLAYER_TARGETS","VUHDO_MAINTANK_NAMES","VUHDO_BUFF_SETTINGS","VUHDO_POWER_TYPE_COLORS","VUHDO_SPELLS_KEYBOARD","VUHDO_SPELL_CONFIG","VUHDO_BUFF_ORDER","VUHDO_SPEC_LAYOUTS","VUHDO_GROUP_SIZE","VUHDO_RAID","VUHDO_INDICATOR_CONFIG"},
	["VuhDoOptions"] = {"VUHDO_OPTIONS_SETTINGS","VUHDO_GLOBAL_ICONS","VUHDO_GI_SCAN_IDX"},
	["vUI"] = {"vUIProfileData","vUIProfiles","vUIData","vUIMove","vUIGold"},
	["vUI_MemoryDataText"] = {},
	["WagonDetector"] = {"WD_DB","WD_DB_Char"},
	["WaitSoundpack"] = {},
	["WakeningEssenceTracker"] = {"WET_DB"},
	["wanderersgambling"] = {"WanderersGambling"},
	["Wanderlust Key Roller"] = {},
	["WanMark"] = {"WanMarkDB","WanMarkDBPC"},
	["WannaSay"] = {"WannaSay_What"},
	["WanWan"] = {"WanWan_Save"},
	["war"] = {},
	["War Mode Tracker"] = {"lastWarKills","warKills","highestWarKills","warTextR","warTextB","warTextG","pvpWarRank","warShowStates","warFrameTransparency","warFrameR","warFrameG","warFrameB","showWarTrackWarningNotification","playWarTrackWarningNotification","warHidePvPState","warHideCombatState","killingBlowResetZone","killingBlowResetDeath","killingBlowResetLoad","totalWarKillingBlows","killingBlowState","cacheTrackerState","warcacheParty","warcacheGeneral","wmtFrameScale"},
	["WarCampaignsComplete"] = {"WARCAMPAIGNSCOMPLETE_SAVEDVARIABLES"},
	["WarCard"] = {},
	["Wardrobe"] = {"WardrobeDb"},
	["WardrobeAchiever"] = {"WardrobeAchieverDB"},
	["WardrobeSort"] = {"WardrobeSortDB"},
	["WardrobeSortData"] = {},
	["WardrobeTracker"] = {},
	["WarfrontStatus"] = {"WarfrontStatusDB"},
	["WarGameHelper"] = {"WarGameHelperDB"},
	["WaritkoCashFlowMonitor"] = {"WaritkoCashFlowMonitor","WaritkoCashFlowMonitor_options","WCFM_Stats","MainFramePos"},
	["Warlockbox"] = {"WARLOCKBOX_SETTINGS"},
	["WarlockHealthstoneTracker"] = {"WarlockHealthstoneTrackerDB","WarlockHealthstoneTrackerCache"},
	["WarlockHealthstoneTracker_BlizzUI"] = {"WarlockHealthstoneTracker_BlizzUIDB"},
	["WarlockReminder"] = {"WarlockReminderDB"},
	["warmodeprint"] = {},
	["WarnMeAboutPvP"] = {},
	["WarPlan"] = {"WarPlanData","WarPlanDataPC"},
	["WarriorTankingTools"] = {"WTTDB"},
	["WarSouls"] = {"WarSouls"},
	["WArtifactPowerList"] = {},
	["WArtifactRelicList"] = {},
	["Wasabi"] = {},
	["Watch"] = {"SavedWatchers","SavedWatchersPos"},
	["Watcher"] = {"WatcherDB"},
	["WatchIt"] = {},
	["Watchtower"] = {"watchtowerState","SchematicsDB"},
	["WatchXP"] = {"WXP_Settings"},
	["WaterDispenser"] = {"WaterDispenserDB"},
	["Watto"] = {"Watto_Options","Watto_ItemList","Watto_TempSell"},
	["wBroker"] = {"MoneyDB","SB_MEM_KILL"},
	["wBuffs"] = {},
	["WCCCAddOn"] = {"WCCCDB"},
	["wChat"] = {},
	["WeakAuras"] = {"WeakAurasSaved"},
	["WeakAurasArchive"] = {"WeakAurasArchive"},
	["WeakAurasModelPaths"] = {},
	["WeakAurasOptions"] = {"WeakAurasOptionsSaved"},
	["WeakAurasStopMotion"] = {},
	["WeakAurasTemplates"] = {},
	["WeakAurasVoice"] = {},
	["WeakAuras_Smexys_Imports"] = {},
	["WeaponSwingTimer"] = {"character_core_settings","character_player_settings","character_target_settings","character_hunter_settings"},
	["WebDKP"] = {"WebDKP_Log","WebDKP_DkpTable","WebDKP_Tables","WebDKP_Loot","WebDKP_Alts","WebDKP_WebOptions","WebDKP_Options","WebDKP_Synch_Users","WebDKP_Ignored_Items","WebDKP_RaidInfo","WebDKP_CharRaidInfo"},
	["WeDontWipe"] = {"WeDontWipeDB"},
	["WeDontWipe-ArcaneMage"] = {"WDW_ArcaneMageDB"},
	["WeDontWipe-Enhancement"] = {"WDW_EnhancementDB"},
	["WeDontWipe-FireMage"] = {"WDW_FireMageDB"},
	["WeDontWipe-FrostMage"] = {"WDW_FrostMageDB"},
	["WeDontWipe-Havoc"] = {"WDW_HavocDB"},
	["WeDontWipe-WindwalkerMonk"] = {"WDW_WindwalkerMonkDB"},
	["WeekKeys"] = {"WeekKeysDB"},
	["Weekly"] = {},
	["WeeklyWorldBosses"] = {},
	["weizPVP"] = {"_weizpvp_globaldb","_weizpvp_chardb","_weizpvp_addon"},
	["Wepair"] = {"Wepair_Profiles"},
	["WeReady"] = {},
	["West"] = {},
	["wgrasp"] = {},
	["Whammy"] = {"W_Options"},
	["WhammyAutoAttack"] = {},
	["WhatADrop"] = {},
	["Whatchasay"] = {},
	["Whatcha_Say_Death_Sound"] = {},
	["WhatDidIDispel2"] = {"WhatDidIDispelDB"},
	["WhatJustProcced"] = {},
	["WhatsNext"] = {"WhatsNextDB"},
	["WhatsTraining"] = {},
	["WHeirloomList"] = {"W_LOC_HUN"},
	["Whelp"] = {"WhelpDB"},
	["WhenLevel"] = {"WhenLevelDatabase","WhenLevelData"},
	["WhereDoWeGoNow"] = {"WhereDoWeGoNowDB"},
	["WhereToGather"] = {},
	["WhereToGo"] = {},
	["Wherezit"] = {},
	["WhichBossesAreLeft"] = {"WhichBossesAreLeftDB"},
	["WhichRankDoesWhat"] = {"wrdwDB"},
	["Whipped"] = {"WhippedDB"},
	["Whisp"] = {"WhispDB"},
	["WhisperAction"] = {"WAConfig"},
	["WhisperCache"] = {"Whispers"},
	["WhisperInvite"] = {"WhisperInviteCoreDB"},
	["WhisperInviteAdvanced"] = {},
	["WhisperInviteBasic"] = {"WhisperInviteBasicDB"},
	["WhisperN00bMSBT"] = {},
	["WhisperPop"] = {"WhisperPopDB"},
	["WhisperQ"] = {"WhisperQDB"},
	["WhispersInThe90s"] = {"savedBuffs"},
	["WhispersOfHorror"] = {},
	["WhisperWhisper_Lite"] = {"WhisperWhisper_Lite_DB"},
	["WhispList"] = {"WLI_SAVED","WLI_SAVEDPERCHAR"},
	["WhistledAway"] = {},
	["WhistleMaster"] = {},
	["whoaThickFrames"] = {"cfg"},
	["whoaThickFrames_Classic"] = {"cfg"},
	["whoaUnitFrames"] = {"cfg"},
	["whoaUnitFrames_Classic"] = {"cfg"},
	["WhoCast"] = {},
	["WhoChallengedMe"] = {},
	["WhoHas"] = {"WhoHasConfigWhoHasData"},
	["WhoHasWhat"] = {"GuildData"},
	["WhoKnows"] = {"WhoKnows_Data"},
	["Wholly"] = {"WhollyDatabase"},
	["WhoLusted"] = {"WhoLusted","WhoLustedSay"},
	["WhoPulled"] = {"WhoPulled_Settings","WhoPulled_RageList","WhoPulled_Ignored","WhoPulled_Ignore"},
	["WhoSwapped"] = {"WhoSwapped","WhoSwappedChatSay"},
	["WhoTaunted"] = {"WhoTauntedDB"},
	["WhoTip"] = {"WhoTipDB"},
	["WhoTracker"] = {"whoTrackerSaved"},
	["WhoUsedABrez"] = {"WBR","WBRSay"},
	["WhoWhispers"] = {},
	["Who_TF_RU"] = {"WTF_State","WTF_Notes","WTF_FNotes","WTF_GNotes"},
	["WhyAreYouRunningv0_2"] = {},
	["Wide Target"] = {},
	["WideQuestLog"] = {},
	["WideQuestLogLevels"] = {},
	["WidestAudience"] = {},
	["WiggleEyebrows"] = {},
	["Wiki"] = {"WikiDB"},
	["WildAddon-1.0"] = {},
	["WildcardTools"] = {"WCTSaved"},
	["WIM"] = {"WIM3_Data","WIM3_Cache","WIM3_Filters","WIM3_History","WIM3_ChatFilters","WIM3_Alias"},
	["WIM_ElvUI_Skin"] = {},
	["WIM_FlatPanel"] = {},
	["wIn1"] = {},
	["WindDungeonHelper"] = {"WindDungeonHelperDB"},
	["Windfury_HUD"] = {"Windfury_HUD_Config"},
	["Wings"] = {"Wings"},
	["Winning"] = {"WinningDb"},
	["WinterhatFlash"] = {"WinterhatFlashDB"},
	["WipeCostTracker"] = {"wctdata"},
	["Wisent"] = {"WisentDB"},
	["WIT"] = {"WITDB"},
	["WitheredArmyTraining"] = {},
	["WitheredArmyTrainingMap"] = {},
	["WitheredBar"] = {},
	["WizardMoney"] = {},
	["wMarker"] = {"wMarkerDB","wFlaresDB"},
	["wMinimap"] = {},
	["wMmap"] = {},
	["WMS-016"] = {"WMS_016_SavedVariables"},
	["WodCombatText"] = {},
	["WolfpackEmotes"] = {"Emoticons_SettingsEmoticons_Eyecandy"},
	["WonderBar"] = {"aLib_SavedVariables","WonderBar","WonderBarBinds","CONFIG_PETBAR","aLib_SavedVariablesPerCharacter"},
	["WonderBar_Panel"] = {},
	["WonderRep"] = {"WonderRep_DB"},
	["Woody 2.0.5"] = {},
	["Woons"] = {},
	["WorgenBarberFrame"] = {},
	["Worgenius"] = {},
	["WorkorderNeeds"] = {"WorkorderNeedsDef","WorkorderNeedsGDef","WorkorderNeedsPref","WorkorderNeedsPlayer"},
	["WorkOrdersComplete"] = {"WORKORDERSCOMPLETE_SAVEDVARIABLES","WORKORDERSCOMPLETE_SAVEDVARIABLESPERCHARACTER"},
	["WorkOrderTooltips"] = {"WOTSaves"},
	["workwork"] = {"WorkWork_SV"},
	["Work_Complete"] = {"WorkCompleteSaved"},
	["WorldBossStatus"] = {"WorldBossStatusDB"},
	["WorldBossTimers"] = {"WorldBossTimersDB"},
	["WorldBuffTracker"] = {"WorldBuffTracker","WBT_DMFData"},
	["WorldFlightMap"] = {},
	["WorldMapPingHider"] = {},
	["WorldMapTrackingEnhanced"] = {"WorldMapTrackingEnhancedDB"},
	["WorldMapTunable"] = {"WorldMapTunableDB"},
	["WorldMapZoom"] = {},
	["WorldOfMemes"] = {"Config"},
	["WorldPlan"] = {"WorldPlanData"},
	["WorldQuestAssistant"] = {"WorldQuestAssistantDB"},
	["WorldQuester"] = {"WorldQuesterSaved","WorldQuesterSaved_Quests"},
	["WorldQuestGroupFinder"] = {"WorldQuestGroupFinderConfig","WorldQuestGroupFinderCharacterConfig"},
	["WorldQuestParty"] = {"WQPartyVars"},
	["WorldQuestsList"] = {"VWQL"},
	["WorldQuestTab"] = {"BWQDB"},
	["WorldQuestTabUtilities"] = {"WQTUDB"},
	["WorldQuestTips"] = {"WorldQuestTipsData"},
	["WorldQuestTracker"] = {"WQTrackerDB","WQTrackerDBChr"},
	["World_Quest_Report"] = {},
	["WormholeCentrifuge"] = {},
	["Worth"] = {"WorthDB"},
	["Worthless"] = {"WLDB","WLConfig"},
	["wotefiauto"] = {"spieler_realname","spieler_geb","savefreund","all_sagen","all_zauber","all_use","all_channel","all_battleground","all_schlachtzug","all_party","all_guild","all_whispern","WAUTO_POPUPcf1","WAUTO_POPUPcf2","WAUTO_POPUPcf3","WAUTO_POPUPcf4","WAUTO_POPUPcfh1","WAUTO_POPUPcfh2","WAUTO_POPUPcfh3","WAUTO_POPUPcfh4","race_wahl1","raidgr_wahl1","WAUTOPLAYER_POPUP15611","WAUTOPLAYER_POPUP1511","WAUTOPLAYER_POPUP1411","WAUTOPLAYER_POPUP156","butt_channel","butt_whispern","butt_schlachtzug","butt_battleground","butt_party","butt_guild","butt_sagen","butt_use","butt_zauber","freundesliste20","spell_buff_ueberwachung1","btWAUTO_POPUP8","btWAUTO_POPUP7","btWAUTO_POPUP6","WAUTO_POPUP51","WAUTO_POPUP52","spieler_quest_name_belohnungID","spieler_quest_name_sammelnID","spieler_quest_anz_belohnung","spieler_quest_name_belohnung","spieler_quest_name_sammeln","spieler_quest_anz_sammeln","spieler_quest_ende","spieler_wahl"},
	["wotefibtlist"] = {"savekontakt","such_textbt"},
	["wotefibuff"] = {"WAUTOBUFF_SILENT1"},
	["wotefilist"] = {"gildenlist","xpos2","ypos2","such_textla"},
	["wotefispam"] = {"wautospam_POPUP16","wautospam_POPUP17","wautospam_POPUP18","wautospam_POPUP19","wautospam_POPUP20","wautospam_POPUP21","wautospam_POPUP22","wautospam_POPUP23","wautospam_POPUP24","wautospam_POPUP25"},
	["wotefiuse"] = {"butt_zauber","btWAUTO_POPUP8"},
	["Wow-Uno"] = {"Uno_Config_DB"},
	["WoWChallenger"] = {"Preferences","AnnoucementShow4","DoneMountTask2","DonePetTask2"},
	["wowcron"] = {"cron_globalcron_knownSlashCmdscron_knownEmotes","cron_player"},
	["WoWDBProfiler"] = {"WoWDBProfilerData"},
	["WowDings"] = {},
	["WoWeuCN_Quests"] = {"QTR_PS","QTR_SAVED","QTR_MISSING","QTR_CONTROL","QTR_PC"},
	["WoWeuJPN_Quests"] = {"QTR_PS","QTR_SAVED","QTR_MISSING","QTR_CONTROL","QTR_PC"},
	["WoWGatheringNodes"] = {"WoWGatheringNodesConfig",""},
	["WoWHate"] = {},
	["WowheadLink"] = {},
	["wowheadlinker"] = {},
	["WowheadLinkGenerator"] = {},
	["WowheadLink_Grabber"] = {"WowheadLinkGrabberDB"},
	["WowheadQuickLink"] = {"WowheadQuickLinkCfg"},
	["WowHow"] = {"WH_MainFrameLocker","WH_MinimapPos"},
	["WoWinEnglish_Quests"] = {"QTR_PS","QTR_SAVED"},
	["WoWJapanizer"] = {"WoWJapanizerDB"},
	["Wowkemon_Classic"] = {},
	["WoWLogs"] = {"db"},
	["WoWLogsDB"] = {},
	["WowLua"] = {"WowLua_DB"},
	["WoWMoneyStatistics"] = {"WOWMMGlobal","WOWMSTracker","WOWMSZone","WOWMSDebug","WOWMMChar"},
	["WoWMouse"] = {},
	["WoWNotifier"] = {"IsNotifying","IsBattlePetNotifying","IsPVPNotifying","IsgxRestarting","IsGroupNotifying","IsPremadeNotifying","IsMissionCompleteNotifying","IsReadyCheckNotifying","IsAFKChecking"},
	["WowPaint"] = {"WowPaintSave"},
	["WoWpoPolsku_Books"] = {"BT_PM","BT_SAVED"},
	["WoWpoPolsku_Bubbles"] = {"BB_PM","BB_PS","BB_TR"},
	["WoWpoPolsku_Quests"] = {"QTR_PS","QTR_SAVED","QTR_MISSING","QTR_GOSSIP","QTR_PC"},
	["WoWPro"] = {"WoWProData","WoWProCharDB"},
	["WoWProgressLink"] = {"WOWPROGRESSLINK_CONFIG"},
	["WoWPro_Leveling"] = {},
	["WoWQR"] = {"WQR_VARS"},
	["WoWQuote2"] = {"WQ2_SETTINGS"},
	["WoWRareTracker"] = {"WoWRareTrackerDB"},
	["WoWRosterExport"] = {},
	["WoWScribe"] = {"WoWScribeDB"},
	["WoWScribe_Config"] = {"WoWScribe_ConfigDB"},
	["WoWScribe_DataBroker"] = {"wsDBcfg"},
	["WoWTercuman_Quests"] = {"QTR_PS","QTR_SAVED","QTR_MISSING","QTR_PC"},
	["WoWTexasHoldem"] = {"FHS_ArtWork","FHS_StartChips","FHS_BlindIncrease","FHS_BigBlindStart","FHS_minimapIcon"},
	["WoWthing_Collector"] = {"WWTCSaved"},
	["WoWToken"] = {},
	["WoWTokenBar"] = {},
	["WoWUnit"] = {},
	["WoWVid"] = {"WoWVid"},
	["Wowzzle"] = {},
	["WO_ezcalinvit"] = {"WO_ez_DB","WO_ez_DBC"},
	["WQAchievements"] = {"WQADB"},
	["WQGroupie"] = {},
	["WRAIO"] = {},
	["WreckedBars"] = {"WreckedBarsDB"},
	["WreckedBars_Cast"] = {},
	["WreckedBars_Config"] = {},
	["WreckedBars_Encounter"] = {},
	["WreckedBars_Progress"] = {},
	["WreckedBars_Roll"] = {},
	["WreckedUI"] = {},
	["WrongEquipment"] = {},
	["WTFrames"] = {"WTFramesConfig"},
	["WyeSoftDeflectorShield"] = {"DeflectorShieldSaved","DeflectorShieldCharSaved"},
	["WyeSoftGoldHoarder"] = {"GoldHoarderSaved"},
	["WyeSoftZoneTrack"] = {"ZoneTrackSaved"},
	["Wyr3d_IcyVeins_Stats"] = {},
	["Xal'atoh"] = {},
	["xanAchievementMover"] = {"XanAM_DB"},
	["XanBuffTimers"] = {"XBT_DB"},
	["XanChat"] = {"XCHT_DB","XCHT_HISTORY"},
	["XanDebuffTimers"] = {"XDT_DB"},
	["XanDurability"] = {"XanDUR_Opt","XanDUR_DB"},
	["XandY"] = {"XandYDB"},
	["xanErrorDevourer"] = {"xErrD_DB","xErrD_CDB"},
	["XaneshPractice"] = {"XANESHPRACTICE.SAVEDATA"},
	["XanEXP"] = {"XanEXP_DB"},
	["xanGoldMine"] = {"XanGM_DB"},
	["xanMortarPestle"] = {"XMP_DB"},
	["xanOrderHalls"] = {"XOH_DB"},
	["xanSoundAlerts"] = {"XanSA_DB"},
	["xanTooltipHoudini"] = {"XTH_DB"},
	["xanTooltipIcon"] = {},
	["XarBar"] = {"XarBarDB"},
	["XarUI"] = {"XarUIDB"},
	["XBar"] = {"XBarData"},
	["XBuffBar"] = {},
	["xcalc"] = {"Xcalc_Settings"},
	["XckMasterLootAdvanced"] = {"MasterLootManagerSettings"},
	["XClassUtilBar"] = {},
	["xCT+"] = {"xCTSavedDB"},
	["XCustomBar"] = {"XCustomBarData"},
	["XengaInfo"] = {"XengaInfoDB"},
	["XentiTargets"] = {"XentiTargetsDB"},
	["xenUtil"] = {},
	["XHealBar"] = {},
	["Ximbu"] = {},
	["XIV_Databar"] = {"TEST_CONFIG","XIVBarDB"},
	["XKeyBinding"] = {"XKeyBindingDB"},
	["XLoot"] = {"XLootADB"},
	["XLoot_Frame"] = {},
	["XLoot_Group"] = {},
	["XLoot_Master"] = {},
	["XLoot_Monitor"] = {},
	["XLoot_Options"] = {},
	["XmasAutoQuest"] = {},
	["xMerchant"] = {"xMerchantDB"},
	["XmogSetHide"] = {},
	["XoneFobicsSpellFlash_Monk"] = {},
	["XoneFobicsSpellFlash_Shaman"] = {},
	["Xparky"] = {"XparkyDB"},
	["Xparky-Classic"] = {"XparkyDB"},
	["XPBarNone"] = {"XPBarNoneDB"},
	["XPBarText"] = {},
	["XPerl"] = {"XPerlConfig","XPerlConfig_Global","XPerlConfigNew","XPerlConfigSavePerCharacter"},
	["XPerlFacade"] = {},
	["XPerl_ArcaneBar"] = {},
	["XPerl_CustomHighlight"] = {},
	["XPerl_Options"] = {},
	["XPerl_Party"] = {},
	["XPerl_PartyPet"] = {},
	["XPerl_Player"] = {},
	["XPerl_PlayerBuffs"] = {},
	["XPerl_PlayerPet"] = {},
	["XPerl_RaidAdmin"] = {"XPerl_Admin","XPerl_CheckItems"},
	["XPerl_RaidFrames"] = {"XPerl_Roster"},
	["XPerl_RaidHelper"] = {"XPerlConfigHelper","XPerl_MainTanks"},
	["XPerl_RaidMonitor"] = {"XPerlRaidMonConfig"},
	["XPerl_RaidPets"] = {},
	["XPerl_Target"] = {},
	["XPerl_TargetTarget"] = {},
	["XPExtended"] = {"XPExtended_ShowExp_Text","XPExtended_ShowRep_Text","XPExtended_TextSize"},
	["XpFlag"] = {"XpFlagDB"},
	["XPGain"] = {"XPG_Colors","XPG_Settings"},
	["XpGainNotify"] = {},
	["XPHide"] = {},
	["XPLeft"] = {"XPLeftDB"},
	["XPMultiBar"] = {"XPMultiBarDB"},
	["xpNotify"] = {},
	["XPPercent"] = {"XPPercent"},
	["XPStat"] = {"XPStatDB"},
	["XPToLevel"] = {},
	["XPTracker"] = {"XPTrackerDB"},
	["XPvPBar"] = {},
	["XP_Percent"] = {},
	["xp_timer"] = {"xpt_global_data"},
	["XRoll"] = {"XRollPosDB"},
	["XRP"] = {"xrpAccountSaved","xrpCache","xrpSaved"},
	["XToLevel"] = {"XToLevelDB","sConfig","sData"},
	["xToMax"] = {},
	["XTradeBar"] = {},
	["XtraMod"] = {"XModDB"},
	["xyiremod"] = {},
	["YACBA"] = {"BigBrother_ReadyDB"},
	["YACL"] = {"yacl_database","yacl_global_settings"},
	["YarkoMods"] = {"YarkoMods_SavedVars"},
	["Yarrr"] = {"YarrrDB"},
	["Yatabar"] = {"YatabarDB"},
	["YayMounts"] = {"YayMountsDB"},
	["YesBoss"] = {"YesBossDB"},
	["YesIAm"] = {},
	["YorsahjAnnounce"] = {"YorsahjAnnounceDB"},
	["YouFail"] = {},
	["YouGotMail"] = {"YouGotMailOptions"},
	["YouOnlyHearOnce"] = {"TalkingHeadRemovalDB"},
	["yourfollowers"] = {},
	["YouthRebellion"] = {},
	["YurysRuneDisplay"] = {"YurysRuneDisplayDB"},
	["ZAFtoEAB"] = {},
	["ZAllTimePlayed"] = {"ZAllTimePlayedDB"},
	["ZandalariMoneyTracker"] = {"printzamot","zandalarimoney"},
	["Zange"] = {"ZangeDB"},
	["ZapRetroUI"] = {},
	["zbGuildManager"] = {"ZbGmOptions","ZbGmHistoryDB"},
	["zBlzPriestAoe"] = {},
	["zCombat"] = {"zCombatSettings"},
	["ZCurrency"] = {},
	["ZeldaLoot_Lite"] = {},
	["ZenTracker"] = {"ZenTrackerDb"},
	["zepmix_damageTaken"] = {},
	["ZFTrash"] = {},
	["ZGAutoRoll"] = {},
	["ZGBijouRoller"] = {},
	["zifRep"] = {"zifRepConfig"},
	["ZishorRaidReset"] = {"ZishorRaidResetDB","ZishorRaidResetTimers","ZishorRaidResetTimersAdaption"},
	["ZkrattArtBar"] = {},
	["ZkrattCursorReplication"] = {},
	["ZkrattGargoyles"] = {},
	["ZMobDB"] = {"ZMobDB_table","ZMobDB_Options_4","ZMobDB_Profile","ZMobDB_Backup"},
	["ZodsRaidAssign"] = {"ZRA_vars"},
	["ZoneAbilityBinding"] = {},
	["ZoneAchievementTracker"] = {"ZATDB"},
	["ZoneDetails"] = {"ZoneDetailsDB"},
	["ZoneInfo"] = {"ZoneInfoSV"},
	["ZoneInfo2"] = {"Settings"},
	["ZoneInfoClassic"] = {"Settings"},
	["ZoneLevelInfo"] = {"ZoneLevelInfoSettings"},
	["ZoneMapClassColors"] = {},
	["ZoneMount"] = {},
	["ZonePet"] = {"zonePetMiniMap"},
	["ZoneQuestAbandon"] = {},
	["ZoneSpec"] = {"ZoneSpecDB","ZSChar"},
	["ZoomerBegone"] = {"ZoomerBegoneVars"},
	["ZoomInterrupts"] = {"ZoomInterruptsDB"},
	["Zoomout"] = {},
	["Zotwee"] = {"ZotweeDB"},
	["Zotwee_Garrison"] = {"Zotwee_GarrisonDB"},
	["ZPerl"] = {"ZPerlConfig","ZPerlConfig_Global","ZPerlConfigNew","ZPerlConfigSavePerCharacter","ZPerlImportDone"},
	["ZPerl_ArcaneBar"] = {},
	["ZPerl_CustomHighlight"] = {},
	["ZPerl_Options"] = {},
	["ZPerl_Party"] = {},
	["ZPerl_PartyPet"] = {},
	["ZPerl_Player"] = {},
	["ZPerl_PlayerBuffs"] = {},
	["ZPerl_PlayerPet"] = {},
	["ZPerl_RaidAdmin"] = {"ZPerl_Admin","ZPerl_CheckItems"},
	["ZPerl_RaidFrames"] = {"ZPerl_Roster"},
	["ZPerl_RaidHelper"] = {"ZPerlConfigHelper","ZPerl_MainTanks"},
	["ZPerl_RaidMonitor"] = {"ZPerlRaidMonConfig"},
	["ZPerl_RaidPets"] = {},
	["ZPerl_Target"] = {},
	["ZPerl_TargetTarget"] = {},
	["zPets"] = {},
	["ZTargetMe"] = {"ZTMeConfig","ZTMe_Init"},
	["ZT_RealmPlayer"] = {"DB_ZTRealmPlayer"},
	["Zum"] = {},
	["ZygorDataText"] = {},
	["ZygorLink"] = {},
	["zzars"] = {},
	["zzCR"] = {},
	["zzgm"] = {"ZZGMDB"},
	["zz_Bags"] = {"zz_BagsDB"},
	["zz_Coords"] = {"zz_CoordsDB"},
	["zz_Friends"] = {"zz_FriendsDB"},
	["zz_GarrisonToggle"] = {"zz_GarrisonToggleDB"},
	["zz_Infoclock"] = {"zz_InfoclockDB"},
	["zz_itemsdb"] = {"zz_itemsdbDB"},
	["zz_Mailbox"] = {"zz_MailboxDB"},
	["zz_MiscHelper"] = {"zz_MiscHelperDB"},
	["zz_Money"] = {"zz_MoneyDB"},
	["zz_Repair"] = {"zz_RepairDB"},
	["zz_Wb_Pandaria"] = {},
	["zz_Worldboss"] = {"zz_WorldbossDB"},
	["[MEC's]-Ancient_Mana"] = {},
	["[MEC's]-Apexis_Crystals"] = {},
	["[MEC's]-Argus_Waystone"] = {},
	["[MEC's]-Artifact_Fragment"] = {},
	["[MEC's]-Brawlers_Gold"] = {},
	["[MEC's]-Curious_Coin"] = {},
	["[MEC's]-DingyIron_Coins"] = {},
	["[MEC's]-Echoes_Of_Battle"] = {},
	["[MEC's]-Echoes_of_Domination"] = {},
	["[MEC's]-Felessence"] = {},
	["[MEC's]-Garrison_Resources"] = {},
	["[MEC's]-LegionFall_War_Supplies"] = {},
	["[MEC's]-Lesser_Charms"] = {},
	["[MEC's]-Nethershard"] = {},
	["[MEC's]-Oil"] = {},
	["[MEC's]-Order_Resources"] = {},
	["[MEC's]-Seals_of_Broken_Fate"] = {},
	["[MEC's]-Seals_of_Inevitable_Fate"] = {},
	["[MEC's]-Seals_of_Tempered_Fate"] = {},
	["[MEC's]-Shadowy_Coins"] = {},
	["[MEC's]-Sightless_Eye"] = {},
	["[MEC's]-TimelessCoins"] = {},
	["[MEC's]-TimeWarped_Badge"] = {},
	["[MEC's]-Timeworn_Artifact"] = {},
	["[MEC's]-Valor"] = {},
	["[MEC's]-Veiled_Argunite"] = {},
	["[MEC's]-Warforged_Seals"] = {},
	["_ApocalypseRolls"] = {},
	["_Banker"] = {"Inventory"},
	["_CannotHeal"] = {},
	["_Character"] = {"CharacterRecord"},
	["_Commands"] = {},
	["_Cursor"] = {"_CursorOptions","_CursorOptionsCharacter"},
	["_EnteredCombat"] = {},
	["_Esc"] = {},
	["_EventFinder"] = {},
	["_Follow"] = {},
	["_FriendsWithBenefits"] = {},
	["_Holiday"] = {},
	["_LiarsDice"] = {},
	["_Library"] = {"LibraryConfig"},
	["_NPCScan.Overlay"] = {"_NPCScanOverlayOptions","_NPCScanOverlayKeyColors"},
	["_NPCScan.Overlay.Broker"] = {},
	["_Postmaster"] = {},
	["_sols_noxxic_stats"] = {},
	["_Squelch"] = {"squelchSaved"},
	["_SurvivalOfTheFittest"] = {},
	["_Template"] = {},
}

--其他常用插件库
mod.default_addon_db_other = {
	--大脚
	bigfoot = {
		["!!!Libs"] = {},
		["AngryKeystones"] = {"AngryKeystones_Config","AngryKeystones_Data","AngryKeystones_CharacterConfig"},
		["AttackTimer"] = {},
		["AutoEquip"] = {},
		["AzeriteTooltip"] = {"AzeriteTooltipDB"},
		["Bagnon_Forever"] = {"BagnonForeverDB"},
		["Bartender4"] = {"Bartender4DB"},
		["Bartender4_BFMod"] = {},
		["BattleGroundEnemies"] = {"BattleGroundEnemiesDB"},
		["BFCastingBar"] = {},
		["BFCooldown"] = {"BFCooldownDB"},
		["BFGadgets"] = {},
		["BFGoldFrame"] = {"BFGold_Config"},
		["BFQuest"] = {"TeamNotice_Comment"},
		["BFTooltip"] = {"BFTT_Config"},
		["BigDebuffs"] = {"BigDebuffsDB"},
		["BigFoot"] = {"BigFoot_Config","BigFoot_Error","MBBDB","BF_Gloable","BF_LogonInfo","ModelChangeVariable","BF_Frames_Config","BigFoot_Character","BigFoot_SysTemSetTab"},
		["BigFootBank"] = {"BigFootBankSaveData"},
		["BigFootBar"] = {"BigFootBar_Info"},
		["BigFootBot"] = {"ItemSourceDB","ObjectLocationDB","CreatureLocationDB","CreatureDB","QuestDB","QuestCompleteDB","QuestEventDB","SkillSourceDB","BigFootBot_Version","BigFootBot_Info","PlayersDB","UtilDB","NPCMarkCollectionDB","BigFootBot_collectData","SpamChatDB"},
		["BigFootChat"] = {"BFCDB","BFCSystemCacheDB"},
		["BlizzMove"] = {"BlizzMoveDB"},
		["BuffMaster"] = {},
		["ButtonFacade"] = {},
		["ChannelFilter"] = {"ChannelFilter_Config"},
		["Clique"] = {"CliqueDB","CliqueDB3"},
		["CombatIndicator"] = {"CombatIndicator_Config"},
		["Combuctor"] = {"CombuctorDB4","BF_VoidStorageDB"},
		["CoolLine"] = {"CoolLineDB","CoolLineCharDB"},
		["CorruptionTooltips"] = {"CorruptionTooltipsDB"},
		["DBM-AntorusBurningThrone"] = {"DBMAntorusBurningThrone_AllSavedVars","DBMAntorusBurningThrone_SavedStats"},
		["DBM-Argus"] = {"DBMArgus_AllSavedVars","DBMArgus_SavedStats"},
		["DBM-Azeroth-BfA"] = {"DBMAzerothBfA_AllSavedVars","DBMAzerothBfA_SavedStats"},
		["DBM-BlackrockFoundry"] = {"DBMBlackrockFoundry_AllSavedVars","DBMBlackrockFoundry_SavedStats"},
		["DBM-Brawlers"] = {"DBMBrawlers_AllSavedVars"},
		["DBM-BrokenIsles"] = {"DBMBrokenIsles_AllSavedVars","DBMBrokenIsles_SavedStats"},
		["DBM-Challenges"] = {"DBMChallenges_AllSavedVars","DBMChallenges_SavedStats"},
		["DBM-Core"] = {"DBM_AllSavedOptions","DBM_MinimapIcon","DBM_UsedProfile","DBM_UseDualProfile","DBM_CharSavedRevision"},
		["DBM-CrucibleofStorms"] = {"DBMCrucibleofStorms_AllSavedVars","DBMCrucibleofStorms_SavedStats"},
		["DBM-DefaultSkin"] = {},
		["DBM-DMF"] = {"DBMDMF_AllSavedVars","DBMWorldDMF_SavedStats"},
		["DBM-Draenor"] = {"DBMDraenor_AllSavedVars","DBMDraenor_SavedStats"},
		["DBM-EmeraldNightmare"] = {"DBMEmeraldNightmare_AllSavedVars","DBMEmeraldNightmare_SavedStats"},
		["DBM-EternalPalace"] = {"DBMEternalPalace_AllSavedVars","DBMEternalPalace_SavedStats"},
		["DBM-GarrisonInvasions"] = {"DBMGarrisonInvasions_AllSavedVars","DBMGarrisonInvasions_SavedStats"},
		["DBM-GUI"] = {},
		["DBM-HellfireCitadel"] = {"DBMHellfireCitadel_AllSavedVars","DBMHellfireCitadel_SavedStats"},
		["DBM-Highmaul"] = {"DBMHighmaul_AllSavedVars","DBMHighmaul_SavedStats"},
		["DBM-Nighthold"] = {"DBMNighthold_AllSavedVars","DBMNighthold_SavedStats"},
		["DBM-Nyalotha"] = {"DBMNyalotha_AllSavedVars","DBMNyalotha_SavedStats"},
		["DBM-Party-BfA"] = {"DBMPartyBfA_AllSavedVars","DBMPartyBfA_SavedStats"},
		["DBM-Party-Legion"] = {"DBMPartyLegion_AllSavedVars","DBMPartyLegion_SavedStats"},
		["DBM-Party-WoD"] = {"DBMPartyWoD_AllSavedVars","DBMPartyWoD_SavedStats"},
		["DBM-PvP"] = {"DBMPvP_AllSavedVars"},
		["DBM-RaidLeadTools"] = {"DBM_AutoInvite_Settings","DBM_RaidLead_Settings"},
		["DBM-SpellTimers"] = {"DBM_SpellTimers_Settings"},
		["DBM-StatusBarTimers"] = {"DBT_AllPersistentOptions"},
		["DBM-TombofSargeras"] = {"DBMTombofSargeras_AllSavedVars","DBMTombofSargeras_SavedStats"},
		["DBM-TrialofValor"] = {"DBMTrialofValor_AllSavedVars","DBMTrialofValor_SavedStats"},
		["DBM-Uldir"] = {"DBMUldir_AllSavedVars","DBMUldir_SavedStats"},
		["DBM-VPYike"] = {},
		["DBM-WorldEvents"] = {"DBMWorldEvents_AllSavedVars","DBMWorldEvents_SavedStats"},
		["DBM-ZuldazarRaid"] = {"DBMZuldazarRaid_AllSavedVars","DBMZuldazarRaid_SavedStats"},
		["dct"] = {"DCT_SAVE","DCT_FONT_SAVE","DCT_SAVE_PERCHAR"},
		["dct_damage"] = {"DCTD_CONFIG","DCTD_PERCONFIG"},
		["dct_options"] = {"DCTOP_SAVE"},
		["dct_spellAlert"] = {"DCTSA_CONFIG","DCTSA_PERCONFIG"},
		["Decursive"] = {"DecursiveDB"},
		["EasyFrames"] = {"EasyFramesDB"},
		["ErrorFilter"] = {"ErrorFilterDB"},
		["EventAlertMod"] = {"EA_Config","EA_Position","EA_Items","EA_AltItems","EA_TarItems","EA_ScdItems","EA_GrpItems","EA_Pos"},
		["GearStatsSummary"] = {},
		["GladiatorlosSA"] = {"GladiatorlosSADB"},
		["Gladius"] = {"Gladius2DB"},
		["Grail"] = {"GrailDatabase","GrailDatabasePlayer","GrailWhenPlayer"},
		["HandyNotes"] = {"HandyNotesDB","HandyNotes_HandyNotesDB"},
		["HandyNotes_BattleForAzerothTreasures"] = {"HandyNotes_BattleForAzerothTreasuresDB"},
		["HandyNotes_HallowsEnd"] = {"HandyNotes_HallowsEndDB"},
		["HandyNotes_LunarFestival"] = {"HandyNotes_LunarFestivalDB"},
		["HandyNotes_SummerFestival"] = {"HandyNotes_SummerFestivalDB"},
		["HandyNotes_VisionsOfNZoth"] = {"HandyNotes_VisionsOfNZothDB"},
		["HandyNotes_WarfrontRares"] = {"HandyNotesArathiDB"},
		["HPetBattleAny"] = {"HPetSaves"},
		["InstancePortals"] = {"IPUITrackInstancePortalsIPUITrackInstancePortalsOnContinents"},
		["ItemInfo"] = {"ItemInfo_Config","AlreadyKnownSettings"},
		["MailMod"] = {"MailMod_Config"},
		["Mapster"] = {"MapsterDB"},
		["Masque"] = {"MasqueDB"},
		["MasterPlan"] = {"MasterPlanAG","SV_GarrisonMissionManager","MasterPlanPC","SVPC_GarrisonMissionManager"},
		["MeetingStone"] = {"MEETINGSTONE_UI_DB","MEETINGSTONE_CHARACTER_DB"},
		["MobHealth"] = {"MobHealthDB","MobHealthConfig"},
		["MTG"] = {"MTGDB","j_BuyRareItemOption","j_BuyItemOption","j_Markersize","j_CheckTacoFirst","MTGsettingDB"},
		["MySlot"] = {"MySlot_SavedDb"},
		["NewPowerBar"] = {"NewPowerInfo_Global","NewPowerInfo_Character"},
		["Omen"] = {"Omen3DB"},
		["PlayerLink"] = {},
		["QuickCompare"] = {},
		["RaidAlerter"] = {"RaidAlerter_SET","RaidAlerter_SET_AttackFramePosition"},
		["RangeDisplay"] = {"RangeDisplayDB3"},
		["Recount"] = {"RecountDB","RecountPerCharDB"},
		["RepairHelper"] = {},
		["SavedInstances"] = {"SavedInstancesDB"},
		["SellerHelper"] = {"AutoRechargeSetting","AR_ItemInfo","SellerHelper_AutoSellList","SellerHelper_NotSellList"},
		["SexyMap"] = {"SexyMap2DB","SexyMap82"},
		["Skada"] = {"SkadaDB","SkadaPerCharDB"},
		["TheBurningTrade"] = {"TradeLog_TradesHistory","TRADE_LOG_BUTTON_POS","TradeLog_Announce_Checked","TradeLog_AnnounceChannel","TBT_CurrentPortal"},
		["TrinketMenu"] = {"TrinketMenuOptions","TrinketMenuPerOptions","TrinketMenuQueue"},
		["TUnitFrame"] = {"TUF_Config","BUnitFrame_Config"},
		["TurnIn"] = {"TI_status","TI_NPCDB","TI_NPCIndex"},
		["WhisperPop"] = {"WhisperPopDB"},
		["Wholly"] = {"WhollyDatabase"},
		["wMarker"] = {"wMarkerDB","wFlaresDB"},
		["WorldFlightMap"] = {},
		["WorldQuestTracker"] = {"WQTrackerDB","WQTrackerDBChr"},
	},
	--爱不易
	aby = {
		["!!!163UI!!!"] = {"U1DBG","U1DB"},
		["!!!Libs"] = {},
		["!BaudErrorFrame"] = {"BaudErrorFrameConfig"},
		["!KalielsTracker"] = {"KalielsTrackerDB"},
		["!tdDropDown"] = {"tdDropDownDB"},
		["163UI_Buff"] = {},
		["163UI_Chat"] = {"WWM_friendsWhisp","WWM_guildWhisp","WWM_totallastplayers","WWM_entries"},
		["163UI_ChatHistory"] = {"ChatHistoryDB","_163UI_ChatHistoryBacklogDB"},
		["163UI_CombatTimer"] = {},
		["163UI_EncounterLootPlus"] = {"ELPDATA"},
		["163UI_MoreOptions"] = {},
		["163UI_Plugins"] = {},
		["163UI_TeamStats"] = {"TeamStatsDB","TeamStatsPCDB"},
		["AbyAuctionFavoritesSavior"] = {"AbyAuctionFavoritesDB"},
		["AbyBossGuide"] = {},
		["Accountant_Classic"] = {"Accountant_SaveData","Accountant_Options"},
		["AchievementsReminder"] = {"ralllocationnames","ralltactics","ralltacticsver","ralltacticsdif","ralloptions","ralloptionsmanual","rallbosstooltip","rallbosschaton","ralloptionsmanual3","ralloptionTrackCharAchieves"},
		["AddonProfileShare"] = {"AddonProfileShare_DB"},
		["AngryKeystones"] = {"AngryKeystones_Config","AngryKeystones_Data","AngryKeystones_CharacterConfig"},
		["AtlasLootReverse"] = {},
		["AutoTurnIn"] = {"AutoTurnInCharacterDB"},
		["AzeriteTooltip"] = {"AzeriteTooltipDB"},
		["BagBrother"] = {"BrotherBags"},
		["Bagnon"] = {"Bagnon_Sets"},
		["Bagnon_Config"] = {},
		["Bagnon_GuildBank"] = {},
		["Bagnon_VoidStorage"] = {},
		["BattlegroundTargets"] = {"BattlegroundTargets_Options"},
		["BFAInvasionTimer"] = {"BFAInvasionTimerDB","BFAInvasionData"},
		["BFAInvasionTimer_Options"] = {},
		["BGDefender"] = {"BGD_Prefs"},
		["BigDebuffs"] = {"BigDebuffsDB"},
		["BlinkHealthText"] = {},
		["BlizzBuffsFacade"] = {},
		["BlizzMove"] = {"BlizzMoveDB"},
		["Broker_Currency"] = {"Broker_CurrencyDB","Broker_CurrencyCharDB"},
		["Broker_DurabilityInfo"] = {"Broker_DurabilityInfoDB"},
		["Broker_Equipment"] = {"Broker_EquipmentDB"},
		["Broker_MicroMenu"] = {"Broker_MicroMenuDB"},
		["Broker_Raidsave"] = {"Broker_RaidSaveConfig"},
		["BuyEmAll"] = {"BEAConfirmToggle"},
		["CanIMogIt"] = {"CanIMogItOptions","CanIMogItDatabase"},
		["CastDelayBar"] = {},
		["ChatFilter"] = {"CF_LevelTable","CF_IgnoreTable"},
		["ChocolateBar"] = {"ChocolateBarDB","CB_PlayedTime"},
		["Combuctor"] = {"Combuctor_Sets"},
		["Combuctor_Config"] = {},
		["Comergy_Redux"] = {"Comergy_Config"},
		["Comergy_Redux_Options"] = {},
		["CompactRaid"] = {"CompactRaidDB"},
		["DBM-AntorusBurningThrone"] = {"DBMAntorusBurningThrone_AllSavedVars","DBMAntorusBurningThrone_SavedStats"},
		["DBM-Argus"] = {"DBMArgus_AllSavedVars","DBMArgus_SavedStats"},
		["DBM-Azeroth-BfA"] = {"DBMAzerothBfA_AllSavedVars","DBMAzerothBfA_SavedStats"},
		["DBM-Brawlers"] = {"DBMBrawlers_AllSavedVars"},
		["DBM-BrokenIsles"] = {"DBMBrokenIsles_AllSavedVars","DBMBrokenIsles_SavedStats"},
		["DBM-Challenges"] = {"DBMChallenges_AllSavedVars","DBMChallenges_SavedStats"},
		["DBM-Core"] = {"DBM_AllSavedOptions","DBM_MinimapIcon","DBM_UsedProfile","DBM_UseDualProfile","DBM_CharSavedRevision"},
		["DBM-CrucibleofStorms"] = {"DBMCrucibleofStorms_AllSavedVars","DBMCrucibleofStorms_SavedStats"},
		["DBM-DefaultSkin"] = {},
		["DBM-DMF"] = {"DBMDMF_AllSavedVars","DBMWorldDMF_SavedStats"},
		["DBM-EmeraldNightmare"] = {"DBMEmeraldNightmare_AllSavedVars","DBMEmeraldNightmare_SavedStats"},
		["DBM-EternalPalace"] = {"DBMEternalPalace_AllSavedVars","DBMEternalPalace_SavedStats"},
		["DBM-GUI"] = {},
		["DBM-Nighthold"] = {"DBMNighthold_AllSavedVars","DBMNighthold_SavedStats"},
		["DBM-Nyalotha"] = {"DBMNyalotha_AllSavedVars","DBMNyalotha_SavedStats"},
		["DBM-Party-BfA"] = {"DBMPartyBfA_AllSavedVars","DBMPartyBfA_SavedStats"},
		["DBM-Party-Legion"] = {"DBMPartyLegion_AllSavedVars","DBMPartyLegion_SavedStats"},
		["DBM-SpellTimers"] = {"DBM_SpellTimers_Settings"},
		["DBM-StatusBarTimers"] = {"DBT_AllPersistentOptions"},
		["DBM-TimelessIsle"] = {"DBMTimelessIsle_AllSavedVars"},
		["DBM-TombofSargeras"] = {"DBMTombofSargeras_AllSavedVars","DBMTombofSargeras_SavedStats"},
		["DBM-TrialofValor"] = {"DBMTrialofValor_AllSavedVars","DBMTrialofValor_SavedStats"},
		["DBM-Uldir"] = {"DBMUldir_AllSavedVars","DBMUldir_SavedStats"},
		["DBM-VPYike"] = {},
		["DBM-WorldEvents"] = {"DBMWorldEvents_AllSavedVars","DBMWorldEvents_SavedStats"},
		["DBM-ZuldazarRaid"] = {"DBMZuldazarRaid_AllSavedVars","DBMZuldazarRaid_SavedStats"},
		["DBM_Mods_Legion"] = {},
		["DeathAnnounce"] = {"DEATH_ANNOUNCE","DEATH_ANNOUNCE_OFF"},
		["Decursive"] = {"DecursiveDB"},
		["DejaCharacterStats"] = {"DejaCharacterStatsDB","DejaCharacterStatsDBPC"},
		["Details"] = {"_detalhes_global","_detalhes_database"},
		["Details_DataStorage"] = {"DetailsDataStorage"},
		["Details_EncounterDetails"] = {"EncounterDetailsDB"},
		["Details_RaidCheck"] = {},
		["Details_Streamer"] = {"Details_StreamerDB"},
		["Details_TinyThreat"] = {},
		["Details_Vanguard"] = {"_detalhes_databaseVanguard"},
		["Dominos"] = {"DominosDB"},
		["Dominos_Cast"] = {},
		["Dominos_CastClassic"] = {},
		["Dominos_Config"] = {},
		["Dominos_Encounter"] = {},
		["Dominos_Progress"] = {},
		["Dominos_Roll"] = {},
		["Dresser"] = {"DresserDB"},
		["DuowanChat"] = {"DuowanChatDB","DuowanChatPlayerDB"},
		["Ellipsis"] = {"EllipsisDB","EllipsisVersion"},
		["Ellipsis_Options"] = {},
		["EN_UnitFrames"] = {"mg_EUF_Options"},
		["ErrorFilter"] = {"ErrorFilterDB"},
		["EventAlertMod"] = {"EA_Config","EA_Position","EA_Items","EA_AltItems","EA_TarItems","EA_ScdItems","EA_GrpItems","EA_Pos","EA_Deleted"},
		["ExRT"] = {"VExRT"},
		["ExtraActionBar"] = {"MOGUBar_Info"},
		["Fizzle"] = {"FizzleDB"},
		["FriendsMenuXP"] = {},
		["GarrisonMissionManager"] = {"SV_GarrisonMissionManager","SVPC_GarrisonMissionManager"},
		["GatherMate2"] = {"GatherMate2DB","GatherMate2HerbDB","GatherMate2MineDB","GatherMate2FishDB","GatherMate2GasDB","GatherMate2TreasureDB","GatherMate2ArchaeologyDB","GatherMate2LoggingDB"},
		["GatherMate2_Data"] = {},
		["GearHUD"] = {"GearHudSettings"},
		["GearManagerEx"] = {"GearManagerExDB"},
		["GearStatsSummary"] = {},
		["GladiatorlosSA2"] = {"GladiatorlosSADB"},
		["GladiatorlosSA_zhCN"] = {},
		["Gladius"] = {"Gladius2DB"},
		["GlowFoSho"] = {},
		["Grail"] = {"GrailDatabase","GrailDatabasePlayer"},
		["Grail-Achievements"] = {},
		["Grail-NPCs-_retail_"] = {},
		["Grail-NPCs-_retail_-enUS"] = {},
		["Grail-NPCs-_retail_-zhCN"] = {},
		["Grail-Quests-_retail_"] = {},
		["Grail-Quests-_retail_-zhCN"] = {},
		["Grail-Reputations-_retail_"] = {},
		["Grail-Rewards"] = {},
		["Grail-When"] = {"GrailWhenPlayer"},
		["Grid"] = {"GridDB"},
		["GridBuffIcons"] = {},
		["GridClickSets"] = {"GridClickSetsForTalents"},
		["GridCustomLayouts"] = {},
		["GridIndicatorsDynamic"] = {},
		["GridManaBars"] = {},
		["GridQuickHealth"] = {},
		["GridStatusEnemyTarget"] = {},
		["GridStatusRaidDebuff"] = {},
		["GridStatusRD_BfA"] = {},
		["GridStatusRD_Legion"] = {},
		["GridStatusTankCooldown"] = {},
		["GTFO"] = {"GTFOData"},
		["HandyNotes"] = {"HandyNotesDB","HandyNotes_HandyNotesDB"},
		["HandyNotes_Argus"] = {"HandyNotesArgusDB"},
		["HandyNotes_BattleForAzerothTreasures"] = {"HandyNotes_BattleForAzerothTreasuresDB"},
		["HandyNotes_DraenorTreasures"] = {"DraenorTreasuresDB"},
		["HandyNotes_DungeonLocations"] = {"HandyNotes_DungeonLocationsDB"},
		["HandyNotes_HallowsEnd"] = {"HandyNotes_HallowsEndDB"},
		["HandyNotes_LegionRaresTreasures"] = {"LegionRaresTreasuresDB"},
		["HandyNotes_LunarFestival"] = {"HandyNotes_LunarFestivalDB"},
		["HandyNotes_MechagonAndNazjatar"] = {"HandyNotes_MechagonAndNazjatarDB"},
		["HandyNotes_SummerFestival"] = {"HandyNotes_SummerFestivalDB"},
		["HandyNotes_SuramarTelemancy"] = {"HandyNotes_SuramarTelemancyDB"},
		["HandyNotes_VisionsOfNZoth"] = {"HandyNotes_VisionsOfNZothDB"},
		["HandyNotes_WarfrontRares"] = {"HandyNotesArathiDB"},
		["HHTD"] = {"HHTD_SavedVariables"},
		["HPetBattleAny"] = {"HPetSaves"},
		["Kib_QuestMobs"] = {},
		["LiteBuff"] = {"LiteBuffDB","LiteBuffCharDB"},
		["Mapster"] = {"MapsterDB"},
		["Masque"] = {"MasqueDB"},
		["Masque_Apathy"] = {},
		["Masque_Cainyx"] = {},
		["Masque_Caith"] = {},
		["Masque_Cirque"] = {},
		["Masque_CleanUI"] = {},
		["Masque_Entropy"] = {},
		["Masque_Goldpaw"] = {},
		["Masque_Kenzo"] = {},
		["Masque_Onyx"] = {},
		["Masque_Parabole"] = {},
		["Masque_Serenity"] = {},
		["MasterPlan"] = {"MasterPlanPC"},
		["MasterPlanA"] = {"MasterPlanAG"},
		["MeetingStone"] = {"MEETINGSTONE_UI_DB","MEETINGSTONE_CHARACTER_DB"},
		["MerchantEx"] = {"MerchantExDB"},
		["MethodDungeonTools"] = {"MethodDungeonToolsDB"},
		["Myslot"] = {"MyslotExports"},
		["oGlow"] = {},
		["OmniBar"] = {"OmniBarDB"},
		["OmniCC"] = {"OmniCCDB","OmniCC4Config"},
		["OmniCC_Config"] = {},
		["Paku_Totems"] = {"Paku_Totems_DB"},
		["Parrot"] = {"ParrotDB"},
		["Postal"] = {"Postal3DB"},
		["QuakeAssist"] = {"QuakeAssistDB"},
		["Quartz"] = {"Quartz3DB"},
		["QuestAnnounce"] = {"QuestAnnounceDB"},
		["RangeDisplay"] = {"RangeDisplayDB3"},
		["RangeDisplay_Options"] = {},
		["RareScanner"] = {"RareScannerDB"},
		["RECrystallize"] = {"RECrystallizeSettings","RECrystallizeDatabase"},
		["Rematch"] = {"RematchSaved","RematchSettings"},
		["SavedInstances"] = {"SavedInstancesDB","MethodAltManagerDB"},
		["ShadowedUF_Options"] = {},
		["ShadowedUnitFrames"] = {"ShadowedUFDB"},
		["SimpleRaidTargetIcons"] = {"SRTISaved","SRTIExternalUF"},
		["Skada"] = {"SkadaDB","SkadaPerCharDB"},
		["SkadaExplosiveOrbs"] = {},
		["SwingBar"] = {},
		["TargetButton"] = {},
		["TargetNameplateIndicator"] = {},
		["tdCore"] = {"TDDB_TDCORE"},
		["tdPack"] = {"TDDB_TDPACK"},
		["TellMeWhen"] = {"TellMeWhenDB","TellMeWhen_Settings"},
		["TellMeWhen_Options"] = {"TMWOptDB"},
		["TheBurningTrade"] = {},
		["TidyPlates"] = {"TidyPlatesOptions"},
		["TidyPlatesHub"] = {"TidyPlatesHubCache","TidyPlatesHubGlobal","TidyPlatesHubSettings"},
		["TidyPlatesWidgets"] = {},
		["TidyPlates_BlizzardPlates"] = {},
		["TidyPlates_Graphite"] = {},
		["TidyPlates_Grey"] = {},
		["TidyPlates_Neon"] = {},
		["TidyPlates_Quatre"] = {},
		["TinyInspect"] = {"TinyInspectDB"},
		["TipTac"] = {"TipTac_Config"},
		["TipTacItemRef"] = {},
		["TipTacOptions"] = {},
		["TipTacTalents"] = {},
		["TomTom"] = {"TomTomDB","TomTomWaypoints","TomTomWaypointsM"},
		["ToyPlus"] = {"ToyPlusDB"},
		["TradeLog"] = {"TradeLog_TradesHistory","TradeLog_Announce_Checked","TradeLog_AnnounceChannel"},
		["TradeskillInfo"] = {"TradeSkillInfoDB"},
		["TradeskillInfoUI"] = {},
		["TrinketMenu"] = {"TrinketMenuOptions","TrinketMenuPerOptions","TrinketMenuQueue"},
		["TrufiGCD"] = {"TrufiGCDGlSave","TrufiGCDChSave"},
		["tullaRange"] = {"TULLARANGE_COLORS"},
		["tullaRange_Config"] = {},
		["vBar"] = {"VBar"},
		["WeakAuras"] = {"WeakAurasSaved"},
		["WeakAurasArchive"] = {"WeakAurasArchive"},
		["WeakAurasModelPaths"] = {},
		["WeakAurasOptions"] = {"WeakAurasOptionsSaved"},
		["WeakAurasTemplates"] = {},
		["WhisperPop"] = {"WhisperPopDB"},
		["Wholly"] = {"WhollyDatabase"},
		["wMarker"] = {"wMarkerDB","wFlaresDB"},
		["WorldFlightMap"] = {},
		["WorldQuestsList"] = {"VWQL"},
		["WorldQuestTracker"] = {"WQTrackerDB","WQTrackerDBChr"},
		["XLoot"] = {"XLootADB"},
		["XLoot_Frame"] = {},
		["XLoot_Master"] = {},
		["XLoot_Options"] = {},
	},
	--eui
	eui = {
		["!BugGrabber"] = {"BugGrabberDB"},
		["AddonProfileShare"] = {"AddonProfileShare_DB"},
		["AddOnSkins"] = {"AddOnSkinsDB","AddOnSkinsDS","AddOnSkinsPerCharDB"},
		["AngryKeystones"] = {"AngryKeystones_Config","AngryKeystones_Data","AngryKeystones_CharacterConfig"},
		["BonusRollPreview"] = {"BonusRollPreviewDB"},
		["BugSack"] = {"BugSackDB","BugSackLDBIconDB"},
		["DBM-Azeroth-BfA"] = {"DBMAzerothBfA_AllSavedVars","DBMAzerothBfA_SavedStats"},
		["DBM-Brawlers"] = {"DBMBrawlers_AllSavedVars"},
		["DBM-Challenges"] = {"DBMChallenges_AllSavedVars","DBMChallenges_SavedStats"},
		["DBM-Core"] = {"DBM_AllSavedOptions","DBM_MinimapIcon","DBM_UsedProfile","DBM_UseDualProfile","DBM_CharSavedRevision"},
		["DBM-CrucibleofStorms"] = {"DBMCrucibleofStorms_AllSavedVars","DBMCrucibleofStorms_SavedStats"},
		["DBM-DefaultSkin"] = {},
		["DBM-DMF"] = {"DBMDMF_AllSavedVars","DBMWorldDMF_SavedStats"},
		["DBM-EternalPalace"] = {"DBMEternalPalace_AllSavedVars","DBMEternalPalace_SavedStats"},
		["DBM-GUI"] = {},
		["DBM-Nyalotha"] = {"DBMNyalotha_AllSavedVars","DBMNyalotha_SavedStats"},
		["DBM-Party-BfA"] = {"DBMPartyBfA_AllSavedVars","DBMPartyBfA_SavedStats"},
		["DBM-PvP"] = {"DBMPvP_AllSavedVars"},
		["DBM-StatusBarTimers"] = {"DBT_AllPersistentOptions"},
		["DBM-Uldir"] = {"DBMUldir_AllSavedVars","DBMUldir_SavedStats"},
		["DBM-VPYike"] = {},
		["DBM-WorldEvents"] = {"DBMWorldEvents_AllSavedVars","DBMWorldEvents_SavedStats"},
		["DBM-ZuldazarRaid"] = {"DBMZuldazarRaid_AllSavedVars","DBMZuldazarRaid_SavedStats"},
		["ElvUI"] = {"ElvDB","ElvPrivateDB","AzeriteTooltipDB","ElvCharacterDB"},
		["ElvUI_OptionsUI"] = {},
		["EuiGarrison"] = {"MasterPlanAG","SV_GarrisonMissionManager","IPMDB","MasterPlanPC","SVPC_GarrisonMissionManager"},
		["EuiInfoDB"] = {"playersDB","PlayersDBJSON"},
		["EuiScript"] = {"ACHIEVEMENTSEARCH_DB","TalentProfilesGlobalDB","MTGDB","j_toggle","j_BuyRareItemOption","j_BuyItemOption","j_Markersize","j_CheckTacoFirst","TalentProfilesDB"},
		["GSE"] = {"GSEOptionsGSELibrary","GSE_C"},
		["HandyNotes"] = {"HandyNotesDB","HandyNotes_HandyNotesDB"},
		["HandyNotes_BattleForAzerothTreasures"] = {"HandyNotes_BattleForAzerothTreasuresDB"},
		["HandyNotes_Cauldrons"] = {"HandyNotes_CauldronsDB"},
		["HandyNotes_DungeonLocations"] = {"HandyNotes_DungeonLocationsDB"},
		["HandyNotes_VisionsOfNZoth"] = {"HandyNotes_VisionsOfNZothDB"},
		["HandyNotes_WarfrontRares"] = {"HandyNotesWRDB"},
		["HPetBattleAny"] = {"HPetSaves"},
		["Mapster"] = {"MapsterDB"},
		["Masque"] = {"MasqueDB"},
		["MeetingStone"] = {"MEETINGSTONE_UI_DB","MEETINGSTONE_UI_E_POINTS","MEETINGSTONE_UI_BLACKLISTEDLEADERS","MEETINGSTONE_CHARACTER_DB"},
		["MethodDungeonTools"] = {"MethodDungeonToolsDB"},
		["MikScrollingBattleText"] = {"MSBTProfiles_SavedVars","MSBT_SavedMedia","MSBTProfiles_SavedVarsPerChar"},
		["MSBTOptions"] = {},
		["Myslot"] = {},
		["OfflineDataCenter"] = {"ODC_DB","ODC_Config","MB_DB","BB_DB","IN_DB","MB_Config"},
		["OfflineDataCenterOpts"] = {},
		["Paku_Totems"] = {},
		["Postal"] = {"Postal3DB"},
		["Skada"] = {"SkadaDB","SkadaPerCharDB"},
		["TinyInspect"] = {"InspectDB"},
		["WorldFlightMap"] = {},
		["WorldMapTrackingEnhanced"] = {"WorldMapTrackingEnhancedDB"},
	},
	--手动添加非Curse插件
	manual = {
		["!BaudErrorFrame"] = {"BaudErrorFrameConfig"},
		["MTG"] = {},
		["Details_3DModelsPaths"] = {},
		["ProfessionTabs"] = {},
		["WindMedia"] = {},
		["AdiBags_Expansion_Trade_Goods"] = {},
	},
}
